#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 2414
#define LARGE_STATE_COUNT 841
#define SYMBOL_COUNT 250
#define ALIAS_COUNT 0
#define TOKEN_COUNT 140
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 37

enum {
  anon_sym_COMMA = 1,
  anon_sym_pub = 2,
  anon_sym_test = 3,
  anon_sym_comptime = 4,
  anon_sym_export = 5,
  anon_sym_extern = 6,
  anon_sym_inline = 7,
  anon_sym_noinline = 8,
  anon_sym_SEMI = 9,
  anon_sym_threadlocal = 10,
  anon_sym_usingnamespace = 11,
  anon_sym_fn = 12,
  anon_sym_BANG = 13,
  anon_sym_const = 14,
  anon_sym_var = 15,
  anon_sym_COLON = 16,
  anon_sym_EQ = 17,
  anon_sym_anytype = 18,
  anon_sym_nosuspend = 19,
  anon_sym_defer = 20,
  anon_sym_suspend = 21,
  anon_sym_errdefer = 22,
  anon_sym_else = 23,
  anon_sym_or = 24,
  anon_sym_and = 25,
  anon_sym_break = 26,
  anon_sym_continue = 27,
  anon_sym_resume = 28,
  anon_sym_return = 29,
  anon_sym_LBRACE = 30,
  anon_sym_RBRACE = 31,
  anon_sym_async = 32,
  anon_sym_DOT = 33,
  anon_sym_error = 34,
  anon_sym_false = 35,
  anon_sym_null = 36,
  anon_sym_anyframe = 37,
  anon_sym_true = 38,
  anon_sym_undefined = 39,
  anon_sym_unreachable = 40,
  sym_BuildinTypeExpr = 41,
  anon_sym_packed = 42,
  anon_sym_LPAREN = 43,
  anon_sym_RPAREN = 44,
  anon_sym_switch = 45,
  anon_sym_asm = 46,
  anon_sym_volatile = 47,
  anon_sym_LBRACK = 48,
  anon_sym_RBRACK = 49,
  anon_sym_DASH_GT = 50,
  anon_sym_linksection = 51,
  anon_sym_callconv = 52,
  anon_sym_noalias = 53,
  anon_sym_DOT_DOT_DOT = 54,
  anon_sym_if = 55,
  anon_sym_while = 56,
  anon_sym_for = 57,
  anon_sym_PIPE = 58,
  anon_sym_STAR = 59,
  anon_sym_EQ_GT = 60,
  anon_sym_STAR_EQ = 61,
  anon_sym_STAR_PIPE_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_PLUS_PIPE_EQ = 66,
  anon_sym_DASH_EQ = 67,
  anon_sym_DASH_PIPE_EQ = 68,
  anon_sym_LT_LT_EQ = 69,
  anon_sym_LT_LT_PIPE_EQ = 70,
  anon_sym_GT_GT_EQ = 71,
  anon_sym_AMP_EQ = 72,
  anon_sym_CARET_EQ = 73,
  anon_sym_PIPE_EQ = 74,
  anon_sym_STAR_PERCENT_EQ = 75,
  anon_sym_PLUS_PERCENT_EQ = 76,
  anon_sym_DASH_PERCENT_EQ = 77,
  anon_sym_EQ_EQ = 78,
  anon_sym_BANG_EQ = 79,
  anon_sym_LT = 80,
  anon_sym_GT = 81,
  anon_sym_LT_EQ = 82,
  anon_sym_GT_EQ = 83,
  anon_sym_AMP = 84,
  anon_sym_CARET = 85,
  anon_sym_orelse = 86,
  anon_sym_catch = 87,
  anon_sym_LT_LT = 88,
  anon_sym_GT_GT = 89,
  anon_sym_LT_LT_PIPE = 90,
  anon_sym_PLUS = 91,
  anon_sym_DASH = 92,
  anon_sym_PLUS_PLUS = 93,
  anon_sym_PLUS_PERCENT = 94,
  anon_sym_DASH_PERCENT = 95,
  anon_sym_PLUS_PIPE = 96,
  anon_sym_DASH_PIPE = 97,
  anon_sym_PIPE_PIPE = 98,
  anon_sym_SLASH = 99,
  anon_sym_PERCENT = 100,
  anon_sym_STAR_STAR = 101,
  anon_sym_STAR_PERCENT = 102,
  anon_sym_STAR_PIPE = 103,
  anon_sym_TILDE = 104,
  anon_sym_try = 105,
  anon_sym_await = 106,
  anon_sym_QMARK = 107,
  anon_sym_allowzero = 108,
  anon_sym_align = 109,
  anon_sym_DOT_DOT = 110,
  anon_sym_DOT_STAR = 111,
  anon_sym_DOT_QMARK = 112,
  anon_sym_c = 113,
  anon_sym_struct = 114,
  anon_sym_opaque = 115,
  anon_sym_enum = 116,
  anon_sym_union = 117,
  sym_container_doc_comment = 118,
  sym_doc_comment = 119,
  sym_line_comment = 120,
  anon_sym_SQUOTE = 121,
  aux_sym_CHAR_LITERAL_token1 = 122,
  aux_sym_FLOAT_token1 = 123,
  aux_sym_FLOAT_token2 = 124,
  aux_sym_FLOAT_token3 = 125,
  aux_sym_FLOAT_token4 = 126,
  aux_sym_INTEGER_token1 = 127,
  aux_sym_INTEGER_token2 = 128,
  aux_sym_INTEGER_token3 = 129,
  aux_sym_INTEGER_token4 = 130,
  sym_EscapeSequence = 131,
  sym_FormatSequence = 132,
  anon_sym_DQUOTE = 133,
  aux_sym_STRINGLITERALSINGLE_token1 = 134,
  aux_sym_STRINGLITERALSINGLE_token2 = 135,
  anon_sym_BSLASH_BSLASH = 136,
  aux_sym_LINESTRING_token1 = 137,
  aux_sym_IDENTIFIER_token1 = 138,
  anon_sym_AT = 139,
  sym_source_file = 140,
  aux_sym__ContainerMembers = 141,
  sym__ContainerDeclarations = 142,
  sym_TestDecl = 143,
  sym_TopLevelComptime = 144,
  sym_TopLevelDecl = 145,
  sym_FnProto = 146,
  sym_VarDecl = 147,
  sym_ContainerField = 148,
  sym_Statement = 149,
  sym_IfStatement = 150,
  sym__ElseStatementTail = 151,
  sym_LabeledStatement = 152,
  sym_LoopStatement = 153,
  sym_ForStatement = 154,
  sym_WhileStatement = 155,
  sym_BlockExprStatement = 156,
  sym_BlockExpr = 157,
  sym_AssignExpr = 158,
  sym__Expr = 159,
  sym_BinaryExpr = 160,
  sym_UnaryExpr = 161,
  sym__PrimaryExpr = 162,
  sym_IfExpr = 163,
  sym__ElseExprTail = 164,
  sym_Block = 165,
  sym_LoopExpr = 166,
  sym_ForExpr = 167,
  sym_WhileExpr = 168,
  sym__CurlySuffixExpr = 169,
  sym_InitList = 170,
  sym__TypeExpr = 171,
  sym_ErrorUnionExpr = 172,
  sym_SuffixExpr = 173,
  sym_FieldOrFnCall = 174,
  sym__PrimaryTypeExpr = 175,
  sym_ContainerDecl = 176,
  sym_ErrorSetDecl = 177,
  sym_GroupedExpr = 178,
  sym_IfTypeExpr = 179,
  sym__ElseTypeExprTail = 180,
  sym_LabeledTypeExpr = 181,
  sym_LoopTypeExpr = 182,
  sym_ForTypeExpr = 183,
  sym_WhileTypeExpr = 184,
  sym_SwitchExpr = 185,
  sym_AsmExpr = 186,
  sym_AsmOutput = 187,
  sym_AsmOutputItem = 188,
  sym_AsmInput = 189,
  sym_AsmInputItem = 190,
  sym_AsmClobbers = 191,
  sym_BreakLabel = 192,
  sym_BlockLabel = 193,
  sym_FieldInit = 194,
  sym_WhileContinueExpr = 195,
  sym_LinkSection = 196,
  sym_CallConv = 197,
  sym_ParamDecl = 198,
  sym_ParamType = 199,
  sym_IfPrefix = 200,
  sym_WhilePrefix = 201,
  sym_ForPrefix = 202,
  sym_Payload = 203,
  sym_PtrPayload = 204,
  sym_PtrIndexPayload = 205,
  sym_SwitchProng = 206,
  sym_SwitchCase = 207,
  sym_SwitchItem = 208,
  sym_AssignOp = 209,
  sym_CompareOp = 210,
  sym_BitwiseOp = 211,
  sym_BitShiftOp = 212,
  sym_AdditionOp = 213,
  sym_MultiplyOp = 214,
  sym_PrefixOp = 215,
  sym_PrefixTypeOp = 216,
  sym_SuffixOp = 217,
  sym_FnCallArguments = 218,
  sym_SliceTypeStart = 219,
  sym_PtrTypeStart = 220,
  sym_ArrayTypeStart = 221,
  sym__ContainerDeclAuto = 222,
  sym_ContainerDeclType = 223,
  sym_ByteAlign = 224,
  sym_ParamDeclList = 225,
  sym_CHAR_LITERAL = 226,
  sym_FLOAT = 227,
  sym_INTEGER = 228,
  sym_STRINGLITERALSINGLE = 229,
  sym_LINESTRING = 230,
  sym__STRINGLITERAL = 231,
  sym_IDENTIFIER = 232,
  sym_BUILTINIDENTIFIER = 233,
  aux_sym_Block_repeat1 = 234,
  aux_sym_InitList_repeat1 = 235,
  aux_sym_InitList_repeat2 = 236,
  aux_sym__TypeExpr_repeat1 = 237,
  aux_sym_SuffixExpr_repeat1 = 238,
  aux_sym_ErrorSetDecl_repeat1 = 239,
  aux_sym_SwitchExpr_repeat1 = 240,
  aux_sym_AsmOutput_repeat1 = 241,
  aux_sym_AsmInput_repeat1 = 242,
  aux_sym_AsmClobbers_repeat1 = 243,
  aux_sym_SwitchCase_repeat1 = 244,
  aux_sym_PrefixTypeOp_repeat1 = 245,
  aux_sym_PrefixTypeOp_repeat2 = 246,
  aux_sym_ParamDeclList_repeat1 = 247,
  aux_sym_STRINGLITERALSINGLE_repeat1 = 248,
  aux_sym__STRINGLITERAL_repeat1 = 249,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_COMMA] = ",",
  [anon_sym_pub] = "pub",
  [anon_sym_test] = "test",
  [anon_sym_comptime] = "comptime",
  [anon_sym_export] = "export",
  [anon_sym_extern] = "extern",
  [anon_sym_inline] = "inline",
  [anon_sym_noinline] = "noinline",
  [anon_sym_SEMI] = ";",
  [anon_sym_threadlocal] = "threadlocal",
  [anon_sym_usingnamespace] = "usingnamespace",
  [anon_sym_fn] = "fn",
  [anon_sym_BANG] = "!",
  [anon_sym_const] = "const",
  [anon_sym_var] = "var",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_anytype] = "anytype",
  [anon_sym_nosuspend] = "nosuspend",
  [anon_sym_defer] = "defer",
  [anon_sym_suspend] = "suspend",
  [anon_sym_errdefer] = "errdefer",
  [anon_sym_else] = "else",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_resume] = "resume",
  [anon_sym_return] = "return",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_async] = "async",
  [anon_sym_DOT] = ".",
  [anon_sym_error] = "error",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_anyframe] = "anyframe",
  [anon_sym_true] = "true",
  [anon_sym_undefined] = "undefined",
  [anon_sym_unreachable] = "unreachable",
  [sym_BuildinTypeExpr] = "BuildinTypeExpr",
  [anon_sym_packed] = "packed",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_switch] = "switch",
  [anon_sym_asm] = "asm",
  [anon_sym_volatile] = "volatile",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_linksection] = "linksection",
  [anon_sym_callconv] = "callconv",
  [anon_sym_noalias] = "noalias",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_PIPE] = "|",
  [anon_sym_STAR] = "*",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_STAR_PIPE_EQ] = "*|=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_PLUS_PIPE_EQ] = "+|=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DASH_PIPE_EQ] = "-|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_LT_LT_PIPE_EQ] = "<<|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_STAR_PERCENT_EQ] = "*%=",
  [anon_sym_PLUS_PERCENT_EQ] = "+%=",
  [anon_sym_DASH_PERCENT_EQ] = "-%=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_orelse] = "orelse",
  [anon_sym_catch] = "catch",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_LT_LT_PIPE] = "<<|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_PLUS_PERCENT] = "+%",
  [anon_sym_DASH_PERCENT] = "-%",
  [anon_sym_PLUS_PIPE] = "+|",
  [anon_sym_DASH_PIPE] = "-|",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_STAR_PERCENT] = "*%",
  [anon_sym_STAR_PIPE] = "*|",
  [anon_sym_TILDE] = "~",
  [anon_sym_try] = "try",
  [anon_sym_await] = "await",
  [anon_sym_QMARK] = "\?",
  [anon_sym_allowzero] = "allowzero",
  [anon_sym_align] = "align",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DOT_QMARK] = ".\?",
  [anon_sym_c] = "c",
  [anon_sym_struct] = "struct",
  [anon_sym_opaque] = "opaque",
  [anon_sym_enum] = "enum",
  [anon_sym_union] = "union",
  [sym_container_doc_comment] = "container_doc_comment",
  [sym_doc_comment] = "doc_comment",
  [sym_line_comment] = "line_comment",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_CHAR_LITERAL_token1] = "CHAR_LITERAL_token1",
  [aux_sym_FLOAT_token1] = "FLOAT_token1",
  [aux_sym_FLOAT_token2] = "FLOAT_token2",
  [aux_sym_FLOAT_token3] = "FLOAT_token3",
  [aux_sym_FLOAT_token4] = "FLOAT_token4",
  [aux_sym_INTEGER_token1] = "INTEGER_token1",
  [aux_sym_INTEGER_token2] = "INTEGER_token2",
  [aux_sym_INTEGER_token3] = "INTEGER_token3",
  [aux_sym_INTEGER_token4] = "INTEGER_token4",
  [sym_EscapeSequence] = "EscapeSequence",
  [sym_FormatSequence] = "FormatSequence",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_STRINGLITERALSINGLE_token1] = "STRINGLITERALSINGLE_token1",
  [aux_sym_STRINGLITERALSINGLE_token2] = "STRINGLITERALSINGLE_token2",
  [anon_sym_BSLASH_BSLASH] = "\\\\",
  [aux_sym_LINESTRING_token1] = "LINESTRING_token1",
  [aux_sym_IDENTIFIER_token1] = "IDENTIFIER_token1",
  [anon_sym_AT] = "@",
  [sym_source_file] = "source_file",
  [aux_sym__ContainerMembers] = "_ContainerMembers",
  [sym__ContainerDeclarations] = "_ContainerDeclarations",
  [sym_TestDecl] = "TestDecl",
  [sym_TopLevelComptime] = "TopLevelComptime",
  [sym_TopLevelDecl] = "TopLevelDecl",
  [sym_FnProto] = "FnProto",
  [sym_VarDecl] = "VarDecl",
  [sym_ContainerField] = "ContainerField",
  [sym_Statement] = "Statement",
  [sym_IfStatement] = "IfStatement",
  [sym__ElseStatementTail] = "_ElseStatementTail",
  [sym_LabeledStatement] = "LabeledStatement",
  [sym_LoopStatement] = "LoopStatement",
  [sym_ForStatement] = "ForStatement",
  [sym_WhileStatement] = "WhileStatement",
  [sym_BlockExprStatement] = "BlockExprStatement",
  [sym_BlockExpr] = "BlockExpr",
  [sym_AssignExpr] = "AssignExpr",
  [sym__Expr] = "_Expr",
  [sym_BinaryExpr] = "BinaryExpr",
  [sym_UnaryExpr] = "UnaryExpr",
  [sym__PrimaryExpr] = "_PrimaryExpr",
  [sym_IfExpr] = "IfExpr",
  [sym__ElseExprTail] = "_ElseExprTail",
  [sym_Block] = "Block",
  [sym_LoopExpr] = "LoopExpr",
  [sym_ForExpr] = "ForExpr",
  [sym_WhileExpr] = "WhileExpr",
  [sym__CurlySuffixExpr] = "_CurlySuffixExpr",
  [sym_InitList] = "InitList",
  [sym__TypeExpr] = "_TypeExpr",
  [sym_ErrorUnionExpr] = "ErrorUnionExpr",
  [sym_SuffixExpr] = "SuffixExpr",
  [sym_FieldOrFnCall] = "FieldOrFnCall",
  [sym__PrimaryTypeExpr] = "_PrimaryTypeExpr",
  [sym_ContainerDecl] = "ContainerDecl",
  [sym_ErrorSetDecl] = "ErrorSetDecl",
  [sym_GroupedExpr] = "GroupedExpr",
  [sym_IfTypeExpr] = "IfTypeExpr",
  [sym__ElseTypeExprTail] = "_ElseTypeExprTail",
  [sym_LabeledTypeExpr] = "LabeledTypeExpr",
  [sym_LoopTypeExpr] = "LoopTypeExpr",
  [sym_ForTypeExpr] = "ForTypeExpr",
  [sym_WhileTypeExpr] = "WhileTypeExpr",
  [sym_SwitchExpr] = "SwitchExpr",
  [sym_AsmExpr] = "AsmExpr",
  [sym_AsmOutput] = "AsmOutput",
  [sym_AsmOutputItem] = "AsmOutputItem",
  [sym_AsmInput] = "AsmInput",
  [sym_AsmInputItem] = "AsmInputItem",
  [sym_AsmClobbers] = "AsmClobbers",
  [sym_BreakLabel] = "BreakLabel",
  [sym_BlockLabel] = "BlockLabel",
  [sym_FieldInit] = "FieldInit",
  [sym_WhileContinueExpr] = "WhileContinueExpr",
  [sym_LinkSection] = "LinkSection",
  [sym_CallConv] = "CallConv",
  [sym_ParamDecl] = "ParamDecl",
  [sym_ParamType] = "ParamType",
  [sym_IfPrefix] = "IfPrefix",
  [sym_WhilePrefix] = "WhilePrefix",
  [sym_ForPrefix] = "ForPrefix",
  [sym_Payload] = "Payload",
  [sym_PtrPayload] = "PtrPayload",
  [sym_PtrIndexPayload] = "PtrIndexPayload",
  [sym_SwitchProng] = "SwitchProng",
  [sym_SwitchCase] = "SwitchCase",
  [sym_SwitchItem] = "SwitchItem",
  [sym_AssignOp] = "AssignOp",
  [sym_CompareOp] = "CompareOp",
  [sym_BitwiseOp] = "BitwiseOp",
  [sym_BitShiftOp] = "BitShiftOp",
  [sym_AdditionOp] = "AdditionOp",
  [sym_MultiplyOp] = "MultiplyOp",
  [sym_PrefixOp] = "PrefixOp",
  [sym_PrefixTypeOp] = "PrefixTypeOp",
  [sym_SuffixOp] = "SuffixOp",
  [sym_FnCallArguments] = "FnCallArguments",
  [sym_SliceTypeStart] = "SliceTypeStart",
  [sym_PtrTypeStart] = "PtrTypeStart",
  [sym_ArrayTypeStart] = "ArrayTypeStart",
  [sym__ContainerDeclAuto] = "_ContainerDeclAuto",
  [sym_ContainerDeclType] = "ContainerDeclType",
  [sym_ByteAlign] = "ByteAlign",
  [sym_ParamDeclList] = "ParamDeclList",
  [sym_CHAR_LITERAL] = "CHAR_LITERAL",
  [sym_FLOAT] = "FLOAT",
  [sym_INTEGER] = "INTEGER",
  [sym_STRINGLITERALSINGLE] = "STRINGLITERALSINGLE",
  [sym_LINESTRING] = "LINESTRING",
  [sym__STRINGLITERAL] = "_STRINGLITERAL",
  [sym_IDENTIFIER] = "IDENTIFIER",
  [sym_BUILTINIDENTIFIER] = "BUILTINIDENTIFIER",
  [aux_sym_Block_repeat1] = "Block_repeat1",
  [aux_sym_InitList_repeat1] = "InitList_repeat1",
  [aux_sym_InitList_repeat2] = "InitList_repeat2",
  [aux_sym__TypeExpr_repeat1] = "_TypeExpr_repeat1",
  [aux_sym_SuffixExpr_repeat1] = "SuffixExpr_repeat1",
  [aux_sym_ErrorSetDecl_repeat1] = "ErrorSetDecl_repeat1",
  [aux_sym_SwitchExpr_repeat1] = "SwitchExpr_repeat1",
  [aux_sym_AsmOutput_repeat1] = "AsmOutput_repeat1",
  [aux_sym_AsmInput_repeat1] = "AsmInput_repeat1",
  [aux_sym_AsmClobbers_repeat1] = "AsmClobbers_repeat1",
  [aux_sym_SwitchCase_repeat1] = "SwitchCase_repeat1",
  [aux_sym_PrefixTypeOp_repeat1] = "PrefixTypeOp_repeat1",
  [aux_sym_PrefixTypeOp_repeat2] = "PrefixTypeOp_repeat2",
  [aux_sym_ParamDeclList_repeat1] = "ParamDeclList_repeat1",
  [aux_sym_STRINGLITERALSINGLE_repeat1] = "STRINGLITERALSINGLE_repeat1",
  [aux_sym__STRINGLITERAL_repeat1] = "_STRINGLITERAL_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_test] = anon_sym_test,
  [anon_sym_comptime] = anon_sym_comptime,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_noinline] = anon_sym_noinline,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_threadlocal] = anon_sym_threadlocal,
  [anon_sym_usingnamespace] = anon_sym_usingnamespace,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_anytype] = anon_sym_anytype,
  [anon_sym_nosuspend] = anon_sym_nosuspend,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_suspend] = anon_sym_suspend,
  [anon_sym_errdefer] = anon_sym_errdefer,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_resume] = anon_sym_resume,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_anyframe] = anon_sym_anyframe,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_undefined] = anon_sym_undefined,
  [anon_sym_unreachable] = anon_sym_unreachable,
  [sym_BuildinTypeExpr] = sym_BuildinTypeExpr,
  [anon_sym_packed] = anon_sym_packed,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_linksection] = anon_sym_linksection,
  [anon_sym_callconv] = anon_sym_callconv,
  [anon_sym_noalias] = anon_sym_noalias,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_STAR_PIPE_EQ] = anon_sym_STAR_PIPE_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_PLUS_PIPE_EQ] = anon_sym_PLUS_PIPE_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DASH_PIPE_EQ] = anon_sym_DASH_PIPE_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_LT_LT_PIPE_EQ] = anon_sym_LT_LT_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_STAR_PERCENT_EQ] = anon_sym_STAR_PERCENT_EQ,
  [anon_sym_PLUS_PERCENT_EQ] = anon_sym_PLUS_PERCENT_EQ,
  [anon_sym_DASH_PERCENT_EQ] = anon_sym_DASH_PERCENT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_orelse] = anon_sym_orelse,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_LT_LT_PIPE] = anon_sym_LT_LT_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_PLUS_PERCENT] = anon_sym_PLUS_PERCENT,
  [anon_sym_DASH_PERCENT] = anon_sym_DASH_PERCENT,
  [anon_sym_PLUS_PIPE] = anon_sym_PLUS_PIPE,
  [anon_sym_DASH_PIPE] = anon_sym_DASH_PIPE,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_STAR_PERCENT] = anon_sym_STAR_PERCENT,
  [anon_sym_STAR_PIPE] = anon_sym_STAR_PIPE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_allowzero] = anon_sym_allowzero,
  [anon_sym_align] = anon_sym_align,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DOT_QMARK] = anon_sym_DOT_QMARK,
  [anon_sym_c] = anon_sym_c,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_union] = anon_sym_union,
  [sym_container_doc_comment] = sym_container_doc_comment,
  [sym_doc_comment] = sym_doc_comment,
  [sym_line_comment] = sym_line_comment,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_CHAR_LITERAL_token1] = aux_sym_CHAR_LITERAL_token1,
  [aux_sym_FLOAT_token1] = aux_sym_FLOAT_token1,
  [aux_sym_FLOAT_token2] = aux_sym_FLOAT_token2,
  [aux_sym_FLOAT_token3] = aux_sym_FLOAT_token3,
  [aux_sym_FLOAT_token4] = aux_sym_FLOAT_token4,
  [aux_sym_INTEGER_token1] = aux_sym_INTEGER_token1,
  [aux_sym_INTEGER_token2] = aux_sym_INTEGER_token2,
  [aux_sym_INTEGER_token3] = aux_sym_INTEGER_token3,
  [aux_sym_INTEGER_token4] = aux_sym_INTEGER_token4,
  [sym_EscapeSequence] = sym_EscapeSequence,
  [sym_FormatSequence] = sym_FormatSequence,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_STRINGLITERALSINGLE_token1] = aux_sym_STRINGLITERALSINGLE_token1,
  [aux_sym_STRINGLITERALSINGLE_token2] = aux_sym_STRINGLITERALSINGLE_token2,
  [anon_sym_BSLASH_BSLASH] = anon_sym_BSLASH_BSLASH,
  [aux_sym_LINESTRING_token1] = aux_sym_LINESTRING_token1,
  [aux_sym_IDENTIFIER_token1] = aux_sym_IDENTIFIER_token1,
  [anon_sym_AT] = anon_sym_AT,
  [sym_source_file] = sym_source_file,
  [aux_sym__ContainerMembers] = aux_sym__ContainerMembers,
  [sym__ContainerDeclarations] = sym__ContainerDeclarations,
  [sym_TestDecl] = sym_TestDecl,
  [sym_TopLevelComptime] = sym_TopLevelComptime,
  [sym_TopLevelDecl] = sym_TopLevelDecl,
  [sym_FnProto] = sym_FnProto,
  [sym_VarDecl] = sym_VarDecl,
  [sym_ContainerField] = sym_ContainerField,
  [sym_Statement] = sym_Statement,
  [sym_IfStatement] = sym_IfStatement,
  [sym__ElseStatementTail] = sym__ElseStatementTail,
  [sym_LabeledStatement] = sym_LabeledStatement,
  [sym_LoopStatement] = sym_LoopStatement,
  [sym_ForStatement] = sym_ForStatement,
  [sym_WhileStatement] = sym_WhileStatement,
  [sym_BlockExprStatement] = sym_BlockExprStatement,
  [sym_BlockExpr] = sym_BlockExpr,
  [sym_AssignExpr] = sym_AssignExpr,
  [sym__Expr] = sym__Expr,
  [sym_BinaryExpr] = sym_BinaryExpr,
  [sym_UnaryExpr] = sym_UnaryExpr,
  [sym__PrimaryExpr] = sym__PrimaryExpr,
  [sym_IfExpr] = sym_IfExpr,
  [sym__ElseExprTail] = sym__ElseExprTail,
  [sym_Block] = sym_Block,
  [sym_LoopExpr] = sym_LoopExpr,
  [sym_ForExpr] = sym_ForExpr,
  [sym_WhileExpr] = sym_WhileExpr,
  [sym__CurlySuffixExpr] = sym__CurlySuffixExpr,
  [sym_InitList] = sym_InitList,
  [sym__TypeExpr] = sym__TypeExpr,
  [sym_ErrorUnionExpr] = sym_ErrorUnionExpr,
  [sym_SuffixExpr] = sym_SuffixExpr,
  [sym_FieldOrFnCall] = sym_FieldOrFnCall,
  [sym__PrimaryTypeExpr] = sym__PrimaryTypeExpr,
  [sym_ContainerDecl] = sym_ContainerDecl,
  [sym_ErrorSetDecl] = sym_ErrorSetDecl,
  [sym_GroupedExpr] = sym_GroupedExpr,
  [sym_IfTypeExpr] = sym_IfTypeExpr,
  [sym__ElseTypeExprTail] = sym__ElseTypeExprTail,
  [sym_LabeledTypeExpr] = sym_LabeledTypeExpr,
  [sym_LoopTypeExpr] = sym_LoopTypeExpr,
  [sym_ForTypeExpr] = sym_ForTypeExpr,
  [sym_WhileTypeExpr] = sym_WhileTypeExpr,
  [sym_SwitchExpr] = sym_SwitchExpr,
  [sym_AsmExpr] = sym_AsmExpr,
  [sym_AsmOutput] = sym_AsmOutput,
  [sym_AsmOutputItem] = sym_AsmOutputItem,
  [sym_AsmInput] = sym_AsmInput,
  [sym_AsmInputItem] = sym_AsmInputItem,
  [sym_AsmClobbers] = sym_AsmClobbers,
  [sym_BreakLabel] = sym_BreakLabel,
  [sym_BlockLabel] = sym_BlockLabel,
  [sym_FieldInit] = sym_FieldInit,
  [sym_WhileContinueExpr] = sym_WhileContinueExpr,
  [sym_LinkSection] = sym_LinkSection,
  [sym_CallConv] = sym_CallConv,
  [sym_ParamDecl] = sym_ParamDecl,
  [sym_ParamType] = sym_ParamType,
  [sym_IfPrefix] = sym_IfPrefix,
  [sym_WhilePrefix] = sym_WhilePrefix,
  [sym_ForPrefix] = sym_ForPrefix,
  [sym_Payload] = sym_Payload,
  [sym_PtrPayload] = sym_PtrPayload,
  [sym_PtrIndexPayload] = sym_PtrIndexPayload,
  [sym_SwitchProng] = sym_SwitchProng,
  [sym_SwitchCase] = sym_SwitchCase,
  [sym_SwitchItem] = sym_SwitchItem,
  [sym_AssignOp] = sym_AssignOp,
  [sym_CompareOp] = sym_CompareOp,
  [sym_BitwiseOp] = sym_BitwiseOp,
  [sym_BitShiftOp] = sym_BitShiftOp,
  [sym_AdditionOp] = sym_AdditionOp,
  [sym_MultiplyOp] = sym_MultiplyOp,
  [sym_PrefixOp] = sym_PrefixOp,
  [sym_PrefixTypeOp] = sym_PrefixTypeOp,
  [sym_SuffixOp] = sym_SuffixOp,
  [sym_FnCallArguments] = sym_FnCallArguments,
  [sym_SliceTypeStart] = sym_SliceTypeStart,
  [sym_PtrTypeStart] = sym_PtrTypeStart,
  [sym_ArrayTypeStart] = sym_ArrayTypeStart,
  [sym__ContainerDeclAuto] = sym__ContainerDeclAuto,
  [sym_ContainerDeclType] = sym_ContainerDeclType,
  [sym_ByteAlign] = sym_ByteAlign,
  [sym_ParamDeclList] = sym_ParamDeclList,
  [sym_CHAR_LITERAL] = sym_CHAR_LITERAL,
  [sym_FLOAT] = sym_FLOAT,
  [sym_INTEGER] = sym_INTEGER,
  [sym_STRINGLITERALSINGLE] = sym_STRINGLITERALSINGLE,
  [sym_LINESTRING] = sym_LINESTRING,
  [sym__STRINGLITERAL] = sym__STRINGLITERAL,
  [sym_IDENTIFIER] = sym_IDENTIFIER,
  [sym_BUILTINIDENTIFIER] = sym_BUILTINIDENTIFIER,
  [aux_sym_Block_repeat1] = aux_sym_Block_repeat1,
  [aux_sym_InitList_repeat1] = aux_sym_InitList_repeat1,
  [aux_sym_InitList_repeat2] = aux_sym_InitList_repeat2,
  [aux_sym__TypeExpr_repeat1] = aux_sym__TypeExpr_repeat1,
  [aux_sym_SuffixExpr_repeat1] = aux_sym_SuffixExpr_repeat1,
  [aux_sym_ErrorSetDecl_repeat1] = aux_sym_ErrorSetDecl_repeat1,
  [aux_sym_SwitchExpr_repeat1] = aux_sym_SwitchExpr_repeat1,
  [aux_sym_AsmOutput_repeat1] = aux_sym_AsmOutput_repeat1,
  [aux_sym_AsmInput_repeat1] = aux_sym_AsmInput_repeat1,
  [aux_sym_AsmClobbers_repeat1] = aux_sym_AsmClobbers_repeat1,
  [aux_sym_SwitchCase_repeat1] = aux_sym_SwitchCase_repeat1,
  [aux_sym_PrefixTypeOp_repeat1] = aux_sym_PrefixTypeOp_repeat1,
  [aux_sym_PrefixTypeOp_repeat2] = aux_sym_PrefixTypeOp_repeat2,
  [aux_sym_ParamDeclList_repeat1] = aux_sym_ParamDeclList_repeat1,
  [aux_sym_STRINGLITERALSINGLE_repeat1] = aux_sym_STRINGLITERALSINGLE_repeat1,
  [aux_sym__STRINGLITERAL_repeat1] = aux_sym__STRINGLITERAL_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_threadlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usingnamespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anytype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nosuspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_suspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_errdefer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_resume] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyframe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undefined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unreachable] = {
    .visible = true,
    .named = false,
  },
  [sym_BuildinTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_packed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linksection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callconv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noalias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_orelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_allowzero] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_align] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [sym_container_doc_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_doc_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CHAR_LITERAL_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_FLOAT_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_FLOAT_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_FLOAT_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_FLOAT_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_INTEGER_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_INTEGER_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_INTEGER_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_INTEGER_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_EscapeSequence] = {
    .visible = true,
    .named = true,
  },
  [sym_FormatSequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_STRINGLITERALSINGLE_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_STRINGLITERALSINGLE_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_LINESTRING_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_IDENTIFIER_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__ContainerMembers] = {
    .visible = false,
    .named = false,
  },
  [sym__ContainerDeclarations] = {
    .visible = false,
    .named = true,
  },
  [sym_TestDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_TopLevelComptime] = {
    .visible = true,
    .named = true,
  },
  [sym_TopLevelDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_FnProto] = {
    .visible = true,
    .named = true,
  },
  [sym_VarDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_ContainerField] = {
    .visible = true,
    .named = true,
  },
  [sym_Statement] = {
    .visible = true,
    .named = true,
  },
  [sym_IfStatement] = {
    .visible = true,
    .named = true,
  },
  [sym__ElseStatementTail] = {
    .visible = false,
    .named = true,
  },
  [sym_LabeledStatement] = {
    .visible = true,
    .named = true,
  },
  [sym_LoopStatement] = {
    .visible = true,
    .named = true,
  },
  [sym_ForStatement] = {
    .visible = true,
    .named = true,
  },
  [sym_WhileStatement] = {
    .visible = true,
    .named = true,
  },
  [sym_BlockExprStatement] = {
    .visible = true,
    .named = true,
  },
  [sym_BlockExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_AssignExpr] = {
    .visible = true,
    .named = true,
  },
  [sym__Expr] = {
    .visible = false,
    .named = true,
  },
  [sym_BinaryExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_UnaryExpr] = {
    .visible = true,
    .named = true,
  },
  [sym__PrimaryExpr] = {
    .visible = false,
    .named = true,
  },
  [sym_IfExpr] = {
    .visible = true,
    .named = true,
  },
  [sym__ElseExprTail] = {
    .visible = false,
    .named = true,
  },
  [sym_Block] = {
    .visible = true,
    .named = true,
  },
  [sym_LoopExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_ForExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_WhileExpr] = {
    .visible = true,
    .named = true,
  },
  [sym__CurlySuffixExpr] = {
    .visible = false,
    .named = true,
  },
  [sym_InitList] = {
    .visible = true,
    .named = true,
  },
  [sym__TypeExpr] = {
    .visible = false,
    .named = true,
  },
  [sym_ErrorUnionExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_SuffixExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_FieldOrFnCall] = {
    .visible = true,
    .named = true,
  },
  [sym__PrimaryTypeExpr] = {
    .visible = false,
    .named = true,
  },
  [sym_ContainerDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_ErrorSetDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_GroupedExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_IfTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [sym__ElseTypeExprTail] = {
    .visible = false,
    .named = true,
  },
  [sym_LabeledTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_LoopTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_ForTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_WhileTypeExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_SwitchExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmOutput] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmOutputItem] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmInput] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmInputItem] = {
    .visible = true,
    .named = true,
  },
  [sym_AsmClobbers] = {
    .visible = true,
    .named = true,
  },
  [sym_BreakLabel] = {
    .visible = true,
    .named = true,
  },
  [sym_BlockLabel] = {
    .visible = true,
    .named = true,
  },
  [sym_FieldInit] = {
    .visible = true,
    .named = true,
  },
  [sym_WhileContinueExpr] = {
    .visible = true,
    .named = true,
  },
  [sym_LinkSection] = {
    .visible = true,
    .named = true,
  },
  [sym_CallConv] = {
    .visible = true,
    .named = true,
  },
  [sym_ParamDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_ParamType] = {
    .visible = true,
    .named = true,
  },
  [sym_IfPrefix] = {
    .visible = true,
    .named = true,
  },
  [sym_WhilePrefix] = {
    .visible = true,
    .named = true,
  },
  [sym_ForPrefix] = {
    .visible = true,
    .named = true,
  },
  [sym_Payload] = {
    .visible = true,
    .named = true,
  },
  [sym_PtrPayload] = {
    .visible = true,
    .named = true,
  },
  [sym_PtrIndexPayload] = {
    .visible = true,
    .named = true,
  },
  [sym_SwitchProng] = {
    .visible = true,
    .named = true,
  },
  [sym_SwitchCase] = {
    .visible = true,
    .named = true,
  },
  [sym_SwitchItem] = {
    .visible = true,
    .named = true,
  },
  [sym_AssignOp] = {
    .visible = true,
    .named = true,
  },
  [sym_CompareOp] = {
    .visible = true,
    .named = true,
  },
  [sym_BitwiseOp] = {
    .visible = true,
    .named = true,
  },
  [sym_BitShiftOp] = {
    .visible = true,
    .named = true,
  },
  [sym_AdditionOp] = {
    .visible = true,
    .named = true,
  },
  [sym_MultiplyOp] = {
    .visible = true,
    .named = true,
  },
  [sym_PrefixOp] = {
    .visible = true,
    .named = true,
  },
  [sym_PrefixTypeOp] = {
    .visible = true,
    .named = true,
  },
  [sym_SuffixOp] = {
    .visible = true,
    .named = true,
  },
  [sym_FnCallArguments] = {
    .visible = true,
    .named = true,
  },
  [sym_SliceTypeStart] = {
    .visible = true,
    .named = true,
  },
  [sym_PtrTypeStart] = {
    .visible = true,
    .named = true,
  },
  [sym_ArrayTypeStart] = {
    .visible = true,
    .named = true,
  },
  [sym__ContainerDeclAuto] = {
    .visible = false,
    .named = true,
  },
  [sym_ContainerDeclType] = {
    .visible = true,
    .named = true,
  },
  [sym_ByteAlign] = {
    .visible = true,
    .named = true,
  },
  [sym_ParamDeclList] = {
    .visible = true,
    .named = true,
  },
  [sym_CHAR_LITERAL] = {
    .visible = true,
    .named = true,
  },
  [sym_FLOAT] = {
    .visible = true,
    .named = true,
  },
  [sym_INTEGER] = {
    .visible = true,
    .named = true,
  },
  [sym_STRINGLITERALSINGLE] = {
    .visible = true,
    .named = true,
  },
  [sym_LINESTRING] = {
    .visible = true,
    .named = true,
  },
  [sym__STRINGLITERAL] = {
    .visible = false,
    .named = true,
  },
  [sym_IDENTIFIER] = {
    .visible = true,
    .named = true,
  },
  [sym_BUILTINIDENTIFIER] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_Block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_InitList_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_InitList_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__TypeExpr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SuffixExpr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ErrorSetDecl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SwitchExpr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AsmOutput_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AsmInput_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AsmClobbers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SwitchCase_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PrefixTypeOp_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PrefixTypeOp_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ParamDeclList_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_STRINGLITERALSINGLE_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__STRINGLITERAL_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_exception = 1,
  field_field_access = 2,
  field_field_constant = 3,
  field_field_member = 4,
  field_function = 5,
  field_function_call = 6,
  field_left = 7,
  field_operator = 8,
  field_parameter = 9,
  field_right = 10,
  field_variable = 11,
  field_variable_type_function = 12,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_exception] = "exception",
  [field_field_access] = "field_access",
  [field_field_constant] = "field_constant",
  [field_field_member] = "field_member",
  [field_function] = "function",
  [field_function_call] = "function_call",
  [field_left] = "left",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_right] = "right",
  [field_variable] = "variable",
  [field_variable_type_function] = "variable_type_function",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 9, .length = 1},
  [10] = {.index = 10, .length = 1},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 13, .length = 3},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 19, .length = 1},
  [18] = {.index = 20, .length = 1},
  [19] = {.index = 21, .length = 1},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 1},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 1},
  [26] = {.index = 31, .length = 1},
  [27] = {.index = 32, .length = 2},
  [28] = {.index = 34, .length = 2},
  [29] = {.index = 36, .length = 1},
  [30] = {.index = 37, .length = 1},
  [31] = {.index = 38, .length = 2},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_field_member, 0},
  [1] =
    {field_field_member, 1},
  [2] =
    {field_field_constant, 0, .inherited = true},
  [3] =
    {field_variable_type_function, 0},
  [4] =
    {field_field_constant, 1, .inherited = true},
  [5] =
    {field_variable_type_function, 1},
  [6] =
    {field_field_constant, 1},
  [7] =
    {field_left, 1},
    {field_operator, 0},
  [9] =
    {field_function_call, 0},
  [10] =
    {field_field_member, 2},
  [11] =
    {field_function_call, 1},
  [12] =
    {field_field_constant, 2},
  [13] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [16] =
    {field_exception, 1},
  [17] =
    {field_field_access, 1},
  [18] =
    {field_exception, 2},
  [19] =
    {field_function, 1},
  [20] =
    {field_parameter, 0},
  [21] =
    {field_exception, 3},
  [22] =
    {field_exception, 3},
    {field_function, 1},
  [24] =
    {field_variable, 1},
  [25] =
    {field_field_constant, 3},
  [26] =
    {field_field_constant, 2},
    {field_field_constant, 3, .inherited = true},
  [28] =
    {field_field_constant, 0, .inherited = true},
    {field_field_constant, 1, .inherited = true},
  [30] =
    {field_parameter, 1},
  [31] =
    {field_exception, 4},
  [32] =
    {field_exception, 4},
    {field_function, 1},
  [34] =
    {field_field_constant, 3},
    {field_field_constant, 4, .inherited = true},
  [36] =
    {field_parameter, 2},
  [37] =
    {field_exception, 5},
  [38] =
    {field_exception, 5},
    {field_function, 1},
  [40] =
    {field_exception, 6},
    {field_function, 1},
  [42] =
    {field_variable, 2},
  [43] =
    {field_variable, 1},
    {field_variable, 3},
  [45] =
    {field_variable, 2},
    {field_variable, 4},
  [47] =
    {field_variable, 1},
    {field_variable, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(323);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(528);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(343);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(530);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(469);
      if (lookahead == 'u') ADVANCE(572);
      if (lookahead == 'v') ADVANCE(408);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(162)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '"' ||
          lookahead == '\\' ||
          lookahead == '{') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (lookahead != 0) ADVANCE(138);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(308);
      if (lookahead == '.') ADVANCE(225);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(395);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == '-') ADVANCE(308);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(394);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(531);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == '-') ADVANCE(308);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(394);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(567);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(311);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(41);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(395);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(311);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(41);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(395);
      if (lookahead == 'e') ADVANCE(533);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == '0') ADVANCE(372);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(46);
      if (lookahead == 'e') ADVANCE(89);
      if (lookahead == 'f') ADVANCE(98);
      if (lookahead == 'i') ADVANCE(99);
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(111);
      if (lookahead == 'o') ADVANCE(117);
      if (lookahead == 't') ADVANCE(73);
      if (lookahead == 'u') ADVANCE(128);
      if (lookahead == 'v') ADVANCE(50);
      if (lookahead == 'w') ADVANCE(74);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(308);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(97);
      if (lookahead == 'c') ADVANCE(45);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(117);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(310);
      if (lookahead == '.') ADVANCE(223);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(41);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(97);
      if (lookahead == 'c') ADVANCE(45);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(117);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(351);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '-') ADVANCE(309);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '=') ADVANCE(43);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == 'a') ADVANCE(584);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(397);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(258);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '-') ADVANCE(309);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(584);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(396);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(567);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(258);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '-') ADVANCE(309);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(584);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(396);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(531);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '-') ADVANCE(309);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(584);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(396);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '-') ADVANCE(309);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(584);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(397);
      if (lookahead == 'e') ADVANCE(533);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(546);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(393);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(585);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(398);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '|') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(585);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(393);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(585);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(393);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(592);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(398);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(610);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == 'a') ADVANCE(529);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(344);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(611);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 22:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(592);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(398);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 23:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(592);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(398);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(610);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 24:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(529);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(399);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(611);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(586);
      if (lookahead == 'b') ADVANCE(604);
      if (lookahead == 'c') ADVANCE(398);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(666);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(261);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '/') ADVANCE(380);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '}') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(379);
      if (lookahead != 0) ADVANCE(381);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(252);
      END_STATE();
    case 29:
      if (lookahead == '/') ADVANCE(356);
      END_STATE();
    case 30:
      if (lookahead == '/') ADVANCE(353);
      END_STATE();
    case 31:
      if (lookahead == '/') ADVANCE(357);
      END_STATE();
    case 32:
      if (lookahead == '/') ADVANCE(355);
      END_STATE();
    case 33:
      if (lookahead == '/') ADVANCE(10);
      END_STATE();
    case 34:
      if (lookahead == '/') ADVANCE(359);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(359);
      if (lookahead == '}') ADVANCE(359);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(359);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(359);
      END_STATE();
    case 35:
      if (lookahead == '/') ADVANCE(30);
      END_STATE();
    case 36:
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == 'c') ADVANCE(612);
      if (lookahead == 'e') ADVANCE(712);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 37:
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 38:
      if (lookahead == ':') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(104);
      if (lookahead == '}') ADVANCE(375);
      if (lookahead == '*' ||
          lookahead == 'X' ||
          ('b' <= lookahead && lookahead <= 'e') ||
          lookahead == 'o' ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == ':') ADVANCE(1);
      if (lookahead == '}') ADVANCE(375);
      END_STATE();
    case 40:
      if (lookahead == '=') ADVANCE(283);
      END_STATE();
    case 41:
      if (lookahead == '=') ADVANCE(283);
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(247);
      END_STATE();
    case 43:
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 44:
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(129);
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(96);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(119);
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 53:
      if (lookahead == 'c') ADVANCE(72);
      END_STATE();
    case 54:
      if (lookahead == 'c') ADVANCE(52);
      END_STATE();
    case 55:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 56:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(212);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(101);
      END_STATE();
    case 71:
      if (lookahead == 'g') ADVANCE(106);
      END_STATE();
    case 72:
      if (lookahead == 'h') ADVANCE(297);
      END_STATE();
    case 73:
      if (lookahead == 'h') ADVANCE(120);
      END_STATE();
    case 74:
      if (lookahead == 'h') ADVANCE(79);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(114);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(91);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 84:
      if (lookahead == 'k') ADVANCE(126);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 86:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 88:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(123);
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(64);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(127);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(81);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(68);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(338);
      END_STATE();
    case 102:
      if (lookahead == 'n') ADVANCE(180);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 104:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 105:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(61);
      END_STATE();
    case 108:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 110:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 113:
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 115:
      if (lookahead == 'p') ADVANCE(113);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 116:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(256);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 122:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 123:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 124:
      if (lookahead == 's') ADVANCE(116);
      END_STATE();
    case 125:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 127:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 128:
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 134:
      if (lookahead == 'u') ADVANCE(136);
      if (lookahead == 'x') ADVANCE(161);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          lookahead == 't') ADVANCE(374);
      END_STATE();
    case 135:
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 136:
      if (lookahead == '{') ADVANCE(159);
      END_STATE();
    case 137:
      if (lookahead == '}') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 138:
      if (lookahead == '}') ADVANCE(375);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 139:
      if (lookahead == '}') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 140:
      if (lookahead == '}') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(139);
      END_STATE();
    case 141:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(365);
      END_STATE();
    case 142:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(363);
      END_STATE();
    case 143:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(364);
      END_STATE();
    case 144:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(361);
      END_STATE();
    case 145:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(366);
      END_STATE();
    case 146:
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(155);
      END_STATE();
    case 147:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(367);
      END_STATE();
    case 148:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 149:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(362);
      END_STATE();
    case 150:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(365);
      END_STATE();
    case 151:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(363);
      END_STATE();
    case 152:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(364);
      END_STATE();
    case 153:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(361);
      END_STATE();
    case 154:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 155:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 156:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 157:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 158:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 159:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 160:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 161:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'f')) ADVANCE(160);
      END_STATE();
    case 162:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(323);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(528);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(343);
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(530);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == 't') ADVANCE(469);
      if (lookahead == 'u') ADVANCE(572);
      if (lookahead == 'v') ADVANCE(408);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(162)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 163:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(327);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ')') ADVANCE(240);
      if (lookahead == '*') ADVANCE(262);
      if (lookahead == '+') ADVANCE(305);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(325);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == ';') ADVANCE(186);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '^') ADVANCE(294);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(395);
      if (lookahead == 'e') ADVANCE(533);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(644);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'v') ADVANCE(620);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(259);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(163)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 164:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(311);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(322);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(394);
      if (lookahead == 'e') ADVANCE(568);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(609);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(469);
      if (lookahead == 'u') ADVANCE(572);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(164)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 165:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(311);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(322);
      if (lookahead == '0') ADVANCE(370);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(336);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead == 'c') ADVANCE(394);
      if (lookahead == 'e') ADVANCE(532);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'n') ADVANCE(609);
      if (lookahead == 'o') ADVANCE(630);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(447);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == 't') ADVANCE(469);
      if (lookahead == 'u') ADVANCE(572);
      if (lookahead == 'v') ADVANCE(409);
      if (lookahead == 'w') ADVANCE(498);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(333);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(165)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(371);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 166:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(310);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(322);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'c') ADVANCE(421);
      if (lookahead == 'e') ADVANCE(712);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(643);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(166)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 167:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(194);
      if (lookahead == '%') ADVANCE(326);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '*') ADVANCE(263);
      if (lookahead == '+') ADVANCE(306);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(310);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(322);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'c') ADVANCE(421);
      if (lookahead == 'e') ADVANCE(534);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(643);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(260);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(167)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 168:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(547);
      if (lookahead == 'c') ADVANCE(612);
      if (lookahead == 'e') ADVANCE(712);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(168)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 169:
      if (eof) ADVANCE(172);
      if (lookahead == '!') ADVANCE(193);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == '[') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == 'a') ADVANCE(547);
      if (lookahead == 'c') ADVANCE(612);
      if (lookahead == 'e') ADVANCE(534);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(169)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 170:
      if (eof) ADVANCE(172);
      if (lookahead == '"') ADVANCE(377);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == ':') ADVANCE(199);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == 'c') ADVANCE(612);
      if (lookahead == 'e') ADVANCE(712);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(170)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 171:
      if (eof) ADVANCE(172);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '@') ADVANCE(720);
      if (lookahead == 'c') ADVANCE(612);
      if (lookahead == 'e') ADVANCE(712);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'i') ADVANCE(582);
      if (lookahead == 'n') ADVANCE(629);
      if (lookahead == 'p') ADVANCE(697);
      if (lookahead == 't') ADVANCE(470);
      if (lookahead == 'u') ADVANCE(679);
      if (lookahead == 'v') ADVANCE(410);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(171)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_pub);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_test);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_comptime);
      if (lookahead == '_') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_comptime);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_export);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_extern);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_inline);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_noinline);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_noinline);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_threadlocal);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_threadlocal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_usingnamespace);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_usingnamespace);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_fn);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(284);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_const);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_var);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(283);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(283);
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_anytype);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_nosuspend);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_defer);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_suspend);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_errdefer);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'e') ADVANCE(554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_break);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_continue);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_resume);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_return);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_async);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(341);
      if (lookahead == '.') ADVANCE(340);
      if (lookahead == '?') ADVANCE(342);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(341);
      if (lookahead == '.') ADVANCE(28);
      if (lookahead == '?') ADVANCE(342);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(341);
      if (lookahead == '?') ADVANCE(342);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(340);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(28);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_error);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_anyframe);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_undefined);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_unreachable);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_BuildinTypeExpr);
      if (lookahead == 'd') ADVANCE(614);
      if (lookahead == 'l') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_BuildinTypeExpr);
      if (lookahead == 'l') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_BuildinTypeExpr);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(236);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_BuildinTypeExpr);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_packed);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_switch);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_asm);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_volatile);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_linksection);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_linksection);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_callconv);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_noalias);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_while);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_for);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(279);
      if (lookahead == '|') ADVANCE(321);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(321);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '%') ADVANCE(330);
      if (lookahead == '*') ADVANCE(328);
      if (lookahead == '=') ADVANCE(266);
      if (lookahead == '|') ADVANCE(332);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '%') ADVANCE(329);
      if (lookahead == '*') ADVANCE(328);
      if (lookahead == '|') ADVANCE(331);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(328);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE_EQ);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE_EQ);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE_EQ);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE_EQ);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT_EQ);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT_EQ);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT_EQ);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(299);
      if (lookahead == '=') ADVANCE(289);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(300);
      if (lookahead == '=') ADVANCE(289);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(290);
      if (lookahead == '>') ADVANCE(302);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(290);
      if (lookahead == '>') ADVANCE(301);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(277);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(278);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_orelse);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_orelse);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_catch);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '|') ADVANCE(304);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '|') ADVANCE(303);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE);
      if (lookahead == '=') ADVANCE(275);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '%') ADVANCE(314);
      if (lookahead == '+') ADVANCE(312);
      if (lookahead == '=') ADVANCE(270);
      if (lookahead == '|') ADVANCE(318);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '%') ADVANCE(313);
      if (lookahead == '+') ADVANCE(312);
      if (lookahead == '|') ADVANCE(317);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(316);
      if (lookahead == '=') ADVANCE(272);
      if (lookahead == '>') ADVANCE(247);
      if (lookahead == '|') ADVANCE(320);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(316);
      if (lookahead == '=') ADVANCE(272);
      if (lookahead == '|') ADVANCE(320);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(315);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(315);
      if (lookahead == '>') ADVANCE(247);
      if (lookahead == '|') ADVANCE(319);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(315);
      if (lookahead == '|') ADVANCE(319);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT);
      if (lookahead == '=') ADVANCE(281);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      if (lookahead == '=') ADVANCE(282);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE);
      if (lookahead == '=') ADVANCE(271);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE);
      if (lookahead == '=') ADVANCE(273);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(356);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(356);
      if (lookahead == '=') ADVANCE(268);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(357);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(357);
      if (lookahead == '=') ADVANCE(268);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(269);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT);
      if (lookahead == '=') ADVANCE(280);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE);
      if (lookahead == '=') ADVANCE(267);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_try);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_await);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_allowzero);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_align);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_align);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_DOT_QMARK);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_c);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'a') ADVANCE(539);
      if (lookahead == 'o') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_c);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_struct);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_opaque);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_enum);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_union);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_container_doc_comment);
      if (lookahead == '\n') ADVANCE(352);
      if (lookahead == ' ') ADVANCE(351);
      if (lookahead == '!') ADVANCE(351);
      if (lookahead == '/') ADVANCE(349);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_container_doc_comment);
      if (lookahead == '\n') ADVANCE(352);
      if (lookahead == ' ') ADVANCE(351);
      if (lookahead == '/') ADVANCE(349);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_container_doc_comment);
      if (lookahead == '\n') ADVANCE(352);
      if (lookahead == ' ') ADVANCE(351);
      if (lookahead == '/') ADVANCE(350);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_container_doc_comment);
      if (lookahead == '/') ADVANCE(33);
      if (lookahead == '\n' ||
          lookahead == ' ') ADVANCE(352);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_doc_comment);
      if (lookahead == '\n') ADVANCE(354);
      if (lookahead == ' ') ADVANCE(353);
      if (lookahead == '/') ADVANCE(353);
      if (lookahead != 0) ADVANCE(353);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_doc_comment);
      if (lookahead == '/') ADVANCE(35);
      if (lookahead == '\n' ||
          lookahead == ' ') ADVANCE(354);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '!') ADVANCE(351);
      if (lookahead == '/') ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(357);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '/') ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(357);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(357);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_CHAR_LITERAL_token1);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_FLOAT_token1);
      if (lookahead == '_') ADVANCE(157);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_FLOAT_token1);
      if (lookahead == '_') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(361);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_FLOAT_token2);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(362);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(aux_sym_FLOAT_token2);
      if (lookahead == '_') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(363);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_FLOAT_token3);
      if (lookahead == '_') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(364);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(aux_sym_FLOAT_token4);
      if (lookahead == '_') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_INTEGER_token1);
      if (lookahead == '_') ADVANCE(145);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(366);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(aux_sym_INTEGER_token2);
      if (lookahead == '_') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(367);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_INTEGER_token3);
      if (lookahead == '.') ADVANCE(157);
      if (lookahead == '_') ADVANCE(156);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_INTEGER_token3);
      if (lookahead == '_') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_INTEGER_token4);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == 'o') ADVANCE(147);
      if (lookahead == 'x') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_INTEGER_token4);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_INTEGER_token4);
      if (lookahead == '_') ADVANCE(154);
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == 'o') ADVANCE(147);
      if (lookahead == 'x') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_INTEGER_token4);
      if (lookahead == '_') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_EscapeSequence);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_FormatSequence);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_FormatSequence);
      if (lookahead == '}') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token1);
      if (lookahead == '\n') ADVANCE(381);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(378);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token1);
      if (lookahead == '/') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(379);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(381);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token1);
      if (lookahead == '/') ADVANCE(378);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(381);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(381);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token2);
      if (lookahead == ':') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(104);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '}') ADVANCE(375);
      if (lookahead == '*' ||
          lookahead == 'X' ||
          ('b' <= lookahead && lookahead <= 'e') ||
          lookahead == 'o' ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_STRINGLITERALSINGLE_token2);
      if (lookahead == '}') ADVANCE(374);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_BSLASH_BSLASH);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_LINESTRING_token1);
      if (lookahead == '/') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(387);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_LINESTRING_token1);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(386);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(387);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_LINESTRING_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(387);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '1') ADVANCE(389);
      if (lookahead == '3') ADVANCE(390);
      if (lookahead == '6') ADVANCE(391);
      if (lookahead == 'a') ADVANCE(552);
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 'o') ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '2') ADVANCE(392);
      if (lookahead == '6') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '2') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '4') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '8') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'a') ADVANCE(540);
      if (lookahead == 'o') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'a') ADVANCE(686);
      if (lookahead == 'o') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'a') ADVANCE(686);
      if (lookahead == 'o') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == '_') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(426);
      if (lookahead == 'u') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'o') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'o') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(542);
      if (lookahead == 'i') ADVANCE(601);
      if (lookahead == 'r') ADVANCE(477);
      if (lookahead == 's') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(429);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(642);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'a') ADVANCE(686);
      if (lookahead == 'o') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'b') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'b') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'b') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(416);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'c') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(213);
      if (lookahead == 'y') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(213);
      if (lookahead == 'y') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(466);
      if (lookahead == 'i') ADVANCE(617);
      if (lookahead == 'r') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'd') ADVANCE(485);
      if (lookahead == 'o') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(676);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(296);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(404);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(668);
      if (lookahead == 'h') ADVANCE(663);
      if (lookahead == 'r') ADVANCE(701);
      if (lookahead == 'y') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(668);
      if (lookahead == 'h') ADVANCE(663);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'o') ADVANCE(639);
      if (lookahead == 't') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'o') ADVANCE(639);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(657);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'e') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'f') ADVANCE(253);
      if (lookahead == 'n') ADVANCE(551);
      if (lookahead == 's') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(236);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'f') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'f') ADVANCE(545);
      if (lookahead == 'i') ADVANCE(590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'f') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'f') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'g') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'g') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'g') ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'g') ADVANCE(575);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'g') ADVANCE(602);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'h') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'h') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'h') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'h') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'h') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == 'l') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(590);
      if (lookahead == 'l') ADVANCE(615);
      if (lookahead == 's') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(590);
      if (lookahead == 'l') ADVANCE(619);
      if (lookahead == 's') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(601);
      if (lookahead == 'r') ADVANCE(477);
      if (lookahead == 's') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(601);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(548);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(600);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(599);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(596);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(597);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'i') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'k') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'k') ADVANCE(467);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'k') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(435);
      if (lookahead == 's') ADVANCE(555);
      if (lookahead == 'w') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(714);
      if (lookahead == 's') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(670);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(645);
      if (lookahead == 'x') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(670);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(645);
      if (lookahead == 'x') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(670);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == 'x') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(670);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == 'x') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(670);
      if (lookahead == 'x') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(538);
      if (lookahead == 't') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(503);
      if (lookahead == 'n') ADVANCE(714);
      if (lookahead == 's') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'l') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(242);
      if (lookahead == 'y') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(633);
      if (lookahead == 'n') ADVANCE(671);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(633);
      if (lookahead == 'n') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(633);
      if (lookahead == 'n') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'm') ADVANCE(640);
      if (lookahead == 'n') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(645);
      if (lookahead == 'x') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == 'x') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == 'x') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(444);
      if (lookahead == 's') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(236);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(444);
      if (lookahead == 's') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(236);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(710);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(436);
      if (lookahead == 's') ADVANCE(555);
      if (lookahead == 'w') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(714);
      if (lookahead == 's') ADVANCE(555);
      if (lookahead == 'w') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(714);
      if (lookahead == 's') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(713);
      if (lookahead == 's') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(495);
      if (lookahead == 'z') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(719);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'n') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(613);
      if (lookahead == 'r') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(512);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(576);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(653);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(655);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'o') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(402);
      if (lookahead == 'r') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(621);
      if (lookahead == 't') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(414);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'p') ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'q') ADVANCE(704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'q') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(701);
      if (lookahead == 'y') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(477);
      if (lookahead == 's') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(417);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(577);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(573);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'r') ADVANCE(702);
      if (lookahead == 'y') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(681);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(683);
      if (lookahead == 't') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(699);
      if (lookahead == 't') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 's') ADVANCE(518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(652);
      if (lookahead == 'u') ADVANCE(677);
      if (lookahead == 'w') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(652);
      if (lookahead == 'w') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 't') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(556);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(450);
      if (lookahead == 'y') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(423);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(662);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'u') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'v') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'w') ADVANCE(718);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'x') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'y') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'y') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'y') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'y') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'z') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(719);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (lookahead == 'z') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(719);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(aux_sym_IDENTIFIER_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(719);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 171},
  [2] = {.lex_state = 163},
  [3] = {.lex_state = 2},
  [4] = {.lex_state = 163},
  [5] = {.lex_state = 163},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 2},
  [8] = {.lex_state = 165},
  [9] = {.lex_state = 164},
  [10] = {.lex_state = 165},
  [11] = {.lex_state = 165},
  [12] = {.lex_state = 164},
  [13] = {.lex_state = 164},
  [14] = {.lex_state = 6},
  [15] = {.lex_state = 163},
  [16] = {.lex_state = 5},
  [17] = {.lex_state = 2},
  [18] = {.lex_state = 6},
  [19] = {.lex_state = 163},
  [20] = {.lex_state = 163},
  [21] = {.lex_state = 6},
  [22] = {.lex_state = 2},
  [23] = {.lex_state = 5},
  [24] = {.lex_state = 2},
  [25] = {.lex_state = 5},
  [26] = {.lex_state = 12},
  [27] = {.lex_state = 12},
  [28] = {.lex_state = 12},
  [29] = {.lex_state = 12},
  [30] = {.lex_state = 12},
  [31] = {.lex_state = 12},
  [32] = {.lex_state = 12},
  [33] = {.lex_state = 12},
  [34] = {.lex_state = 12},
  [35] = {.lex_state = 12},
  [36] = {.lex_state = 12},
  [37] = {.lex_state = 12},
  [38] = {.lex_state = 12},
  [39] = {.lex_state = 12},
  [40] = {.lex_state = 12},
  [41] = {.lex_state = 12},
  [42] = {.lex_state = 12},
  [43] = {.lex_state = 12},
  [44] = {.lex_state = 12},
  [45] = {.lex_state = 12},
  [46] = {.lex_state = 12},
  [47] = {.lex_state = 3},
  [48] = {.lex_state = 3},
  [49] = {.lex_state = 3},
  [50] = {.lex_state = 163},
  [51] = {.lex_state = 4},
  [52] = {.lex_state = 163},
  [53] = {.lex_state = 163},
  [54] = {.lex_state = 4},
  [55] = {.lex_state = 4},
  [56] = {.lex_state = 14},
  [57] = {.lex_state = 4},
  [58] = {.lex_state = 4},
  [59] = {.lex_state = 4},
  [60] = {.lex_state = 4},
  [61] = {.lex_state = 163},
  [62] = {.lex_state = 4},
  [63] = {.lex_state = 163},
  [64] = {.lex_state = 4},
  [65] = {.lex_state = 15},
  [66] = {.lex_state = 15},
  [67] = {.lex_state = 15},
  [68] = {.lex_state = 15},
  [69] = {.lex_state = 15},
  [70] = {.lex_state = 15},
  [71] = {.lex_state = 15},
  [72] = {.lex_state = 15},
  [73] = {.lex_state = 15},
  [74] = {.lex_state = 15},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 15},
  [77] = {.lex_state = 15},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 3},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 11},
  [89] = {.lex_state = 15},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 4},
  [94] = {.lex_state = 4},
  [95] = {.lex_state = 15},
  [96] = {.lex_state = 11},
  [97] = {.lex_state = 11},
  [98] = {.lex_state = 11},
  [99] = {.lex_state = 11},
  [100] = {.lex_state = 11},
  [101] = {.lex_state = 11},
  [102] = {.lex_state = 11},
  [103] = {.lex_state = 11},
  [104] = {.lex_state = 11},
  [105] = {.lex_state = 11},
  [106] = {.lex_state = 11},
  [107] = {.lex_state = 11},
  [108] = {.lex_state = 11},
  [109] = {.lex_state = 11},
  [110] = {.lex_state = 11},
  [111] = {.lex_state = 11},
  [112] = {.lex_state = 11},
  [113] = {.lex_state = 11},
  [114] = {.lex_state = 11},
  [115] = {.lex_state = 11},
  [116] = {.lex_state = 11},
  [117] = {.lex_state = 11},
  [118] = {.lex_state = 11},
  [119] = {.lex_state = 11},
  [120] = {.lex_state = 11},
  [121] = {.lex_state = 11},
  [122] = {.lex_state = 11},
  [123] = {.lex_state = 11},
  [124] = {.lex_state = 11},
  [125] = {.lex_state = 11},
  [126] = {.lex_state = 11},
  [127] = {.lex_state = 11},
  [128] = {.lex_state = 11},
  [129] = {.lex_state = 11},
  [130] = {.lex_state = 11},
  [131] = {.lex_state = 11},
  [132] = {.lex_state = 11},
  [133] = {.lex_state = 11},
  [134] = {.lex_state = 11},
  [135] = {.lex_state = 11},
  [136] = {.lex_state = 11},
  [137] = {.lex_state = 11},
  [138] = {.lex_state = 11},
  [139] = {.lex_state = 11},
  [140] = {.lex_state = 11},
  [141] = {.lex_state = 11},
  [142] = {.lex_state = 11},
  [143] = {.lex_state = 11},
  [144] = {.lex_state = 11},
  [145] = {.lex_state = 11},
  [146] = {.lex_state = 11},
  [147] = {.lex_state = 11},
  [148] = {.lex_state = 11},
  [149] = {.lex_state = 11},
  [150] = {.lex_state = 11},
  [151] = {.lex_state = 11},
  [152] = {.lex_state = 11},
  [153] = {.lex_state = 11},
  [154] = {.lex_state = 11},
  [155] = {.lex_state = 11},
  [156] = {.lex_state = 11},
  [157] = {.lex_state = 11},
  [158] = {.lex_state = 11},
  [159] = {.lex_state = 11},
  [160] = {.lex_state = 11},
  [161] = {.lex_state = 11},
  [162] = {.lex_state = 11},
  [163] = {.lex_state = 11},
  [164] = {.lex_state = 11},
  [165] = {.lex_state = 11},
  [166] = {.lex_state = 11},
  [167] = {.lex_state = 11},
  [168] = {.lex_state = 11},
  [169] = {.lex_state = 11},
  [170] = {.lex_state = 11},
  [171] = {.lex_state = 11},
  [172] = {.lex_state = 11},
  [173] = {.lex_state = 11},
  [174] = {.lex_state = 11},
  [175] = {.lex_state = 11},
  [176] = {.lex_state = 11},
  [177] = {.lex_state = 11},
  [178] = {.lex_state = 11},
  [179] = {.lex_state = 11},
  [180] = {.lex_state = 11},
  [181] = {.lex_state = 11},
  [182] = {.lex_state = 11},
  [183] = {.lex_state = 11},
  [184] = {.lex_state = 11},
  [185] = {.lex_state = 11},
  [186] = {.lex_state = 11},
  [187] = {.lex_state = 11},
  [188] = {.lex_state = 11},
  [189] = {.lex_state = 11},
  [190] = {.lex_state = 11},
  [191] = {.lex_state = 11},
  [192] = {.lex_state = 11},
  [193] = {.lex_state = 11},
  [194] = {.lex_state = 11},
  [195] = {.lex_state = 11},
  [196] = {.lex_state = 11},
  [197] = {.lex_state = 11},
  [198] = {.lex_state = 11},
  [199] = {.lex_state = 11},
  [200] = {.lex_state = 11},
  [201] = {.lex_state = 11},
  [202] = {.lex_state = 11},
  [203] = {.lex_state = 11},
  [204] = {.lex_state = 11},
  [205] = {.lex_state = 11},
  [206] = {.lex_state = 11},
  [207] = {.lex_state = 11},
  [208] = {.lex_state = 11},
  [209] = {.lex_state = 11},
  [210] = {.lex_state = 11},
  [211] = {.lex_state = 11},
  [212] = {.lex_state = 11},
  [213] = {.lex_state = 11},
  [214] = {.lex_state = 11},
  [215] = {.lex_state = 11},
  [216] = {.lex_state = 11},
  [217] = {.lex_state = 11},
  [218] = {.lex_state = 11},
  [219] = {.lex_state = 11},
  [220] = {.lex_state = 11},
  [221] = {.lex_state = 11},
  [222] = {.lex_state = 11},
  [223] = {.lex_state = 11},
  [224] = {.lex_state = 11},
  [225] = {.lex_state = 11},
  [226] = {.lex_state = 11},
  [227] = {.lex_state = 11},
  [228] = {.lex_state = 11},
  [229] = {.lex_state = 11},
  [230] = {.lex_state = 11},
  [231] = {.lex_state = 11},
  [232] = {.lex_state = 11},
  [233] = {.lex_state = 11},
  [234] = {.lex_state = 11},
  [235] = {.lex_state = 11},
  [236] = {.lex_state = 11},
  [237] = {.lex_state = 11},
  [238] = {.lex_state = 11},
  [239] = {.lex_state = 11},
  [240] = {.lex_state = 11},
  [241] = {.lex_state = 11},
  [242] = {.lex_state = 11},
  [243] = {.lex_state = 11},
  [244] = {.lex_state = 11},
  [245] = {.lex_state = 11},
  [246] = {.lex_state = 11},
  [247] = {.lex_state = 11},
  [248] = {.lex_state = 11},
  [249] = {.lex_state = 11},
  [250] = {.lex_state = 11},
  [251] = {.lex_state = 11},
  [252] = {.lex_state = 11},
  [253] = {.lex_state = 11},
  [254] = {.lex_state = 11},
  [255] = {.lex_state = 11},
  [256] = {.lex_state = 11},
  [257] = {.lex_state = 11},
  [258] = {.lex_state = 11},
  [259] = {.lex_state = 11},
  [260] = {.lex_state = 11},
  [261] = {.lex_state = 11},
  [262] = {.lex_state = 11},
  [263] = {.lex_state = 11},
  [264] = {.lex_state = 11},
  [265] = {.lex_state = 11},
  [266] = {.lex_state = 11},
  [267] = {.lex_state = 11},
  [268] = {.lex_state = 11},
  [269] = {.lex_state = 11},
  [270] = {.lex_state = 11},
  [271] = {.lex_state = 11},
  [272] = {.lex_state = 11},
  [273] = {.lex_state = 11},
  [274] = {.lex_state = 11},
  [275] = {.lex_state = 11},
  [276] = {.lex_state = 11},
  [277] = {.lex_state = 11},
  [278] = {.lex_state = 11},
  [279] = {.lex_state = 11},
  [280] = {.lex_state = 11},
  [281] = {.lex_state = 11},
  [282] = {.lex_state = 11},
  [283] = {.lex_state = 11},
  [284] = {.lex_state = 11},
  [285] = {.lex_state = 11},
  [286] = {.lex_state = 11},
  [287] = {.lex_state = 11},
  [288] = {.lex_state = 11},
  [289] = {.lex_state = 11},
  [290] = {.lex_state = 11},
  [291] = {.lex_state = 11},
  [292] = {.lex_state = 11},
  [293] = {.lex_state = 11},
  [294] = {.lex_state = 11},
  [295] = {.lex_state = 11},
  [296] = {.lex_state = 11},
  [297] = {.lex_state = 11},
  [298] = {.lex_state = 11},
  [299] = {.lex_state = 11},
  [300] = {.lex_state = 11},
  [301] = {.lex_state = 11},
  [302] = {.lex_state = 11},
  [303] = {.lex_state = 11},
  [304] = {.lex_state = 11},
  [305] = {.lex_state = 11},
  [306] = {.lex_state = 11},
  [307] = {.lex_state = 11},
  [308] = {.lex_state = 11},
  [309] = {.lex_state = 11},
  [310] = {.lex_state = 11},
  [311] = {.lex_state = 11},
  [312] = {.lex_state = 11},
  [313] = {.lex_state = 11},
  [314] = {.lex_state = 11},
  [315] = {.lex_state = 11},
  [316] = {.lex_state = 11},
  [317] = {.lex_state = 11},
  [318] = {.lex_state = 11},
  [319] = {.lex_state = 11},
  [320] = {.lex_state = 11},
  [321] = {.lex_state = 11},
  [322] = {.lex_state = 11},
  [323] = {.lex_state = 11},
  [324] = {.lex_state = 11},
  [325] = {.lex_state = 11},
  [326] = {.lex_state = 11},
  [327] = {.lex_state = 11},
  [328] = {.lex_state = 11},
  [329] = {.lex_state = 11},
  [330] = {.lex_state = 11},
  [331] = {.lex_state = 11},
  [332] = {.lex_state = 11},
  [333] = {.lex_state = 11},
  [334] = {.lex_state = 11},
  [335] = {.lex_state = 11},
  [336] = {.lex_state = 11},
  [337] = {.lex_state = 11},
  [338] = {.lex_state = 11},
  [339] = {.lex_state = 11},
  [340] = {.lex_state = 11},
  [341] = {.lex_state = 11},
  [342] = {.lex_state = 11},
  [343] = {.lex_state = 11},
  [344] = {.lex_state = 11},
  [345] = {.lex_state = 11},
  [346] = {.lex_state = 11},
  [347] = {.lex_state = 11},
  [348] = {.lex_state = 11},
  [349] = {.lex_state = 11},
  [350] = {.lex_state = 11},
  [351] = {.lex_state = 165},
  [352] = {.lex_state = 165},
  [353] = {.lex_state = 165},
  [354] = {.lex_state = 165},
  [355] = {.lex_state = 165},
  [356] = {.lex_state = 164},
  [357] = {.lex_state = 164},
  [358] = {.lex_state = 164},
  [359] = {.lex_state = 164},
  [360] = {.lex_state = 164},
  [361] = {.lex_state = 6},
  [362] = {.lex_state = 6},
  [363] = {.lex_state = 6},
  [364] = {.lex_state = 6},
  [365] = {.lex_state = 6},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 16},
  [372] = {.lex_state = 16},
  [373] = {.lex_state = 16},
  [374] = {.lex_state = 16},
  [375] = {.lex_state = 16},
  [376] = {.lex_state = 16},
  [377] = {.lex_state = 16},
  [378] = {.lex_state = 20},
  [379] = {.lex_state = 16},
  [380] = {.lex_state = 16},
  [381] = {.lex_state = 16},
  [382] = {.lex_state = 16},
  [383] = {.lex_state = 16},
  [384] = {.lex_state = 16},
  [385] = {.lex_state = 20},
  [386] = {.lex_state = 16},
  [387] = {.lex_state = 16},
  [388] = {.lex_state = 16},
  [389] = {.lex_state = 20},
  [390] = {.lex_state = 16},
  [391] = {.lex_state = 16},
  [392] = {.lex_state = 16},
  [393] = {.lex_state = 16},
  [394] = {.lex_state = 16},
  [395] = {.lex_state = 16},
  [396] = {.lex_state = 20},
  [397] = {.lex_state = 18},
  [398] = {.lex_state = 18},
  [399] = {.lex_state = 18},
  [400] = {.lex_state = 18},
  [401] = {.lex_state = 18},
  [402] = {.lex_state = 18},
  [403] = {.lex_state = 18},
  [404] = {.lex_state = 18},
  [405] = {.lex_state = 18},
  [406] = {.lex_state = 18},
  [407] = {.lex_state = 18},
  [408] = {.lex_state = 18},
  [409] = {.lex_state = 18},
  [410] = {.lex_state = 18},
  [411] = {.lex_state = 18},
  [412] = {.lex_state = 18},
  [413] = {.lex_state = 18},
  [414] = {.lex_state = 18},
  [415] = {.lex_state = 18},
  [416] = {.lex_state = 18},
  [417] = {.lex_state = 18},
  [418] = {.lex_state = 18},
  [419] = {.lex_state = 19},
  [420] = {.lex_state = 19},
  [421] = {.lex_state = 19},
  [422] = {.lex_state = 19},
  [423] = {.lex_state = 19},
  [424] = {.lex_state = 19},
  [425] = {.lex_state = 19},
  [426] = {.lex_state = 19},
  [427] = {.lex_state = 19},
  [428] = {.lex_state = 19},
  [429] = {.lex_state = 19},
  [430] = {.lex_state = 19},
  [431] = {.lex_state = 19},
  [432] = {.lex_state = 19},
  [433] = {.lex_state = 19},
  [434] = {.lex_state = 19},
  [435] = {.lex_state = 19},
  [436] = {.lex_state = 19},
  [437] = {.lex_state = 19},
  [438] = {.lex_state = 19},
  [439] = {.lex_state = 19},
  [440] = {.lex_state = 19},
  [441] = {.lex_state = 19},
  [442] = {.lex_state = 19},
  [443] = {.lex_state = 19},
  [444] = {.lex_state = 19},
  [445] = {.lex_state = 23},
  [446] = {.lex_state = 19},
  [447] = {.lex_state = 19},
  [448] = {.lex_state = 22},
  [449] = {.lex_state = 19},
  [450] = {.lex_state = 19},
  [451] = {.lex_state = 19},
  [452] = {.lex_state = 19},
  [453] = {.lex_state = 19},
  [454] = {.lex_state = 19},
  [455] = {.lex_state = 19},
  [456] = {.lex_state = 19},
  [457] = {.lex_state = 22},
  [458] = {.lex_state = 19},
  [459] = {.lex_state = 22},
  [460] = {.lex_state = 19},
  [461] = {.lex_state = 19},
  [462] = {.lex_state = 19},
  [463] = {.lex_state = 19},
  [464] = {.lex_state = 19},
  [465] = {.lex_state = 19},
  [466] = {.lex_state = 19},
  [467] = {.lex_state = 22},
  [468] = {.lex_state = 17},
  [469] = {.lex_state = 17},
  [470] = {.lex_state = 17},
  [471] = {.lex_state = 22},
  [472] = {.lex_state = 22},
  [473] = {.lex_state = 17},
  [474] = {.lex_state = 22},
  [475] = {.lex_state = 22},
  [476] = {.lex_state = 17},
  [477] = {.lex_state = 22},
  [478] = {.lex_state = 17},
  [479] = {.lex_state = 17},
  [480] = {.lex_state = 17},
  [481] = {.lex_state = 17},
  [482] = {.lex_state = 17},
  [483] = {.lex_state = 17},
  [484] = {.lex_state = 17},
  [485] = {.lex_state = 17},
  [486] = {.lex_state = 17},
  [487] = {.lex_state = 17},
  [488] = {.lex_state = 17},
  [489] = {.lex_state = 17},
  [490] = {.lex_state = 17},
  [491] = {.lex_state = 17},
  [492] = {.lex_state = 17},
  [493] = {.lex_state = 17},
  [494] = {.lex_state = 17},
  [495] = {.lex_state = 17},
  [496] = {.lex_state = 17},
  [497] = {.lex_state = 17},
  [498] = {.lex_state = 22},
  [499] = {.lex_state = 17},
  [500] = {.lex_state = 17},
  [501] = {.lex_state = 17},
  [502] = {.lex_state = 17},
  [503] = {.lex_state = 17},
  [504] = {.lex_state = 17},
  [505] = {.lex_state = 17},
  [506] = {.lex_state = 17},
  [507] = {.lex_state = 17},
  [508] = {.lex_state = 17},
  [509] = {.lex_state = 17},
  [510] = {.lex_state = 17},
  [511] = {.lex_state = 17},
  [512] = {.lex_state = 17},
  [513] = {.lex_state = 17},
  [514] = {.lex_state = 17},
  [515] = {.lex_state = 17},
  [516] = {.lex_state = 17},
  [517] = {.lex_state = 17},
  [518] = {.lex_state = 17},
  [519] = {.lex_state = 17},
  [520] = {.lex_state = 17},
  [521] = {.lex_state = 17},
  [522] = {.lex_state = 17},
  [523] = {.lex_state = 17},
  [524] = {.lex_state = 17},
  [525] = {.lex_state = 17},
  [526] = {.lex_state = 17},
  [527] = {.lex_state = 17},
  [528] = {.lex_state = 17},
  [529] = {.lex_state = 17},
  [530] = {.lex_state = 17},
  [531] = {.lex_state = 17},
  [532] = {.lex_state = 17},
  [533] = {.lex_state = 17},
  [534] = {.lex_state = 17},
  [535] = {.lex_state = 17},
  [536] = {.lex_state = 17},
  [537] = {.lex_state = 17},
  [538] = {.lex_state = 17},
  [539] = {.lex_state = 17},
  [540] = {.lex_state = 17},
  [541] = {.lex_state = 17},
  [542] = {.lex_state = 17},
  [543] = {.lex_state = 17},
  [544] = {.lex_state = 17},
  [545] = {.lex_state = 22},
  [546] = {.lex_state = 17},
  [547] = {.lex_state = 17},
  [548] = {.lex_state = 17},
  [549] = {.lex_state = 17},
  [550] = {.lex_state = 17},
  [551] = {.lex_state = 17},
  [552] = {.lex_state = 17},
  [553] = {.lex_state = 17},
  [554] = {.lex_state = 17},
  [555] = {.lex_state = 17},
  [556] = {.lex_state = 17},
  [557] = {.lex_state = 17},
  [558] = {.lex_state = 17},
  [559] = {.lex_state = 17},
  [560] = {.lex_state = 17},
  [561] = {.lex_state = 17},
  [562] = {.lex_state = 17},
  [563] = {.lex_state = 17},
  [564] = {.lex_state = 17},
  [565] = {.lex_state = 17},
  [566] = {.lex_state = 17},
  [567] = {.lex_state = 17},
  [568] = {.lex_state = 17},
  [569] = {.lex_state = 17},
  [570] = {.lex_state = 17},
  [571] = {.lex_state = 17},
  [572] = {.lex_state = 17},
  [573] = {.lex_state = 17},
  [574] = {.lex_state = 17},
  [575] = {.lex_state = 17},
  [576] = {.lex_state = 17},
  [577] = {.lex_state = 17},
  [578] = {.lex_state = 17},
  [579] = {.lex_state = 17},
  [580] = {.lex_state = 17},
  [581] = {.lex_state = 17},
  [582] = {.lex_state = 17},
  [583] = {.lex_state = 17},
  [584] = {.lex_state = 17},
  [585] = {.lex_state = 17},
  [586] = {.lex_state = 17},
  [587] = {.lex_state = 17},
  [588] = {.lex_state = 17},
  [589] = {.lex_state = 17},
  [590] = {.lex_state = 17},
  [591] = {.lex_state = 17},
  [592] = {.lex_state = 17},
  [593] = {.lex_state = 17},
  [594] = {.lex_state = 17},
  [595] = {.lex_state = 17},
  [596] = {.lex_state = 17},
  [597] = {.lex_state = 17},
  [598] = {.lex_state = 17},
  [599] = {.lex_state = 17},
  [600] = {.lex_state = 17},
  [601] = {.lex_state = 17},
  [602] = {.lex_state = 17},
  [603] = {.lex_state = 17},
  [604] = {.lex_state = 17},
  [605] = {.lex_state = 17},
  [606] = {.lex_state = 17},
  [607] = {.lex_state = 17},
  [608] = {.lex_state = 17},
  [609] = {.lex_state = 17},
  [610] = {.lex_state = 17},
  [611] = {.lex_state = 17},
  [612] = {.lex_state = 17},
  [613] = {.lex_state = 17},
  [614] = {.lex_state = 17},
  [615] = {.lex_state = 17},
  [616] = {.lex_state = 17},
  [617] = {.lex_state = 17},
  [618] = {.lex_state = 17},
  [619] = {.lex_state = 17},
  [620] = {.lex_state = 17},
  [621] = {.lex_state = 17},
  [622] = {.lex_state = 17},
  [623] = {.lex_state = 17},
  [624] = {.lex_state = 17},
  [625] = {.lex_state = 17},
  [626] = {.lex_state = 17},
  [627] = {.lex_state = 17},
  [628] = {.lex_state = 17},
  [629] = {.lex_state = 17},
  [630] = {.lex_state = 17},
  [631] = {.lex_state = 17},
  [632] = {.lex_state = 17},
  [633] = {.lex_state = 17},
  [634] = {.lex_state = 17},
  [635] = {.lex_state = 17},
  [636] = {.lex_state = 17},
  [637] = {.lex_state = 17},
  [638] = {.lex_state = 17},
  [639] = {.lex_state = 17},
  [640] = {.lex_state = 17},
  [641] = {.lex_state = 17},
  [642] = {.lex_state = 17},
  [643] = {.lex_state = 17},
  [644] = {.lex_state = 17},
  [645] = {.lex_state = 17},
  [646] = {.lex_state = 17},
  [647] = {.lex_state = 17},
  [648] = {.lex_state = 17},
  [649] = {.lex_state = 17},
  [650] = {.lex_state = 17},
  [651] = {.lex_state = 17},
  [652] = {.lex_state = 17},
  [653] = {.lex_state = 17},
  [654] = {.lex_state = 17},
  [655] = {.lex_state = 17},
  [656] = {.lex_state = 17},
  [657] = {.lex_state = 17},
  [658] = {.lex_state = 17},
  [659] = {.lex_state = 17},
  [660] = {.lex_state = 17},
  [661] = {.lex_state = 17},
  [662] = {.lex_state = 17},
  [663] = {.lex_state = 17},
  [664] = {.lex_state = 17},
  [665] = {.lex_state = 17},
  [666] = {.lex_state = 17},
  [667] = {.lex_state = 17},
  [668] = {.lex_state = 17},
  [669] = {.lex_state = 17},
  [670] = {.lex_state = 17},
  [671] = {.lex_state = 17},
  [672] = {.lex_state = 17},
  [673] = {.lex_state = 17},
  [674] = {.lex_state = 17},
  [675] = {.lex_state = 17},
  [676] = {.lex_state = 17},
  [677] = {.lex_state = 17},
  [678] = {.lex_state = 17},
  [679] = {.lex_state = 17},
  [680] = {.lex_state = 17},
  [681] = {.lex_state = 17},
  [682] = {.lex_state = 17},
  [683] = {.lex_state = 17},
  [684] = {.lex_state = 17},
  [685] = {.lex_state = 17},
  [686] = {.lex_state = 17},
  [687] = {.lex_state = 17},
  [688] = {.lex_state = 17},
  [689] = {.lex_state = 17},
  [690] = {.lex_state = 17},
  [691] = {.lex_state = 17},
  [692] = {.lex_state = 17},
  [693] = {.lex_state = 17},
  [694] = {.lex_state = 17},
  [695] = {.lex_state = 17},
  [696] = {.lex_state = 17},
  [697] = {.lex_state = 17},
  [698] = {.lex_state = 17},
  [699] = {.lex_state = 17},
  [700] = {.lex_state = 17},
  [701] = {.lex_state = 17},
  [702] = {.lex_state = 17},
  [703] = {.lex_state = 17},
  [704] = {.lex_state = 17},
  [705] = {.lex_state = 17},
  [706] = {.lex_state = 17},
  [707] = {.lex_state = 17},
  [708] = {.lex_state = 17},
  [709] = {.lex_state = 17},
  [710] = {.lex_state = 17},
  [711] = {.lex_state = 17},
  [712] = {.lex_state = 17},
  [713] = {.lex_state = 17},
  [714] = {.lex_state = 17},
  [715] = {.lex_state = 7},
  [716] = {.lex_state = 7},
  [717] = {.lex_state = 7},
  [718] = {.lex_state = 7},
  [719] = {.lex_state = 7},
  [720] = {.lex_state = 7},
  [721] = {.lex_state = 7},
  [722] = {.lex_state = 7},
  [723] = {.lex_state = 7},
  [724] = {.lex_state = 7},
  [725] = {.lex_state = 7},
  [726] = {.lex_state = 7},
  [727] = {.lex_state = 7},
  [728] = {.lex_state = 7},
  [729] = {.lex_state = 7},
  [730] = {.lex_state = 7},
  [731] = {.lex_state = 7},
  [732] = {.lex_state = 7},
  [733] = {.lex_state = 7},
  [734] = {.lex_state = 7},
  [735] = {.lex_state = 7},
  [736] = {.lex_state = 7},
  [737] = {.lex_state = 7},
  [738] = {.lex_state = 7},
  [739] = {.lex_state = 7},
  [740] = {.lex_state = 7},
  [741] = {.lex_state = 7},
  [742] = {.lex_state = 7},
  [743] = {.lex_state = 7},
  [744] = {.lex_state = 7},
  [745] = {.lex_state = 7},
  [746] = {.lex_state = 7},
  [747] = {.lex_state = 7},
  [748] = {.lex_state = 7},
  [749] = {.lex_state = 7},
  [750] = {.lex_state = 7},
  [751] = {.lex_state = 7},
  [752] = {.lex_state = 7},
  [753] = {.lex_state = 7},
  [754] = {.lex_state = 7},
  [755] = {.lex_state = 7},
  [756] = {.lex_state = 7},
  [757] = {.lex_state = 7},
  [758] = {.lex_state = 7},
  [759] = {.lex_state = 7},
  [760] = {.lex_state = 7},
  [761] = {.lex_state = 7},
  [762] = {.lex_state = 7},
  [763] = {.lex_state = 7},
  [764] = {.lex_state = 7},
  [765] = {.lex_state = 7},
  [766] = {.lex_state = 7},
  [767] = {.lex_state = 7},
  [768] = {.lex_state = 7},
  [769] = {.lex_state = 7},
  [770] = {.lex_state = 7},
  [771] = {.lex_state = 7},
  [772] = {.lex_state = 7},
  [773] = {.lex_state = 7},
  [774] = {.lex_state = 7},
  [775] = {.lex_state = 7},
  [776] = {.lex_state = 7},
  [777] = {.lex_state = 7},
  [778] = {.lex_state = 7},
  [779] = {.lex_state = 7},
  [780] = {.lex_state = 7},
  [781] = {.lex_state = 7},
  [782] = {.lex_state = 7},
  [783] = {.lex_state = 7},
  [784] = {.lex_state = 7},
  [785] = {.lex_state = 7},
  [786] = {.lex_state = 7},
  [787] = {.lex_state = 7},
  [788] = {.lex_state = 7},
  [789] = {.lex_state = 7},
  [790] = {.lex_state = 7},
  [791] = {.lex_state = 7},
  [792] = {.lex_state = 7},
  [793] = {.lex_state = 7},
  [794] = {.lex_state = 7},
  [795] = {.lex_state = 7},
  [796] = {.lex_state = 7},
  [797] = {.lex_state = 7},
  [798] = {.lex_state = 7},
  [799] = {.lex_state = 7},
  [800] = {.lex_state = 7},
  [801] = {.lex_state = 7},
  [802] = {.lex_state = 7},
  [803] = {.lex_state = 7},
  [804] = {.lex_state = 7},
  [805] = {.lex_state = 7},
  [806] = {.lex_state = 7},
  [807] = {.lex_state = 7},
  [808] = {.lex_state = 7},
  [809] = {.lex_state = 7},
  [810] = {.lex_state = 7},
  [811] = {.lex_state = 7},
  [812] = {.lex_state = 7},
  [813] = {.lex_state = 7},
  [814] = {.lex_state = 7},
  [815] = {.lex_state = 7},
  [816] = {.lex_state = 7},
  [817] = {.lex_state = 7},
  [818] = {.lex_state = 7},
  [819] = {.lex_state = 7},
  [820] = {.lex_state = 7},
  [821] = {.lex_state = 7},
  [822] = {.lex_state = 7},
  [823] = {.lex_state = 7},
  [824] = {.lex_state = 7},
  [825] = {.lex_state = 7},
  [826] = {.lex_state = 7},
  [827] = {.lex_state = 7},
  [828] = {.lex_state = 7},
  [829] = {.lex_state = 7},
  [830] = {.lex_state = 7},
  [831] = {.lex_state = 7},
  [832] = {.lex_state = 7},
  [833] = {.lex_state = 7},
  [834] = {.lex_state = 7},
  [835] = {.lex_state = 7},
  [836] = {.lex_state = 7},
  [837] = {.lex_state = 7},
  [838] = {.lex_state = 7},
  [839] = {.lex_state = 7},
  [840] = {.lex_state = 7},
  [841] = {.lex_state = 13},
  [842] = {.lex_state = 13},
  [843] = {.lex_state = 13},
  [844] = {.lex_state = 25},
  [845] = {.lex_state = 25},
  [846] = {.lex_state = 7},
  [847] = {.lex_state = 7},
  [848] = {.lex_state = 25},
  [849] = {.lex_state = 25},
  [850] = {.lex_state = 25},
  [851] = {.lex_state = 25},
  [852] = {.lex_state = 7},
  [853] = {.lex_state = 7},
  [854] = {.lex_state = 25},
  [855] = {.lex_state = 7},
  [856] = {.lex_state = 25},
  [857] = {.lex_state = 7},
  [858] = {.lex_state = 25},
  [859] = {.lex_state = 25},
  [860] = {.lex_state = 25},
  [861] = {.lex_state = 25},
  [862] = {.lex_state = 25},
  [863] = {.lex_state = 25},
  [864] = {.lex_state = 25},
  [865] = {.lex_state = 25},
  [866] = {.lex_state = 25},
  [867] = {.lex_state = 25},
  [868] = {.lex_state = 25},
  [869] = {.lex_state = 167},
  [870] = {.lex_state = 12},
  [871] = {.lex_state = 12},
  [872] = {.lex_state = 12},
  [873] = {.lex_state = 12},
  [874] = {.lex_state = 12},
  [875] = {.lex_state = 12},
  [876] = {.lex_state = 7},
  [877] = {.lex_state = 12},
  [878] = {.lex_state = 12},
  [879] = {.lex_state = 12},
  [880] = {.lex_state = 7},
  [881] = {.lex_state = 12},
  [882] = {.lex_state = 7},
  [883] = {.lex_state = 12},
  [884] = {.lex_state = 12},
  [885] = {.lex_state = 167},
  [886] = {.lex_state = 7},
  [887] = {.lex_state = 7},
  [888] = {.lex_state = 12},
  [889] = {.lex_state = 7},
  [890] = {.lex_state = 12},
  [891] = {.lex_state = 12},
  [892] = {.lex_state = 12},
  [893] = {.lex_state = 12},
  [894] = {.lex_state = 12},
  [895] = {.lex_state = 167},
  [896] = {.lex_state = 12},
  [897] = {.lex_state = 12},
  [898] = {.lex_state = 7},
  [899] = {.lex_state = 12},
  [900] = {.lex_state = 7},
  [901] = {.lex_state = 7},
  [902] = {.lex_state = 167},
  [903] = {.lex_state = 7},
  [904] = {.lex_state = 7},
  [905] = {.lex_state = 7},
  [906] = {.lex_state = 7},
  [907] = {.lex_state = 7},
  [908] = {.lex_state = 7},
  [909] = {.lex_state = 7},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 7},
  [912] = {.lex_state = 166},
  [913] = {.lex_state = 7},
  [914] = {.lex_state = 7},
  [915] = {.lex_state = 167},
  [916] = {.lex_state = 7},
  [917] = {.lex_state = 7},
  [918] = {.lex_state = 7},
  [919] = {.lex_state = 167},
  [920] = {.lex_state = 7},
  [921] = {.lex_state = 167},
  [922] = {.lex_state = 167},
  [923] = {.lex_state = 7},
  [924] = {.lex_state = 166},
  [925] = {.lex_state = 166},
  [926] = {.lex_state = 166},
  [927] = {.lex_state = 167},
  [928] = {.lex_state = 167},
  [929] = {.lex_state = 166},
  [930] = {.lex_state = 11},
  [931] = {.lex_state = 167},
  [932] = {.lex_state = 167},
  [933] = {.lex_state = 167},
  [934] = {.lex_state = 167},
  [935] = {.lex_state = 167},
  [936] = {.lex_state = 166},
  [937] = {.lex_state = 167},
  [938] = {.lex_state = 167},
  [939] = {.lex_state = 166},
  [940] = {.lex_state = 167},
  [941] = {.lex_state = 166},
  [942] = {.lex_state = 7},
  [943] = {.lex_state = 7},
  [944] = {.lex_state = 167},
  [945] = {.lex_state = 167},
  [946] = {.lex_state = 167},
  [947] = {.lex_state = 167},
  [948] = {.lex_state = 167},
  [949] = {.lex_state = 167},
  [950] = {.lex_state = 166},
  [951] = {.lex_state = 7},
  [952] = {.lex_state = 166},
  [953] = {.lex_state = 7},
  [954] = {.lex_state = 166},
  [955] = {.lex_state = 167},
  [956] = {.lex_state = 167},
  [957] = {.lex_state = 167},
  [958] = {.lex_state = 167},
  [959] = {.lex_state = 166},
  [960] = {.lex_state = 166},
  [961] = {.lex_state = 167},
  [962] = {.lex_state = 166},
  [963] = {.lex_state = 167},
  [964] = {.lex_state = 167},
  [965] = {.lex_state = 167},
  [966] = {.lex_state = 167},
  [967] = {.lex_state = 167},
  [968] = {.lex_state = 167},
  [969] = {.lex_state = 8},
  [970] = {.lex_state = 167},
  [971] = {.lex_state = 167},
  [972] = {.lex_state = 167},
  [973] = {.lex_state = 167},
  [974] = {.lex_state = 166},
  [975] = {.lex_state = 166},
  [976] = {.lex_state = 167},
  [977] = {.lex_state = 166},
  [978] = {.lex_state = 167},
  [979] = {.lex_state = 166},
  [980] = {.lex_state = 167},
  [981] = {.lex_state = 166},
  [982] = {.lex_state = 166},
  [983] = {.lex_state = 166},
  [984] = {.lex_state = 166},
  [985] = {.lex_state = 166},
  [986] = {.lex_state = 166},
  [987] = {.lex_state = 166},
  [988] = {.lex_state = 7},
  [989] = {.lex_state = 7},
  [990] = {.lex_state = 167},
  [991] = {.lex_state = 166},
  [992] = {.lex_state = 7},
  [993] = {.lex_state = 11},
  [994] = {.lex_state = 167},
  [995] = {.lex_state = 167},
  [996] = {.lex_state = 166},
  [997] = {.lex_state = 11},
  [998] = {.lex_state = 7},
  [999] = {.lex_state = 166},
  [1000] = {.lex_state = 7},
  [1001] = {.lex_state = 167},
  [1002] = {.lex_state = 166},
  [1003] = {.lex_state = 166},
  [1004] = {.lex_state = 166},
  [1005] = {.lex_state = 166},
  [1006] = {.lex_state = 166},
  [1007] = {.lex_state = 167},
  [1008] = {.lex_state = 7},
  [1009] = {.lex_state = 167},
  [1010] = {.lex_state = 7},
  [1011] = {.lex_state = 167},
  [1012] = {.lex_state = 166},
  [1013] = {.lex_state = 167},
  [1014] = {.lex_state = 167},
  [1015] = {.lex_state = 7},
  [1016] = {.lex_state = 167},
  [1017] = {.lex_state = 167},
  [1018] = {.lex_state = 7},
  [1019] = {.lex_state = 167},
  [1020] = {.lex_state = 8},
  [1021] = {.lex_state = 8},
  [1022] = {.lex_state = 8},
  [1023] = {.lex_state = 11},
  [1024] = {.lex_state = 7},
  [1025] = {.lex_state = 166},
  [1026] = {.lex_state = 167},
  [1027] = {.lex_state = 167},
  [1028] = {.lex_state = 166},
  [1029] = {.lex_state = 7},
  [1030] = {.lex_state = 167},
  [1031] = {.lex_state = 167},
  [1032] = {.lex_state = 166},
  [1033] = {.lex_state = 167},
  [1034] = {.lex_state = 11},
  [1035] = {.lex_state = 11},
  [1036] = {.lex_state = 167},
  [1037] = {.lex_state = 167},
  [1038] = {.lex_state = 166},
  [1039] = {.lex_state = 167},
  [1040] = {.lex_state = 167},
  [1041] = {.lex_state = 167},
  [1042] = {.lex_state = 166},
  [1043] = {.lex_state = 167},
  [1044] = {.lex_state = 167},
  [1045] = {.lex_state = 166},
  [1046] = {.lex_state = 166},
  [1047] = {.lex_state = 167},
  [1048] = {.lex_state = 167},
  [1049] = {.lex_state = 167},
  [1050] = {.lex_state = 167},
  [1051] = {.lex_state = 167},
  [1052] = {.lex_state = 167},
  [1053] = {.lex_state = 167},
  [1054] = {.lex_state = 167},
  [1055] = {.lex_state = 167},
  [1056] = {.lex_state = 166},
  [1057] = {.lex_state = 167},
  [1058] = {.lex_state = 167},
  [1059] = {.lex_state = 167},
  [1060] = {.lex_state = 167},
  [1061] = {.lex_state = 167},
  [1062] = {.lex_state = 167},
  [1063] = {.lex_state = 166},
  [1064] = {.lex_state = 167},
  [1065] = {.lex_state = 166},
  [1066] = {.lex_state = 167},
  [1067] = {.lex_state = 167},
  [1068] = {.lex_state = 167},
  [1069] = {.lex_state = 167},
  [1070] = {.lex_state = 167},
  [1071] = {.lex_state = 167},
  [1072] = {.lex_state = 167},
  [1073] = {.lex_state = 167},
  [1074] = {.lex_state = 167},
  [1075] = {.lex_state = 167},
  [1076] = {.lex_state = 167},
  [1077] = {.lex_state = 167},
  [1078] = {.lex_state = 167},
  [1079] = {.lex_state = 167},
  [1080] = {.lex_state = 167},
  [1081] = {.lex_state = 167},
  [1082] = {.lex_state = 167},
  [1083] = {.lex_state = 167},
  [1084] = {.lex_state = 166},
  [1085] = {.lex_state = 167},
  [1086] = {.lex_state = 167},
  [1087] = {.lex_state = 167},
  [1088] = {.lex_state = 167},
  [1089] = {.lex_state = 167},
  [1090] = {.lex_state = 167},
  [1091] = {.lex_state = 167},
  [1092] = {.lex_state = 167},
  [1093] = {.lex_state = 167},
  [1094] = {.lex_state = 167},
  [1095] = {.lex_state = 167},
  [1096] = {.lex_state = 167},
  [1097] = {.lex_state = 167},
  [1098] = {.lex_state = 167},
  [1099] = {.lex_state = 167},
  [1100] = {.lex_state = 167},
  [1101] = {.lex_state = 167},
  [1102] = {.lex_state = 166},
  [1103] = {.lex_state = 167},
  [1104] = {.lex_state = 167},
  [1105] = {.lex_state = 167},
  [1106] = {.lex_state = 167},
  [1107] = {.lex_state = 167},
  [1108] = {.lex_state = 167},
  [1109] = {.lex_state = 167},
  [1110] = {.lex_state = 167},
  [1111] = {.lex_state = 167},
  [1112] = {.lex_state = 167},
  [1113] = {.lex_state = 167},
  [1114] = {.lex_state = 167},
  [1115] = {.lex_state = 166},
  [1116] = {.lex_state = 166},
  [1117] = {.lex_state = 166},
  [1118] = {.lex_state = 167},
  [1119] = {.lex_state = 167},
  [1120] = {.lex_state = 167},
  [1121] = {.lex_state = 166},
  [1122] = {.lex_state = 11},
  [1123] = {.lex_state = 166},
  [1124] = {.lex_state = 166},
  [1125] = {.lex_state = 11},
  [1126] = {.lex_state = 166},
  [1127] = {.lex_state = 166},
  [1128] = {.lex_state = 11},
  [1129] = {.lex_state = 166},
  [1130] = {.lex_state = 166},
  [1131] = {.lex_state = 166},
  [1132] = {.lex_state = 166},
  [1133] = {.lex_state = 166},
  [1134] = {.lex_state = 166},
  [1135] = {.lex_state = 11},
  [1136] = {.lex_state = 166},
  [1137] = {.lex_state = 166},
  [1138] = {.lex_state = 166},
  [1139] = {.lex_state = 166},
  [1140] = {.lex_state = 11},
  [1141] = {.lex_state = 8},
  [1142] = {.lex_state = 11},
  [1143] = {.lex_state = 11},
  [1144] = {.lex_state = 11},
  [1145] = {.lex_state = 11},
  [1146] = {.lex_state = 11},
  [1147] = {.lex_state = 166},
  [1148] = {.lex_state = 166},
  [1149] = {.lex_state = 166},
  [1150] = {.lex_state = 167},
  [1151] = {.lex_state = 167},
  [1152] = {.lex_state = 166},
  [1153] = {.lex_state = 166},
  [1154] = {.lex_state = 166},
  [1155] = {.lex_state = 167},
  [1156] = {.lex_state = 166},
  [1157] = {.lex_state = 11},
  [1158] = {.lex_state = 11},
  [1159] = {.lex_state = 166},
  [1160] = {.lex_state = 166},
  [1161] = {.lex_state = 166},
  [1162] = {.lex_state = 166},
  [1163] = {.lex_state = 166},
  [1164] = {.lex_state = 166},
  [1165] = {.lex_state = 166},
  [1166] = {.lex_state = 166},
  [1167] = {.lex_state = 166},
  [1168] = {.lex_state = 166},
  [1169] = {.lex_state = 166},
  [1170] = {.lex_state = 166},
  [1171] = {.lex_state = 166},
  [1172] = {.lex_state = 166},
  [1173] = {.lex_state = 166},
  [1174] = {.lex_state = 166},
  [1175] = {.lex_state = 166},
  [1176] = {.lex_state = 166},
  [1177] = {.lex_state = 166},
  [1178] = {.lex_state = 166},
  [1179] = {.lex_state = 166},
  [1180] = {.lex_state = 166},
  [1181] = {.lex_state = 166},
  [1182] = {.lex_state = 166},
  [1183] = {.lex_state = 166},
  [1184] = {.lex_state = 166},
  [1185] = {.lex_state = 166},
  [1186] = {.lex_state = 166},
  [1187] = {.lex_state = 166},
  [1188] = {.lex_state = 166},
  [1189] = {.lex_state = 166},
  [1190] = {.lex_state = 166},
  [1191] = {.lex_state = 166},
  [1192] = {.lex_state = 166},
  [1193] = {.lex_state = 166},
  [1194] = {.lex_state = 11},
  [1195] = {.lex_state = 166},
  [1196] = {.lex_state = 166},
  [1197] = {.lex_state = 166},
  [1198] = {.lex_state = 11},
  [1199] = {.lex_state = 11},
  [1200] = {.lex_state = 11},
  [1201] = {.lex_state = 11},
  [1202] = {.lex_state = 166},
  [1203] = {.lex_state = 11},
  [1204] = {.lex_state = 166},
  [1205] = {.lex_state = 166},
  [1206] = {.lex_state = 166},
  [1207] = {.lex_state = 166},
  [1208] = {.lex_state = 166},
  [1209] = {.lex_state = 166},
  [1210] = {.lex_state = 166},
  [1211] = {.lex_state = 167},
  [1212] = {.lex_state = 167},
  [1213] = {.lex_state = 167},
  [1214] = {.lex_state = 167},
  [1215] = {.lex_state = 167},
  [1216] = {.lex_state = 167},
  [1217] = {.lex_state = 167},
  [1218] = {.lex_state = 167},
  [1219] = {.lex_state = 167},
  [1220] = {.lex_state = 167},
  [1221] = {.lex_state = 167},
  [1222] = {.lex_state = 167},
  [1223] = {.lex_state = 166},
  [1224] = {.lex_state = 166},
  [1225] = {.lex_state = 166},
  [1226] = {.lex_state = 166},
  [1227] = {.lex_state = 166},
  [1228] = {.lex_state = 166},
  [1229] = {.lex_state = 166},
  [1230] = {.lex_state = 166},
  [1231] = {.lex_state = 166},
  [1232] = {.lex_state = 166},
  [1233] = {.lex_state = 166},
  [1234] = {.lex_state = 166},
  [1235] = {.lex_state = 166},
  [1236] = {.lex_state = 166},
  [1237] = {.lex_state = 166},
  [1238] = {.lex_state = 166},
  [1239] = {.lex_state = 166},
  [1240] = {.lex_state = 166},
  [1241] = {.lex_state = 166},
  [1242] = {.lex_state = 166},
  [1243] = {.lex_state = 166},
  [1244] = {.lex_state = 167},
  [1245] = {.lex_state = 167},
  [1246] = {.lex_state = 167},
  [1247] = {.lex_state = 166},
  [1248] = {.lex_state = 166},
  [1249] = {.lex_state = 166},
  [1250] = {.lex_state = 167},
  [1251] = {.lex_state = 167},
  [1252] = {.lex_state = 167},
  [1253] = {.lex_state = 167},
  [1254] = {.lex_state = 167},
  [1255] = {.lex_state = 167},
  [1256] = {.lex_state = 167},
  [1257] = {.lex_state = 167},
  [1258] = {.lex_state = 167},
  [1259] = {.lex_state = 167},
  [1260] = {.lex_state = 167},
  [1261] = {.lex_state = 166},
  [1262] = {.lex_state = 166},
  [1263] = {.lex_state = 166},
  [1264] = {.lex_state = 166},
  [1265] = {.lex_state = 166},
  [1266] = {.lex_state = 21},
  [1267] = {.lex_state = 166},
  [1268] = {.lex_state = 166},
  [1269] = {.lex_state = 166},
  [1270] = {.lex_state = 166},
  [1271] = {.lex_state = 166},
  [1272] = {.lex_state = 166},
  [1273] = {.lex_state = 24},
  [1274] = {.lex_state = 24},
  [1275] = {.lex_state = 24},
  [1276] = {.lex_state = 18},
  [1277] = {.lex_state = 9},
  [1278] = {.lex_state = 24},
  [1279] = {.lex_state = 24},
  [1280] = {.lex_state = 9},
  [1281] = {.lex_state = 24},
  [1282] = {.lex_state = 9},
  [1283] = {.lex_state = 9},
  [1284] = {.lex_state = 17},
  [1285] = {.lex_state = 24},
  [1286] = {.lex_state = 24},
  [1287] = {.lex_state = 24},
  [1288] = {.lex_state = 7},
  [1289] = {.lex_state = 16},
  [1290] = {.lex_state = 16},
  [1291] = {.lex_state = 17},
  [1292] = {.lex_state = 9},
  [1293] = {.lex_state = 7},
  [1294] = {.lex_state = 19},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 9},
  [1297] = {.lex_state = 7},
  [1298] = {.lex_state = 24},
  [1299] = {.lex_state = 24},
  [1300] = {.lex_state = 24},
  [1301] = {.lex_state = 24},
  [1302] = {.lex_state = 7},
  [1303] = {.lex_state = 24},
  [1304] = {.lex_state = 9},
  [1305] = {.lex_state = 16},
  [1306] = {.lex_state = 9},
  [1307] = {.lex_state = 24},
  [1308] = {.lex_state = 9},
  [1309] = {.lex_state = 9},
  [1310] = {.lex_state = 9},
  [1311] = {.lex_state = 9},
  [1312] = {.lex_state = 9},
  [1313] = {.lex_state = 9},
  [1314] = {.lex_state = 9},
  [1315] = {.lex_state = 9},
  [1316] = {.lex_state = 9},
  [1317] = {.lex_state = 9},
  [1318] = {.lex_state = 9},
  [1319] = {.lex_state = 9},
  [1320] = {.lex_state = 9},
  [1321] = {.lex_state = 9},
  [1322] = {.lex_state = 9},
  [1323] = {.lex_state = 9},
  [1324] = {.lex_state = 17},
  [1325] = {.lex_state = 9},
  [1326] = {.lex_state = 9},
  [1327] = {.lex_state = 9},
  [1328] = {.lex_state = 9},
  [1329] = {.lex_state = 9},
  [1330] = {.lex_state = 9},
  [1331] = {.lex_state = 9},
  [1332] = {.lex_state = 9},
  [1333] = {.lex_state = 9},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 9},
  [1336] = {.lex_state = 9},
  [1337] = {.lex_state = 17},
  [1338] = {.lex_state = 9},
  [1339] = {.lex_state = 9},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 9},
  [1342] = {.lex_state = 9},
  [1343] = {.lex_state = 9},
  [1344] = {.lex_state = 9},
  [1345] = {.lex_state = 7},
  [1346] = {.lex_state = 9},
  [1347] = {.lex_state = 17},
  [1348] = {.lex_state = 9},
  [1349] = {.lex_state = 9},
  [1350] = {.lex_state = 9},
  [1351] = {.lex_state = 9},
  [1352] = {.lex_state = 9},
  [1353] = {.lex_state = 9},
  [1354] = {.lex_state = 9},
  [1355] = {.lex_state = 7},
  [1356] = {.lex_state = 17},
  [1357] = {.lex_state = 9},
  [1358] = {.lex_state = 17},
  [1359] = {.lex_state = 9},
  [1360] = {.lex_state = 7},
  [1361] = {.lex_state = 9},
  [1362] = {.lex_state = 9},
  [1363] = {.lex_state = 9},
  [1364] = {.lex_state = 9},
  [1365] = {.lex_state = 9},
  [1366] = {.lex_state = 9},
  [1367] = {.lex_state = 9},
  [1368] = {.lex_state = 9},
  [1369] = {.lex_state = 17},
  [1370] = {.lex_state = 17},
  [1371] = {.lex_state = 9},
  [1372] = {.lex_state = 9},
  [1373] = {.lex_state = 17},
  [1374] = {.lex_state = 9},
  [1375] = {.lex_state = 9},
  [1376] = {.lex_state = 9},
  [1377] = {.lex_state = 9},
  [1378] = {.lex_state = 9},
  [1379] = {.lex_state = 9},
  [1380] = {.lex_state = 9},
  [1381] = {.lex_state = 9},
  [1382] = {.lex_state = 17},
  [1383] = {.lex_state = 9},
  [1384] = {.lex_state = 9},
  [1385] = {.lex_state = 17},
  [1386] = {.lex_state = 9},
  [1387] = {.lex_state = 9},
  [1388] = {.lex_state = 17},
  [1389] = {.lex_state = 17},
  [1390] = {.lex_state = 17},
  [1391] = {.lex_state = 9},
  [1392] = {.lex_state = 9},
  [1393] = {.lex_state = 17},
  [1394] = {.lex_state = 9},
  [1395] = {.lex_state = 17},
  [1396] = {.lex_state = 9},
  [1397] = {.lex_state = 9},
  [1398] = {.lex_state = 9},
  [1399] = {.lex_state = 9},
  [1400] = {.lex_state = 9},
  [1401] = {.lex_state = 9},
  [1402] = {.lex_state = 9},
  [1403] = {.lex_state = 9},
  [1404] = {.lex_state = 9},
  [1405] = {.lex_state = 9},
  [1406] = {.lex_state = 9},
  [1407] = {.lex_state = 9},
  [1408] = {.lex_state = 9},
  [1409] = {.lex_state = 9},
  [1410] = {.lex_state = 17},
  [1411] = {.lex_state = 17},
  [1412] = {.lex_state = 9},
  [1413] = {.lex_state = 9},
  [1414] = {.lex_state = 9},
  [1415] = {.lex_state = 9},
  [1416] = {.lex_state = 17},
  [1417] = {.lex_state = 9},
  [1418] = {.lex_state = 9},
  [1419] = {.lex_state = 9},
  [1420] = {.lex_state = 9},
  [1421] = {.lex_state = 9},
  [1422] = {.lex_state = 9},
  [1423] = {.lex_state = 9},
  [1424] = {.lex_state = 17},
  [1425] = {.lex_state = 9},
  [1426] = {.lex_state = 9},
  [1427] = {.lex_state = 9},
  [1428] = {.lex_state = 9},
  [1429] = {.lex_state = 9},
  [1430] = {.lex_state = 9},
  [1431] = {.lex_state = 9},
  [1432] = {.lex_state = 9},
  [1433] = {.lex_state = 9},
  [1434] = {.lex_state = 9},
  [1435] = {.lex_state = 9},
  [1436] = {.lex_state = 9},
  [1437] = {.lex_state = 9},
  [1438] = {.lex_state = 9},
  [1439] = {.lex_state = 9},
  [1440] = {.lex_state = 9},
  [1441] = {.lex_state = 9},
  [1442] = {.lex_state = 9},
  [1443] = {.lex_state = 9},
  [1444] = {.lex_state = 9},
  [1445] = {.lex_state = 9},
  [1446] = {.lex_state = 9},
  [1447] = {.lex_state = 9},
  [1448] = {.lex_state = 8},
  [1449] = {.lex_state = 9},
  [1450] = {.lex_state = 7},
  [1451] = {.lex_state = 9},
  [1452] = {.lex_state = 9},
  [1453] = {.lex_state = 9},
  [1454] = {.lex_state = 9},
  [1455] = {.lex_state = 7},
  [1456] = {.lex_state = 7},
  [1457] = {.lex_state = 9},
  [1458] = {.lex_state = 7},
  [1459] = {.lex_state = 7},
  [1460] = {.lex_state = 7},
  [1461] = {.lex_state = 7},
  [1462] = {.lex_state = 7},
  [1463] = {.lex_state = 9},
  [1464] = {.lex_state = 7},
  [1465] = {.lex_state = 7},
  [1466] = {.lex_state = 7},
  [1467] = {.lex_state = 7},
  [1468] = {.lex_state = 9},
  [1469] = {.lex_state = 9},
  [1470] = {.lex_state = 7},
  [1471] = {.lex_state = 7},
  [1472] = {.lex_state = 9},
  [1473] = {.lex_state = 9},
  [1474] = {.lex_state = 7},
  [1475] = {.lex_state = 9},
  [1476] = {.lex_state = 9},
  [1477] = {.lex_state = 7},
  [1478] = {.lex_state = 7},
  [1479] = {.lex_state = 9},
  [1480] = {.lex_state = 7},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9},
  [1483] = {.lex_state = 9},
  [1484] = {.lex_state = 7},
  [1485] = {.lex_state = 9},
  [1486] = {.lex_state = 7},
  [1487] = {.lex_state = 7},
  [1488] = {.lex_state = 7},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 7},
  [1491] = {.lex_state = 9},
  [1492] = {.lex_state = 7},
  [1493] = {.lex_state = 7},
  [1494] = {.lex_state = 7},
  [1495] = {.lex_state = 7},
  [1496] = {.lex_state = 7},
  [1497] = {.lex_state = 7},
  [1498] = {.lex_state = 9},
  [1499] = {.lex_state = 7},
  [1500] = {.lex_state = 7},
  [1501] = {.lex_state = 9},
  [1502] = {.lex_state = 7},
  [1503] = {.lex_state = 7},
  [1504] = {.lex_state = 9},
  [1505] = {.lex_state = 7},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 7},
  [1508] = {.lex_state = 9},
  [1509] = {.lex_state = 7},
  [1510] = {.lex_state = 9},
  [1511] = {.lex_state = 7},
  [1512] = {.lex_state = 9},
  [1513] = {.lex_state = 7},
  [1514] = {.lex_state = 9},
  [1515] = {.lex_state = 7},
  [1516] = {.lex_state = 9},
  [1517] = {.lex_state = 7},
  [1518] = {.lex_state = 9},
  [1519] = {.lex_state = 7},
  [1520] = {.lex_state = 9},
  [1521] = {.lex_state = 7},
  [1522] = {.lex_state = 7},
  [1523] = {.lex_state = 7},
  [1524] = {.lex_state = 7},
  [1525] = {.lex_state = 7},
  [1526] = {.lex_state = 7},
  [1527] = {.lex_state = 7},
  [1528] = {.lex_state = 7},
  [1529] = {.lex_state = 7},
  [1530] = {.lex_state = 7},
  [1531] = {.lex_state = 7},
  [1532] = {.lex_state = 7},
  [1533] = {.lex_state = 7},
  [1534] = {.lex_state = 7},
  [1535] = {.lex_state = 9},
  [1536] = {.lex_state = 7},
  [1537] = {.lex_state = 7},
  [1538] = {.lex_state = 7},
  [1539] = {.lex_state = 7},
  [1540] = {.lex_state = 7},
  [1541] = {.lex_state = 7},
  [1542] = {.lex_state = 7},
  [1543] = {.lex_state = 7},
  [1544] = {.lex_state = 7},
  [1545] = {.lex_state = 7},
  [1546] = {.lex_state = 7},
  [1547] = {.lex_state = 7},
  [1548] = {.lex_state = 7},
  [1549] = {.lex_state = 7},
  [1550] = {.lex_state = 7},
  [1551] = {.lex_state = 7},
  [1552] = {.lex_state = 7},
  [1553] = {.lex_state = 7},
  [1554] = {.lex_state = 7},
  [1555] = {.lex_state = 7},
  [1556] = {.lex_state = 7},
  [1557] = {.lex_state = 7},
  [1558] = {.lex_state = 7},
  [1559] = {.lex_state = 7},
  [1560] = {.lex_state = 7},
  [1561] = {.lex_state = 9},
  [1562] = {.lex_state = 7},
  [1563] = {.lex_state = 7},
  [1564] = {.lex_state = 7},
  [1565] = {.lex_state = 7},
  [1566] = {.lex_state = 7},
  [1567] = {.lex_state = 7},
  [1568] = {.lex_state = 7},
  [1569] = {.lex_state = 9},
  [1570] = {.lex_state = 7},
  [1571] = {.lex_state = 7},
  [1572] = {.lex_state = 7},
  [1573] = {.lex_state = 7},
  [1574] = {.lex_state = 7},
  [1575] = {.lex_state = 7},
  [1576] = {.lex_state = 7},
  [1577] = {.lex_state = 7},
  [1578] = {.lex_state = 7},
  [1579] = {.lex_state = 7},
  [1580] = {.lex_state = 7},
  [1581] = {.lex_state = 7},
  [1582] = {.lex_state = 7},
  [1583] = {.lex_state = 7},
  [1584] = {.lex_state = 7},
  [1585] = {.lex_state = 7},
  [1586] = {.lex_state = 7},
  [1587] = {.lex_state = 7},
  [1588] = {.lex_state = 7},
  [1589] = {.lex_state = 7},
  [1590] = {.lex_state = 7},
  [1591] = {.lex_state = 7},
  [1592] = {.lex_state = 7},
  [1593] = {.lex_state = 7},
  [1594] = {.lex_state = 7},
  [1595] = {.lex_state = 7},
  [1596] = {.lex_state = 7},
  [1597] = {.lex_state = 7},
  [1598] = {.lex_state = 9},
  [1599] = {.lex_state = 7},
  [1600] = {.lex_state = 7},
  [1601] = {.lex_state = 7},
  [1602] = {.lex_state = 7},
  [1603] = {.lex_state = 7},
  [1604] = {.lex_state = 7},
  [1605] = {.lex_state = 7},
  [1606] = {.lex_state = 7},
  [1607] = {.lex_state = 9},
  [1608] = {.lex_state = 9},
  [1609] = {.lex_state = 9},
  [1610] = {.lex_state = 9},
  [1611] = {.lex_state = 9},
  [1612] = {.lex_state = 9},
  [1613] = {.lex_state = 9},
  [1614] = {.lex_state = 9},
  [1615] = {.lex_state = 9},
  [1616] = {.lex_state = 9},
  [1617] = {.lex_state = 9},
  [1618] = {.lex_state = 9},
  [1619] = {.lex_state = 169},
  [1620] = {.lex_state = 169},
  [1621] = {.lex_state = 168},
  [1622] = {.lex_state = 169},
  [1623] = {.lex_state = 168},
  [1624] = {.lex_state = 168},
  [1625] = {.lex_state = 168},
  [1626] = {.lex_state = 169},
  [1627] = {.lex_state = 168},
  [1628] = {.lex_state = 168},
  [1629] = {.lex_state = 169},
  [1630] = {.lex_state = 169},
  [1631] = {.lex_state = 169},
  [1632] = {.lex_state = 169},
  [1633] = {.lex_state = 169},
  [1634] = {.lex_state = 168},
  [1635] = {.lex_state = 169},
  [1636] = {.lex_state = 169},
  [1637] = {.lex_state = 169},
  [1638] = {.lex_state = 169},
  [1639] = {.lex_state = 168},
  [1640] = {.lex_state = 169},
  [1641] = {.lex_state = 169},
  [1642] = {.lex_state = 169},
  [1643] = {.lex_state = 169},
  [1644] = {.lex_state = 169},
  [1645] = {.lex_state = 169},
  [1646] = {.lex_state = 168},
  [1647] = {.lex_state = 168},
  [1648] = {.lex_state = 168},
  [1649] = {.lex_state = 168},
  [1650] = {.lex_state = 168},
  [1651] = {.lex_state = 168},
  [1652] = {.lex_state = 168},
  [1653] = {.lex_state = 168},
  [1654] = {.lex_state = 168},
  [1655] = {.lex_state = 168},
  [1656] = {.lex_state = 168},
  [1657] = {.lex_state = 168},
  [1658] = {.lex_state = 168},
  [1659] = {.lex_state = 168},
  [1660] = {.lex_state = 168},
  [1661] = {.lex_state = 168},
  [1662] = {.lex_state = 169},
  [1663] = {.lex_state = 169},
  [1664] = {.lex_state = 168},
  [1665] = {.lex_state = 168},
  [1666] = {.lex_state = 169},
  [1667] = {.lex_state = 169},
  [1668] = {.lex_state = 168},
  [1669] = {.lex_state = 168},
  [1670] = {.lex_state = 169},
  [1671] = {.lex_state = 169},
  [1672] = {.lex_state = 169},
  [1673] = {.lex_state = 168},
  [1674] = {.lex_state = 168},
  [1675] = {.lex_state = 168},
  [1676] = {.lex_state = 168},
  [1677] = {.lex_state = 169},
  [1678] = {.lex_state = 168},
  [1679] = {.lex_state = 168},
  [1680] = {.lex_state = 169},
  [1681] = {.lex_state = 169},
  [1682] = {.lex_state = 169},
  [1683] = {.lex_state = 169},
  [1684] = {.lex_state = 168},
  [1685] = {.lex_state = 168},
  [1686] = {.lex_state = 169},
  [1687] = {.lex_state = 169},
  [1688] = {.lex_state = 169},
  [1689] = {.lex_state = 168},
  [1690] = {.lex_state = 169},
  [1691] = {.lex_state = 169},
  [1692] = {.lex_state = 169},
  [1693] = {.lex_state = 169},
  [1694] = {.lex_state = 169},
  [1695] = {.lex_state = 169},
  [1696] = {.lex_state = 169},
  [1697] = {.lex_state = 169},
  [1698] = {.lex_state = 169},
  [1699] = {.lex_state = 169},
  [1700] = {.lex_state = 169},
  [1701] = {.lex_state = 169},
  [1702] = {.lex_state = 169},
  [1703] = {.lex_state = 169},
  [1704] = {.lex_state = 169},
  [1705] = {.lex_state = 169},
  [1706] = {.lex_state = 169},
  [1707] = {.lex_state = 169},
  [1708] = {.lex_state = 169},
  [1709] = {.lex_state = 169},
  [1710] = {.lex_state = 169},
  [1711] = {.lex_state = 169},
  [1712] = {.lex_state = 169},
  [1713] = {.lex_state = 169},
  [1714] = {.lex_state = 169},
  [1715] = {.lex_state = 169},
  [1716] = {.lex_state = 169},
  [1717] = {.lex_state = 169},
  [1718] = {.lex_state = 169},
  [1719] = {.lex_state = 169},
  [1720] = {.lex_state = 169},
  [1721] = {.lex_state = 169},
  [1722] = {.lex_state = 169},
  [1723] = {.lex_state = 169},
  [1724] = {.lex_state = 169},
  [1725] = {.lex_state = 169},
  [1726] = {.lex_state = 169},
  [1727] = {.lex_state = 169},
  [1728] = {.lex_state = 169},
  [1729] = {.lex_state = 169},
  [1730] = {.lex_state = 169},
  [1731] = {.lex_state = 168},
  [1732] = {.lex_state = 169},
  [1733] = {.lex_state = 169},
  [1734] = {.lex_state = 169},
  [1735] = {.lex_state = 169},
  [1736] = {.lex_state = 169},
  [1737] = {.lex_state = 169},
  [1738] = {.lex_state = 168},
  [1739] = {.lex_state = 169},
  [1740] = {.lex_state = 169},
  [1741] = {.lex_state = 169},
  [1742] = {.lex_state = 169},
  [1743] = {.lex_state = 169},
  [1744] = {.lex_state = 169},
  [1745] = {.lex_state = 168},
  [1746] = {.lex_state = 169},
  [1747] = {.lex_state = 169},
  [1748] = {.lex_state = 169},
  [1749] = {.lex_state = 169},
  [1750] = {.lex_state = 169},
  [1751] = {.lex_state = 169},
  [1752] = {.lex_state = 169},
  [1753] = {.lex_state = 169},
  [1754] = {.lex_state = 168},
  [1755] = {.lex_state = 168},
  [1756] = {.lex_state = 168},
  [1757] = {.lex_state = 169},
  [1758] = {.lex_state = 169},
  [1759] = {.lex_state = 169},
  [1760] = {.lex_state = 168},
  [1761] = {.lex_state = 169},
  [1762] = {.lex_state = 169},
  [1763] = {.lex_state = 169},
  [1764] = {.lex_state = 169},
  [1765] = {.lex_state = 169},
  [1766] = {.lex_state = 168},
  [1767] = {.lex_state = 169},
  [1768] = {.lex_state = 168},
  [1769] = {.lex_state = 168},
  [1770] = {.lex_state = 168},
  [1771] = {.lex_state = 171},
  [1772] = {.lex_state = 168},
  [1773] = {.lex_state = 168},
  [1774] = {.lex_state = 168},
  [1775] = {.lex_state = 168},
  [1776] = {.lex_state = 168},
  [1777] = {.lex_state = 168},
  [1778] = {.lex_state = 168},
  [1779] = {.lex_state = 168},
  [1780] = {.lex_state = 168},
  [1781] = {.lex_state = 168},
  [1782] = {.lex_state = 168},
  [1783] = {.lex_state = 171},
  [1784] = {.lex_state = 168},
  [1785] = {.lex_state = 168},
  [1786] = {.lex_state = 168},
  [1787] = {.lex_state = 168},
  [1788] = {.lex_state = 168},
  [1789] = {.lex_state = 168},
  [1790] = {.lex_state = 168},
  [1791] = {.lex_state = 168},
  [1792] = {.lex_state = 168},
  [1793] = {.lex_state = 168},
  [1794] = {.lex_state = 171},
  [1795] = {.lex_state = 168},
  [1796] = {.lex_state = 168},
  [1797] = {.lex_state = 168},
  [1798] = {.lex_state = 168},
  [1799] = {.lex_state = 168},
  [1800] = {.lex_state = 168},
  [1801] = {.lex_state = 168},
  [1802] = {.lex_state = 168},
  [1803] = {.lex_state = 168},
  [1804] = {.lex_state = 168},
  [1805] = {.lex_state = 171},
  [1806] = {.lex_state = 168},
  [1807] = {.lex_state = 168},
  [1808] = {.lex_state = 168},
  [1809] = {.lex_state = 168},
  [1810] = {.lex_state = 168},
  [1811] = {.lex_state = 168},
  [1812] = {.lex_state = 168},
  [1813] = {.lex_state = 168},
  [1814] = {.lex_state = 168},
  [1815] = {.lex_state = 168},
  [1816] = {.lex_state = 168},
  [1817] = {.lex_state = 168},
  [1818] = {.lex_state = 168},
  [1819] = {.lex_state = 168},
  [1820] = {.lex_state = 168},
  [1821] = {.lex_state = 168},
  [1822] = {.lex_state = 168},
  [1823] = {.lex_state = 168},
  [1824] = {.lex_state = 168},
  [1825] = {.lex_state = 168},
  [1826] = {.lex_state = 168},
  [1827] = {.lex_state = 168},
  [1828] = {.lex_state = 168},
  [1829] = {.lex_state = 168},
  [1830] = {.lex_state = 170},
  [1831] = {.lex_state = 168},
  [1832] = {.lex_state = 168},
  [1833] = {.lex_state = 168},
  [1834] = {.lex_state = 168},
  [1835] = {.lex_state = 168},
  [1836] = {.lex_state = 168},
  [1837] = {.lex_state = 168},
  [1838] = {.lex_state = 168},
  [1839] = {.lex_state = 168},
  [1840] = {.lex_state = 171},
  [1841] = {.lex_state = 168},
  [1842] = {.lex_state = 168},
  [1843] = {.lex_state = 168},
  [1844] = {.lex_state = 171},
  [1845] = {.lex_state = 168},
  [1846] = {.lex_state = 170},
  [1847] = {.lex_state = 170},
  [1848] = {.lex_state = 170},
  [1849] = {.lex_state = 170},
  [1850] = {.lex_state = 170},
  [1851] = {.lex_state = 170},
  [1852] = {.lex_state = 170},
  [1853] = {.lex_state = 170},
  [1854] = {.lex_state = 170},
  [1855] = {.lex_state = 170},
  [1856] = {.lex_state = 170},
  [1857] = {.lex_state = 170},
  [1858] = {.lex_state = 170},
  [1859] = {.lex_state = 170},
  [1860] = {.lex_state = 170},
  [1861] = {.lex_state = 170},
  [1862] = {.lex_state = 170},
  [1863] = {.lex_state = 170},
  [1864] = {.lex_state = 170},
  [1865] = {.lex_state = 170},
  [1866] = {.lex_state = 170},
  [1867] = {.lex_state = 168},
  [1868] = {.lex_state = 168},
  [1869] = {.lex_state = 168},
  [1870] = {.lex_state = 168},
  [1871] = {.lex_state = 170},
  [1872] = {.lex_state = 170},
  [1873] = {.lex_state = 170},
  [1874] = {.lex_state = 170},
  [1875] = {.lex_state = 170},
  [1876] = {.lex_state = 170},
  [1877] = {.lex_state = 170},
  [1878] = {.lex_state = 170},
  [1879] = {.lex_state = 170},
  [1880] = {.lex_state = 170},
  [1881] = {.lex_state = 170},
  [1882] = {.lex_state = 170},
  [1883] = {.lex_state = 170},
  [1884] = {.lex_state = 170},
  [1885] = {.lex_state = 36},
  [1886] = {.lex_state = 170},
  [1887] = {.lex_state = 170},
  [1888] = {.lex_state = 170},
  [1889] = {.lex_state = 170},
  [1890] = {.lex_state = 170},
  [1891] = {.lex_state = 170},
  [1892] = {.lex_state = 170},
  [1893] = {.lex_state = 170},
  [1894] = {.lex_state = 170},
  [1895] = {.lex_state = 170},
  [1896] = {.lex_state = 170},
  [1897] = {.lex_state = 170},
  [1898] = {.lex_state = 170},
  [1899] = {.lex_state = 170},
  [1900] = {.lex_state = 170},
  [1901] = {.lex_state = 170},
  [1902] = {.lex_state = 170},
  [1903] = {.lex_state = 170},
  [1904] = {.lex_state = 170},
  [1905] = {.lex_state = 170},
  [1906] = {.lex_state = 170},
  [1907] = {.lex_state = 170},
  [1908] = {.lex_state = 170},
  [1909] = {.lex_state = 170},
  [1910] = {.lex_state = 170},
  [1911] = {.lex_state = 7},
  [1912] = {.lex_state = 7},
  [1913] = {.lex_state = 7},
  [1914] = {.lex_state = 163},
  [1915] = {.lex_state = 7},
  [1916] = {.lex_state = 7},
  [1917] = {.lex_state = 7},
  [1918] = {.lex_state = 7},
  [1919] = {.lex_state = 7},
  [1920] = {.lex_state = 7},
  [1921] = {.lex_state = 163},
  [1922] = {.lex_state = 163},
  [1923] = {.lex_state = 7},
  [1924] = {.lex_state = 163},
  [1925] = {.lex_state = 7},
  [1926] = {.lex_state = 163},
  [1927] = {.lex_state = 7},
  [1928] = {.lex_state = 7},
  [1929] = {.lex_state = 7},
  [1930] = {.lex_state = 7},
  [1931] = {.lex_state = 7},
  [1932] = {.lex_state = 7},
  [1933] = {.lex_state = 7},
  [1934] = {.lex_state = 163},
  [1935] = {.lex_state = 7},
  [1936] = {.lex_state = 7},
  [1937] = {.lex_state = 7},
  [1938] = {.lex_state = 7},
  [1939] = {.lex_state = 7},
  [1940] = {.lex_state = 163},
  [1941] = {.lex_state = 163},
  [1942] = {.lex_state = 163},
  [1943] = {.lex_state = 163},
  [1944] = {.lex_state = 163},
  [1945] = {.lex_state = 163},
  [1946] = {.lex_state = 163},
  [1947] = {.lex_state = 163},
  [1948] = {.lex_state = 163},
  [1949] = {.lex_state = 26},
  [1950] = {.lex_state = 16},
  [1951] = {.lex_state = 163},
  [1952] = {.lex_state = 16},
  [1953] = {.lex_state = 163},
  [1954] = {.lex_state = 26},
  [1955] = {.lex_state = 163},
  [1956] = {.lex_state = 27},
  [1957] = {.lex_state = 163},
  [1958] = {.lex_state = 163},
  [1959] = {.lex_state = 163},
  [1960] = {.lex_state = 27},
  [1961] = {.lex_state = 163},
  [1962] = {.lex_state = 27},
  [1963] = {.lex_state = 16},
  [1964] = {.lex_state = 163},
  [1965] = {.lex_state = 163},
  [1966] = {.lex_state = 27},
  [1967] = {.lex_state = 27},
  [1968] = {.lex_state = 27},
  [1969] = {.lex_state = 27},
  [1970] = {.lex_state = 163},
  [1971] = {.lex_state = 163},
  [1972] = {.lex_state = 163},
  [1973] = {.lex_state = 27},
  [1974] = {.lex_state = 27},
  [1975] = {.lex_state = 27},
  [1976] = {.lex_state = 163},
  [1977] = {.lex_state = 27},
  [1978] = {.lex_state = 27},
  [1979] = {.lex_state = 27},
  [1980] = {.lex_state = 163},
  [1981] = {.lex_state = 163},
  [1982] = {.lex_state = 27},
  [1983] = {.lex_state = 163},
  [1984] = {.lex_state = 163},
  [1985] = {.lex_state = 163},
  [1986] = {.lex_state = 27},
  [1987] = {.lex_state = 27},
  [1988] = {.lex_state = 27},
  [1989] = {.lex_state = 27},
  [1990] = {.lex_state = 27},
  [1991] = {.lex_state = 163},
  [1992] = {.lex_state = 27},
  [1993] = {.lex_state = 163},
  [1994] = {.lex_state = 27},
  [1995] = {.lex_state = 27},
  [1996] = {.lex_state = 163},
  [1997] = {.lex_state = 16},
  [1998] = {.lex_state = 27},
  [1999] = {.lex_state = 27},
  [2000] = {.lex_state = 163},
  [2001] = {.lex_state = 27},
  [2002] = {.lex_state = 27},
  [2003] = {.lex_state = 27},
  [2004] = {.lex_state = 26},
  [2005] = {.lex_state = 37},
  [2006] = {.lex_state = 37},
  [2007] = {.lex_state = 26},
  [2008] = {.lex_state = 37},
  [2009] = {.lex_state = 26},
  [2010] = {.lex_state = 163},
  [2011] = {.lex_state = 163},
  [2012] = {.lex_state = 37},
  [2013] = {.lex_state = 26},
  [2014] = {.lex_state = 26},
  [2015] = {.lex_state = 7},
  [2016] = {.lex_state = 37},
  [2017] = {.lex_state = 163},
  [2018] = {.lex_state = 37},
  [2019] = {.lex_state = 163},
  [2020] = {.lex_state = 37},
  [2021] = {.lex_state = 37},
  [2022] = {.lex_state = 26},
  [2023] = {.lex_state = 163},
  [2024] = {.lex_state = 37},
  [2025] = {.lex_state = 37},
  [2026] = {.lex_state = 26},
  [2027] = {.lex_state = 37},
  [2028] = {.lex_state = 37},
  [2029] = {.lex_state = 26},
  [2030] = {.lex_state = 37},
  [2031] = {.lex_state = 163},
  [2032] = {.lex_state = 7},
  [2033] = {.lex_state = 37},
  [2034] = {.lex_state = 37},
  [2035] = {.lex_state = 37},
  [2036] = {.lex_state = 37},
  [2037] = {.lex_state = 26},
  [2038] = {.lex_state = 37},
  [2039] = {.lex_state = 37},
  [2040] = {.lex_state = 26},
  [2041] = {.lex_state = 37},
  [2042] = {.lex_state = 26},
  [2043] = {.lex_state = 37},
  [2044] = {.lex_state = 37},
  [2045] = {.lex_state = 37},
  [2046] = {.lex_state = 163},
  [2047] = {.lex_state = 163},
  [2048] = {.lex_state = 163},
  [2049] = {.lex_state = 26},
  [2050] = {.lex_state = 26},
  [2051] = {.lex_state = 26},
  [2052] = {.lex_state = 26},
  [2053] = {.lex_state = 26},
  [2054] = {.lex_state = 163},
  [2055] = {.lex_state = 37},
  [2056] = {.lex_state = 37},
  [2057] = {.lex_state = 37},
  [2058] = {.lex_state = 26},
  [2059] = {.lex_state = 37},
  [2060] = {.lex_state = 26},
  [2061] = {.lex_state = 37},
  [2062] = {.lex_state = 37},
  [2063] = {.lex_state = 37},
  [2064] = {.lex_state = 26},
  [2065] = {.lex_state = 26},
  [2066] = {.lex_state = 26},
  [2067] = {.lex_state = 16},
  [2068] = {.lex_state = 163},
  [2069] = {.lex_state = 16},
  [2070] = {.lex_state = 163},
  [2071] = {.lex_state = 37},
  [2072] = {.lex_state = 163},
  [2073] = {.lex_state = 26},
  [2074] = {.lex_state = 163},
  [2075] = {.lex_state = 163},
  [2076] = {.lex_state = 26},
  [2077] = {.lex_state = 7},
  [2078] = {.lex_state = 16},
  [2079] = {.lex_state = 16},
  [2080] = {.lex_state = 26},
  [2081] = {.lex_state = 26},
  [2082] = {.lex_state = 163},
  [2083] = {.lex_state = 163},
  [2084] = {.lex_state = 26},
  [2085] = {.lex_state = 163},
  [2086] = {.lex_state = 26},
  [2087] = {.lex_state = 26},
  [2088] = {.lex_state = 163},
  [2089] = {.lex_state = 163},
  [2090] = {.lex_state = 163},
  [2091] = {.lex_state = 163},
  [2092] = {.lex_state = 163},
  [2093] = {.lex_state = 163},
  [2094] = {.lex_state = 163},
  [2095] = {.lex_state = 163},
  [2096] = {.lex_state = 163},
  [2097] = {.lex_state = 7},
  [2098] = {.lex_state = 26},
  [2099] = {.lex_state = 163},
  [2100] = {.lex_state = 163},
  [2101] = {.lex_state = 7},
  [2102] = {.lex_state = 26},
  [2103] = {.lex_state = 7},
  [2104] = {.lex_state = 26},
  [2105] = {.lex_state = 7},
  [2106] = {.lex_state = 26},
  [2107] = {.lex_state = 163},
  [2108] = {.lex_state = 26},
  [2109] = {.lex_state = 163},
  [2110] = {.lex_state = 163},
  [2111] = {.lex_state = 26},
  [2112] = {.lex_state = 26},
  [2113] = {.lex_state = 163},
  [2114] = {.lex_state = 26},
  [2115] = {.lex_state = 163},
  [2116] = {.lex_state = 26},
  [2117] = {.lex_state = 163},
  [2118] = {.lex_state = 163},
  [2119] = {.lex_state = 163},
  [2120] = {.lex_state = 163},
  [2121] = {.lex_state = 163},
  [2122] = {.lex_state = 163},
  [2123] = {.lex_state = 163},
  [2124] = {.lex_state = 163},
  [2125] = {.lex_state = 26},
  [2126] = {.lex_state = 26},
  [2127] = {.lex_state = 163},
  [2128] = {.lex_state = 163},
  [2129] = {.lex_state = 26},
  [2130] = {.lex_state = 163},
  [2131] = {.lex_state = 163},
  [2132] = {.lex_state = 163},
  [2133] = {.lex_state = 163},
  [2134] = {.lex_state = 163},
  [2135] = {.lex_state = 6},
  [2136] = {.lex_state = 26},
  [2137] = {.lex_state = 163},
  [2138] = {.lex_state = 163},
  [2139] = {.lex_state = 26},
  [2140] = {.lex_state = 163},
  [2141] = {.lex_state = 163},
  [2142] = {.lex_state = 26},
  [2143] = {.lex_state = 6},
  [2144] = {.lex_state = 163},
  [2145] = {.lex_state = 163},
  [2146] = {.lex_state = 26},
  [2147] = {.lex_state = 163},
  [2148] = {.lex_state = 163},
  [2149] = {.lex_state = 163},
  [2150] = {.lex_state = 163},
  [2151] = {.lex_state = 26},
  [2152] = {.lex_state = 163},
  [2153] = {.lex_state = 163},
  [2154] = {.lex_state = 26},
  [2155] = {.lex_state = 26},
  [2156] = {.lex_state = 26},
  [2157] = {.lex_state = 26},
  [2158] = {.lex_state = 163},
  [2159] = {.lex_state = 163},
  [2160] = {.lex_state = 26},
  [2161] = {.lex_state = 163},
  [2162] = {.lex_state = 26},
  [2163] = {.lex_state = 163},
  [2164] = {.lex_state = 163},
  [2165] = {.lex_state = 163},
  [2166] = {.lex_state = 163},
  [2167] = {.lex_state = 163},
  [2168] = {.lex_state = 163},
  [2169] = {.lex_state = 26},
  [2170] = {.lex_state = 163},
  [2171] = {.lex_state = 163},
  [2172] = {.lex_state = 163},
  [2173] = {.lex_state = 26},
  [2174] = {.lex_state = 26},
  [2175] = {.lex_state = 26},
  [2176] = {.lex_state = 163},
  [2177] = {.lex_state = 26},
  [2178] = {.lex_state = 163},
  [2179] = {.lex_state = 26},
  [2180] = {.lex_state = 163},
  [2181] = {.lex_state = 26},
  [2182] = {.lex_state = 163},
  [2183] = {.lex_state = 163},
  [2184] = {.lex_state = 163},
  [2185] = {.lex_state = 26},
  [2186] = {.lex_state = 26},
  [2187] = {.lex_state = 163},
  [2188] = {.lex_state = 163},
  [2189] = {.lex_state = 26},
  [2190] = {.lex_state = 163},
  [2191] = {.lex_state = 26},
  [2192] = {.lex_state = 163},
  [2193] = {.lex_state = 26},
  [2194] = {.lex_state = 26},
  [2195] = {.lex_state = 26},
  [2196] = {.lex_state = 26},
  [2197] = {.lex_state = 163},
  [2198] = {.lex_state = 26},
  [2199] = {.lex_state = 163},
  [2200] = {.lex_state = 6},
  [2201] = {.lex_state = 26},
  [2202] = {.lex_state = 163},
  [2203] = {.lex_state = 26},
  [2204] = {.lex_state = 163},
  [2205] = {.lex_state = 163},
  [2206] = {.lex_state = 163},
  [2207] = {.lex_state = 26},
  [2208] = {.lex_state = 163},
  [2209] = {.lex_state = 163},
  [2210] = {.lex_state = 163},
  [2211] = {.lex_state = 163},
  [2212] = {.lex_state = 163},
  [2213] = {.lex_state = 26},
  [2214] = {.lex_state = 163},
  [2215] = {.lex_state = 163},
  [2216] = {.lex_state = 163},
  [2217] = {.lex_state = 163},
  [2218] = {.lex_state = 163},
  [2219] = {.lex_state = 163},
  [2220] = {.lex_state = 26},
  [2221] = {.lex_state = 163},
  [2222] = {.lex_state = 163},
  [2223] = {.lex_state = 163},
  [2224] = {.lex_state = 163},
  [2225] = {.lex_state = 26},
  [2226] = {.lex_state = 163},
  [2227] = {.lex_state = 163},
  [2228] = {.lex_state = 26},
  [2229] = {.lex_state = 163},
  [2230] = {.lex_state = 163},
  [2231] = {.lex_state = 163},
  [2232] = {.lex_state = 163},
  [2233] = {.lex_state = 6},
  [2234] = {.lex_state = 163},
  [2235] = {.lex_state = 163},
  [2236] = {.lex_state = 12},
  [2237] = {.lex_state = 163},
  [2238] = {.lex_state = 163},
  [2239] = {.lex_state = 163},
  [2240] = {.lex_state = 163},
  [2241] = {.lex_state = 163},
  [2242] = {.lex_state = 163},
  [2243] = {.lex_state = 163},
  [2244] = {.lex_state = 7},
  [2245] = {.lex_state = 12},
  [2246] = {.lex_state = 7},
  [2247] = {.lex_state = 7},
  [2248] = {.lex_state = 12},
  [2249] = {.lex_state = 163},
  [2250] = {.lex_state = 7},
  [2251] = {.lex_state = 163},
  [2252] = {.lex_state = 163},
  [2253] = {.lex_state = 163},
  [2254] = {.lex_state = 34},
  [2255] = {.lex_state = 12},
  [2256] = {.lex_state = 163},
  [2257] = {.lex_state = 163},
  [2258] = {.lex_state = 163},
  [2259] = {.lex_state = 163},
  [2260] = {.lex_state = 34},
  [2261] = {.lex_state = 163},
  [2262] = {.lex_state = 163},
  [2263] = {.lex_state = 163},
  [2264] = {.lex_state = 163},
  [2265] = {.lex_state = 163},
  [2266] = {.lex_state = 163},
  [2267] = {.lex_state = 34},
  [2268] = {.lex_state = 163},
  [2269] = {.lex_state = 163},
  [2270] = {.lex_state = 163},
  [2271] = {.lex_state = 163},
  [2272] = {.lex_state = 163},
  [2273] = {.lex_state = 163},
  [2274] = {.lex_state = 163},
  [2275] = {.lex_state = 163},
  [2276] = {.lex_state = 163},
  [2277] = {.lex_state = 163},
  [2278] = {.lex_state = 163},
  [2279] = {.lex_state = 163},
  [2280] = {.lex_state = 12},
  [2281] = {.lex_state = 163},
  [2282] = {.lex_state = 163},
  [2283] = {.lex_state = 163},
  [2284] = {.lex_state = 163},
  [2285] = {.lex_state = 34},
  [2286] = {.lex_state = 163},
  [2287] = {.lex_state = 163},
  [2288] = {.lex_state = 163},
  [2289] = {.lex_state = 163},
  [2290] = {.lex_state = 12},
  [2291] = {.lex_state = 163},
  [2292] = {.lex_state = 163},
  [2293] = {.lex_state = 163},
  [2294] = {.lex_state = 163},
  [2295] = {.lex_state = 163},
  [2296] = {.lex_state = 163},
  [2297] = {.lex_state = 12},
  [2298] = {.lex_state = 163},
  [2299] = {.lex_state = 34},
  [2300] = {.lex_state = 163},
  [2301] = {.lex_state = 163},
  [2302] = {.lex_state = 163},
  [2303] = {.lex_state = 163},
  [2304] = {.lex_state = 163},
  [2305] = {.lex_state = 12},
  [2306] = {.lex_state = 163},
  [2307] = {.lex_state = 34},
  [2308] = {.lex_state = 163},
  [2309] = {.lex_state = 163},
  [2310] = {.lex_state = 163},
  [2311] = {.lex_state = 163},
  [2312] = {.lex_state = 163},
  [2313] = {.lex_state = 7},
  [2314] = {.lex_state = 163},
  [2315] = {.lex_state = 163},
  [2316] = {.lex_state = 386},
  [2317] = {.lex_state = 163},
  [2318] = {.lex_state = 163},
  [2319] = {.lex_state = 163},
  [2320] = {.lex_state = 163},
  [2321] = {.lex_state = 163},
  [2322] = {.lex_state = 163},
  [2323] = {.lex_state = 163},
  [2324] = {.lex_state = 163},
  [2325] = {.lex_state = 386},
  [2326] = {.lex_state = 163},
  [2327] = {.lex_state = 163},
  [2328] = {.lex_state = 163},
  [2329] = {.lex_state = 163},
  [2330] = {.lex_state = 163},
  [2331] = {.lex_state = 386},
  [2332] = {.lex_state = 163},
  [2333] = {.lex_state = 386},
  [2334] = {.lex_state = 163},
  [2335] = {.lex_state = 163},
  [2336] = {.lex_state = 163},
  [2337] = {.lex_state = 6},
  [2338] = {.lex_state = 163},
  [2339] = {.lex_state = 163},
  [2340] = {.lex_state = 163},
  [2341] = {.lex_state = 163},
  [2342] = {.lex_state = 163},
  [2343] = {.lex_state = 163},
  [2344] = {.lex_state = 163},
  [2345] = {.lex_state = 163},
  [2346] = {.lex_state = 163},
  [2347] = {.lex_state = 12},
  [2348] = {.lex_state = 163},
  [2349] = {.lex_state = 163},
  [2350] = {.lex_state = 163},
  [2351] = {.lex_state = 163},
  [2352] = {.lex_state = 163},
  [2353] = {.lex_state = 163},
  [2354] = {.lex_state = 163},
  [2355] = {.lex_state = 386},
  [2356] = {.lex_state = 163},
  [2357] = {.lex_state = 163},
  [2358] = {.lex_state = 163},
  [2359] = {.lex_state = 163},
  [2360] = {.lex_state = 163},
  [2361] = {.lex_state = 163},
  [2362] = {.lex_state = 6},
  [2363] = {.lex_state = 163},
  [2364] = {.lex_state = 163},
  [2365] = {.lex_state = 163},
  [2366] = {.lex_state = 163},
  [2367] = {.lex_state = 163},
  [2368] = {.lex_state = 163},
  [2369] = {.lex_state = 163},
  [2370] = {.lex_state = 163},
  [2371] = {.lex_state = 163},
  [2372] = {.lex_state = 163},
  [2373] = {.lex_state = 163},
  [2374] = {.lex_state = 163},
  [2375] = {.lex_state = 163},
  [2376] = {.lex_state = 163},
  [2377] = {.lex_state = 163},
  [2378] = {.lex_state = 163},
  [2379] = {.lex_state = 163},
  [2380] = {.lex_state = 163},
  [2381] = {.lex_state = 163},
  [2382] = {.lex_state = 163},
  [2383] = {.lex_state = 163},
  [2384] = {.lex_state = 163},
  [2385] = {.lex_state = 163},
  [2386] = {.lex_state = 163},
  [2387] = {.lex_state = 163},
  [2388] = {.lex_state = 163},
  [2389] = {.lex_state = 163},
  [2390] = {.lex_state = 163},
  [2391] = {.lex_state = 163},
  [2392] = {.lex_state = 163},
  [2393] = {.lex_state = 163},
  [2394] = {.lex_state = 163},
  [2395] = {.lex_state = 163},
  [2396] = {.lex_state = 163},
  [2397] = {.lex_state = 163},
  [2398] = {.lex_state = 163},
  [2399] = {.lex_state = 163},
  [2400] = {.lex_state = 163},
  [2401] = {.lex_state = 163},
  [2402] = {.lex_state = 386},
  [2403] = {.lex_state = 163},
  [2404] = {.lex_state = 163},
  [2405] = {.lex_state = 163},
  [2406] = {.lex_state = 163},
  [2407] = {.lex_state = 163},
  [2408] = {.lex_state = 163},
  [2409] = {.lex_state = 163},
  [2410] = {.lex_state = 163},
  [2411] = {.lex_state = 163},
  [2412] = {.lex_state = 163},
  [2413] = {.lex_state = 163},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_test] = ACTIONS(1),
    [anon_sym_comptime] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_noinline] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_threadlocal] = ACTIONS(1),
    [anon_sym_usingnamespace] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_anytype] = ACTIONS(1),
    [anon_sym_nosuspend] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_suspend] = ACTIONS(1),
    [anon_sym_errdefer] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_resume] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_anyframe] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_undefined] = ACTIONS(1),
    [anon_sym_unreachable] = ACTIONS(1),
    [sym_BuildinTypeExpr] = ACTIONS(1),
    [anon_sym_packed] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_linksection] = ACTIONS(1),
    [anon_sym_callconv] = ACTIONS(1),
    [anon_sym_noalias] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_orelse] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1),
    [anon_sym_DASH_PERCENT] = ACTIONS(1),
    [anon_sym_PLUS_PIPE] = ACTIONS(1),
    [anon_sym_DASH_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_PIPE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_allowzero] = ACTIONS(1),
    [anon_sym_align] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DOT_QMARK] = ACTIONS(1),
    [anon_sym_c] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [sym_doc_comment] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_FLOAT_token1] = ACTIONS(1),
    [aux_sym_FLOAT_token2] = ACTIONS(1),
    [aux_sym_FLOAT_token3] = ACTIONS(1),
    [aux_sym_FLOAT_token4] = ACTIONS(1),
    [aux_sym_INTEGER_token1] = ACTIONS(1),
    [aux_sym_INTEGER_token2] = ACTIONS(1),
    [aux_sym_INTEGER_token3] = ACTIONS(1),
    [aux_sym_INTEGER_token4] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_STRINGLITERALSINGLE_token2] = ACTIONS(1),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(2371),
    [aux_sym__ContainerMembers] = STATE(1857),
    [sym__ContainerDeclarations] = STATE(1857),
    [sym_TestDecl] = STATE(1857),
    [sym_TopLevelComptime] = STATE(1857),
    [sym_TopLevelDecl] = STATE(1857),
    [sym_FnProto] = STATE(2113),
    [sym_VarDecl] = STATE(1895),
    [sym_ContainerField] = STATE(1887),
    [sym_IDENTIFIER] = STATE(1877),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_pub] = ACTIONS(7),
    [anon_sym_test] = ACTIONS(9),
    [anon_sym_comptime] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_extern] = ACTIONS(15),
    [anon_sym_inline] = ACTIONS(17),
    [anon_sym_noinline] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_usingnamespace] = ACTIONS(21),
    [anon_sym_fn] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [sym_container_doc_comment] = ACTIONS(27),
    [sym_doc_comment] = ACTIONS(29),
    [sym_line_comment] = ACTIONS(3),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
  },
  [2] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(886),
    [sym_BinaryExpr] = STATE(886),
    [sym_UnaryExpr] = STATE(886),
    [sym__PrimaryExpr] = STATE(886),
    [sym_IfExpr] = STATE(886),
    [sym_Block] = STATE(886),
    [sym_LoopExpr] = STATE(886),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(886),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(886),
    [sym_BreakLabel] = STATE(4),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(47),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [3] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(907),
    [sym_BinaryExpr] = STATE(907),
    [sym_UnaryExpr] = STATE(907),
    [sym__PrimaryExpr] = STATE(907),
    [sym_IfExpr] = STATE(907),
    [sym_Block] = STATE(907),
    [sym_LoopExpr] = STATE(907),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(907),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(907),
    [sym_BreakLabel] = STATE(6),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [4] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(882),
    [sym_BinaryExpr] = STATE(882),
    [sym_UnaryExpr] = STATE(882),
    [sym__PrimaryExpr] = STATE(882),
    [sym_IfExpr] = STATE(882),
    [sym_Block] = STATE(882),
    [sym_LoopExpr] = STATE(882),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(882),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(882),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_GT] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_LT_LT_PIPE] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(131),
    [anon_sym_DASH_PERCENT] = ACTIONS(131),
    [anon_sym_PLUS_PIPE] = ACTIONS(131),
    [anon_sym_DASH_PIPE] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(131),
    [anon_sym_STAR_PIPE] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [5] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(886),
    [sym_BinaryExpr] = STATE(886),
    [sym_UnaryExpr] = STATE(886),
    [sym__PrimaryExpr] = STATE(886),
    [sym_IfExpr] = STATE(886),
    [sym_Block] = STATE(886),
    [sym_LoopExpr] = STATE(886),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(886),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(886),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [6] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(909),
    [sym_BinaryExpr] = STATE(909),
    [sym_UnaryExpr] = STATE(909),
    [sym__PrimaryExpr] = STATE(909),
    [sym_IfExpr] = STATE(909),
    [sym_Block] = STATE(909),
    [sym_LoopExpr] = STATE(909),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(909),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(909),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_GT] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_LT_LT_PIPE] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(131),
    [anon_sym_DASH_PERCENT] = ACTIONS(131),
    [anon_sym_PLUS_PIPE] = ACTIONS(131),
    [anon_sym_DASH_PIPE] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(131),
    [anon_sym_STAR_PIPE] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [7] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(907),
    [sym_BinaryExpr] = STATE(907),
    [sym_UnaryExpr] = STATE(907),
    [sym__PrimaryExpr] = STATE(907),
    [sym_IfExpr] = STATE(907),
    [sym_Block] = STATE(907),
    [sym_LoopExpr] = STATE(907),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(907),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(907),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [8] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1221),
    [sym_BinaryExpr] = STATE(1221),
    [sym_UnaryExpr] = STATE(1221),
    [sym__PrimaryExpr] = STATE(1221),
    [sym_IfExpr] = STATE(1221),
    [sym_Block] = STATE(1221),
    [sym_LoopExpr] = STATE(1221),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1221),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1221),
    [sym_BreakLabel] = STATE(10),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_pub] = ACTIONS(49),
    [anon_sym_test] = ACTIONS(49),
    [anon_sym_comptime] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_noinline] = ACTIONS(49),
    [anon_sym_threadlocal] = ACTIONS(49),
    [anon_sym_usingnamespace] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_var] = ACTIONS(49),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(35),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(35),
  },
  [9] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1234),
    [sym_BinaryExpr] = STATE(1234),
    [sym_UnaryExpr] = STATE(1234),
    [sym__PrimaryExpr] = STATE(1234),
    [sym_IfExpr] = STATE(1234),
    [sym_Block] = STATE(1234),
    [sym_LoopExpr] = STATE(1234),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1234),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1234),
    [sym_BreakLabel] = STATE(12),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_pub] = ACTIONS(49),
    [anon_sym_test] = ACTIONS(49),
    [anon_sym_comptime] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_noinline] = ACTIONS(49),
    [anon_sym_threadlocal] = ACTIONS(49),
    [anon_sym_usingnamespace] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_var] = ACTIONS(49),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(35),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(35),
  },
  [10] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1222),
    [sym_BinaryExpr] = STATE(1222),
    [sym_UnaryExpr] = STATE(1222),
    [sym__PrimaryExpr] = STATE(1222),
    [sym_IfExpr] = STATE(1222),
    [sym_Block] = STATE(1222),
    [sym_LoopExpr] = STATE(1222),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1222),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1222),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_pub] = ACTIONS(131),
    [anon_sym_test] = ACTIONS(131),
    [anon_sym_comptime] = ACTIONS(131),
    [anon_sym_export] = ACTIONS(131),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym_inline] = ACTIONS(131),
    [anon_sym_noinline] = ACTIONS(131),
    [anon_sym_threadlocal] = ACTIONS(131),
    [anon_sym_usingnamespace] = ACTIONS(131),
    [anon_sym_fn] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_var] = ACTIONS(131),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(129),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(129),
  },
  [11] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1221),
    [sym_BinaryExpr] = STATE(1221),
    [sym_UnaryExpr] = STATE(1221),
    [sym__PrimaryExpr] = STATE(1221),
    [sym_IfExpr] = STATE(1221),
    [sym_Block] = STATE(1221),
    [sym_LoopExpr] = STATE(1221),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1221),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1221),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_pub] = ACTIONS(49),
    [anon_sym_test] = ACTIONS(49),
    [anon_sym_comptime] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_noinline] = ACTIONS(49),
    [anon_sym_threadlocal] = ACTIONS(49),
    [anon_sym_usingnamespace] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_var] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(35),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(35),
  },
  [12] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1243),
    [sym_BinaryExpr] = STATE(1243),
    [sym_UnaryExpr] = STATE(1243),
    [sym__PrimaryExpr] = STATE(1243),
    [sym_IfExpr] = STATE(1243),
    [sym_Block] = STATE(1243),
    [sym_LoopExpr] = STATE(1243),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1243),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1243),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_pub] = ACTIONS(131),
    [anon_sym_test] = ACTIONS(131),
    [anon_sym_comptime] = ACTIONS(131),
    [anon_sym_export] = ACTIONS(131),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym_inline] = ACTIONS(131),
    [anon_sym_noinline] = ACTIONS(131),
    [anon_sym_threadlocal] = ACTIONS(131),
    [anon_sym_usingnamespace] = ACTIONS(131),
    [anon_sym_fn] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_var] = ACTIONS(131),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(129),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(129),
  },
  [13] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1234),
    [sym_BinaryExpr] = STATE(1234),
    [sym_UnaryExpr] = STATE(1234),
    [sym__PrimaryExpr] = STATE(1234),
    [sym_IfExpr] = STATE(1234),
    [sym_Block] = STATE(1234),
    [sym_LoopExpr] = STATE(1234),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1234),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1234),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_pub] = ACTIONS(49),
    [anon_sym_test] = ACTIONS(49),
    [anon_sym_comptime] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_noinline] = ACTIONS(49),
    [anon_sym_threadlocal] = ACTIONS(49),
    [anon_sym_usingnamespace] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_var] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(35),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(35),
  },
  [14] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1469),
    [sym_BinaryExpr] = STATE(1469),
    [sym_UnaryExpr] = STATE(1469),
    [sym__PrimaryExpr] = STATE(1469),
    [sym_IfExpr] = STATE(1469),
    [sym_Block] = STATE(1469),
    [sym_LoopExpr] = STATE(1469),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1469),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1469),
    [sym_BreakLabel] = STATE(18),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(225),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [15] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1464),
    [sym_BinaryExpr] = STATE(1464),
    [sym_UnaryExpr] = STATE(1464),
    [sym__PrimaryExpr] = STATE(1464),
    [sym_IfExpr] = STATE(1464),
    [sym_Block] = STATE(1464),
    [sym_LoopExpr] = STATE(1464),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1464),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1464),
    [sym_BreakLabel] = STATE(20),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [16] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1516),
    [sym_BinaryExpr] = STATE(1516),
    [sym_UnaryExpr] = STATE(1516),
    [sym__PrimaryExpr] = STATE(1516),
    [sym_IfExpr] = STATE(1516),
    [sym_Block] = STATE(1516),
    [sym_LoopExpr] = STATE(1516),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1516),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1516),
    [sym_BreakLabel] = STATE(25),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(293),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [17] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1523),
    [sym_BinaryExpr] = STATE(1523),
    [sym_UnaryExpr] = STATE(1523),
    [sym__PrimaryExpr] = STATE(1523),
    [sym_IfExpr] = STATE(1523),
    [sym_Block] = STATE(1523),
    [sym_LoopExpr] = STATE(1523),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1523),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1523),
    [sym_BreakLabel] = STATE(22),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [18] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1463),
    [sym_BinaryExpr] = STATE(1463),
    [sym_UnaryExpr] = STATE(1463),
    [sym__PrimaryExpr] = STATE(1463),
    [sym_IfExpr] = STATE(1463),
    [sym_Block] = STATE(1463),
    [sym_LoopExpr] = STATE(1463),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1463),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1463),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_GT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [19] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1464),
    [sym_BinaryExpr] = STATE(1464),
    [sym_UnaryExpr] = STATE(1464),
    [sym__PrimaryExpr] = STATE(1464),
    [sym_IfExpr] = STATE(1464),
    [sym_Block] = STATE(1464),
    [sym_LoopExpr] = STATE(1464),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1464),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1464),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [20] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1467),
    [sym_BinaryExpr] = STATE(1467),
    [sym_UnaryExpr] = STATE(1467),
    [sym__PrimaryExpr] = STATE(1467),
    [sym_IfExpr] = STATE(1467),
    [sym_Block] = STATE(1467),
    [sym_LoopExpr] = STATE(1467),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1467),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1467),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(319),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [21] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1469),
    [sym_BinaryExpr] = STATE(1469),
    [sym_UnaryExpr] = STATE(1469),
    [sym__PrimaryExpr] = STATE(1469),
    [sym_IfExpr] = STATE(1469),
    [sym_Block] = STATE(1469),
    [sym_LoopExpr] = STATE(1469),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1469),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1469),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [22] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1513),
    [sym_BinaryExpr] = STATE(1513),
    [sym_UnaryExpr] = STATE(1513),
    [sym__PrimaryExpr] = STATE(1513),
    [sym_IfExpr] = STATE(1513),
    [sym_Block] = STATE(1513),
    [sym_LoopExpr] = STATE(1513),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1513),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1513),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [23] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1516),
    [sym_BinaryExpr] = STATE(1516),
    [sym_UnaryExpr] = STATE(1516),
    [sym__PrimaryExpr] = STATE(1516),
    [sym_IfExpr] = STATE(1516),
    [sym_Block] = STATE(1516),
    [sym_LoopExpr] = STATE(1516),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1516),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1516),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(35),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [24] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1523),
    [sym_BinaryExpr] = STATE(1523),
    [sym_UnaryExpr] = STATE(1523),
    [sym__PrimaryExpr] = STATE(1523),
    [sym_IfExpr] = STATE(1523),
    [sym_Block] = STATE(1523),
    [sym_LoopExpr] = STATE(1523),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1523),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1523),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(35),
    [anon_sym_CARET] = ACTIONS(35),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE] = ACTIONS(35),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(35),
    [anon_sym_DASH_PERCENT] = ACTIONS(35),
    [anon_sym_PLUS_PIPE] = ACTIONS(35),
    [anon_sym_DASH_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(35),
    [anon_sym_STAR_PIPE] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [25] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1504),
    [sym_BinaryExpr] = STATE(1504),
    [sym_UnaryExpr] = STATE(1504),
    [sym__PrimaryExpr] = STATE(1504),
    [sym_IfExpr] = STATE(1504),
    [sym_Block] = STATE(1504),
    [sym_LoopExpr] = STATE(1504),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1504),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1504),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(131),
    [anon_sym_and] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_EQ_GT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_orelse] = ACTIONS(131),
    [anon_sym_catch] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_LT_PIPE] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_PLUS_PERCENT] = ACTIONS(129),
    [anon_sym_DASH_PERCENT] = ACTIONS(129),
    [anon_sym_PLUS_PIPE] = ACTIONS(129),
    [anon_sym_DASH_PIPE] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_STAR] = ACTIONS(129),
    [anon_sym_STAR_PERCENT] = ACTIONS(129),
    [anon_sym_STAR_PIPE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [26] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(31),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(31),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [27] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(345),
    [anon_sym_extern] = ACTIONS(348),
    [anon_sym_inline] = ACTIONS(351),
    [anon_sym_fn] = ACTIONS(354),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(360),
    [anon_sym_var] = ACTIONS(360),
    [anon_sym_nosuspend] = ACTIONS(363),
    [anon_sym_defer] = ACTIONS(366),
    [anon_sym_suspend] = ACTIONS(366),
    [anon_sym_errdefer] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(372),
    [anon_sym_continue] = ACTIONS(375),
    [anon_sym_resume] = ACTIONS(378),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(389),
    [anon_sym_DOT] = ACTIONS(392),
    [anon_sym_error] = ACTIONS(395),
    [anon_sym_false] = ACTIONS(398),
    [anon_sym_null] = ACTIONS(398),
    [anon_sym_anyframe] = ACTIONS(401),
    [anon_sym_true] = ACTIONS(398),
    [anon_sym_undefined] = ACTIONS(398),
    [anon_sym_unreachable] = ACTIONS(398),
    [sym_BuildinTypeExpr] = ACTIONS(398),
    [anon_sym_packed] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_switch] = ACTIONS(407),
    [anon_sym_asm] = ACTIONS(410),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_if] = ACTIONS(416),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(422),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(357),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_DASH_PERCENT] = ACTIONS(357),
    [anon_sym_STAR_STAR] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_try] = ACTIONS(428),
    [anon_sym_await] = ACTIONS(428),
    [anon_sym_QMARK] = ACTIONS(434),
    [anon_sym_struct] = ACTIONS(437),
    [anon_sym_opaque] = ACTIONS(437),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_union] = ACTIONS(443),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(446),
    [aux_sym_FLOAT_token1] = ACTIONS(449),
    [aux_sym_FLOAT_token2] = ACTIONS(449),
    [aux_sym_FLOAT_token3] = ACTIONS(449),
    [aux_sym_FLOAT_token4] = ACTIONS(449),
    [aux_sym_INTEGER_token1] = ACTIONS(452),
    [aux_sym_INTEGER_token2] = ACTIONS(452),
    [aux_sym_INTEGER_token3] = ACTIONS(455),
    [aux_sym_INTEGER_token4] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(461),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(464),
    [anon_sym_AT] = ACTIONS(467),
  },
  [28] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(899),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_Payload] = STATE(46),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [29] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(34),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(34),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [30] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(38),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(38),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [31] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [32] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(36),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(36),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [33] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(44),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(44),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [34] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [35] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(37),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(37),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [36] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [37] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [38] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [39] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(45),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(45),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [40] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(41),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(41),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [41] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [42] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [43] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(42),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(42),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [44] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [45] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(27),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym_Block_repeat1] = STATE(27),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [46] = {
    [sym_FnProto] = STATE(716),
    [sym_VarDecl] = STATE(883),
    [sym_Statement] = STATE(881),
    [sym_IfStatement] = STATE(883),
    [sym_LabeledStatement] = STATE(883),
    [sym_LoopStatement] = STATE(870),
    [sym_ForStatement] = STATE(897),
    [sym_WhileStatement] = STATE(897),
    [sym_AssignExpr] = STATE(2344),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(94),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(64),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1911),
    [sym_IfPrefix] = STATE(118),
    [sym_WhilePrefix] = STATE(119),
    [sym_ForPrefix] = STATE(120),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(323),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(325),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(329),
    [anon_sym_defer] = ACTIONS(331),
    [anon_sym_suspend] = ACTIONS(331),
    [anon_sym_errdefer] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [47] = {
    [anon_sym_comptime] = ACTIONS(506),
    [anon_sym_extern] = ACTIONS(506),
    [anon_sym_inline] = ACTIONS(506),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_fn] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_var] = ACTIONS(506),
    [anon_sym_EQ] = ACTIONS(506),
    [anon_sym_nosuspend] = ACTIONS(506),
    [anon_sym_defer] = ACTIONS(506),
    [anon_sym_suspend] = ACTIONS(506),
    [anon_sym_errdefer] = ACTIONS(506),
    [anon_sym_else] = ACTIONS(506),
    [anon_sym_or] = ACTIONS(506),
    [anon_sym_and] = ACTIONS(506),
    [anon_sym_break] = ACTIONS(506),
    [anon_sym_continue] = ACTIONS(506),
    [anon_sym_resume] = ACTIONS(506),
    [anon_sym_return] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(506),
    [anon_sym_DOT] = ACTIONS(506),
    [anon_sym_error] = ACTIONS(506),
    [anon_sym_false] = ACTIONS(506),
    [anon_sym_null] = ACTIONS(506),
    [anon_sym_anyframe] = ACTIONS(506),
    [anon_sym_true] = ACTIONS(506),
    [anon_sym_undefined] = ACTIONS(506),
    [anon_sym_unreachable] = ACTIONS(506),
    [sym_BuildinTypeExpr] = ACTIONS(506),
    [anon_sym_packed] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_asm] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(506),
    [anon_sym_while] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(506),
    [anon_sym_STAR] = ACTIONS(506),
    [anon_sym_STAR_EQ] = ACTIONS(508),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(508),
    [anon_sym_SLASH_EQ] = ACTIONS(508),
    [anon_sym_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(508),
    [anon_sym_DASH_EQ] = ACTIONS(508),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(508),
    [anon_sym_GT_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP_EQ] = ACTIONS(508),
    [anon_sym_CARET_EQ] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(508),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(506),
    [anon_sym_GT] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_orelse] = ACTIONS(506),
    [anon_sym_catch] = ACTIONS(506),
    [anon_sym_LT_LT] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LT_LT_PIPE] = ACTIONS(506),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT] = ACTIONS(506),
    [anon_sym_DASH_PERCENT] = ACTIONS(506),
    [anon_sym_PLUS_PIPE] = ACTIONS(506),
    [anon_sym_DASH_PIPE] = ACTIONS(506),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(506),
    [anon_sym_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_STAR] = ACTIONS(508),
    [anon_sym_STAR_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_PIPE] = ACTIONS(506),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(506),
    [anon_sym_QMARK] = ACTIONS(508),
    [anon_sym_DOT_STAR] = ACTIONS(508),
    [anon_sym_DOT_QMARK] = ACTIONS(508),
    [anon_sym_struct] = ACTIONS(506),
    [anon_sym_opaque] = ACTIONS(506),
    [anon_sym_enum] = ACTIONS(506),
    [anon_sym_union] = ACTIONS(506),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [aux_sym_FLOAT_token1] = ACTIONS(508),
    [aux_sym_FLOAT_token2] = ACTIONS(508),
    [aux_sym_FLOAT_token3] = ACTIONS(508),
    [aux_sym_FLOAT_token4] = ACTIONS(508),
    [aux_sym_INTEGER_token1] = ACTIONS(508),
    [aux_sym_INTEGER_token2] = ACTIONS(508),
    [aux_sym_INTEGER_token3] = ACTIONS(506),
    [aux_sym_INTEGER_token4] = ACTIONS(506),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(508),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(508),
  },
  [48] = {
    [anon_sym_comptime] = ACTIONS(510),
    [anon_sym_extern] = ACTIONS(510),
    [anon_sym_inline] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_fn] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(510),
    [anon_sym_nosuspend] = ACTIONS(510),
    [anon_sym_defer] = ACTIONS(510),
    [anon_sym_suspend] = ACTIONS(510),
    [anon_sym_errdefer] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_or] = ACTIONS(510),
    [anon_sym_and] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_resume] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_error] = ACTIONS(510),
    [anon_sym_false] = ACTIONS(510),
    [anon_sym_null] = ACTIONS(510),
    [anon_sym_anyframe] = ACTIONS(510),
    [anon_sym_true] = ACTIONS(510),
    [anon_sym_undefined] = ACTIONS(510),
    [anon_sym_unreachable] = ACTIONS(510),
    [sym_BuildinTypeExpr] = ACTIONS(510),
    [anon_sym_packed] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_asm] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(512),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(512),
    [anon_sym_SLASH_EQ] = ACTIONS(512),
    [anon_sym_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(512),
    [anon_sym_GT_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP_EQ] = ACTIONS(512),
    [anon_sym_CARET_EQ] = ACTIONS(512),
    [anon_sym_PIPE_EQ] = ACTIONS(512),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(510),
    [anon_sym_orelse] = ACTIONS(510),
    [anon_sym_catch] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(510),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_LT_LT_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT] = ACTIONS(510),
    [anon_sym_DASH_PERCENT] = ACTIONS(510),
    [anon_sym_PLUS_PIPE] = ACTIONS(510),
    [anon_sym_DASH_PIPE] = ACTIONS(510),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_STAR] = ACTIONS(512),
    [anon_sym_STAR_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_PIPE] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_QMARK] = ACTIONS(512),
    [anon_sym_DOT_STAR] = ACTIONS(512),
    [anon_sym_DOT_QMARK] = ACTIONS(512),
    [anon_sym_struct] = ACTIONS(510),
    [anon_sym_opaque] = ACTIONS(510),
    [anon_sym_enum] = ACTIONS(510),
    [anon_sym_union] = ACTIONS(510),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(512),
    [aux_sym_FLOAT_token1] = ACTIONS(512),
    [aux_sym_FLOAT_token2] = ACTIONS(512),
    [aux_sym_FLOAT_token3] = ACTIONS(512),
    [aux_sym_FLOAT_token4] = ACTIONS(512),
    [aux_sym_INTEGER_token1] = ACTIONS(512),
    [aux_sym_INTEGER_token2] = ACTIONS(512),
    [aux_sym_INTEGER_token3] = ACTIONS(510),
    [aux_sym_INTEGER_token4] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(512),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(512),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(512),
  },
  [49] = {
    [anon_sym_comptime] = ACTIONS(514),
    [anon_sym_extern] = ACTIONS(514),
    [anon_sym_inline] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(516),
    [anon_sym_fn] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_const] = ACTIONS(514),
    [anon_sym_var] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_nosuspend] = ACTIONS(514),
    [anon_sym_defer] = ACTIONS(514),
    [anon_sym_suspend] = ACTIONS(514),
    [anon_sym_errdefer] = ACTIONS(514),
    [anon_sym_else] = ACTIONS(514),
    [anon_sym_or] = ACTIONS(518),
    [anon_sym_and] = ACTIONS(518),
    [anon_sym_break] = ACTIONS(514),
    [anon_sym_continue] = ACTIONS(514),
    [anon_sym_resume] = ACTIONS(514),
    [anon_sym_return] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_DOT] = ACTIONS(514),
    [anon_sym_error] = ACTIONS(514),
    [anon_sym_false] = ACTIONS(514),
    [anon_sym_null] = ACTIONS(514),
    [anon_sym_anyframe] = ACTIONS(514),
    [anon_sym_true] = ACTIONS(514),
    [anon_sym_undefined] = ACTIONS(514),
    [anon_sym_unreachable] = ACTIONS(514),
    [sym_BuildinTypeExpr] = ACTIONS(514),
    [anon_sym_packed] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_switch] = ACTIONS(514),
    [anon_sym_asm] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(514),
    [anon_sym_while] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(514),
    [anon_sym_PIPE] = ACTIONS(518),
    [anon_sym_STAR] = ACTIONS(514),
    [anon_sym_STAR_EQ] = ACTIONS(516),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(516),
    [anon_sym_SLASH_EQ] = ACTIONS(516),
    [anon_sym_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(516),
    [anon_sym_DASH_EQ] = ACTIONS(516),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(516),
    [anon_sym_GT_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP_EQ] = ACTIONS(516),
    [anon_sym_CARET_EQ] = ACTIONS(516),
    [anon_sym_PIPE_EQ] = ACTIONS(516),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(516),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_GT] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_orelse] = ACTIONS(518),
    [anon_sym_catch] = ACTIONS(518),
    [anon_sym_LT_LT] = ACTIONS(518),
    [anon_sym_GT_GT] = ACTIONS(518),
    [anon_sym_LT_LT_PIPE] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT] = ACTIONS(518),
    [anon_sym_DASH_PERCENT] = ACTIONS(514),
    [anon_sym_PLUS_PIPE] = ACTIONS(518),
    [anon_sym_DASH_PIPE] = ACTIONS(518),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_STAR] = ACTIONS(520),
    [anon_sym_STAR_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_PIPE] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(514),
    [anon_sym_QMARK] = ACTIONS(520),
    [anon_sym_DOT_STAR] = ACTIONS(516),
    [anon_sym_DOT_QMARK] = ACTIONS(516),
    [anon_sym_struct] = ACTIONS(514),
    [anon_sym_opaque] = ACTIONS(514),
    [anon_sym_enum] = ACTIONS(514),
    [anon_sym_union] = ACTIONS(514),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(520),
    [aux_sym_FLOAT_token1] = ACTIONS(520),
    [aux_sym_FLOAT_token2] = ACTIONS(520),
    [aux_sym_FLOAT_token3] = ACTIONS(520),
    [aux_sym_FLOAT_token4] = ACTIONS(520),
    [aux_sym_INTEGER_token1] = ACTIONS(520),
    [aux_sym_INTEGER_token2] = ACTIONS(520),
    [aux_sym_INTEGER_token3] = ACTIONS(514),
    [aux_sym_INTEGER_token4] = ACTIONS(514),
    [anon_sym_DQUOTE] = ACTIONS(520),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(520),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(520),
  },
  [50] = {
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_GT] = ACTIONS(522),
    [anon_sym_STAR_EQ] = ACTIONS(522),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(522),
    [anon_sym_SLASH_EQ] = ACTIONS(522),
    [anon_sym_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(522),
    [anon_sym_GT_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP_EQ] = ACTIONS(522),
    [anon_sym_CARET_EQ] = ACTIONS(522),
    [anon_sym_PIPE_EQ] = ACTIONS(522),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT_PIPE] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(524),
    [anon_sym_DASH_PERCENT] = ACTIONS(524),
    [anon_sym_PLUS_PIPE] = ACTIONS(524),
    [anon_sym_DASH_PIPE] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_PIPE] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_DOT_DOT] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [51] = {
    [anon_sym_comptime] = ACTIONS(510),
    [anon_sym_extern] = ACTIONS(510),
    [anon_sym_inline] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_fn] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(510),
    [anon_sym_nosuspend] = ACTIONS(510),
    [anon_sym_defer] = ACTIONS(510),
    [anon_sym_suspend] = ACTIONS(510),
    [anon_sym_errdefer] = ACTIONS(510),
    [anon_sym_or] = ACTIONS(510),
    [anon_sym_and] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_resume] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_error] = ACTIONS(510),
    [anon_sym_false] = ACTIONS(510),
    [anon_sym_null] = ACTIONS(510),
    [anon_sym_anyframe] = ACTIONS(510),
    [anon_sym_true] = ACTIONS(510),
    [anon_sym_undefined] = ACTIONS(510),
    [anon_sym_unreachable] = ACTIONS(510),
    [sym_BuildinTypeExpr] = ACTIONS(510),
    [anon_sym_packed] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_asm] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(512),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(512),
    [anon_sym_SLASH_EQ] = ACTIONS(512),
    [anon_sym_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(512),
    [anon_sym_GT_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP_EQ] = ACTIONS(512),
    [anon_sym_CARET_EQ] = ACTIONS(512),
    [anon_sym_PIPE_EQ] = ACTIONS(512),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(510),
    [anon_sym_orelse] = ACTIONS(510),
    [anon_sym_catch] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(510),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_LT_LT_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT] = ACTIONS(510),
    [anon_sym_DASH_PERCENT] = ACTIONS(510),
    [anon_sym_PLUS_PIPE] = ACTIONS(510),
    [anon_sym_DASH_PIPE] = ACTIONS(510),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_STAR] = ACTIONS(512),
    [anon_sym_STAR_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_PIPE] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_QMARK] = ACTIONS(512),
    [anon_sym_DOT_STAR] = ACTIONS(512),
    [anon_sym_DOT_QMARK] = ACTIONS(512),
    [anon_sym_struct] = ACTIONS(510),
    [anon_sym_opaque] = ACTIONS(510),
    [anon_sym_enum] = ACTIONS(510),
    [anon_sym_union] = ACTIONS(510),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(512),
    [aux_sym_FLOAT_token1] = ACTIONS(512),
    [aux_sym_FLOAT_token2] = ACTIONS(512),
    [aux_sym_FLOAT_token3] = ACTIONS(512),
    [aux_sym_FLOAT_token4] = ACTIONS(512),
    [aux_sym_INTEGER_token1] = ACTIONS(512),
    [aux_sym_INTEGER_token2] = ACTIONS(512),
    [aux_sym_INTEGER_token3] = ACTIONS(510),
    [aux_sym_INTEGER_token4] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(512),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(512),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(512),
  },
  [52] = {
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_COLON] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_RBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_GT] = ACTIONS(526),
    [anon_sym_STAR_EQ] = ACTIONS(526),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(526),
    [anon_sym_SLASH_EQ] = ACTIONS(526),
    [anon_sym_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(526),
    [anon_sym_DASH_EQ] = ACTIONS(526),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(526),
    [anon_sym_GT_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP_EQ] = ACTIONS(526),
    [anon_sym_CARET_EQ] = ACTIONS(526),
    [anon_sym_PIPE_EQ] = ACTIONS(526),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT_PIPE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(528),
    [anon_sym_DASH_PERCENT] = ACTIONS(528),
    [anon_sym_PLUS_PIPE] = ACTIONS(528),
    [anon_sym_DASH_PIPE] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_PIPE] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_DOT_DOT] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [53] = {
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_RBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_GT] = ACTIONS(530),
    [anon_sym_STAR_EQ] = ACTIONS(530),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(530),
    [anon_sym_SLASH_EQ] = ACTIONS(530),
    [anon_sym_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_PLUS_EQ] = ACTIONS(530),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(530),
    [anon_sym_DASH_EQ] = ACTIONS(530),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(530),
    [anon_sym_LT_LT_EQ] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(530),
    [anon_sym_GT_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP_EQ] = ACTIONS(530),
    [anon_sym_CARET_EQ] = ACTIONS(530),
    [anon_sym_PIPE_EQ] = ACTIONS(530),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_LT_LT_PIPE] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(532),
    [anon_sym_DASH_PERCENT] = ACTIONS(532),
    [anon_sym_PLUS_PIPE] = ACTIONS(532),
    [anon_sym_DASH_PIPE] = ACTIONS(532),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(532),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(532),
    [anon_sym_STAR_PIPE] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_DOT_DOT] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [54] = {
    [anon_sym_comptime] = ACTIONS(534),
    [anon_sym_extern] = ACTIONS(534),
    [anon_sym_inline] = ACTIONS(534),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_fn] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_var] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(534),
    [anon_sym_nosuspend] = ACTIONS(534),
    [anon_sym_defer] = ACTIONS(534),
    [anon_sym_suspend] = ACTIONS(534),
    [anon_sym_errdefer] = ACTIONS(534),
    [anon_sym_or] = ACTIONS(534),
    [anon_sym_and] = ACTIONS(534),
    [anon_sym_break] = ACTIONS(534),
    [anon_sym_continue] = ACTIONS(534),
    [anon_sym_resume] = ACTIONS(534),
    [anon_sym_return] = ACTIONS(534),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_async] = ACTIONS(534),
    [anon_sym_DOT] = ACTIONS(534),
    [anon_sym_error] = ACTIONS(534),
    [anon_sym_false] = ACTIONS(534),
    [anon_sym_null] = ACTIONS(534),
    [anon_sym_anyframe] = ACTIONS(534),
    [anon_sym_true] = ACTIONS(534),
    [anon_sym_undefined] = ACTIONS(534),
    [anon_sym_unreachable] = ACTIONS(534),
    [sym_BuildinTypeExpr] = ACTIONS(534),
    [anon_sym_packed] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(534),
    [anon_sym_PIPE] = ACTIONS(534),
    [anon_sym_STAR] = ACTIONS(534),
    [anon_sym_STAR_EQ] = ACTIONS(536),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(536),
    [anon_sym_SLASH_EQ] = ACTIONS(536),
    [anon_sym_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_PLUS_EQ] = ACTIONS(536),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(536),
    [anon_sym_DASH_EQ] = ACTIONS(536),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(536),
    [anon_sym_LT_LT_EQ] = ACTIONS(536),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(536),
    [anon_sym_GT_GT_EQ] = ACTIONS(536),
    [anon_sym_AMP_EQ] = ACTIONS(536),
    [anon_sym_CARET_EQ] = ACTIONS(536),
    [anon_sym_PIPE_EQ] = ACTIONS(536),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(536),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_GT] = ACTIONS(534),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(534),
    [anon_sym_CARET] = ACTIONS(534),
    [anon_sym_orelse] = ACTIONS(534),
    [anon_sym_catch] = ACTIONS(534),
    [anon_sym_LT_LT] = ACTIONS(534),
    [anon_sym_GT_GT] = ACTIONS(534),
    [anon_sym_LT_LT_PIPE] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(536),
    [anon_sym_PLUS_PERCENT] = ACTIONS(534),
    [anon_sym_DASH_PERCENT] = ACTIONS(534),
    [anon_sym_PLUS_PIPE] = ACTIONS(534),
    [anon_sym_DASH_PIPE] = ACTIONS(534),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(534),
    [anon_sym_PERCENT] = ACTIONS(534),
    [anon_sym_STAR_STAR] = ACTIONS(536),
    [anon_sym_STAR_PERCENT] = ACTIONS(534),
    [anon_sym_STAR_PIPE] = ACTIONS(534),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_try] = ACTIONS(534),
    [anon_sym_await] = ACTIONS(534),
    [anon_sym_QMARK] = ACTIONS(536),
    [anon_sym_DOT_STAR] = ACTIONS(536),
    [anon_sym_DOT_QMARK] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(534),
    [anon_sym_opaque] = ACTIONS(534),
    [anon_sym_enum] = ACTIONS(534),
    [anon_sym_union] = ACTIONS(534),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(536),
    [aux_sym_FLOAT_token1] = ACTIONS(536),
    [aux_sym_FLOAT_token2] = ACTIONS(536),
    [aux_sym_FLOAT_token3] = ACTIONS(536),
    [aux_sym_FLOAT_token4] = ACTIONS(536),
    [aux_sym_INTEGER_token1] = ACTIONS(536),
    [aux_sym_INTEGER_token2] = ACTIONS(536),
    [aux_sym_INTEGER_token3] = ACTIONS(534),
    [aux_sym_INTEGER_token4] = ACTIONS(534),
    [anon_sym_DQUOTE] = ACTIONS(536),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(536),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(536),
  },
  [55] = {
    [anon_sym_comptime] = ACTIONS(538),
    [anon_sym_extern] = ACTIONS(538),
    [anon_sym_inline] = ACTIONS(538),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_fn] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_const] = ACTIONS(538),
    [anon_sym_var] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(538),
    [anon_sym_nosuspend] = ACTIONS(538),
    [anon_sym_defer] = ACTIONS(538),
    [anon_sym_suspend] = ACTIONS(538),
    [anon_sym_errdefer] = ACTIONS(538),
    [anon_sym_or] = ACTIONS(538),
    [anon_sym_and] = ACTIONS(538),
    [anon_sym_break] = ACTIONS(538),
    [anon_sym_continue] = ACTIONS(538),
    [anon_sym_resume] = ACTIONS(538),
    [anon_sym_return] = ACTIONS(538),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_async] = ACTIONS(538),
    [anon_sym_DOT] = ACTIONS(538),
    [anon_sym_error] = ACTIONS(538),
    [anon_sym_false] = ACTIONS(538),
    [anon_sym_null] = ACTIONS(538),
    [anon_sym_anyframe] = ACTIONS(538),
    [anon_sym_true] = ACTIONS(538),
    [anon_sym_undefined] = ACTIONS(538),
    [anon_sym_unreachable] = ACTIONS(538),
    [sym_BuildinTypeExpr] = ACTIONS(538),
    [anon_sym_packed] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_switch] = ACTIONS(538),
    [anon_sym_asm] = ACTIONS(538),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_if] = ACTIONS(538),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_STAR_EQ] = ACTIONS(540),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(540),
    [anon_sym_SLASH_EQ] = ACTIONS(540),
    [anon_sym_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(540),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(540),
    [anon_sym_DASH_EQ] = ACTIONS(540),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(540),
    [anon_sym_LT_LT_EQ] = ACTIONS(540),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(540),
    [anon_sym_GT_GT_EQ] = ACTIONS(540),
    [anon_sym_AMP_EQ] = ACTIONS(540),
    [anon_sym_CARET_EQ] = ACTIONS(540),
    [anon_sym_PIPE_EQ] = ACTIONS(540),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(540),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(538),
    [anon_sym_orelse] = ACTIONS(538),
    [anon_sym_catch] = ACTIONS(538),
    [anon_sym_LT_LT] = ACTIONS(538),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_LT_LT_PIPE] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_PLUS_PLUS] = ACTIONS(540),
    [anon_sym_PLUS_PERCENT] = ACTIONS(538),
    [anon_sym_DASH_PERCENT] = ACTIONS(538),
    [anon_sym_PLUS_PIPE] = ACTIONS(538),
    [anon_sym_DASH_PIPE] = ACTIONS(538),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_SLASH] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(538),
    [anon_sym_STAR_STAR] = ACTIONS(540),
    [anon_sym_STAR_PERCENT] = ACTIONS(538),
    [anon_sym_STAR_PIPE] = ACTIONS(538),
    [anon_sym_TILDE] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(538),
    [anon_sym_await] = ACTIONS(538),
    [anon_sym_QMARK] = ACTIONS(540),
    [anon_sym_DOT_STAR] = ACTIONS(540),
    [anon_sym_DOT_QMARK] = ACTIONS(540),
    [anon_sym_struct] = ACTIONS(538),
    [anon_sym_opaque] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(538),
    [anon_sym_union] = ACTIONS(538),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [aux_sym_FLOAT_token1] = ACTIONS(540),
    [aux_sym_FLOAT_token2] = ACTIONS(540),
    [aux_sym_FLOAT_token3] = ACTIONS(540),
    [aux_sym_FLOAT_token4] = ACTIONS(540),
    [aux_sym_INTEGER_token1] = ACTIONS(540),
    [aux_sym_INTEGER_token2] = ACTIONS(540),
    [aux_sym_INTEGER_token3] = ACTIONS(538),
    [aux_sym_INTEGER_token4] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(540),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(540),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(538),
    [anon_sym_AT] = ACTIONS(540),
  },
  [56] = {
    [sym_FnProto] = STATE(717),
    [sym_VarDecl] = STATE(874),
    [sym_BlockExprStatement] = STATE(874),
    [sym_BlockExpr] = STATE(872),
    [sym_AssignExpr] = STATE(2365),
    [sym__Expr] = STATE(1141),
    [sym_BinaryExpr] = STATE(1141),
    [sym_UnaryExpr] = STATE(1141),
    [sym__PrimaryExpr] = STATE(1141),
    [sym_IfExpr] = STATE(1141),
    [sym_Block] = STATE(93),
    [sym_LoopExpr] = STATE(1141),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1141),
    [sym__TypeExpr] = STATE(840),
    [sym_ErrorUnionExpr] = STATE(840),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1141),
    [sym_BlockLabel] = STATE(1917),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(327),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [57] = {
    [anon_sym_comptime] = ACTIONS(546),
    [anon_sym_extern] = ACTIONS(546),
    [anon_sym_inline] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_fn] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(546),
    [anon_sym_var] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(546),
    [anon_sym_nosuspend] = ACTIONS(546),
    [anon_sym_defer] = ACTIONS(546),
    [anon_sym_suspend] = ACTIONS(546),
    [anon_sym_errdefer] = ACTIONS(546),
    [anon_sym_or] = ACTIONS(546),
    [anon_sym_and] = ACTIONS(546),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_resume] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(546),
    [anon_sym_error] = ACTIONS(546),
    [anon_sym_false] = ACTIONS(546),
    [anon_sym_null] = ACTIONS(546),
    [anon_sym_anyframe] = ACTIONS(546),
    [anon_sym_true] = ACTIONS(546),
    [anon_sym_undefined] = ACTIONS(546),
    [anon_sym_unreachable] = ACTIONS(546),
    [sym_BuildinTypeExpr] = ACTIONS(546),
    [anon_sym_packed] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_switch] = ACTIONS(546),
    [anon_sym_asm] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_while] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_STAR_EQ] = ACTIONS(548),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(548),
    [anon_sym_SLASH_EQ] = ACTIONS(548),
    [anon_sym_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(548),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(548),
    [anon_sym_DASH_EQ] = ACTIONS(548),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(548),
    [anon_sym_LT_LT_EQ] = ACTIONS(548),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(548),
    [anon_sym_GT_GT_EQ] = ACTIONS(548),
    [anon_sym_AMP_EQ] = ACTIONS(548),
    [anon_sym_CARET_EQ] = ACTIONS(548),
    [anon_sym_PIPE_EQ] = ACTIONS(548),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(546),
    [anon_sym_orelse] = ACTIONS(546),
    [anon_sym_catch] = ACTIONS(546),
    [anon_sym_LT_LT] = ACTIONS(546),
    [anon_sym_GT_GT] = ACTIONS(546),
    [anon_sym_LT_LT_PIPE] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(548),
    [anon_sym_PLUS_PERCENT] = ACTIONS(546),
    [anon_sym_DASH_PERCENT] = ACTIONS(546),
    [anon_sym_PLUS_PIPE] = ACTIONS(546),
    [anon_sym_DASH_PIPE] = ACTIONS(546),
    [anon_sym_PIPE_PIPE] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_STAR] = ACTIONS(548),
    [anon_sym_STAR_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_PIPE] = ACTIONS(546),
    [anon_sym_TILDE] = ACTIONS(548),
    [anon_sym_try] = ACTIONS(546),
    [anon_sym_await] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(548),
    [anon_sym_DOT_STAR] = ACTIONS(548),
    [anon_sym_DOT_QMARK] = ACTIONS(548),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_opaque] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(546),
    [anon_sym_union] = ACTIONS(546),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [aux_sym_FLOAT_token1] = ACTIONS(548),
    [aux_sym_FLOAT_token2] = ACTIONS(548),
    [aux_sym_FLOAT_token3] = ACTIONS(548),
    [aux_sym_FLOAT_token4] = ACTIONS(548),
    [aux_sym_INTEGER_token1] = ACTIONS(548),
    [aux_sym_INTEGER_token2] = ACTIONS(548),
    [aux_sym_INTEGER_token3] = ACTIONS(546),
    [aux_sym_INTEGER_token4] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(548),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(548),
  },
  [58] = {
    [anon_sym_comptime] = ACTIONS(550),
    [anon_sym_extern] = ACTIONS(550),
    [anon_sym_inline] = ACTIONS(550),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(550),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_const] = ACTIONS(550),
    [anon_sym_var] = ACTIONS(550),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_nosuspend] = ACTIONS(550),
    [anon_sym_defer] = ACTIONS(550),
    [anon_sym_suspend] = ACTIONS(550),
    [anon_sym_errdefer] = ACTIONS(550),
    [anon_sym_or] = ACTIONS(550),
    [anon_sym_and] = ACTIONS(550),
    [anon_sym_break] = ACTIONS(550),
    [anon_sym_continue] = ACTIONS(550),
    [anon_sym_resume] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(550),
    [anon_sym_DOT] = ACTIONS(550),
    [anon_sym_error] = ACTIONS(550),
    [anon_sym_false] = ACTIONS(550),
    [anon_sym_null] = ACTIONS(550),
    [anon_sym_anyframe] = ACTIONS(550),
    [anon_sym_true] = ACTIONS(550),
    [anon_sym_undefined] = ACTIONS(550),
    [anon_sym_unreachable] = ACTIONS(550),
    [sym_BuildinTypeExpr] = ACTIONS(550),
    [anon_sym_packed] = ACTIONS(550),
    [anon_sym_LPAREN] = ACTIONS(552),
    [anon_sym_switch] = ACTIONS(550),
    [anon_sym_asm] = ACTIONS(550),
    [anon_sym_LBRACK] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(550),
    [anon_sym_while] = ACTIONS(550),
    [anon_sym_for] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(550),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_STAR_EQ] = ACTIONS(552),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(552),
    [anon_sym_SLASH_EQ] = ACTIONS(552),
    [anon_sym_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_PLUS_EQ] = ACTIONS(552),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(552),
    [anon_sym_DASH_EQ] = ACTIONS(552),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(552),
    [anon_sym_LT_LT_EQ] = ACTIONS(552),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(552),
    [anon_sym_GT_GT_EQ] = ACTIONS(552),
    [anon_sym_AMP_EQ] = ACTIONS(552),
    [anon_sym_CARET_EQ] = ACTIONS(552),
    [anon_sym_PIPE_EQ] = ACTIONS(552),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_EQ_EQ] = ACTIONS(552),
    [anon_sym_BANG_EQ] = ACTIONS(552),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(552),
    [anon_sym_GT_EQ] = ACTIONS(552),
    [anon_sym_AMP] = ACTIONS(550),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_orelse] = ACTIONS(550),
    [anon_sym_catch] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT_PIPE] = ACTIONS(550),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(550),
    [anon_sym_PLUS_PLUS] = ACTIONS(552),
    [anon_sym_PLUS_PERCENT] = ACTIONS(550),
    [anon_sym_DASH_PERCENT] = ACTIONS(550),
    [anon_sym_PLUS_PIPE] = ACTIONS(550),
    [anon_sym_DASH_PIPE] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(552),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(552),
    [anon_sym_STAR_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_PIPE] = ACTIONS(550),
    [anon_sym_TILDE] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(550),
    [anon_sym_await] = ACTIONS(550),
    [anon_sym_QMARK] = ACTIONS(552),
    [anon_sym_DOT_STAR] = ACTIONS(552),
    [anon_sym_DOT_QMARK] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(550),
    [anon_sym_opaque] = ACTIONS(550),
    [anon_sym_enum] = ACTIONS(550),
    [anon_sym_union] = ACTIONS(550),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [aux_sym_FLOAT_token1] = ACTIONS(552),
    [aux_sym_FLOAT_token2] = ACTIONS(552),
    [aux_sym_FLOAT_token3] = ACTIONS(552),
    [aux_sym_FLOAT_token4] = ACTIONS(552),
    [aux_sym_INTEGER_token1] = ACTIONS(552),
    [aux_sym_INTEGER_token2] = ACTIONS(552),
    [aux_sym_INTEGER_token3] = ACTIONS(550),
    [aux_sym_INTEGER_token4] = ACTIONS(550),
    [anon_sym_DQUOTE] = ACTIONS(552),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(552),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
  },
  [59] = {
    [anon_sym_comptime] = ACTIONS(554),
    [anon_sym_extern] = ACTIONS(554),
    [anon_sym_inline] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(516),
    [anon_sym_fn] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_const] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_nosuspend] = ACTIONS(554),
    [anon_sym_defer] = ACTIONS(554),
    [anon_sym_suspend] = ACTIONS(554),
    [anon_sym_errdefer] = ACTIONS(554),
    [anon_sym_or] = ACTIONS(518),
    [anon_sym_and] = ACTIONS(518),
    [anon_sym_break] = ACTIONS(554),
    [anon_sym_continue] = ACTIONS(554),
    [anon_sym_resume] = ACTIONS(554),
    [anon_sym_return] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_async] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(554),
    [anon_sym_error] = ACTIONS(554),
    [anon_sym_false] = ACTIONS(554),
    [anon_sym_null] = ACTIONS(554),
    [anon_sym_anyframe] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(554),
    [anon_sym_undefined] = ACTIONS(554),
    [anon_sym_unreachable] = ACTIONS(554),
    [sym_BuildinTypeExpr] = ACTIONS(554),
    [anon_sym_packed] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_switch] = ACTIONS(554),
    [anon_sym_asm] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(556),
    [anon_sym_if] = ACTIONS(554),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_for] = ACTIONS(554),
    [anon_sym_PIPE] = ACTIONS(518),
    [anon_sym_STAR] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(516),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(516),
    [anon_sym_SLASH_EQ] = ACTIONS(516),
    [anon_sym_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(516),
    [anon_sym_DASH_EQ] = ACTIONS(516),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(516),
    [anon_sym_GT_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP_EQ] = ACTIONS(516),
    [anon_sym_CARET_EQ] = ACTIONS(516),
    [anon_sym_PIPE_EQ] = ACTIONS(516),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(516),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_GT] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(554),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_orelse] = ACTIONS(518),
    [anon_sym_catch] = ACTIONS(518),
    [anon_sym_LT_LT] = ACTIONS(518),
    [anon_sym_GT_GT] = ACTIONS(518),
    [anon_sym_LT_LT_PIPE] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT] = ACTIONS(518),
    [anon_sym_DASH_PERCENT] = ACTIONS(554),
    [anon_sym_PLUS_PIPE] = ACTIONS(518),
    [anon_sym_DASH_PIPE] = ACTIONS(518),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_STAR] = ACTIONS(556),
    [anon_sym_STAR_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_PIPE] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_try] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(556),
    [anon_sym_DOT_STAR] = ACTIONS(516),
    [anon_sym_DOT_QMARK] = ACTIONS(516),
    [anon_sym_struct] = ACTIONS(554),
    [anon_sym_opaque] = ACTIONS(554),
    [anon_sym_enum] = ACTIONS(554),
    [anon_sym_union] = ACTIONS(554),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(556),
    [aux_sym_FLOAT_token1] = ACTIONS(556),
    [aux_sym_FLOAT_token2] = ACTIONS(556),
    [aux_sym_FLOAT_token3] = ACTIONS(556),
    [aux_sym_FLOAT_token4] = ACTIONS(556),
    [aux_sym_INTEGER_token1] = ACTIONS(556),
    [aux_sym_INTEGER_token2] = ACTIONS(556),
    [aux_sym_INTEGER_token3] = ACTIONS(554),
    [aux_sym_INTEGER_token4] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(556),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(556),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(556),
  },
  [60] = {
    [anon_sym_comptime] = ACTIONS(506),
    [anon_sym_extern] = ACTIONS(506),
    [anon_sym_inline] = ACTIONS(506),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_fn] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_var] = ACTIONS(506),
    [anon_sym_EQ] = ACTIONS(506),
    [anon_sym_nosuspend] = ACTIONS(506),
    [anon_sym_defer] = ACTIONS(506),
    [anon_sym_suspend] = ACTIONS(506),
    [anon_sym_errdefer] = ACTIONS(506),
    [anon_sym_or] = ACTIONS(506),
    [anon_sym_and] = ACTIONS(506),
    [anon_sym_break] = ACTIONS(506),
    [anon_sym_continue] = ACTIONS(506),
    [anon_sym_resume] = ACTIONS(506),
    [anon_sym_return] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(506),
    [anon_sym_DOT] = ACTIONS(506),
    [anon_sym_error] = ACTIONS(506),
    [anon_sym_false] = ACTIONS(506),
    [anon_sym_null] = ACTIONS(506),
    [anon_sym_anyframe] = ACTIONS(506),
    [anon_sym_true] = ACTIONS(506),
    [anon_sym_undefined] = ACTIONS(506),
    [anon_sym_unreachable] = ACTIONS(506),
    [sym_BuildinTypeExpr] = ACTIONS(506),
    [anon_sym_packed] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_asm] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(506),
    [anon_sym_while] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(506),
    [anon_sym_STAR] = ACTIONS(506),
    [anon_sym_STAR_EQ] = ACTIONS(508),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(508),
    [anon_sym_SLASH_EQ] = ACTIONS(508),
    [anon_sym_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(508),
    [anon_sym_DASH_EQ] = ACTIONS(508),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(508),
    [anon_sym_GT_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP_EQ] = ACTIONS(508),
    [anon_sym_CARET_EQ] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(508),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(506),
    [anon_sym_GT] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_orelse] = ACTIONS(506),
    [anon_sym_catch] = ACTIONS(506),
    [anon_sym_LT_LT] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LT_LT_PIPE] = ACTIONS(506),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT] = ACTIONS(506),
    [anon_sym_DASH_PERCENT] = ACTIONS(506),
    [anon_sym_PLUS_PIPE] = ACTIONS(506),
    [anon_sym_DASH_PIPE] = ACTIONS(506),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(506),
    [anon_sym_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_STAR] = ACTIONS(508),
    [anon_sym_STAR_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_PIPE] = ACTIONS(506),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(506),
    [anon_sym_QMARK] = ACTIONS(508),
    [anon_sym_DOT_STAR] = ACTIONS(508),
    [anon_sym_DOT_QMARK] = ACTIONS(508),
    [anon_sym_struct] = ACTIONS(506),
    [anon_sym_opaque] = ACTIONS(506),
    [anon_sym_enum] = ACTIONS(506),
    [anon_sym_union] = ACTIONS(506),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [aux_sym_FLOAT_token1] = ACTIONS(508),
    [aux_sym_FLOAT_token2] = ACTIONS(508),
    [aux_sym_FLOAT_token3] = ACTIONS(508),
    [aux_sym_FLOAT_token4] = ACTIONS(508),
    [aux_sym_INTEGER_token1] = ACTIONS(508),
    [aux_sym_INTEGER_token2] = ACTIONS(508),
    [aux_sym_INTEGER_token3] = ACTIONS(506),
    [aux_sym_INTEGER_token4] = ACTIONS(506),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(508),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(508),
  },
  [61] = {
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_COLON] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_RBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_GT] = ACTIONS(558),
    [anon_sym_STAR_EQ] = ACTIONS(558),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(558),
    [anon_sym_SLASH_EQ] = ACTIONS(558),
    [anon_sym_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(558),
    [anon_sym_DASH_EQ] = ACTIONS(558),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(558),
    [anon_sym_GT_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP_EQ] = ACTIONS(558),
    [anon_sym_CARET_EQ] = ACTIONS(558),
    [anon_sym_PIPE_EQ] = ACTIONS(558),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(560),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_LT_LT_PIPE] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(560),
    [anon_sym_DASH_PERCENT] = ACTIONS(560),
    [anon_sym_PLUS_PIPE] = ACTIONS(560),
    [anon_sym_DASH_PIPE] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_PIPE] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_DOT_DOT] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [62] = {
    [anon_sym_comptime] = ACTIONS(514),
    [anon_sym_extern] = ACTIONS(514),
    [anon_sym_inline] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(516),
    [anon_sym_fn] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_const] = ACTIONS(514),
    [anon_sym_var] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_nosuspend] = ACTIONS(514),
    [anon_sym_defer] = ACTIONS(514),
    [anon_sym_suspend] = ACTIONS(514),
    [anon_sym_errdefer] = ACTIONS(514),
    [anon_sym_or] = ACTIONS(518),
    [anon_sym_and] = ACTIONS(518),
    [anon_sym_break] = ACTIONS(514),
    [anon_sym_continue] = ACTIONS(514),
    [anon_sym_resume] = ACTIONS(514),
    [anon_sym_return] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_DOT] = ACTIONS(514),
    [anon_sym_error] = ACTIONS(514),
    [anon_sym_false] = ACTIONS(514),
    [anon_sym_null] = ACTIONS(514),
    [anon_sym_anyframe] = ACTIONS(514),
    [anon_sym_true] = ACTIONS(514),
    [anon_sym_undefined] = ACTIONS(514),
    [anon_sym_unreachable] = ACTIONS(514),
    [sym_BuildinTypeExpr] = ACTIONS(514),
    [anon_sym_packed] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_switch] = ACTIONS(514),
    [anon_sym_asm] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(514),
    [anon_sym_while] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(514),
    [anon_sym_PIPE] = ACTIONS(518),
    [anon_sym_STAR] = ACTIONS(514),
    [anon_sym_STAR_EQ] = ACTIONS(516),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(516),
    [anon_sym_SLASH_EQ] = ACTIONS(516),
    [anon_sym_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(516),
    [anon_sym_DASH_EQ] = ACTIONS(516),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(516),
    [anon_sym_GT_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP_EQ] = ACTIONS(516),
    [anon_sym_CARET_EQ] = ACTIONS(516),
    [anon_sym_PIPE_EQ] = ACTIONS(516),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(516),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_GT] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_orelse] = ACTIONS(518),
    [anon_sym_catch] = ACTIONS(518),
    [anon_sym_LT_LT] = ACTIONS(518),
    [anon_sym_GT_GT] = ACTIONS(518),
    [anon_sym_LT_LT_PIPE] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT] = ACTIONS(518),
    [anon_sym_DASH_PERCENT] = ACTIONS(514),
    [anon_sym_PLUS_PIPE] = ACTIONS(518),
    [anon_sym_DASH_PIPE] = ACTIONS(518),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_STAR] = ACTIONS(520),
    [anon_sym_STAR_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_PIPE] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(514),
    [anon_sym_QMARK] = ACTIONS(520),
    [anon_sym_DOT_STAR] = ACTIONS(516),
    [anon_sym_DOT_QMARK] = ACTIONS(516),
    [anon_sym_struct] = ACTIONS(514),
    [anon_sym_opaque] = ACTIONS(514),
    [anon_sym_enum] = ACTIONS(514),
    [anon_sym_union] = ACTIONS(514),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(520),
    [aux_sym_FLOAT_token1] = ACTIONS(520),
    [aux_sym_FLOAT_token2] = ACTIONS(520),
    [aux_sym_FLOAT_token3] = ACTIONS(520),
    [aux_sym_FLOAT_token4] = ACTIONS(520),
    [aux_sym_INTEGER_token1] = ACTIONS(520),
    [aux_sym_INTEGER_token2] = ACTIONS(520),
    [aux_sym_INTEGER_token3] = ACTIONS(514),
    [aux_sym_INTEGER_token4] = ACTIONS(514),
    [anon_sym_DQUOTE] = ACTIONS(520),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(520),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(520),
  },
  [63] = {
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_GT] = ACTIONS(562),
    [anon_sym_STAR_EQ] = ACTIONS(562),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(562),
    [anon_sym_SLASH_EQ] = ACTIONS(562),
    [anon_sym_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(562),
    [anon_sym_DASH_EQ] = ACTIONS(562),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(562),
    [anon_sym_GT_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP_EQ] = ACTIONS(562),
    [anon_sym_CARET_EQ] = ACTIONS(562),
    [anon_sym_PIPE_EQ] = ACTIONS(562),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT_PIPE] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(564),
    [anon_sym_DASH_PERCENT] = ACTIONS(564),
    [anon_sym_PLUS_PIPE] = ACTIONS(564),
    [anon_sym_DASH_PIPE] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_PIPE] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_DOT_DOT] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [64] = {
    [anon_sym_comptime] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(566),
    [anon_sym_inline] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_fn] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(570),
    [anon_sym_nosuspend] = ACTIONS(566),
    [anon_sym_defer] = ACTIONS(566),
    [anon_sym_suspend] = ACTIONS(566),
    [anon_sym_errdefer] = ACTIONS(566),
    [anon_sym_or] = ACTIONS(570),
    [anon_sym_and] = ACTIONS(570),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_resume] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(566),
    [anon_sym_error] = ACTIONS(566),
    [anon_sym_false] = ACTIONS(566),
    [anon_sym_null] = ACTIONS(566),
    [anon_sym_anyframe] = ACTIONS(566),
    [anon_sym_true] = ACTIONS(566),
    [anon_sym_undefined] = ACTIONS(566),
    [anon_sym_unreachable] = ACTIONS(566),
    [sym_BuildinTypeExpr] = ACTIONS(566),
    [anon_sym_packed] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_asm] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_PIPE] = ACTIONS(570),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_STAR_EQ] = ACTIONS(568),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(568),
    [anon_sym_SLASH_EQ] = ACTIONS(568),
    [anon_sym_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(568),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(568),
    [anon_sym_DASH_EQ] = ACTIONS(568),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(568),
    [anon_sym_LT_LT_EQ] = ACTIONS(568),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(568),
    [anon_sym_GT_GT_EQ] = ACTIONS(568),
    [anon_sym_AMP_EQ] = ACTIONS(568),
    [anon_sym_CARET_EQ] = ACTIONS(568),
    [anon_sym_PIPE_EQ] = ACTIONS(568),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ] = ACTIONS(568),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_GT] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(570),
    [anon_sym_orelse] = ACTIONS(570),
    [anon_sym_catch] = ACTIONS(570),
    [anon_sym_LT_LT] = ACTIONS(570),
    [anon_sym_GT_GT] = ACTIONS(570),
    [anon_sym_LT_LT_PIPE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_PLUS_PERCENT] = ACTIONS(570),
    [anon_sym_DASH_PERCENT] = ACTIONS(566),
    [anon_sym_PLUS_PIPE] = ACTIONS(570),
    [anon_sym_DASH_PIPE] = ACTIONS(570),
    [anon_sym_PIPE_PIPE] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(570),
    [anon_sym_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_STAR] = ACTIONS(572),
    [anon_sym_STAR_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_PIPE] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_QMARK] = ACTIONS(572),
    [anon_sym_DOT_STAR] = ACTIONS(568),
    [anon_sym_DOT_QMARK] = ACTIONS(568),
    [anon_sym_struct] = ACTIONS(566),
    [anon_sym_opaque] = ACTIONS(566),
    [anon_sym_enum] = ACTIONS(566),
    [anon_sym_union] = ACTIONS(566),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(572),
    [aux_sym_FLOAT_token1] = ACTIONS(572),
    [aux_sym_FLOAT_token2] = ACTIONS(572),
    [aux_sym_FLOAT_token3] = ACTIONS(572),
    [aux_sym_FLOAT_token4] = ACTIONS(572),
    [aux_sym_INTEGER_token1] = ACTIONS(572),
    [aux_sym_INTEGER_token2] = ACTIONS(572),
    [aux_sym_INTEGER_token3] = ACTIONS(566),
    [aux_sym_INTEGER_token4] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(572),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(572),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(572),
  },
  [65] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [66] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2219),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [67] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2110),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [68] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [69] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [70] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2130),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(588),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [71] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [72] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(592),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [73] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2131),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [74] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2208),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(596),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [75] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [76] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(600),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [77] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(602),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [78] = {
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_COLON] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_RBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_GT] = ACTIONS(558),
    [anon_sym_STAR_EQ] = ACTIONS(558),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(558),
    [anon_sym_SLASH_EQ] = ACTIONS(558),
    [anon_sym_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(558),
    [anon_sym_DASH_EQ] = ACTIONS(558),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(558),
    [anon_sym_GT_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP_EQ] = ACTIONS(558),
    [anon_sym_CARET_EQ] = ACTIONS(558),
    [anon_sym_PIPE_EQ] = ACTIONS(558),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(560),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_LT_LT_PIPE] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(560),
    [anon_sym_DASH_PERCENT] = ACTIONS(560),
    [anon_sym_PLUS_PIPE] = ACTIONS(560),
    [anon_sym_DASH_PIPE] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_PIPE] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_DOT_DOT] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [79] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [80] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [81] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [82] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2184),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [83] = {
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_COLON] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_RBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_GT] = ACTIONS(526),
    [anon_sym_STAR_EQ] = ACTIONS(526),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(526),
    [anon_sym_SLASH_EQ] = ACTIONS(526),
    [anon_sym_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(526),
    [anon_sym_DASH_EQ] = ACTIONS(526),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(526),
    [anon_sym_GT_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP_EQ] = ACTIONS(526),
    [anon_sym_CARET_EQ] = ACTIONS(526),
    [anon_sym_PIPE_EQ] = ACTIONS(526),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT_PIPE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(528),
    [anon_sym_DASH_PERCENT] = ACTIONS(528),
    [anon_sym_PLUS_PIPE] = ACTIONS(528),
    [anon_sym_DASH_PIPE] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_PIPE] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_DOT_DOT] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [84] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [85] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(614),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [86] = {
    [anon_sym_comptime] = ACTIONS(616),
    [anon_sym_extern] = ACTIONS(616),
    [anon_sym_inline] = ACTIONS(616),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(616),
    [anon_sym_const] = ACTIONS(616),
    [anon_sym_var] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(616),
    [anon_sym_defer] = ACTIONS(616),
    [anon_sym_suspend] = ACTIONS(616),
    [anon_sym_errdefer] = ACTIONS(616),
    [anon_sym_else] = ACTIONS(49),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(616),
    [anon_sym_continue] = ACTIONS(616),
    [anon_sym_resume] = ACTIONS(616),
    [anon_sym_return] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_error] = ACTIONS(616),
    [anon_sym_false] = ACTIONS(616),
    [anon_sym_null] = ACTIONS(616),
    [anon_sym_anyframe] = ACTIONS(616),
    [anon_sym_true] = ACTIONS(616),
    [anon_sym_undefined] = ACTIONS(616),
    [anon_sym_unreachable] = ACTIONS(616),
    [sym_BuildinTypeExpr] = ACTIONS(616),
    [anon_sym_packed] = ACTIONS(616),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_switch] = ACTIONS(616),
    [anon_sym_asm] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_if] = ACTIONS(616),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_for] = ACTIONS(616),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_try] = ACTIONS(616),
    [anon_sym_await] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_struct] = ACTIONS(616),
    [anon_sym_opaque] = ACTIONS(616),
    [anon_sym_enum] = ACTIONS(616),
    [anon_sym_union] = ACTIONS(616),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [aux_sym_FLOAT_token1] = ACTIONS(618),
    [aux_sym_FLOAT_token2] = ACTIONS(618),
    [aux_sym_FLOAT_token3] = ACTIONS(618),
    [aux_sym_FLOAT_token4] = ACTIONS(618),
    [aux_sym_INTEGER_token1] = ACTIONS(618),
    [aux_sym_INTEGER_token2] = ACTIONS(618),
    [aux_sym_INTEGER_token3] = ACTIONS(616),
    [aux_sym_INTEGER_token4] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(618),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(618),
  },
  [87] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2118),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [88] = {
    [sym_FnProto] = STATE(716),
    [sym_BlockExprStatement] = STATE(874),
    [sym_BlockExpr] = STATE(872),
    [sym_AssignExpr] = STATE(2365),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(93),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1917),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_Payload] = STATE(96),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [89] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [90] = {
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_RBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_GT] = ACTIONS(530),
    [anon_sym_STAR_EQ] = ACTIONS(530),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(530),
    [anon_sym_SLASH_EQ] = ACTIONS(530),
    [anon_sym_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_PLUS_EQ] = ACTIONS(530),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(530),
    [anon_sym_DASH_EQ] = ACTIONS(530),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(530),
    [anon_sym_LT_LT_EQ] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(530),
    [anon_sym_GT_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP_EQ] = ACTIONS(530),
    [anon_sym_CARET_EQ] = ACTIONS(530),
    [anon_sym_PIPE_EQ] = ACTIONS(530),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_LT_LT_PIPE] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(532),
    [anon_sym_DASH_PERCENT] = ACTIONS(532),
    [anon_sym_PLUS_PIPE] = ACTIONS(532),
    [anon_sym_DASH_PIPE] = ACTIONS(532),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(532),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(532),
    [anon_sym_STAR_PIPE] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_DOT_DOT] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [91] = {
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_GT] = ACTIONS(522),
    [anon_sym_STAR_EQ] = ACTIONS(522),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(522),
    [anon_sym_SLASH_EQ] = ACTIONS(522),
    [anon_sym_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(522),
    [anon_sym_GT_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP_EQ] = ACTIONS(522),
    [anon_sym_CARET_EQ] = ACTIONS(522),
    [anon_sym_PIPE_EQ] = ACTIONS(522),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT_PIPE] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(524),
    [anon_sym_DASH_PERCENT] = ACTIONS(524),
    [anon_sym_PLUS_PIPE] = ACTIONS(524),
    [anon_sym_DASH_PIPE] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_PIPE] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_DOT_DOT] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [92] = {
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_GT] = ACTIONS(562),
    [anon_sym_STAR_EQ] = ACTIONS(562),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(562),
    [anon_sym_SLASH_EQ] = ACTIONS(562),
    [anon_sym_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(562),
    [anon_sym_DASH_EQ] = ACTIONS(562),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(562),
    [anon_sym_GT_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP_EQ] = ACTIONS(562),
    [anon_sym_CARET_EQ] = ACTIONS(562),
    [anon_sym_PIPE_EQ] = ACTIONS(562),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT_PIPE] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(564),
    [anon_sym_DASH_PERCENT] = ACTIONS(564),
    [anon_sym_PLUS_PIPE] = ACTIONS(564),
    [anon_sym_DASH_PIPE] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_PIPE] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_DOT_DOT] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [93] = {
    [anon_sym_comptime] = ACTIONS(616),
    [anon_sym_extern] = ACTIONS(616),
    [anon_sym_inline] = ACTIONS(616),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(616),
    [anon_sym_const] = ACTIONS(616),
    [anon_sym_var] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(616),
    [anon_sym_defer] = ACTIONS(616),
    [anon_sym_suspend] = ACTIONS(616),
    [anon_sym_errdefer] = ACTIONS(616),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(616),
    [anon_sym_continue] = ACTIONS(616),
    [anon_sym_resume] = ACTIONS(616),
    [anon_sym_return] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_error] = ACTIONS(616),
    [anon_sym_false] = ACTIONS(616),
    [anon_sym_null] = ACTIONS(616),
    [anon_sym_anyframe] = ACTIONS(616),
    [anon_sym_true] = ACTIONS(616),
    [anon_sym_undefined] = ACTIONS(616),
    [anon_sym_unreachable] = ACTIONS(616),
    [sym_BuildinTypeExpr] = ACTIONS(616),
    [anon_sym_packed] = ACTIONS(616),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_switch] = ACTIONS(616),
    [anon_sym_asm] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_if] = ACTIONS(616),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_for] = ACTIONS(616),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(49),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(49),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_try] = ACTIONS(616),
    [anon_sym_await] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_struct] = ACTIONS(616),
    [anon_sym_opaque] = ACTIONS(616),
    [anon_sym_enum] = ACTIONS(616),
    [anon_sym_union] = ACTIONS(616),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [aux_sym_FLOAT_token1] = ACTIONS(618),
    [aux_sym_FLOAT_token2] = ACTIONS(618),
    [aux_sym_FLOAT_token3] = ACTIONS(618),
    [aux_sym_FLOAT_token4] = ACTIONS(618),
    [aux_sym_INTEGER_token1] = ACTIONS(618),
    [aux_sym_INTEGER_token2] = ACTIONS(618),
    [aux_sym_INTEGER_token3] = ACTIONS(616),
    [aux_sym_INTEGER_token4] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(618),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(618),
  },
  [94] = {
    [anon_sym_comptime] = ACTIONS(626),
    [anon_sym_extern] = ACTIONS(626),
    [anon_sym_inline] = ACTIONS(626),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(626),
    [anon_sym_BANG] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_var] = ACTIONS(626),
    [anon_sym_EQ] = ACTIONS(49),
    [anon_sym_nosuspend] = ACTIONS(626),
    [anon_sym_defer] = ACTIONS(626),
    [anon_sym_suspend] = ACTIONS(626),
    [anon_sym_errdefer] = ACTIONS(626),
    [anon_sym_or] = ACTIONS(49),
    [anon_sym_and] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(626),
    [anon_sym_continue] = ACTIONS(626),
    [anon_sym_resume] = ACTIONS(626),
    [anon_sym_return] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(626),
    [anon_sym_DOT] = ACTIONS(628),
    [anon_sym_error] = ACTIONS(626),
    [anon_sym_false] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(626),
    [anon_sym_anyframe] = ACTIONS(626),
    [anon_sym_true] = ACTIONS(626),
    [anon_sym_undefined] = ACTIONS(626),
    [anon_sym_unreachable] = ACTIONS(626),
    [sym_BuildinTypeExpr] = ACTIONS(626),
    [anon_sym_packed] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(626),
    [anon_sym_asm] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(626),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(626),
    [anon_sym_STAR_EQ] = ACTIONS(35),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(35),
    [anon_sym_SLASH_EQ] = ACTIONS(35),
    [anon_sym_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(35),
    [anon_sym_DASH_EQ] = ACTIONS(35),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_EQ] = ACTIONS(35),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(35),
    [anon_sym_GT_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP_EQ] = ACTIONS(35),
    [anon_sym_CARET_EQ] = ACTIONS(35),
    [anon_sym_PIPE_EQ] = ACTIONS(35),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(626),
    [anon_sym_CARET] = ACTIONS(49),
    [anon_sym_orelse] = ACTIONS(49),
    [anon_sym_catch] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(49),
    [anon_sym_GT_GT] = ACTIONS(49),
    [anon_sym_LT_LT_PIPE] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(626),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_PLUS_PERCENT] = ACTIONS(49),
    [anon_sym_DASH_PERCENT] = ACTIONS(626),
    [anon_sym_PLUS_PIPE] = ACTIONS(49),
    [anon_sym_DASH_PIPE] = ACTIONS(49),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_STAR] = ACTIONS(628),
    [anon_sym_STAR_PERCENT] = ACTIONS(49),
    [anon_sym_STAR_PIPE] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(628),
    [anon_sym_try] = ACTIONS(626),
    [anon_sym_await] = ACTIONS(626),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_struct] = ACTIONS(626),
    [anon_sym_opaque] = ACTIONS(626),
    [anon_sym_enum] = ACTIONS(626),
    [anon_sym_union] = ACTIONS(626),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(628),
    [aux_sym_FLOAT_token1] = ACTIONS(628),
    [aux_sym_FLOAT_token2] = ACTIONS(628),
    [aux_sym_FLOAT_token3] = ACTIONS(628),
    [aux_sym_FLOAT_token4] = ACTIONS(628),
    [aux_sym_INTEGER_token1] = ACTIONS(628),
    [aux_sym_INTEGER_token2] = ACTIONS(628),
    [aux_sym_INTEGER_token3] = ACTIONS(626),
    [aux_sym_INTEGER_token4] = ACTIONS(626),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(628),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(628),
  },
  [95] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchProng] = STATE(2258),
    [sym_SwitchCase] = STATE(2362),
    [sym_SwitchItem] = STATE(2135),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [96] = {
    [sym_FnProto] = STATE(716),
    [sym_BlockExprStatement] = STATE(890),
    [sym_BlockExpr] = STATE(872),
    [sym_AssignExpr] = STATE(2365),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(93),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1917),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [97] = {
    [sym_FnProto] = STATE(716),
    [sym_BlockExprStatement] = STATE(874),
    [sym_BlockExpr] = STATE(872),
    [sym_AssignExpr] = STATE(2365),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(93),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1917),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [98] = {
    [sym_FnProto] = STATE(716),
    [sym_AssignExpr] = STATE(2243),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(969),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PtrPayload] = STATE(137),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(630),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [99] = {
    [sym_FnProto] = STATE(716),
    [sym_BlockExprStatement] = STATE(874),
    [sym_BlockExpr] = STATE(872),
    [sym_AssignExpr] = STATE(2365),
    [sym__Expr] = STATE(1141),
    [sym_BinaryExpr] = STATE(1141),
    [sym_UnaryExpr] = STATE(1141),
    [sym__PrimaryExpr] = STATE(1141),
    [sym_IfExpr] = STATE(1141),
    [sym_Block] = STATE(93),
    [sym_LoopExpr] = STATE(1141),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1141),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1141),
    [sym_BlockLabel] = STATE(1917),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(335),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [100] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1486),
    [sym_BinaryExpr] = STATE(1486),
    [sym_UnaryExpr] = STATE(1486),
    [sym__PrimaryExpr] = STATE(1486),
    [sym_IfExpr] = STATE(1486),
    [sym_Block] = STATE(1486),
    [sym_LoopExpr] = STATE(1486),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1486),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1486),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2153),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [101] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1528),
    [sym_BinaryExpr] = STATE(1528),
    [sym_UnaryExpr] = STATE(1528),
    [sym__PrimaryExpr] = STATE(1528),
    [sym_IfExpr] = STATE(1528),
    [sym_Block] = STATE(1528),
    [sym_LoopExpr] = STATE(1528),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1528),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1528),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_Payload] = STATE(174),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(636),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [102] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1544),
    [sym_BinaryExpr] = STATE(1544),
    [sym_UnaryExpr] = STATE(1544),
    [sym__PrimaryExpr] = STATE(1544),
    [sym_IfExpr] = STATE(1544),
    [sym_Block] = STATE(1544),
    [sym_LoopExpr] = STATE(1544),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1544),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1544),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(638),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(640),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(642),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [103] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1226),
    [sym_BinaryExpr] = STATE(1226),
    [sym_UnaryExpr] = STATE(1226),
    [sym__PrimaryExpr] = STATE(1226),
    [sym_IfExpr] = STATE(1226),
    [sym_Block] = STATE(1226),
    [sym_LoopExpr] = STATE(1226),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1226),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1226),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_Payload] = STATE(175),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [104] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1510),
    [sym_BinaryExpr] = STATE(1510),
    [sym_UnaryExpr] = STATE(1510),
    [sym__PrimaryExpr] = STATE(1510),
    [sym_IfExpr] = STATE(1510),
    [sym_Block] = STATE(1510),
    [sym_LoopExpr] = STATE(1510),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1510),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1510),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_Payload] = STATE(211),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [105] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1505),
    [sym_BinaryExpr] = STATE(1505),
    [sym_UnaryExpr] = STATE(1505),
    [sym__PrimaryExpr] = STATE(1505),
    [sym_IfExpr] = STATE(1505),
    [sym_Block] = STATE(1505),
    [sym_LoopExpr] = STATE(1505),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1505),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1505),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2164),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [106] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1532),
    [sym_BinaryExpr] = STATE(1532),
    [sym_UnaryExpr] = STATE(1532),
    [sym__PrimaryExpr] = STATE(1532),
    [sym_IfExpr] = STATE(1532),
    [sym_Block] = STATE(1532),
    [sym_LoopExpr] = STATE(1532),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1532),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1532),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(658),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(660),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(662),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [107] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1499),
    [sym_BinaryExpr] = STATE(1499),
    [sym_UnaryExpr] = STATE(1499),
    [sym__PrimaryExpr] = STATE(1499),
    [sym_IfExpr] = STATE(1499),
    [sym_Block] = STATE(1499),
    [sym_LoopExpr] = STATE(1499),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1499),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1499),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2158),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [108] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1547),
    [sym_BinaryExpr] = STATE(1547),
    [sym_UnaryExpr] = STATE(1547),
    [sym__PrimaryExpr] = STATE(1547),
    [sym_IfExpr] = STATE(1547),
    [sym_Block] = STATE(1547),
    [sym_LoopExpr] = STATE(1547),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1547),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1547),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(668),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [109] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1539),
    [sym_BinaryExpr] = STATE(1539),
    [sym_UnaryExpr] = STATE(1539),
    [sym__PrimaryExpr] = STATE(1539),
    [sym_IfExpr] = STATE(1539),
    [sym_Block] = STATE(1539),
    [sym_LoopExpr] = STATE(1539),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1539),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1539),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(672),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(674),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [110] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1533),
    [sym_BinaryExpr] = STATE(1533),
    [sym_UnaryExpr] = STATE(1533),
    [sym__PrimaryExpr] = STATE(1533),
    [sym_IfExpr] = STATE(1533),
    [sym_Block] = STATE(1533),
    [sym_LoopExpr] = STATE(1533),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1533),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1533),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(678),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(680),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(682),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [111] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchItem] = STATE(2233),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_EQ_GT] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [112] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1517),
    [sym_BinaryExpr] = STATE(1517),
    [sym_UnaryExpr] = STATE(1517),
    [sym__PrimaryExpr] = STATE(1517),
    [sym_IfExpr] = STATE(1517),
    [sym_Block] = STATE(1517),
    [sym_LoopExpr] = STATE(1517),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1517),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1517),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2083),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [113] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchItem] = STATE(2233),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_EQ_GT] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [114] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1521),
    [sym_BinaryExpr] = STATE(1521),
    [sym_UnaryExpr] = STATE(1521),
    [sym__PrimaryExpr] = STATE(1521),
    [sym_IfExpr] = STATE(1521),
    [sym_Block] = STATE(1521),
    [sym_LoopExpr] = STATE(1521),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1521),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1521),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2082),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [115] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1525),
    [sym_BinaryExpr] = STATE(1525),
    [sym_UnaryExpr] = STATE(1525),
    [sym__PrimaryExpr] = STATE(1525),
    [sym_IfExpr] = STATE(1525),
    [sym_Block] = STATE(1525),
    [sym_LoopExpr] = STATE(1525),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1525),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1525),
    [sym_BlockLabel] = STATE(1919),
    [sym_FieldInit] = STATE(2209),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(634),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [116] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1536),
    [sym_BinaryExpr] = STATE(1536),
    [sym_UnaryExpr] = STATE(1536),
    [sym__PrimaryExpr] = STATE(1536),
    [sym_IfExpr] = STATE(1536),
    [sym_Block] = STATE(1536),
    [sym_LoopExpr] = STATE(1536),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1536),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1536),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(696),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [117] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(906),
    [sym_BinaryExpr] = STATE(906),
    [sym_UnaryExpr] = STATE(906),
    [sym__PrimaryExpr] = STATE(906),
    [sym_IfExpr] = STATE(906),
    [sym_Block] = STATE(906),
    [sym_LoopExpr] = STATE(906),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(906),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(906),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_Payload] = STATE(196),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [118] = {
    [sym_FnProto] = STATE(717),
    [sym_BlockExpr] = STATE(841),
    [sym_AssignExpr] = STATE(2105),
    [sym__Expr] = STATE(1022),
    [sym_BinaryExpr] = STATE(1022),
    [sym_UnaryExpr] = STATE(1022),
    [sym__PrimaryExpr] = STATE(1022),
    [sym_IfExpr] = STATE(1022),
    [sym_Block] = STATE(86),
    [sym_LoopExpr] = STATE(1022),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1022),
    [sym__TypeExpr] = STATE(824),
    [sym_ErrorUnionExpr] = STATE(824),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1022),
    [sym_BlockLabel] = STATE(1912),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [119] = {
    [sym_FnProto] = STATE(717),
    [sym_BlockExpr] = STATE(842),
    [sym_AssignExpr] = STATE(2103),
    [sym__Expr] = STATE(1021),
    [sym_BinaryExpr] = STATE(1021),
    [sym_UnaryExpr] = STATE(1021),
    [sym__PrimaryExpr] = STATE(1021),
    [sym_IfExpr] = STATE(1021),
    [sym_Block] = STATE(86),
    [sym_LoopExpr] = STATE(1021),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1021),
    [sym__TypeExpr] = STATE(827),
    [sym_ErrorUnionExpr] = STATE(827),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1021),
    [sym_BlockLabel] = STATE(1912),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [120] = {
    [sym_FnProto] = STATE(717),
    [sym_BlockExpr] = STATE(843),
    [sym_AssignExpr] = STATE(2101),
    [sym__Expr] = STATE(1020),
    [sym_BinaryExpr] = STATE(1020),
    [sym_UnaryExpr] = STATE(1020),
    [sym__PrimaryExpr] = STATE(1020),
    [sym_IfExpr] = STATE(1020),
    [sym_Block] = STATE(86),
    [sym_LoopExpr] = STATE(1020),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1020),
    [sym__TypeExpr] = STATE(830),
    [sym_ErrorUnionExpr] = STATE(830),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1020),
    [sym_BlockLabel] = STATE(1912),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [121] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1541),
    [sym_BinaryExpr] = STATE(1541),
    [sym_UnaryExpr] = STATE(1541),
    [sym__PrimaryExpr] = STATE(1541),
    [sym_IfExpr] = STATE(1541),
    [sym_Block] = STATE(1541),
    [sym_LoopExpr] = STATE(1541),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1541),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1541),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(706),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_RBRACK] = ACTIONS(708),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [122] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(710),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [123] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [124] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [125] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [126] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(718),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [127] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1500),
    [sym_BinaryExpr] = STATE(1500),
    [sym_UnaryExpr] = STATE(1500),
    [sym__PrimaryExpr] = STATE(1500),
    [sym_IfExpr] = STATE(1500),
    [sym_Block] = STATE(1500),
    [sym_LoopExpr] = STATE(1500),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1500),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1500),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(720),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [128] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [129] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [130] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(726),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [131] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [132] = {
    [sym_FnProto] = STATE(716),
    [sym_AssignExpr] = STATE(2389),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(969),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [133] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1488),
    [sym_BinaryExpr] = STATE(1488),
    [sym_UnaryExpr] = STATE(1488),
    [sym__PrimaryExpr] = STATE(1488),
    [sym_IfExpr] = STATE(1488),
    [sym_Block] = STATE(1488),
    [sym_LoopExpr] = STATE(1488),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1488),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1488),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(730),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [134] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [135] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1519),
    [sym_BinaryExpr] = STATE(1519),
    [sym_UnaryExpr] = STATE(1519),
    [sym__PrimaryExpr] = STATE(1519),
    [sym_IfExpr] = STATE(1519),
    [sym_Block] = STATE(1519),
    [sym_LoopExpr] = STATE(1519),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1519),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1519),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(734),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [136] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1527),
    [sym_BinaryExpr] = STATE(1527),
    [sym_UnaryExpr] = STATE(1527),
    [sym__PrimaryExpr] = STATE(1527),
    [sym_IfExpr] = STATE(1527),
    [sym_Block] = STATE(1527),
    [sym_LoopExpr] = STATE(1527),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1527),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1527),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [137] = {
    [sym_FnProto] = STATE(716),
    [sym_AssignExpr] = STATE(2278),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(969),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [138] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [139] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [140] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [141] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(744),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [142] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [143] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [144] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(750),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [145] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1518),
    [sym_BinaryExpr] = STATE(1518),
    [sym_UnaryExpr] = STATE(1518),
    [sym__PrimaryExpr] = STATE(1518),
    [sym_IfExpr] = STATE(1518),
    [sym_Block] = STATE(1518),
    [sym_LoopExpr] = STATE(1518),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1518),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1518),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_SwitchItem] = STATE(2233),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [146] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [147] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [148] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [149] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1487),
    [sym_BinaryExpr] = STATE(1487),
    [sym_UnaryExpr] = STATE(1487),
    [sym__PrimaryExpr] = STATE(1487),
    [sym_IfExpr] = STATE(1487),
    [sym_Block] = STATE(1487),
    [sym_LoopExpr] = STATE(1487),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1487),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1487),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [150] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(760),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [151] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [152] = {
    [sym_FnProto] = STATE(716),
    [sym_AssignExpr] = STATE(2358),
    [sym__Expr] = STATE(969),
    [sym_BinaryExpr] = STATE(969),
    [sym_UnaryExpr] = STATE(969),
    [sym__PrimaryExpr] = STATE(969),
    [sym_IfExpr] = STATE(969),
    [sym_Block] = STATE(969),
    [sym_LoopExpr] = STATE(969),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(969),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(969),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [153] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1509),
    [sym_BinaryExpr] = STATE(1509),
    [sym_UnaryExpr] = STATE(1509),
    [sym__PrimaryExpr] = STATE(1509),
    [sym_IfExpr] = STATE(1509),
    [sym_Block] = STATE(1509),
    [sym_LoopExpr] = STATE(1509),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1509),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1509),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [154] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(766),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [155] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_RBRACE] = ACTIONS(768),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [156] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(917),
    [sym_BinaryExpr] = STATE(917),
    [sym_UnaryExpr] = STATE(917),
    [sym__PrimaryExpr] = STATE(917),
    [sym_IfExpr] = STATE(917),
    [sym_Block] = STATE(917),
    [sym_LoopExpr] = STATE(917),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(917),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(917),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [157] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1231),
    [sym_BinaryExpr] = STATE(1231),
    [sym_UnaryExpr] = STATE(1231),
    [sym__PrimaryExpr] = STATE(1231),
    [sym_IfExpr] = STATE(1231),
    [sym_Block] = STATE(1231),
    [sym_LoopExpr] = STATE(1231),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1231),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1231),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [158] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1522),
    [sym_BinaryExpr] = STATE(1522),
    [sym_UnaryExpr] = STATE(1522),
    [sym__PrimaryExpr] = STATE(1522),
    [sym_IfExpr] = STATE(1522),
    [sym_Block] = STATE(1522),
    [sym_LoopExpr] = STATE(1522),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1522),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1522),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(770),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [159] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1496),
    [sym_BinaryExpr] = STATE(1496),
    [sym_UnaryExpr] = STATE(1496),
    [sym__PrimaryExpr] = STATE(1496),
    [sym_IfExpr] = STATE(1496),
    [sym_Block] = STATE(1496),
    [sym_LoopExpr] = STATE(1496),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1496),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1496),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [160] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1588),
    [sym_BinaryExpr] = STATE(1588),
    [sym_UnaryExpr] = STATE(1588),
    [sym__PrimaryExpr] = STATE(1588),
    [sym_IfExpr] = STATE(1588),
    [sym_Block] = STATE(1588),
    [sym_LoopExpr] = STATE(1588),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1588),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1588),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [161] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1461),
    [sym_BinaryExpr] = STATE(1461),
    [sym_UnaryExpr] = STATE(1461),
    [sym__PrimaryExpr] = STATE(1461),
    [sym_IfExpr] = STATE(1461),
    [sym_Block] = STATE(1461),
    [sym_LoopExpr] = STATE(1461),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1461),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1461),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [162] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1531),
    [sym_BinaryExpr] = STATE(1531),
    [sym_UnaryExpr] = STATE(1531),
    [sym__PrimaryExpr] = STATE(1531),
    [sym_IfExpr] = STATE(1531),
    [sym_Block] = STATE(1531),
    [sym_LoopExpr] = STATE(1531),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1531),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1531),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [163] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1469),
    [sym_BinaryExpr] = STATE(1469),
    [sym_UnaryExpr] = STATE(1469),
    [sym__PrimaryExpr] = STATE(1469),
    [sym_IfExpr] = STATE(1469),
    [sym_Block] = STATE(1469),
    [sym_LoopExpr] = STATE(1469),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1469),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1469),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [164] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1591),
    [sym_BinaryExpr] = STATE(1591),
    [sym_UnaryExpr] = STATE(1591),
    [sym__PrimaryExpr] = STATE(1591),
    [sym_IfExpr] = STATE(1591),
    [sym_Block] = STATE(1591),
    [sym_LoopExpr] = STATE(1591),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1591),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1591),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [165] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1592),
    [sym_BinaryExpr] = STATE(1592),
    [sym_UnaryExpr] = STATE(1592),
    [sym__PrimaryExpr] = STATE(1592),
    [sym_IfExpr] = STATE(1592),
    [sym_Block] = STATE(1592),
    [sym_LoopExpr] = STATE(1592),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1592),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1592),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [166] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1593),
    [sym_BinaryExpr] = STATE(1593),
    [sym_UnaryExpr] = STATE(1593),
    [sym__PrimaryExpr] = STATE(1593),
    [sym_IfExpr] = STATE(1593),
    [sym_Block] = STATE(1593),
    [sym_LoopExpr] = STATE(1593),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1593),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1593),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [167] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1594),
    [sym_BinaryExpr] = STATE(1594),
    [sym_UnaryExpr] = STATE(1594),
    [sym__PrimaryExpr] = STATE(1594),
    [sym_IfExpr] = STATE(1594),
    [sym_Block] = STATE(1594),
    [sym_LoopExpr] = STATE(1594),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1594),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1594),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [168] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1594),
    [sym_BinaryExpr] = STATE(1594),
    [sym_UnaryExpr] = STATE(1594),
    [sym__PrimaryExpr] = STATE(1594),
    [sym_IfExpr] = STATE(1594),
    [sym_Block] = STATE(1594),
    [sym_LoopExpr] = STATE(1594),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1594),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1594),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [169] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1469),
    [sym_BinaryExpr] = STATE(1469),
    [sym_UnaryExpr] = STATE(1469),
    [sym__PrimaryExpr] = STATE(1469),
    [sym_IfExpr] = STATE(1469),
    [sym_Block] = STATE(1469),
    [sym_LoopExpr] = STATE(1469),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1469),
    [sym__TypeExpr] = STATE(1349),
    [sym_ErrorUnionExpr] = STATE(1349),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1469),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [170] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1552),
    [sym_BinaryExpr] = STATE(1552),
    [sym_UnaryExpr] = STATE(1552),
    [sym__PrimaryExpr] = STATE(1552),
    [sym_IfExpr] = STATE(1552),
    [sym_Block] = STATE(1552),
    [sym_LoopExpr] = STATE(1552),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1552),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1552),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [171] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1474),
    [sym_BinaryExpr] = STATE(1474),
    [sym_UnaryExpr] = STATE(1474),
    [sym__PrimaryExpr] = STATE(1474),
    [sym_IfExpr] = STATE(1474),
    [sym_Block] = STATE(1474),
    [sym_LoopExpr] = STATE(1474),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1474),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1474),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(784),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [172] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(920),
    [sym_BinaryExpr] = STATE(920),
    [sym_UnaryExpr] = STATE(920),
    [sym__PrimaryExpr] = STATE(920),
    [sym_IfExpr] = STATE(920),
    [sym_Block] = STATE(920),
    [sym_LoopExpr] = STATE(920),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(920),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(920),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [173] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(918),
    [sym_BinaryExpr] = STATE(918),
    [sym_UnaryExpr] = STATE(918),
    [sym__PrimaryExpr] = STATE(918),
    [sym_IfExpr] = STATE(918),
    [sym_Block] = STATE(918),
    [sym_LoopExpr] = STATE(918),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(918),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(918),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [174] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1515),
    [sym_BinaryExpr] = STATE(1515),
    [sym_UnaryExpr] = STATE(1515),
    [sym__PrimaryExpr] = STATE(1515),
    [sym_IfExpr] = STATE(1515),
    [sym_Block] = STATE(1515),
    [sym_LoopExpr] = STATE(1515),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1515),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1515),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(786),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [175] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1237),
    [sym_BinaryExpr] = STATE(1237),
    [sym_UnaryExpr] = STATE(1237),
    [sym__PrimaryExpr] = STATE(1237),
    [sym_IfExpr] = STATE(1237),
    [sym_Block] = STATE(1237),
    [sym_LoopExpr] = STATE(1237),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1237),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1237),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [176] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(923),
    [sym_BinaryExpr] = STATE(923),
    [sym_UnaryExpr] = STATE(923),
    [sym__PrimaryExpr] = STATE(923),
    [sym_IfExpr] = STATE(923),
    [sym_Block] = STATE(923),
    [sym_LoopExpr] = STATE(923),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(923),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(923),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [177] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(857),
    [sym_BinaryExpr] = STATE(857),
    [sym_UnaryExpr] = STATE(857),
    [sym__PrimaryExpr] = STATE(857),
    [sym_IfExpr] = STATE(857),
    [sym_Block] = STATE(857),
    [sym_LoopExpr] = STATE(857),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(857),
    [sym__TypeExpr] = STATE(830),
    [sym_ErrorUnionExpr] = STATE(830),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(857),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [178] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1218),
    [sym_BinaryExpr] = STATE(1218),
    [sym_UnaryExpr] = STATE(1218),
    [sym__PrimaryExpr] = STATE(1218),
    [sym_IfExpr] = STATE(1218),
    [sym_Block] = STATE(1218),
    [sym_LoopExpr] = STATE(1218),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1218),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1218),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [179] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1470),
    [sym_BinaryExpr] = STATE(1470),
    [sym_UnaryExpr] = STATE(1470),
    [sym__PrimaryExpr] = STATE(1470),
    [sym_IfExpr] = STATE(1470),
    [sym_Block] = STATE(1470),
    [sym_LoopExpr] = STATE(1470),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1470),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1470),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [180] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(916),
    [sym_BinaryExpr] = STATE(916),
    [sym_UnaryExpr] = STATE(916),
    [sym__PrimaryExpr] = STATE(916),
    [sym_IfExpr] = STATE(916),
    [sym_Block] = STATE(916),
    [sym_LoopExpr] = STATE(916),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(916),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(916),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [181] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(914),
    [sym_BinaryExpr] = STATE(914),
    [sym_UnaryExpr] = STATE(914),
    [sym__PrimaryExpr] = STATE(914),
    [sym_IfExpr] = STATE(914),
    [sym_Block] = STATE(914),
    [sym_LoopExpr] = STATE(914),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(914),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(914),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [182] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(913),
    [sym_BinaryExpr] = STATE(913),
    [sym_UnaryExpr] = STATE(913),
    [sym__PrimaryExpr] = STATE(913),
    [sym_IfExpr] = STATE(913),
    [sym_Block] = STATE(913),
    [sym_LoopExpr] = STATE(913),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(913),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(913),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [183] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(911),
    [sym_BinaryExpr] = STATE(911),
    [sym_UnaryExpr] = STATE(911),
    [sym__PrimaryExpr] = STATE(911),
    [sym_IfExpr] = STATE(911),
    [sym_Block] = STATE(911),
    [sym_LoopExpr] = STATE(911),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(911),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(911),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [184] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1516),
    [sym_BinaryExpr] = STATE(1516),
    [sym_UnaryExpr] = STATE(1516),
    [sym__PrimaryExpr] = STATE(1516),
    [sym_IfExpr] = STATE(1516),
    [sym_Block] = STATE(1516),
    [sym_LoopExpr] = STATE(1516),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1516),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1516),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [185] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1511),
    [sym_BinaryExpr] = STATE(1511),
    [sym_UnaryExpr] = STATE(1511),
    [sym__PrimaryExpr] = STATE(1511),
    [sym_IfExpr] = STATE(1511),
    [sym_Block] = STATE(1511),
    [sym_LoopExpr] = STATE(1511),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1511),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1511),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [186] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1516),
    [sym_BinaryExpr] = STATE(1516),
    [sym_UnaryExpr] = STATE(1516),
    [sym__PrimaryExpr] = STATE(1516),
    [sym_IfExpr] = STATE(1516),
    [sym_Block] = STATE(1516),
    [sym_LoopExpr] = STATE(1516),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1516),
    [sym__TypeExpr] = STATE(1349),
    [sym_ErrorUnionExpr] = STATE(1349),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1516),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [187] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1540),
    [sym_BinaryExpr] = STATE(1540),
    [sym_UnaryExpr] = STATE(1540),
    [sym__PrimaryExpr] = STATE(1540),
    [sym_IfExpr] = STATE(1540),
    [sym_Block] = STATE(1540),
    [sym_LoopExpr] = STATE(1540),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1540),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1540),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [188] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1455),
    [sym_BinaryExpr] = STATE(1455),
    [sym_UnaryExpr] = STATE(1455),
    [sym__PrimaryExpr] = STATE(1455),
    [sym_IfExpr] = STATE(1455),
    [sym_Block] = STATE(1455),
    [sym_LoopExpr] = STATE(1455),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1455),
    [sym__TypeExpr] = STATE(830),
    [sym_ErrorUnionExpr] = STATE(830),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1455),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(804),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [189] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1456),
    [sym_BinaryExpr] = STATE(1456),
    [sym_UnaryExpr] = STATE(1456),
    [sym__PrimaryExpr] = STATE(1456),
    [sym_IfExpr] = STATE(1456),
    [sym_Block] = STATE(1456),
    [sym_LoopExpr] = STATE(1456),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1456),
    [sym__TypeExpr] = STATE(827),
    [sym_ErrorUnionExpr] = STATE(827),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1456),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(808),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [190] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1458),
    [sym_BinaryExpr] = STATE(1458),
    [sym_UnaryExpr] = STATE(1458),
    [sym__PrimaryExpr] = STATE(1458),
    [sym_IfExpr] = STATE(1458),
    [sym_Block] = STATE(1458),
    [sym_LoopExpr] = STATE(1458),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1458),
    [sym__TypeExpr] = STATE(824),
    [sym_ErrorUnionExpr] = STATE(824),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1458),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(810),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [191] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(846),
    [sym_BinaryExpr] = STATE(846),
    [sym_UnaryExpr] = STATE(846),
    [sym__PrimaryExpr] = STATE(846),
    [sym_IfExpr] = STATE(846),
    [sym_Block] = STATE(846),
    [sym_LoopExpr] = STATE(846),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(846),
    [sym__TypeExpr] = STATE(827),
    [sym_ErrorUnionExpr] = STATE(827),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(846),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [192] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(847),
    [sym_BinaryExpr] = STATE(847),
    [sym_UnaryExpr] = STATE(847),
    [sym__PrimaryExpr] = STATE(847),
    [sym_IfExpr] = STATE(847),
    [sym_Block] = STATE(847),
    [sym_LoopExpr] = STATE(847),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(847),
    [sym__TypeExpr] = STATE(824),
    [sym_ErrorUnionExpr] = STATE(824),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(847),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [193] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1520),
    [sym_BinaryExpr] = STATE(1520),
    [sym_UnaryExpr] = STATE(1520),
    [sym__PrimaryExpr] = STATE(1520),
    [sym_IfExpr] = STATE(1520),
    [sym_Block] = STATE(1520),
    [sym_LoopExpr] = STATE(1520),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1520),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1520),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [194] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1560),
    [sym_BinaryExpr] = STATE(1560),
    [sym_UnaryExpr] = STATE(1560),
    [sym__PrimaryExpr] = STATE(1560),
    [sym_IfExpr] = STATE(1560),
    [sym_Block] = STATE(1560),
    [sym_LoopExpr] = STATE(1560),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1560),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1560),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [195] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1225),
    [sym_BinaryExpr] = STATE(1225),
    [sym_UnaryExpr] = STATE(1225),
    [sym__PrimaryExpr] = STATE(1225),
    [sym_IfExpr] = STATE(1225),
    [sym_Block] = STATE(1225),
    [sym_LoopExpr] = STATE(1225),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1225),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1225),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [196] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(908),
    [sym_BinaryExpr] = STATE(908),
    [sym_UnaryExpr] = STATE(908),
    [sym__PrimaryExpr] = STATE(908),
    [sym_IfExpr] = STATE(908),
    [sym_Block] = STATE(908),
    [sym_LoopExpr] = STATE(908),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(908),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(908),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [197] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1236),
    [sym_BinaryExpr] = STATE(1236),
    [sym_UnaryExpr] = STATE(1236),
    [sym__PrimaryExpr] = STATE(1236),
    [sym_IfExpr] = STATE(1236),
    [sym_Block] = STATE(1236),
    [sym_LoopExpr] = STATE(1236),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1236),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1236),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [198] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1508),
    [sym_BinaryExpr] = STATE(1508),
    [sym_UnaryExpr] = STATE(1508),
    [sym__PrimaryExpr] = STATE(1508),
    [sym_IfExpr] = STATE(1508),
    [sym_Block] = STATE(1508),
    [sym_LoopExpr] = STATE(1508),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1508),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1508),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [199] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1239),
    [sym_BinaryExpr] = STATE(1239),
    [sym_UnaryExpr] = STATE(1239),
    [sym__PrimaryExpr] = STATE(1239),
    [sym_IfExpr] = STATE(1239),
    [sym_Block] = STATE(1239),
    [sym_LoopExpr] = STATE(1239),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1239),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1239),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [200] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1506),
    [sym_BinaryExpr] = STATE(1506),
    [sym_UnaryExpr] = STATE(1506),
    [sym__PrimaryExpr] = STATE(1506),
    [sym_IfExpr] = STATE(1506),
    [sym_Block] = STATE(1506),
    [sym_LoopExpr] = STATE(1506),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1506),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1506),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [201] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1498),
    [sym_BinaryExpr] = STATE(1498),
    [sym_UnaryExpr] = STATE(1498),
    [sym__PrimaryExpr] = STATE(1498),
    [sym_IfExpr] = STATE(1498),
    [sym_Block] = STATE(1498),
    [sym_LoopExpr] = STATE(1498),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1498),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1498),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [202] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1491),
    [sym_BinaryExpr] = STATE(1491),
    [sym_UnaryExpr] = STATE(1491),
    [sym__PrimaryExpr] = STATE(1491),
    [sym_IfExpr] = STATE(1491),
    [sym_Block] = STATE(1491),
    [sym_LoopExpr] = STATE(1491),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1491),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1491),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [203] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1241),
    [sym_BinaryExpr] = STATE(1241),
    [sym_UnaryExpr] = STATE(1241),
    [sym__PrimaryExpr] = STATE(1241),
    [sym_IfExpr] = STATE(1241),
    [sym_Block] = STATE(1241),
    [sym_LoopExpr] = STATE(1241),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1241),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1241),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [204] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1240),
    [sym_BinaryExpr] = STATE(1240),
    [sym_UnaryExpr] = STATE(1240),
    [sym__PrimaryExpr] = STATE(1240),
    [sym_IfExpr] = STATE(1240),
    [sym_Block] = STATE(1240),
    [sym_LoopExpr] = STATE(1240),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1240),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1240),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [205] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1514),
    [sym_BinaryExpr] = STATE(1514),
    [sym_UnaryExpr] = STATE(1514),
    [sym__PrimaryExpr] = STATE(1514),
    [sym_IfExpr] = STATE(1514),
    [sym_Block] = STATE(1514),
    [sym_LoopExpr] = STATE(1514),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1514),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1514),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [206] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1589),
    [sym_BinaryExpr] = STATE(1589),
    [sym_UnaryExpr] = STATE(1589),
    [sym__PrimaryExpr] = STATE(1589),
    [sym_IfExpr] = STATE(1589),
    [sym_Block] = STATE(1589),
    [sym_LoopExpr] = STATE(1589),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1589),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1589),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [207] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1501),
    [sym_BinaryExpr] = STATE(1501),
    [sym_UnaryExpr] = STATE(1501),
    [sym__PrimaryExpr] = STATE(1501),
    [sym_IfExpr] = STATE(1501),
    [sym_Block] = STATE(1501),
    [sym_LoopExpr] = STATE(1501),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1501),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1501),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [208] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1224),
    [sym_BinaryExpr] = STATE(1224),
    [sym_UnaryExpr] = STATE(1224),
    [sym__PrimaryExpr] = STATE(1224),
    [sym_IfExpr] = STATE(1224),
    [sym_Block] = STATE(1224),
    [sym_LoopExpr] = STATE(1224),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1224),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1224),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [209] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1489),
    [sym_BinaryExpr] = STATE(1489),
    [sym_UnaryExpr] = STATE(1489),
    [sym__PrimaryExpr] = STATE(1489),
    [sym_IfExpr] = STATE(1489),
    [sym_Block] = STATE(1489),
    [sym_LoopExpr] = STATE(1489),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1489),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1489),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [210] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1564),
    [sym_BinaryExpr] = STATE(1564),
    [sym_UnaryExpr] = STATE(1564),
    [sym__PrimaryExpr] = STATE(1564),
    [sym_IfExpr] = STATE(1564),
    [sym_Block] = STATE(1564),
    [sym_LoopExpr] = STATE(1564),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1564),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1564),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [211] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1512),
    [sym_BinaryExpr] = STATE(1512),
    [sym_UnaryExpr] = STATE(1512),
    [sym__PrimaryExpr] = STATE(1512),
    [sym_IfExpr] = STATE(1512),
    [sym_Block] = STATE(1512),
    [sym_LoopExpr] = STATE(1512),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1512),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1512),
    [sym_BlockLabel] = STATE(1913),
    [sym_IfPrefix] = STATE(217),
    [sym_WhilePrefix] = STATE(234),
    [sym_ForPrefix] = STATE(247),
    [sym_PrefixOp] = STATE(193),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(295),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [212] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1230),
    [sym_BinaryExpr] = STATE(1230),
    [sym_UnaryExpr] = STATE(1230),
    [sym__PrimaryExpr] = STATE(1230),
    [sym_IfExpr] = STATE(1230),
    [sym_Block] = STATE(1230),
    [sym_LoopExpr] = STATE(1230),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1230),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1230),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [213] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1227),
    [sym_BinaryExpr] = STATE(1227),
    [sym_UnaryExpr] = STATE(1227),
    [sym__PrimaryExpr] = STATE(1227),
    [sym_IfExpr] = STATE(1227),
    [sym_Block] = STATE(1227),
    [sym_LoopExpr] = STATE(1227),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1227),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1227),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [214] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(901),
    [sym_BinaryExpr] = STATE(901),
    [sym_UnaryExpr] = STATE(901),
    [sym__PrimaryExpr] = STATE(901),
    [sym_IfExpr] = STATE(901),
    [sym_Block] = STATE(901),
    [sym_LoopExpr] = STATE(901),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(901),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(901),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [215] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1479),
    [sym_BinaryExpr] = STATE(1479),
    [sym_UnaryExpr] = STATE(1479),
    [sym__PrimaryExpr] = STATE(1479),
    [sym_IfExpr] = STATE(1479),
    [sym_Block] = STATE(1479),
    [sym_LoopExpr] = STATE(1479),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1479),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1479),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [216] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(900),
    [sym_BinaryExpr] = STATE(900),
    [sym_UnaryExpr] = STATE(900),
    [sym__PrimaryExpr] = STATE(900),
    [sym_IfExpr] = STATE(900),
    [sym_Block] = STATE(900),
    [sym_LoopExpr] = STATE(900),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(900),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(900),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [217] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1457),
    [sym_BinaryExpr] = STATE(1457),
    [sym_UnaryExpr] = STATE(1457),
    [sym__PrimaryExpr] = STATE(1457),
    [sym_IfExpr] = STATE(1457),
    [sym_Block] = STATE(1457),
    [sym_LoopExpr] = STATE(1457),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1457),
    [sym__TypeExpr] = STATE(1330),
    [sym_ErrorUnionExpr] = STATE(1330),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1457),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [218] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(876),
    [sym_BinaryExpr] = STATE(876),
    [sym_UnaryExpr] = STATE(876),
    [sym__PrimaryExpr] = STATE(876),
    [sym_IfExpr] = STATE(876),
    [sym_Block] = STATE(876),
    [sym_LoopExpr] = STATE(876),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(876),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(876),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [219] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1604),
    [sym_BinaryExpr] = STATE(1604),
    [sym_UnaryExpr] = STATE(1604),
    [sym__PrimaryExpr] = STATE(1604),
    [sym_IfExpr] = STATE(1604),
    [sym_Block] = STATE(1604),
    [sym_LoopExpr] = STATE(1604),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1604),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1604),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [220] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1566),
    [sym_BinaryExpr] = STATE(1566),
    [sym_UnaryExpr] = STATE(1566),
    [sym__PrimaryExpr] = STATE(1566),
    [sym_IfExpr] = STATE(1566),
    [sym_Block] = STATE(1566),
    [sym_LoopExpr] = STATE(1566),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1566),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1566),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [221] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1221),
    [sym_BinaryExpr] = STATE(1221),
    [sym_UnaryExpr] = STATE(1221),
    [sym__PrimaryExpr] = STATE(1221),
    [sym_IfExpr] = STATE(1221),
    [sym_Block] = STATE(1221),
    [sym_LoopExpr] = STATE(1221),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1221),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1221),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [222] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1221),
    [sym_BinaryExpr] = STATE(1221),
    [sym_UnaryExpr] = STATE(1221),
    [sym__PrimaryExpr] = STATE(1221),
    [sym_IfExpr] = STATE(1221),
    [sym_Block] = STATE(1221),
    [sym_LoopExpr] = STATE(1221),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1221),
    [sym__TypeExpr] = STATE(1017),
    [sym_ErrorUnionExpr] = STATE(1017),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1221),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [223] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(889),
    [sym_BinaryExpr] = STATE(889),
    [sym_UnaryExpr] = STATE(889),
    [sym__PrimaryExpr] = STATE(889),
    [sym_IfExpr] = STATE(889),
    [sym_Block] = STATE(889),
    [sym_LoopExpr] = STATE(889),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(889),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(889),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [224] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1472),
    [sym_BinaryExpr] = STATE(1472),
    [sym_UnaryExpr] = STATE(1472),
    [sym__PrimaryExpr] = STATE(1472),
    [sym_IfExpr] = STATE(1472),
    [sym_Block] = STATE(1472),
    [sym_LoopExpr] = STATE(1472),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1472),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1472),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [225] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1468),
    [sym_BinaryExpr] = STATE(1468),
    [sym_UnaryExpr] = STATE(1468),
    [sym__PrimaryExpr] = STATE(1468),
    [sym_IfExpr] = STATE(1468),
    [sym_Block] = STATE(1468),
    [sym_LoopExpr] = STATE(1468),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1468),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1468),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [226] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1473),
    [sym_BinaryExpr] = STATE(1473),
    [sym_UnaryExpr] = STATE(1473),
    [sym__PrimaryExpr] = STATE(1473),
    [sym_IfExpr] = STATE(1473),
    [sym_Block] = STATE(1473),
    [sym_LoopExpr] = STATE(1473),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1473),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1473),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [227] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1476),
    [sym_BinaryExpr] = STATE(1476),
    [sym_UnaryExpr] = STATE(1476),
    [sym__PrimaryExpr] = STATE(1476),
    [sym_IfExpr] = STATE(1476),
    [sym_Block] = STATE(1476),
    [sym_LoopExpr] = STATE(1476),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1476),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1476),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [228] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1118),
    [sym_BinaryExpr] = STATE(1118),
    [sym_UnaryExpr] = STATE(1118),
    [sym__PrimaryExpr] = STATE(1118),
    [sym_IfExpr] = STATE(1118),
    [sym_Block] = STATE(1118),
    [sym_LoopExpr] = STATE(1118),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1118),
    [sym__TypeExpr] = STATE(955),
    [sym_ErrorUnionExpr] = STATE(955),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1118),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [229] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1119),
    [sym_BinaryExpr] = STATE(1119),
    [sym_UnaryExpr] = STATE(1119),
    [sym__PrimaryExpr] = STATE(1119),
    [sym_IfExpr] = STATE(1119),
    [sym_Block] = STATE(1119),
    [sym_LoopExpr] = STATE(1119),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1119),
    [sym__TypeExpr] = STATE(956),
    [sym_ErrorUnionExpr] = STATE(956),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1119),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [230] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1481),
    [sym_BinaryExpr] = STATE(1481),
    [sym_UnaryExpr] = STATE(1481),
    [sym__PrimaryExpr] = STATE(1481),
    [sym_IfExpr] = STATE(1481),
    [sym_Block] = STATE(1481),
    [sym_LoopExpr] = STATE(1481),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1481),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1481),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [231] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1482),
    [sym_BinaryExpr] = STATE(1482),
    [sym_UnaryExpr] = STATE(1482),
    [sym__PrimaryExpr] = STATE(1482),
    [sym_IfExpr] = STATE(1482),
    [sym_Block] = STATE(1482),
    [sym_LoopExpr] = STATE(1482),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1482),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1482),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [232] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1485),
    [sym_BinaryExpr] = STATE(1485),
    [sym_UnaryExpr] = STATE(1485),
    [sym__PrimaryExpr] = STATE(1485),
    [sym_IfExpr] = STATE(1485),
    [sym_Block] = STATE(1485),
    [sym_LoopExpr] = STATE(1485),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1485),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1485),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [233] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1120),
    [sym_BinaryExpr] = STATE(1120),
    [sym_UnaryExpr] = STATE(1120),
    [sym__PrimaryExpr] = STATE(1120),
    [sym_IfExpr] = STATE(1120),
    [sym_Block] = STATE(1120),
    [sym_LoopExpr] = STATE(1120),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1120),
    [sym__TypeExpr] = STATE(949),
    [sym_ErrorUnionExpr] = STATE(949),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1120),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [234] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1449),
    [sym_BinaryExpr] = STATE(1449),
    [sym_UnaryExpr] = STATE(1449),
    [sym__PrimaryExpr] = STATE(1449),
    [sym_IfExpr] = STATE(1449),
    [sym_Block] = STATE(1449),
    [sym_LoopExpr] = STATE(1449),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1449),
    [sym__TypeExpr] = STATE(1332),
    [sym_ErrorUnionExpr] = STATE(1332),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1449),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [235] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1495),
    [sym_BinaryExpr] = STATE(1495),
    [sym_UnaryExpr] = STATE(1495),
    [sym__PrimaryExpr] = STATE(1495),
    [sym_IfExpr] = STATE(1495),
    [sym_Block] = STATE(1495),
    [sym_LoopExpr] = STATE(1495),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1495),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1495),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(816),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [236] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(887),
    [sym_BinaryExpr] = STATE(887),
    [sym_UnaryExpr] = STATE(887),
    [sym__PrimaryExpr] = STATE(887),
    [sym_IfExpr] = STATE(887),
    [sym_Block] = STATE(887),
    [sym_LoopExpr] = STATE(887),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(887),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(887),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [237] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(907),
    [sym_BinaryExpr] = STATE(907),
    [sym_UnaryExpr] = STATE(907),
    [sym__PrimaryExpr] = STATE(907),
    [sym_IfExpr] = STATE(907),
    [sym_Block] = STATE(907),
    [sym_LoopExpr] = STATE(907),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(907),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(907),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [238] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1484),
    [sym_BinaryExpr] = STATE(1484),
    [sym_UnaryExpr] = STATE(1484),
    [sym__PrimaryExpr] = STATE(1484),
    [sym_IfExpr] = STATE(1484),
    [sym_Block] = STATE(1484),
    [sym_LoopExpr] = STATE(1484),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1484),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1484),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(818),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [239] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1478),
    [sym_BinaryExpr] = STATE(1478),
    [sym_UnaryExpr] = STATE(1478),
    [sym__PrimaryExpr] = STATE(1478),
    [sym_IfExpr] = STATE(1478),
    [sym_Block] = STATE(1478),
    [sym_LoopExpr] = STATE(1478),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1478),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1478),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [240] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1223),
    [sym_BinaryExpr] = STATE(1223),
    [sym_UnaryExpr] = STATE(1223),
    [sym__PrimaryExpr] = STATE(1223),
    [sym_IfExpr] = STATE(1223),
    [sym_Block] = STATE(1223),
    [sym_LoopExpr] = STATE(1223),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1223),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1223),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [241] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(898),
    [sym_BinaryExpr] = STATE(898),
    [sym_UnaryExpr] = STATE(898),
    [sym__PrimaryExpr] = STATE(898),
    [sym_IfExpr] = STATE(898),
    [sym_Block] = STATE(898),
    [sym_LoopExpr] = STATE(898),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(898),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(898),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [242] = {
    [sym_FnProto] = STATE(1296),
    [sym__Expr] = STATE(1483),
    [sym_BinaryExpr] = STATE(1483),
    [sym_UnaryExpr] = STATE(1483),
    [sym__PrimaryExpr] = STATE(1483),
    [sym_IfExpr] = STATE(1483),
    [sym_Block] = STATE(1483),
    [sym_LoopExpr] = STATE(1483),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1483),
    [sym__TypeExpr] = STATE(1569),
    [sym_ErrorUnionExpr] = STATE(1569),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_AsmExpr] = STATE(1483),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [243] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1567),
    [sym_BinaryExpr] = STATE(1567),
    [sym_UnaryExpr] = STATE(1567),
    [sym__PrimaryExpr] = STATE(1567),
    [sym_IfExpr] = STATE(1567),
    [sym_Block] = STATE(1567),
    [sym_LoopExpr] = STATE(1567),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1567),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1567),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [244] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1570),
    [sym_BinaryExpr] = STATE(1570),
    [sym_UnaryExpr] = STATE(1570),
    [sym__PrimaryExpr] = STATE(1570),
    [sym_IfExpr] = STATE(1570),
    [sym_Block] = STATE(1570),
    [sym_LoopExpr] = STATE(1570),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1570),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1570),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [245] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1551),
    [sym_BinaryExpr] = STATE(1551),
    [sym_UnaryExpr] = STATE(1551),
    [sym__PrimaryExpr] = STATE(1551),
    [sym_IfExpr] = STATE(1551),
    [sym_Block] = STATE(1551),
    [sym_LoopExpr] = STATE(1551),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1551),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1551),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [246] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(907),
    [sym_BinaryExpr] = STATE(907),
    [sym_UnaryExpr] = STATE(907),
    [sym__PrimaryExpr] = STATE(907),
    [sym_IfExpr] = STATE(907),
    [sym_Block] = STATE(907),
    [sym_LoopExpr] = STATE(907),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(907),
    [sym__TypeExpr] = STATE(840),
    [sym_ErrorUnionExpr] = STATE(840),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(907),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [247] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1451),
    [sym_BinaryExpr] = STATE(1451),
    [sym_UnaryExpr] = STATE(1451),
    [sym__PrimaryExpr] = STATE(1451),
    [sym_IfExpr] = STATE(1451),
    [sym_Block] = STATE(1451),
    [sym_LoopExpr] = STATE(1451),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1451),
    [sym__TypeExpr] = STATE(1334),
    [sym_ErrorUnionExpr] = STATE(1334),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1451),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [248] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1553),
    [sym_BinaryExpr] = STATE(1553),
    [sym_UnaryExpr] = STATE(1553),
    [sym__PrimaryExpr] = STATE(1553),
    [sym_IfExpr] = STATE(1553),
    [sym_Block] = STATE(1553),
    [sym_LoopExpr] = STATE(1553),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1553),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1553),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [249] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1586),
    [sym_BinaryExpr] = STATE(1586),
    [sym_UnaryExpr] = STATE(1586),
    [sym__PrimaryExpr] = STATE(1586),
    [sym_IfExpr] = STATE(1586),
    [sym_Block] = STATE(1586),
    [sym_LoopExpr] = STATE(1586),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1586),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1586),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [250] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(905),
    [sym_BinaryExpr] = STATE(905),
    [sym_UnaryExpr] = STATE(905),
    [sym__PrimaryExpr] = STATE(905),
    [sym_IfExpr] = STATE(905),
    [sym_Block] = STATE(905),
    [sym_LoopExpr] = STATE(905),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(905),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(905),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [251] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1494),
    [sym_BinaryExpr] = STATE(1494),
    [sym_UnaryExpr] = STATE(1494),
    [sym__PrimaryExpr] = STATE(1494),
    [sym_IfExpr] = STATE(1494),
    [sym_Block] = STATE(1494),
    [sym_LoopExpr] = STATE(1494),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1494),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1494),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(820),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [252] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1600),
    [sym_BinaryExpr] = STATE(1600),
    [sym_UnaryExpr] = STATE(1600),
    [sym__PrimaryExpr] = STATE(1600),
    [sym_IfExpr] = STATE(1600),
    [sym_Block] = STATE(1600),
    [sym_LoopExpr] = STATE(1600),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1600),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1600),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [253] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1526),
    [sym_BinaryExpr] = STATE(1526),
    [sym_UnaryExpr] = STATE(1526),
    [sym__PrimaryExpr] = STATE(1526),
    [sym_IfExpr] = STATE(1526),
    [sym_Block] = STATE(1526),
    [sym_LoopExpr] = STATE(1526),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1526),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1526),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(822),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [254] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1534),
    [sym_BinaryExpr] = STATE(1534),
    [sym_UnaryExpr] = STATE(1534),
    [sym__PrimaryExpr] = STATE(1534),
    [sym_IfExpr] = STATE(1534),
    [sym_Block] = STATE(1534),
    [sym_LoopExpr] = STATE(1534),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1534),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1534),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [255] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1493),
    [sym_BinaryExpr] = STATE(1493),
    [sym_UnaryExpr] = STATE(1493),
    [sym__PrimaryExpr] = STATE(1493),
    [sym_IfExpr] = STATE(1493),
    [sym_Block] = STATE(1493),
    [sym_LoopExpr] = STATE(1493),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1493),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1493),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [256] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1480),
    [sym_BinaryExpr] = STATE(1480),
    [sym_UnaryExpr] = STATE(1480),
    [sym__PrimaryExpr] = STATE(1480),
    [sym_IfExpr] = STATE(1480),
    [sym_Block] = STATE(1480),
    [sym_LoopExpr] = STATE(1480),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1480),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1480),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [257] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1492),
    [sym_BinaryExpr] = STATE(1492),
    [sym_UnaryExpr] = STATE(1492),
    [sym__PrimaryExpr] = STATE(1492),
    [sym_IfExpr] = STATE(1492),
    [sym_Block] = STATE(1492),
    [sym_LoopExpr] = STATE(1492),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1492),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1492),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(828),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [258] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1529),
    [sym_BinaryExpr] = STATE(1529),
    [sym_UnaryExpr] = STATE(1529),
    [sym__PrimaryExpr] = STATE(1529),
    [sym_IfExpr] = STATE(1529),
    [sym_Block] = STATE(1529),
    [sym_LoopExpr] = STATE(1529),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1529),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1529),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(830),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [259] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1554),
    [sym_BinaryExpr] = STATE(1554),
    [sym_UnaryExpr] = STATE(1554),
    [sym__PrimaryExpr] = STATE(1554),
    [sym_IfExpr] = STATE(1554),
    [sym_Block] = STATE(1554),
    [sym_LoopExpr] = STATE(1554),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1554),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1554),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [260] = {
    [sym_FnProto] = STATE(936),
    [sym__Expr] = STATE(1234),
    [sym_BinaryExpr] = STATE(1234),
    [sym_UnaryExpr] = STATE(1234),
    [sym__PrimaryExpr] = STATE(1234),
    [sym_IfExpr] = STATE(1234),
    [sym_Block] = STATE(1234),
    [sym_LoopExpr] = STATE(1234),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1234),
    [sym__TypeExpr] = STATE(1045),
    [sym_ErrorUnionExpr] = STATE(1045),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_AsmExpr] = STATE(1234),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [261] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1585),
    [sym_BinaryExpr] = STATE(1585),
    [sym_UnaryExpr] = STATE(1585),
    [sym__PrimaryExpr] = STATE(1585),
    [sym_IfExpr] = STATE(1585),
    [sym_Block] = STATE(1585),
    [sym_LoopExpr] = STATE(1585),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1585),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1585),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [262] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1555),
    [sym_BinaryExpr] = STATE(1555),
    [sym_UnaryExpr] = STATE(1555),
    [sym__PrimaryExpr] = STATE(1555),
    [sym_IfExpr] = STATE(1555),
    [sym_Block] = STATE(1555),
    [sym_LoopExpr] = STATE(1555),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1555),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1555),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [263] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1234),
    [sym_BinaryExpr] = STATE(1234),
    [sym_UnaryExpr] = STATE(1234),
    [sym__PrimaryExpr] = STATE(1234),
    [sym_IfExpr] = STATE(1234),
    [sym_Block] = STATE(1234),
    [sym_LoopExpr] = STATE(1234),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1234),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1234),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [264] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1584),
    [sym_BinaryExpr] = STATE(1584),
    [sym_UnaryExpr] = STATE(1584),
    [sym__PrimaryExpr] = STATE(1584),
    [sym_IfExpr] = STATE(1584),
    [sym_Block] = STATE(1584),
    [sym_LoopExpr] = STATE(1584),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1584),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1584),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [265] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1229),
    [sym_BinaryExpr] = STATE(1229),
    [sym_UnaryExpr] = STATE(1229),
    [sym__PrimaryExpr] = STATE(1229),
    [sym_IfExpr] = STATE(1229),
    [sym_Block] = STATE(1229),
    [sym_LoopExpr] = STATE(1229),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1229),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1229),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [266] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1228),
    [sym_BinaryExpr] = STATE(1228),
    [sym_UnaryExpr] = STATE(1228),
    [sym__PrimaryExpr] = STATE(1228),
    [sym_IfExpr] = STATE(1228),
    [sym_Block] = STATE(1228),
    [sym_LoopExpr] = STATE(1228),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1228),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1228),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [267] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1235),
    [sym_BinaryExpr] = STATE(1235),
    [sym_UnaryExpr] = STATE(1235),
    [sym__PrimaryExpr] = STATE(1235),
    [sym_IfExpr] = STATE(1235),
    [sym_Block] = STATE(1235),
    [sym_LoopExpr] = STATE(1235),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1235),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1235),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [268] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1559),
    [sym_BinaryExpr] = STATE(1559),
    [sym_UnaryExpr] = STATE(1559),
    [sym__PrimaryExpr] = STATE(1559),
    [sym_IfExpr] = STATE(1559),
    [sym_Block] = STATE(1559),
    [sym_LoopExpr] = STATE(1559),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1559),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1559),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [269] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1523),
    [sym_BinaryExpr] = STATE(1523),
    [sym_UnaryExpr] = STATE(1523),
    [sym__PrimaryExpr] = STATE(1523),
    [sym_IfExpr] = STATE(1523),
    [sym_Block] = STATE(1523),
    [sym_LoopExpr] = STATE(1523),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1523),
    [sym__TypeExpr] = STATE(840),
    [sym_ErrorUnionExpr] = STATE(840),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1523),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [270] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1523),
    [sym_BinaryExpr] = STATE(1523),
    [sym_UnaryExpr] = STATE(1523),
    [sym__PrimaryExpr] = STATE(1523),
    [sym_IfExpr] = STATE(1523),
    [sym_Block] = STATE(1523),
    [sym_LoopExpr] = STATE(1523),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1523),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1523),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [271] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(852),
    [sym_BinaryExpr] = STATE(852),
    [sym_UnaryExpr] = STATE(852),
    [sym__PrimaryExpr] = STATE(852),
    [sym_IfExpr] = STATE(852),
    [sym_Block] = STATE(852),
    [sym_LoopExpr] = STATE(852),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(852),
    [sym__TypeExpr] = STATE(824),
    [sym_ErrorUnionExpr] = STATE(824),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(852),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [272] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(853),
    [sym_BinaryExpr] = STATE(853),
    [sym_UnaryExpr] = STATE(853),
    [sym__PrimaryExpr] = STATE(853),
    [sym_IfExpr] = STATE(853),
    [sym_Block] = STATE(853),
    [sym_LoopExpr] = STATE(853),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(853),
    [sym__TypeExpr] = STATE(827),
    [sym_ErrorUnionExpr] = STATE(827),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(853),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [273] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(855),
    [sym_BinaryExpr] = STATE(855),
    [sym_UnaryExpr] = STATE(855),
    [sym__PrimaryExpr] = STATE(855),
    [sym_IfExpr] = STATE(855),
    [sym_Block] = STATE(855),
    [sym_LoopExpr] = STATE(855),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(855),
    [sym__TypeExpr] = STATE(830),
    [sym_ErrorUnionExpr] = STATE(830),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(855),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [274] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1565),
    [sym_BinaryExpr] = STATE(1565),
    [sym_UnaryExpr] = STATE(1565),
    [sym__PrimaryExpr] = STATE(1565),
    [sym_IfExpr] = STATE(1565),
    [sym_Block] = STATE(1565),
    [sym_LoopExpr] = STATE(1565),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1565),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1565),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [275] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(904),
    [sym_BinaryExpr] = STATE(904),
    [sym_UnaryExpr] = STATE(904),
    [sym__PrimaryExpr] = STATE(904),
    [sym_IfExpr] = STATE(904),
    [sym_Block] = STATE(904),
    [sym_LoopExpr] = STATE(904),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(904),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(904),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [276] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1490),
    [sym_BinaryExpr] = STATE(1490),
    [sym_UnaryExpr] = STATE(1490),
    [sym__PrimaryExpr] = STATE(1490),
    [sym_IfExpr] = STATE(1490),
    [sym_Block] = STATE(1490),
    [sym_LoopExpr] = STATE(1490),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1490),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1490),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(838),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [277] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1596),
    [sym_BinaryExpr] = STATE(1596),
    [sym_UnaryExpr] = STATE(1596),
    [sym__PrimaryExpr] = STATE(1596),
    [sym_IfExpr] = STATE(1596),
    [sym_Block] = STATE(1596),
    [sym_LoopExpr] = STATE(1596),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1596),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1596),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [278] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1530),
    [sym_BinaryExpr] = STATE(1530),
    [sym_UnaryExpr] = STATE(1530),
    [sym__PrimaryExpr] = STATE(1530),
    [sym_IfExpr] = STATE(1530),
    [sym_Block] = STATE(1530),
    [sym_LoopExpr] = STATE(1530),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1530),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1530),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(840),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [279] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1219),
    [sym_BinaryExpr] = STATE(1219),
    [sym_UnaryExpr] = STATE(1219),
    [sym__PrimaryExpr] = STATE(1219),
    [sym_IfExpr] = STATE(1219),
    [sym_Block] = STATE(1219),
    [sym_LoopExpr] = STATE(1219),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1219),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1219),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [280] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1568),
    [sym_BinaryExpr] = STATE(1568),
    [sym_UnaryExpr] = STATE(1568),
    [sym__PrimaryExpr] = STATE(1568),
    [sym_IfExpr] = STATE(1568),
    [sym_Block] = STATE(1568),
    [sym_LoopExpr] = STATE(1568),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1568),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1568),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [281] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1217),
    [sym_BinaryExpr] = STATE(1217),
    [sym_UnaryExpr] = STATE(1217),
    [sym__PrimaryExpr] = STATE(1217),
    [sym_IfExpr] = STATE(1217),
    [sym_Block] = STATE(1217),
    [sym_LoopExpr] = STATE(1217),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1217),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1217),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [282] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1502),
    [sym_BinaryExpr] = STATE(1502),
    [sym_UnaryExpr] = STATE(1502),
    [sym__PrimaryExpr] = STATE(1502),
    [sym_IfExpr] = STATE(1502),
    [sym_Block] = STATE(1502),
    [sym_LoopExpr] = STATE(1502),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1502),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1502),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(842),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [283] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1599),
    [sym_BinaryExpr] = STATE(1599),
    [sym_UnaryExpr] = STATE(1599),
    [sym__PrimaryExpr] = STATE(1599),
    [sym_IfExpr] = STATE(1599),
    [sym_Block] = STATE(1599),
    [sym_LoopExpr] = STATE(1599),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1599),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1599),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [284] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1215),
    [sym_BinaryExpr] = STATE(1215),
    [sym_UnaryExpr] = STATE(1215),
    [sym__PrimaryExpr] = STATE(1215),
    [sym_IfExpr] = STATE(1215),
    [sym_Block] = STATE(1215),
    [sym_LoopExpr] = STATE(1215),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1215),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1215),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [285] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1546),
    [sym_BinaryExpr] = STATE(1546),
    [sym_UnaryExpr] = STATE(1546),
    [sym__PrimaryExpr] = STATE(1546),
    [sym_IfExpr] = STATE(1546),
    [sym_Block] = STATE(1546),
    [sym_LoopExpr] = STATE(1546),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1546),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1546),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [286] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1464),
    [sym_BinaryExpr] = STATE(1464),
    [sym_UnaryExpr] = STATE(1464),
    [sym__PrimaryExpr] = STATE(1464),
    [sym_IfExpr] = STATE(1464),
    [sym_Block] = STATE(1464),
    [sym_LoopExpr] = STATE(1464),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1464),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1464),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [287] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1464),
    [sym_BinaryExpr] = STATE(1464),
    [sym_UnaryExpr] = STATE(1464),
    [sym__PrimaryExpr] = STATE(1464),
    [sym_IfExpr] = STATE(1464),
    [sym_Block] = STATE(1464),
    [sym_LoopExpr] = STATE(1464),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1464),
    [sym__TypeExpr] = STATE(840),
    [sym_ErrorUnionExpr] = STATE(840),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1464),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [288] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1503),
    [sym_BinaryExpr] = STATE(1503),
    [sym_UnaryExpr] = STATE(1503),
    [sym__PrimaryExpr] = STATE(1503),
    [sym_IfExpr] = STATE(1503),
    [sym_Block] = STATE(1503),
    [sym_LoopExpr] = STATE(1503),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1503),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1503),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(844),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [289] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1452),
    [sym_BinaryExpr] = STATE(1452),
    [sym_UnaryExpr] = STATE(1452),
    [sym__PrimaryExpr] = STATE(1452),
    [sym_IfExpr] = STATE(1452),
    [sym_Block] = STATE(1452),
    [sym_LoopExpr] = STATE(1452),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1452),
    [sym__TypeExpr] = STATE(1334),
    [sym_ErrorUnionExpr] = STATE(1334),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1452),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [290] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1535),
    [sym_BinaryExpr] = STATE(1535),
    [sym_UnaryExpr] = STATE(1535),
    [sym__PrimaryExpr] = STATE(1535),
    [sym_IfExpr] = STATE(1535),
    [sym_Block] = STATE(1535),
    [sym_LoopExpr] = STATE(1535),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1535),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1535),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [291] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1453),
    [sym_BinaryExpr] = STATE(1453),
    [sym_UnaryExpr] = STATE(1453),
    [sym__PrimaryExpr] = STATE(1453),
    [sym_IfExpr] = STATE(1453),
    [sym_Block] = STATE(1453),
    [sym_LoopExpr] = STATE(1453),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1453),
    [sym__TypeExpr] = STATE(1332),
    [sym_ErrorUnionExpr] = STATE(1332),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1453),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [292] = {
    [sym_FnProto] = STATE(1304),
    [sym__Expr] = STATE(1454),
    [sym_BinaryExpr] = STATE(1454),
    [sym_UnaryExpr] = STATE(1454),
    [sym__PrimaryExpr] = STATE(1454),
    [sym_IfExpr] = STATE(1454),
    [sym_Block] = STATE(1454),
    [sym_LoopExpr] = STATE(1454),
    [sym_ForExpr] = STATE(1616),
    [sym_WhileExpr] = STATE(1616),
    [sym__CurlySuffixExpr] = STATE(1454),
    [sym__TypeExpr] = STATE(1330),
    [sym_ErrorUnionExpr] = STATE(1330),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_AsmExpr] = STATE(1454),
    [sym_BlockLabel] = STATE(1925),
    [sym_IfPrefix] = STATE(292),
    [sym_WhilePrefix] = STATE(291),
    [sym_ForPrefix] = STATE(289),
    [sym_PrefixOp] = STATE(215),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(217),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(221),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(229),
    [anon_sym_continue] = ACTIONS(231),
    [anon_sym_resume] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_asm] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [293] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1233),
    [sym_BinaryExpr] = STATE(1233),
    [sym_UnaryExpr] = STATE(1233),
    [sym__PrimaryExpr] = STATE(1233),
    [sym_IfExpr] = STATE(1233),
    [sym_Block] = STATE(1233),
    [sym_LoopExpr] = STATE(1233),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1233),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1233),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [294] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1573),
    [sym_BinaryExpr] = STATE(1573),
    [sym_UnaryExpr] = STATE(1573),
    [sym__PrimaryExpr] = STATE(1573),
    [sym_IfExpr] = STATE(1573),
    [sym_Block] = STATE(1573),
    [sym_LoopExpr] = STATE(1573),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1573),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1573),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [295] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1579),
    [sym_BinaryExpr] = STATE(1579),
    [sym_UnaryExpr] = STATE(1579),
    [sym__PrimaryExpr] = STATE(1579),
    [sym_IfExpr] = STATE(1579),
    [sym_Block] = STATE(1579),
    [sym_LoopExpr] = STATE(1579),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1579),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1579),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [296] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1603),
    [sym_BinaryExpr] = STATE(1603),
    [sym_UnaryExpr] = STATE(1603),
    [sym__PrimaryExpr] = STATE(1603),
    [sym_IfExpr] = STATE(1603),
    [sym_Block] = STATE(1603),
    [sym_LoopExpr] = STATE(1603),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1603),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1603),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [297] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1601),
    [sym_BinaryExpr] = STATE(1601),
    [sym_UnaryExpr] = STATE(1601),
    [sym__PrimaryExpr] = STATE(1601),
    [sym_IfExpr] = STATE(1601),
    [sym_Block] = STATE(1601),
    [sym_LoopExpr] = STATE(1601),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1601),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1601),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [298] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1213),
    [sym_BinaryExpr] = STATE(1213),
    [sym_UnaryExpr] = STATE(1213),
    [sym__PrimaryExpr] = STATE(1213),
    [sym_IfExpr] = STATE(1213),
    [sym_Block] = STATE(1213),
    [sym_LoopExpr] = STATE(1213),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1213),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1213),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [299] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1211),
    [sym_BinaryExpr] = STATE(1211),
    [sym_UnaryExpr] = STATE(1211),
    [sym__PrimaryExpr] = STATE(1211),
    [sym_IfExpr] = STATE(1211),
    [sym_Block] = STATE(1211),
    [sym_LoopExpr] = STATE(1211),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1211),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1211),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [300] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1212),
    [sym_BinaryExpr] = STATE(1212),
    [sym_UnaryExpr] = STATE(1212),
    [sym__PrimaryExpr] = STATE(1212),
    [sym_IfExpr] = STATE(1212),
    [sym_Block] = STATE(1212),
    [sym_LoopExpr] = STATE(1212),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1212),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1212),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [301] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1220),
    [sym_BinaryExpr] = STATE(1220),
    [sym_UnaryExpr] = STATE(1220),
    [sym__PrimaryExpr] = STATE(1220),
    [sym_IfExpr] = STATE(1220),
    [sym_Block] = STATE(1220),
    [sym_LoopExpr] = STATE(1220),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1220),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1220),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [302] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1524),
    [sym_BinaryExpr] = STATE(1524),
    [sym_UnaryExpr] = STATE(1524),
    [sym__PrimaryExpr] = STATE(1524),
    [sym_IfExpr] = STATE(1524),
    [sym_Block] = STATE(1524),
    [sym_LoopExpr] = STATE(1524),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1524),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1524),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [303] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1543),
    [sym_BinaryExpr] = STATE(1543),
    [sym_UnaryExpr] = STATE(1543),
    [sym__PrimaryExpr] = STATE(1543),
    [sym_IfExpr] = STATE(1543),
    [sym_Block] = STATE(1543),
    [sym_LoopExpr] = STATE(1543),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1543),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1543),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [304] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1238),
    [sym_BinaryExpr] = STATE(1238),
    [sym_UnaryExpr] = STATE(1238),
    [sym__PrimaryExpr] = STATE(1238),
    [sym_IfExpr] = STATE(1238),
    [sym_Block] = STATE(1238),
    [sym_LoopExpr] = STATE(1238),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1238),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1238),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [305] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1590),
    [sym_BinaryExpr] = STATE(1590),
    [sym_UnaryExpr] = STATE(1590),
    [sym__PrimaryExpr] = STATE(1590),
    [sym_IfExpr] = STATE(1590),
    [sym_Block] = STATE(1590),
    [sym_LoopExpr] = STATE(1590),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1590),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1590),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [306] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1597),
    [sym_BinaryExpr] = STATE(1597),
    [sym_UnaryExpr] = STATE(1597),
    [sym__PrimaryExpr] = STATE(1597),
    [sym_IfExpr] = STATE(1597),
    [sym_Block] = STATE(1597),
    [sym_LoopExpr] = STATE(1597),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1597),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1597),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [307] = {
    [sym_FnProto] = STATE(922),
    [sym__Expr] = STATE(1216),
    [sym_BinaryExpr] = STATE(1216),
    [sym_UnaryExpr] = STATE(1216),
    [sym__PrimaryExpr] = STATE(1216),
    [sym_IfExpr] = STATE(1216),
    [sym_Block] = STATE(1216),
    [sym_LoopExpr] = STATE(1216),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1216),
    [sym__TypeExpr] = STATE(1244),
    [sym_ErrorUnionExpr] = STATE(1244),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_AsmExpr] = STATE(1216),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [308] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1462),
    [sym_BinaryExpr] = STATE(1462),
    [sym_UnaryExpr] = STATE(1462),
    [sym__PrimaryExpr] = STATE(1462),
    [sym_IfExpr] = STATE(1462),
    [sym_Block] = STATE(1462),
    [sym_LoopExpr] = STATE(1462),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1462),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1462),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(846),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [309] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1542),
    [sym_BinaryExpr] = STATE(1542),
    [sym_UnaryExpr] = STATE(1542),
    [sym__PrimaryExpr] = STATE(1542),
    [sym_IfExpr] = STATE(1542),
    [sym_Block] = STATE(1542),
    [sym_LoopExpr] = STATE(1542),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1542),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1542),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [310] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1581),
    [sym_BinaryExpr] = STATE(1581),
    [sym_UnaryExpr] = STATE(1581),
    [sym__PrimaryExpr] = STATE(1581),
    [sym_IfExpr] = STATE(1581),
    [sym_Block] = STATE(1581),
    [sym_LoopExpr] = STATE(1581),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1581),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1581),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [311] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1583),
    [sym_BinaryExpr] = STATE(1583),
    [sym_UnaryExpr] = STATE(1583),
    [sym__PrimaryExpr] = STATE(1583),
    [sym_IfExpr] = STATE(1583),
    [sym_Block] = STATE(1583),
    [sym_LoopExpr] = STATE(1583),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1583),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1583),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [312] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1459),
    [sym_BinaryExpr] = STATE(1459),
    [sym_UnaryExpr] = STATE(1459),
    [sym__PrimaryExpr] = STATE(1459),
    [sym_IfExpr] = STATE(1459),
    [sym_Block] = STATE(1459),
    [sym_LoopExpr] = STATE(1459),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1459),
    [sym__TypeExpr] = STATE(824),
    [sym_ErrorUnionExpr] = STATE(824),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1459),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [313] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1580),
    [sym_BinaryExpr] = STATE(1580),
    [sym_UnaryExpr] = STATE(1580),
    [sym__PrimaryExpr] = STATE(1580),
    [sym_IfExpr] = STATE(1580),
    [sym_Block] = STATE(1580),
    [sym_LoopExpr] = STATE(1580),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1580),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1580),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [314] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1460),
    [sym_BinaryExpr] = STATE(1460),
    [sym_UnaryExpr] = STATE(1460),
    [sym__PrimaryExpr] = STATE(1460),
    [sym_IfExpr] = STATE(1460),
    [sym_Block] = STATE(1460),
    [sym_LoopExpr] = STATE(1460),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1460),
    [sym__TypeExpr] = STATE(827),
    [sym_ErrorUnionExpr] = STATE(827),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1460),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(850),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [315] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1557),
    [sym_BinaryExpr] = STATE(1557),
    [sym_UnaryExpr] = STATE(1557),
    [sym__PrimaryExpr] = STATE(1557),
    [sym_IfExpr] = STATE(1557),
    [sym_Block] = STATE(1557),
    [sym_LoopExpr] = STATE(1557),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1557),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1557),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [316] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1587),
    [sym_BinaryExpr] = STATE(1587),
    [sym_UnaryExpr] = STATE(1587),
    [sym__PrimaryExpr] = STATE(1587),
    [sym_IfExpr] = STATE(1587),
    [sym_Block] = STATE(1587),
    [sym_LoopExpr] = STATE(1587),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1587),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1587),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [317] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1538),
    [sym_BinaryExpr] = STATE(1538),
    [sym_UnaryExpr] = STATE(1538),
    [sym__PrimaryExpr] = STATE(1538),
    [sym_IfExpr] = STATE(1538),
    [sym_Block] = STATE(1538),
    [sym_LoopExpr] = STATE(1538),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1538),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1538),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [318] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(1450),
    [sym_BinaryExpr] = STATE(1450),
    [sym_UnaryExpr] = STATE(1450),
    [sym__PrimaryExpr] = STATE(1450),
    [sym_IfExpr] = STATE(1450),
    [sym_Block] = STATE(1450),
    [sym_LoopExpr] = STATE(1450),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1450),
    [sym__TypeExpr] = STATE(830),
    [sym_ErrorUnionExpr] = STATE(830),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(1450),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(854),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [319] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1602),
    [sym_BinaryExpr] = STATE(1602),
    [sym_UnaryExpr] = STATE(1602),
    [sym__PrimaryExpr] = STATE(1602),
    [sym_IfExpr] = STATE(1602),
    [sym_Block] = STATE(1602),
    [sym_LoopExpr] = STATE(1602),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1602),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1602),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [320] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1477),
    [sym_BinaryExpr] = STATE(1477),
    [sym_UnaryExpr] = STATE(1477),
    [sym__PrimaryExpr] = STATE(1477),
    [sym_IfExpr] = STATE(1477),
    [sym_Block] = STATE(1477),
    [sym_LoopExpr] = STATE(1477),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1477),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1477),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(856),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [321] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1150),
    [sym_BinaryExpr] = STATE(1150),
    [sym_UnaryExpr] = STATE(1150),
    [sym__PrimaryExpr] = STATE(1150),
    [sym_IfExpr] = STATE(1150),
    [sym_Block] = STATE(1150),
    [sym_LoopExpr] = STATE(1150),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1150),
    [sym__TypeExpr] = STATE(963),
    [sym_ErrorUnionExpr] = STATE(963),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1150),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [322] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1151),
    [sym_BinaryExpr] = STATE(1151),
    [sym_UnaryExpr] = STATE(1151),
    [sym__PrimaryExpr] = STATE(1151),
    [sym_IfExpr] = STATE(1151),
    [sym_Block] = STATE(1151),
    [sym_LoopExpr] = STATE(1151),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1151),
    [sym__TypeExpr] = STATE(964),
    [sym_ErrorUnionExpr] = STATE(964),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1151),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [323] = {
    [sym_FnProto] = STATE(915),
    [sym__Expr] = STATE(1155),
    [sym_BinaryExpr] = STATE(1155),
    [sym_UnaryExpr] = STATE(1155),
    [sym__PrimaryExpr] = STATE(1155),
    [sym_IfExpr] = STATE(1155),
    [sym_Block] = STATE(1155),
    [sym_LoopExpr] = STATE(1155),
    [sym_ForExpr] = STATE(1250),
    [sym_WhileExpr] = STATE(1250),
    [sym__CurlySuffixExpr] = STATE(1155),
    [sym__TypeExpr] = STATE(972),
    [sym_ErrorUnionExpr] = STATE(972),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_AsmExpr] = STATE(1155),
    [sym_BlockLabel] = STATE(1920),
    [sym_IfPrefix] = STATE(321),
    [sym_WhilePrefix] = STATE(322),
    [sym_ForPrefix] = STATE(323),
    [sym_PrefixOp] = STATE(307),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(788),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(790),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_asm] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [324] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1577),
    [sym_BinaryExpr] = STATE(1577),
    [sym_UnaryExpr] = STATE(1577),
    [sym__PrimaryExpr] = STATE(1577),
    [sym_IfExpr] = STATE(1577),
    [sym_Block] = STATE(1577),
    [sym_LoopExpr] = STATE(1577),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1577),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1577),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [325] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1497),
    [sym_BinaryExpr] = STATE(1497),
    [sym_UnaryExpr] = STATE(1497),
    [sym__PrimaryExpr] = STATE(1497),
    [sym_IfExpr] = STATE(1497),
    [sym_Block] = STATE(1497),
    [sym_LoopExpr] = STATE(1497),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1497),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1497),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(858),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [326] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1471),
    [sym_BinaryExpr] = STATE(1471),
    [sym_UnaryExpr] = STATE(1471),
    [sym__PrimaryExpr] = STATE(1471),
    [sym_IfExpr] = STATE(1471),
    [sym_Block] = STATE(1471),
    [sym_LoopExpr] = STATE(1471),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1471),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1471),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [327] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1545),
    [sym_BinaryExpr] = STATE(1545),
    [sym_UnaryExpr] = STATE(1545),
    [sym__PrimaryExpr] = STATE(1545),
    [sym_IfExpr] = STATE(1545),
    [sym_Block] = STATE(1545),
    [sym_LoopExpr] = STATE(1545),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1545),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1545),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [328] = {
    [sym_FnProto] = STATE(717),
    [sym__Expr] = STATE(886),
    [sym_BinaryExpr] = STATE(886),
    [sym_UnaryExpr] = STATE(886),
    [sym__PrimaryExpr] = STATE(886),
    [sym_IfExpr] = STATE(886),
    [sym_Block] = STATE(886),
    [sym_LoopExpr] = STATE(886),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(886),
    [sym__TypeExpr] = STATE(840),
    [sym_ErrorUnionExpr] = STATE(840),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_AsmExpr] = STATE(886),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [329] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(886),
    [sym_BinaryExpr] = STATE(886),
    [sym_UnaryExpr] = STATE(886),
    [sym__PrimaryExpr] = STATE(886),
    [sym_IfExpr] = STATE(886),
    [sym_Block] = STATE(886),
    [sym_LoopExpr] = STATE(886),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(886),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(886),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [330] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1549),
    [sym_BinaryExpr] = STATE(1549),
    [sym_UnaryExpr] = STATE(1549),
    [sym__PrimaryExpr] = STATE(1549),
    [sym_IfExpr] = STATE(1549),
    [sym_Block] = STATE(1549),
    [sym_LoopExpr] = STATE(1549),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1549),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1549),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [331] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1574),
    [sym_BinaryExpr] = STATE(1574),
    [sym_UnaryExpr] = STATE(1574),
    [sym__PrimaryExpr] = STATE(1574),
    [sym_IfExpr] = STATE(1574),
    [sym_Block] = STATE(1574),
    [sym_LoopExpr] = STATE(1574),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1574),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1574),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [332] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1572),
    [sym_BinaryExpr] = STATE(1572),
    [sym_UnaryExpr] = STATE(1572),
    [sym__PrimaryExpr] = STATE(1572),
    [sym_IfExpr] = STATE(1572),
    [sym_Block] = STATE(1572),
    [sym_LoopExpr] = STATE(1572),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1572),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1572),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [333] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1595),
    [sym_BinaryExpr] = STATE(1595),
    [sym_UnaryExpr] = STATE(1595),
    [sym__PrimaryExpr] = STATE(1595),
    [sym_IfExpr] = STATE(1595),
    [sym_Block] = STATE(1595),
    [sym_LoopExpr] = STATE(1595),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1595),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1595),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [334] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1576),
    [sym_BinaryExpr] = STATE(1576),
    [sym_UnaryExpr] = STATE(1576),
    [sym__PrimaryExpr] = STATE(1576),
    [sym_IfExpr] = STATE(1576),
    [sym_Block] = STATE(1576),
    [sym_LoopExpr] = STATE(1576),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1576),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1576),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [335] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1575),
    [sym_BinaryExpr] = STATE(1575),
    [sym_UnaryExpr] = STATE(1575),
    [sym__PrimaryExpr] = STATE(1575),
    [sym_IfExpr] = STATE(1575),
    [sym_Block] = STATE(1575),
    [sym_LoopExpr] = STATE(1575),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1575),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1575),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [336] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1537),
    [sym_BinaryExpr] = STATE(1537),
    [sym_UnaryExpr] = STATE(1537),
    [sym__PrimaryExpr] = STATE(1537),
    [sym_IfExpr] = STATE(1537),
    [sym_Block] = STATE(1537),
    [sym_LoopExpr] = STATE(1537),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1537),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1537),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [337] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1466),
    [sym_BinaryExpr] = STATE(1466),
    [sym_UnaryExpr] = STATE(1466),
    [sym__PrimaryExpr] = STATE(1466),
    [sym_IfExpr] = STATE(1466),
    [sym_Block] = STATE(1466),
    [sym_LoopExpr] = STATE(1466),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1466),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1466),
    [sym_BlockLabel] = STATE(1916),
    [sym_IfPrefix] = STATE(312),
    [sym_WhilePrefix] = STATE(314),
    [sym_ForPrefix] = STATE(318),
    [sym_PrefixOp] = STATE(171),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(269),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(275),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_resume] = ACTIONS(275),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [338] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1548),
    [sym_BinaryExpr] = STATE(1548),
    [sym_UnaryExpr] = STATE(1548),
    [sym__PrimaryExpr] = STATE(1548),
    [sym_IfExpr] = STATE(1548),
    [sym_Block] = STATE(1548),
    [sym_LoopExpr] = STATE(1548),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1548),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1548),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [339] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1242),
    [sym_BinaryExpr] = STATE(1242),
    [sym_UnaryExpr] = STATE(1242),
    [sym__PrimaryExpr] = STATE(1242),
    [sym_IfExpr] = STATE(1242),
    [sym_Block] = STATE(1242),
    [sym_LoopExpr] = STATE(1242),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1242),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1242),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [340] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1562),
    [sym_BinaryExpr] = STATE(1562),
    [sym_UnaryExpr] = STATE(1562),
    [sym__PrimaryExpr] = STATE(1562),
    [sym_IfExpr] = STATE(1562),
    [sym_Block] = STATE(1562),
    [sym_LoopExpr] = STATE(1562),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1562),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1562),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [341] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(903),
    [sym_BinaryExpr] = STATE(903),
    [sym_UnaryExpr] = STATE(903),
    [sym__PrimaryExpr] = STATE(903),
    [sym_IfExpr] = STATE(903),
    [sym_Block] = STATE(903),
    [sym_LoopExpr] = STATE(903),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(903),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(903),
    [sym_BlockLabel] = STATE(1923),
    [sym_IfPrefix] = STATE(271),
    [sym_WhilePrefix] = STATE(272),
    [sym_ForPrefix] = STATE(273),
    [sym_PrefixOp] = STATE(236),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [342] = {
    [sym_FnProto] = STATE(941),
    [sym__Expr] = STATE(1232),
    [sym_BinaryExpr] = STATE(1232),
    [sym_UnaryExpr] = STATE(1232),
    [sym__PrimaryExpr] = STATE(1232),
    [sym_IfExpr] = STATE(1232),
    [sym_Block] = STATE(1232),
    [sym_LoopExpr] = STATE(1232),
    [sym_ForExpr] = STATE(1269),
    [sym_WhileExpr] = STATE(1269),
    [sym__CurlySuffixExpr] = STATE(1232),
    [sym__TypeExpr] = STATE(1247),
    [sym_ErrorUnionExpr] = STATE(1247),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_AsmExpr] = STATE(1232),
    [sym_BlockLabel] = STATE(1915),
    [sym_IfPrefix] = STATE(228),
    [sym_WhilePrefix] = STATE(229),
    [sym_ForPrefix] = STATE(233),
    [sym_PrefixOp] = STATE(213),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(646),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(648),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(177),
    [anon_sym_break] = ACTIONS(179),
    [anon_sym_continue] = ACTIONS(181),
    [anon_sym_resume] = ACTIONS(177),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [343] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1571),
    [sym_BinaryExpr] = STATE(1571),
    [sym_UnaryExpr] = STATE(1571),
    [sym__PrimaryExpr] = STATE(1571),
    [sym_IfExpr] = STATE(1571),
    [sym_Block] = STATE(1571),
    [sym_LoopExpr] = STATE(1571),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1571),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1571),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [344] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1550),
    [sym_BinaryExpr] = STATE(1550),
    [sym_UnaryExpr] = STATE(1550),
    [sym__PrimaryExpr] = STATE(1550),
    [sym_IfExpr] = STATE(1550),
    [sym_Block] = STATE(1550),
    [sym_LoopExpr] = STATE(1550),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1550),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1550),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [345] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1507),
    [sym_BinaryExpr] = STATE(1507),
    [sym_UnaryExpr] = STATE(1507),
    [sym__PrimaryExpr] = STATE(1507),
    [sym_IfExpr] = STATE(1507),
    [sym_Block] = STATE(1507),
    [sym_LoopExpr] = STATE(1507),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1507),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1507),
    [sym_BlockLabel] = STATE(1918),
    [sym_IfPrefix] = STATE(190),
    [sym_WhilePrefix] = STATE(189),
    [sym_ForPrefix] = STATE(188),
    [sym_PrefixOp] = STATE(185),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(303),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(305),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_resume] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [346] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1582),
    [sym_BinaryExpr] = STATE(1582),
    [sym_UnaryExpr] = STATE(1582),
    [sym__PrimaryExpr] = STATE(1582),
    [sym_IfExpr] = STATE(1582),
    [sym_Block] = STATE(1582),
    [sym_LoopExpr] = STATE(1582),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1582),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1582),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [347] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1563),
    [sym_BinaryExpr] = STATE(1563),
    [sym_UnaryExpr] = STATE(1563),
    [sym__PrimaryExpr] = STATE(1563),
    [sym_IfExpr] = STATE(1563),
    [sym_Block] = STATE(1563),
    [sym_LoopExpr] = STATE(1563),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1563),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1563),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [348] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1605),
    [sym_BinaryExpr] = STATE(1605),
    [sym_UnaryExpr] = STATE(1605),
    [sym__PrimaryExpr] = STATE(1605),
    [sym_IfExpr] = STATE(1605),
    [sym_Block] = STATE(1605),
    [sym_LoopExpr] = STATE(1605),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1605),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1605),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [349] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1556),
    [sym_BinaryExpr] = STATE(1556),
    [sym_UnaryExpr] = STATE(1556),
    [sym__PrimaryExpr] = STATE(1556),
    [sym_IfExpr] = STATE(1556),
    [sym_Block] = STATE(1556),
    [sym_LoopExpr] = STATE(1556),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1556),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1556),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [350] = {
    [sym_FnProto] = STATE(716),
    [sym__Expr] = STATE(1578),
    [sym_BinaryExpr] = STATE(1578),
    [sym_UnaryExpr] = STATE(1578),
    [sym__PrimaryExpr] = STATE(1578),
    [sym_IfExpr] = STATE(1578),
    [sym_Block] = STATE(1578),
    [sym_LoopExpr] = STATE(1578),
    [sym_ForExpr] = STATE(988),
    [sym_WhileExpr] = STATE(988),
    [sym__CurlySuffixExpr] = STATE(1578),
    [sym__TypeExpr] = STATE(943),
    [sym_ErrorUnionExpr] = STATE(943),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_AsmExpr] = STATE(1578),
    [sym_BlockLabel] = STATE(1919),
    [sym_IfPrefix] = STATE(192),
    [sym_WhilePrefix] = STATE(191),
    [sym_ForPrefix] = STATE(177),
    [sym_PrefixOp] = STATE(176),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(113),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(115),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_nosuspend] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_resume] = ACTIONS(121),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_asm] = ACTIONS(75),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_AMP] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(45),
    [anon_sym_DASH_PERCENT] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_pub] = ACTIONS(528),
    [anon_sym_test] = ACTIONS(528),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_export] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_noinline] = ACTIONS(528),
    [anon_sym_threadlocal] = ACTIONS(528),
    [anon_sym_usingnamespace] = ACTIONS(528),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(528),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(526),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(526),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(526),
    [anon_sym_DASH_PERCENT] = ACTIONS(526),
    [anon_sym_PLUS_PIPE] = ACTIONS(526),
    [anon_sym_DASH_PIPE] = ACTIONS(526),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_PIPE] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_doc_comment] = ACTIONS(526),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_pub] = ACTIONS(560),
    [anon_sym_test] = ACTIONS(560),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_noinline] = ACTIONS(560),
    [anon_sym_threadlocal] = ACTIONS(560),
    [anon_sym_usingnamespace] = ACTIONS(560),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_const] = ACTIONS(560),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(558),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(558),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(558),
    [anon_sym_DASH_PERCENT] = ACTIONS(558),
    [anon_sym_PLUS_PIPE] = ACTIONS(558),
    [anon_sym_DASH_PIPE] = ACTIONS(558),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_PIPE] = ACTIONS(558),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_doc_comment] = ACTIONS(558),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_pub] = ACTIONS(564),
    [anon_sym_test] = ACTIONS(564),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_noinline] = ACTIONS(564),
    [anon_sym_threadlocal] = ACTIONS(564),
    [anon_sym_usingnamespace] = ACTIONS(564),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_var] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(562),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(562),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(562),
    [anon_sym_DASH_PERCENT] = ACTIONS(562),
    [anon_sym_PLUS_PIPE] = ACTIONS(562),
    [anon_sym_DASH_PIPE] = ACTIONS(562),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_PIPE] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_doc_comment] = ACTIONS(562),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_pub] = ACTIONS(524),
    [anon_sym_test] = ACTIONS(524),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_export] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_noinline] = ACTIONS(524),
    [anon_sym_threadlocal] = ACTIONS(524),
    [anon_sym_usingnamespace] = ACTIONS(524),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(522),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(522),
    [anon_sym_DASH_PERCENT] = ACTIONS(522),
    [anon_sym_PLUS_PIPE] = ACTIONS(522),
    [anon_sym_DASH_PIPE] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_PIPE] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_doc_comment] = ACTIONS(522),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_pub] = ACTIONS(532),
    [anon_sym_test] = ACTIONS(532),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_export] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_noinline] = ACTIONS(532),
    [anon_sym_threadlocal] = ACTIONS(532),
    [anon_sym_usingnamespace] = ACTIONS(532),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_var] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(530),
    [anon_sym_DASH_PERCENT] = ACTIONS(530),
    [anon_sym_PLUS_PIPE] = ACTIONS(530),
    [anon_sym_DASH_PIPE] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_PIPE] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_doc_comment] = ACTIONS(530),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_pub] = ACTIONS(528),
    [anon_sym_test] = ACTIONS(528),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_export] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_noinline] = ACTIONS(528),
    [anon_sym_threadlocal] = ACTIONS(528),
    [anon_sym_usingnamespace] = ACTIONS(528),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(528),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(526),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(526),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(526),
    [anon_sym_DASH_PERCENT] = ACTIONS(526),
    [anon_sym_PLUS_PIPE] = ACTIONS(526),
    [anon_sym_DASH_PIPE] = ACTIONS(526),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_PIPE] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_doc_comment] = ACTIONS(526),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_pub] = ACTIONS(560),
    [anon_sym_test] = ACTIONS(560),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_noinline] = ACTIONS(560),
    [anon_sym_threadlocal] = ACTIONS(560),
    [anon_sym_usingnamespace] = ACTIONS(560),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_const] = ACTIONS(560),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(558),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(558),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(558),
    [anon_sym_DASH_PERCENT] = ACTIONS(558),
    [anon_sym_PLUS_PIPE] = ACTIONS(558),
    [anon_sym_DASH_PIPE] = ACTIONS(558),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_PIPE] = ACTIONS(558),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_doc_comment] = ACTIONS(558),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_pub] = ACTIONS(564),
    [anon_sym_test] = ACTIONS(564),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_noinline] = ACTIONS(564),
    [anon_sym_threadlocal] = ACTIONS(564),
    [anon_sym_usingnamespace] = ACTIONS(564),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_var] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(562),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(562),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(562),
    [anon_sym_DASH_PERCENT] = ACTIONS(562),
    [anon_sym_PLUS_PIPE] = ACTIONS(562),
    [anon_sym_DASH_PIPE] = ACTIONS(562),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_PIPE] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_doc_comment] = ACTIONS(562),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_pub] = ACTIONS(524),
    [anon_sym_test] = ACTIONS(524),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_export] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_noinline] = ACTIONS(524),
    [anon_sym_threadlocal] = ACTIONS(524),
    [anon_sym_usingnamespace] = ACTIONS(524),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(522),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(522),
    [anon_sym_DASH_PERCENT] = ACTIONS(522),
    [anon_sym_PLUS_PIPE] = ACTIONS(522),
    [anon_sym_DASH_PIPE] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_PIPE] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_doc_comment] = ACTIONS(522),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_pub] = ACTIONS(532),
    [anon_sym_test] = ACTIONS(532),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_export] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_noinline] = ACTIONS(532),
    [anon_sym_threadlocal] = ACTIONS(532),
    [anon_sym_usingnamespace] = ACTIONS(532),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_var] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(530),
    [anon_sym_DASH_PERCENT] = ACTIONS(530),
    [anon_sym_PLUS_PIPE] = ACTIONS(530),
    [anon_sym_DASH_PIPE] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_PIPE] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_doc_comment] = ACTIONS(530),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [361] = {
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_GT] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(562),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(562),
    [anon_sym_DASH_PERCENT] = ACTIONS(562),
    [anon_sym_PLUS_PIPE] = ACTIONS(562),
    [anon_sym_DASH_PIPE] = ACTIONS(562),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_PIPE] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [362] = {
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_GT] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(522),
    [anon_sym_DASH_PERCENT] = ACTIONS(522),
    [anon_sym_PLUS_PIPE] = ACTIONS(522),
    [anon_sym_DASH_PIPE] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_PIPE] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [363] = {
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_GT] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(526),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(526),
    [anon_sym_DASH_PERCENT] = ACTIONS(526),
    [anon_sym_PLUS_PIPE] = ACTIONS(526),
    [anon_sym_DASH_PIPE] = ACTIONS(526),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_PIPE] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [364] = {
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_GT] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(558),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(558),
    [anon_sym_DASH_PERCENT] = ACTIONS(558),
    [anon_sym_PLUS_PIPE] = ACTIONS(558),
    [anon_sym_DASH_PIPE] = ACTIONS(558),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_PIPE] = ACTIONS(558),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [365] = {
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_GT] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(530),
    [anon_sym_DASH_PERCENT] = ACTIONS(530),
    [anon_sym_PLUS_PIPE] = ACTIONS(530),
    [anon_sym_DASH_PIPE] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_PIPE] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [366] = {
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_comptime] = ACTIONS(564),
    [anon_sym_extern] = ACTIONS(564),
    [anon_sym_inline] = ACTIONS(564),
    [anon_sym_fn] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_nosuspend] = ACTIONS(564),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_resume] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_error] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [anon_sym_null] = ACTIONS(564),
    [anon_sym_anyframe] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_undefined] = ACTIONS(564),
    [anon_sym_unreachable] = ACTIONS(564),
    [sym_BuildinTypeExpr] = ACTIONS(564),
    [anon_sym_packed] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_asm] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_GT] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(562),
    [anon_sym_orelse] = ACTIONS(564),
    [anon_sym_catch] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(562),
    [anon_sym_DASH_PERCENT] = ACTIONS(562),
    [anon_sym_PLUS_PIPE] = ACTIONS(562),
    [anon_sym_DASH_PIPE] = ACTIONS(562),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_PIPE] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(564),
    [anon_sym_opaque] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_union] = ACTIONS(564),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [aux_sym_FLOAT_token1] = ACTIONS(562),
    [aux_sym_FLOAT_token2] = ACTIONS(562),
    [aux_sym_FLOAT_token3] = ACTIONS(562),
    [aux_sym_FLOAT_token4] = ACTIONS(562),
    [aux_sym_INTEGER_token1] = ACTIONS(562),
    [aux_sym_INTEGER_token2] = ACTIONS(562),
    [aux_sym_INTEGER_token3] = ACTIONS(564),
    [aux_sym_INTEGER_token4] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(562),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
  },
  [367] = {
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_comptime] = ACTIONS(524),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_nosuspend] = ACTIONS(524),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_resume] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_error] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_null] = ACTIONS(524),
    [anon_sym_anyframe] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_undefined] = ACTIONS(524),
    [anon_sym_unreachable] = ACTIONS(524),
    [sym_BuildinTypeExpr] = ACTIONS(524),
    [anon_sym_packed] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_asm] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_GT] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_orelse] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(522),
    [anon_sym_DASH_PERCENT] = ACTIONS(522),
    [anon_sym_PLUS_PIPE] = ACTIONS(522),
    [anon_sym_DASH_PIPE] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_PIPE] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_opaque] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_FLOAT_token1] = ACTIONS(522),
    [aux_sym_FLOAT_token2] = ACTIONS(522),
    [aux_sym_FLOAT_token3] = ACTIONS(522),
    [aux_sym_FLOAT_token4] = ACTIONS(522),
    [aux_sym_INTEGER_token1] = ACTIONS(522),
    [aux_sym_INTEGER_token2] = ACTIONS(522),
    [aux_sym_INTEGER_token3] = ACTIONS(524),
    [aux_sym_INTEGER_token4] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(522),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
  },
  [368] = {
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_comptime] = ACTIONS(528),
    [anon_sym_extern] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(528),
    [anon_sym_fn] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_nosuspend] = ACTIONS(528),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_resume] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_error] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_null] = ACTIONS(528),
    [anon_sym_anyframe] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_undefined] = ACTIONS(528),
    [anon_sym_unreachable] = ACTIONS(528),
    [sym_BuildinTypeExpr] = ACTIONS(528),
    [anon_sym_packed] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_asm] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_GT] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(526),
    [anon_sym_orelse] = ACTIONS(528),
    [anon_sym_catch] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(526),
    [anon_sym_DASH_PERCENT] = ACTIONS(526),
    [anon_sym_PLUS_PIPE] = ACTIONS(526),
    [anon_sym_DASH_PIPE] = ACTIONS(526),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_PIPE] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(528),
    [anon_sym_opaque] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_union] = ACTIONS(528),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [aux_sym_FLOAT_token1] = ACTIONS(526),
    [aux_sym_FLOAT_token2] = ACTIONS(526),
    [aux_sym_FLOAT_token3] = ACTIONS(526),
    [aux_sym_FLOAT_token4] = ACTIONS(526),
    [aux_sym_INTEGER_token1] = ACTIONS(526),
    [aux_sym_INTEGER_token2] = ACTIONS(526),
    [aux_sym_INTEGER_token3] = ACTIONS(528),
    [aux_sym_INTEGER_token4] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(526),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(526),
  },
  [369] = {
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_comptime] = ACTIONS(560),
    [anon_sym_extern] = ACTIONS(560),
    [anon_sym_inline] = ACTIONS(560),
    [anon_sym_fn] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_nosuspend] = ACTIONS(560),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_resume] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_error] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_null] = ACTIONS(560),
    [anon_sym_anyframe] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_undefined] = ACTIONS(560),
    [anon_sym_unreachable] = ACTIONS(560),
    [sym_BuildinTypeExpr] = ACTIONS(560),
    [anon_sym_packed] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_asm] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_GT] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(558),
    [anon_sym_orelse] = ACTIONS(560),
    [anon_sym_catch] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(558),
    [anon_sym_DASH_PERCENT] = ACTIONS(558),
    [anon_sym_PLUS_PIPE] = ACTIONS(558),
    [anon_sym_DASH_PIPE] = ACTIONS(558),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_PIPE] = ACTIONS(558),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(560),
    [anon_sym_opaque] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(560),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [aux_sym_FLOAT_token1] = ACTIONS(558),
    [aux_sym_FLOAT_token2] = ACTIONS(558),
    [aux_sym_FLOAT_token3] = ACTIONS(558),
    [aux_sym_FLOAT_token4] = ACTIONS(558),
    [aux_sym_INTEGER_token1] = ACTIONS(558),
    [aux_sym_INTEGER_token2] = ACTIONS(558),
    [aux_sym_INTEGER_token3] = ACTIONS(560),
    [aux_sym_INTEGER_token4] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(558),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(558),
  },
  [370] = {
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_comptime] = ACTIONS(532),
    [anon_sym_extern] = ACTIONS(532),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym_fn] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_nosuspend] = ACTIONS(532),
    [anon_sym_or] = ACTIONS(532),
    [anon_sym_and] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_resume] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_error] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_null] = ACTIONS(532),
    [anon_sym_anyframe] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_undefined] = ACTIONS(532),
    [anon_sym_unreachable] = ACTIONS(532),
    [sym_BuildinTypeExpr] = ACTIONS(532),
    [anon_sym_packed] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_asm] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_EQ_GT] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_orelse] = ACTIONS(532),
    [anon_sym_catch] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_PLUS_PERCENT] = ACTIONS(530),
    [anon_sym_DASH_PERCENT] = ACTIONS(530),
    [anon_sym_PLUS_PIPE] = ACTIONS(530),
    [anon_sym_DASH_PIPE] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_STAR_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_PIPE] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(532),
    [anon_sym_opaque] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_union] = ACTIONS(532),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [aux_sym_FLOAT_token1] = ACTIONS(530),
    [aux_sym_FLOAT_token2] = ACTIONS(530),
    [aux_sym_FLOAT_token3] = ACTIONS(530),
    [aux_sym_FLOAT_token4] = ACTIONS(530),
    [aux_sym_INTEGER_token1] = ACTIONS(530),
    [aux_sym_INTEGER_token2] = ACTIONS(530),
    [aux_sym_INTEGER_token3] = ACTIONS(532),
    [aux_sym_INTEGER_token4] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(530),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
  },
  [371] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(788),
    [sym_ErrorUnionExpr] = STATE(788),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_LinkSection] = STATE(434),
    [sym_CallConv] = STATE(527),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(416),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [372] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1695),
    [sym_ErrorUnionExpr] = STATE(1695),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_LinkSection] = STATE(426),
    [sym_CallConv] = STATE(540),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_ByteAlign] = STATE(409),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(892),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [373] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1711),
    [sym_ErrorUnionExpr] = STATE(1711),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_LinkSection] = STATE(442),
    [sym_CallConv] = STATE(520),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_ByteAlign] = STATE(412),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [374] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(788),
    [sym_ErrorUnionExpr] = STATE(788),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(438),
    [sym_CallConv] = STATE(522),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(399),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [375] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(834),
    [sym_ErrorUnionExpr] = STATE(834),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(423),
    [sym_CallConv] = STATE(539),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(418),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [376] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(834),
    [sym_ErrorUnionExpr] = STATE(834),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_LinkSection] = STATE(432),
    [sym_CallConv] = STATE(544),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(415),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(938),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [377] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(788),
    [sym_ErrorUnionExpr] = STATE(788),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_LinkSection] = STATE(419),
    [sym_CallConv] = STATE(529),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(404),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [378] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamDecl] = STATE(2235),
    [sym_ParamType] = STATE(2284),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1926),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(946),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_noalias] = ACTIONS(952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(956),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [379] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(834),
    [sym_ErrorUnionExpr] = STATE(834),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_LinkSection] = STATE(447),
    [sym_CallConv] = STATE(518),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(413),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [380] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(788),
    [sym_ErrorUnionExpr] = STATE(788),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_LinkSection] = STATE(429),
    [sym_CallConv] = STATE(531),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(410),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [381] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1129),
    [sym_ErrorUnionExpr] = STATE(1129),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_LinkSection] = STATE(437),
    [sym_CallConv] = STATE(521),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_ByteAlign] = STATE(405),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [382] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(788),
    [sym_ErrorUnionExpr] = STATE(788),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(440),
    [sym_CallConv] = STATE(524),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(414),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [383] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1423),
    [sym_ErrorUnionExpr] = STATE(1423),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_LinkSection] = STATE(422),
    [sym_CallConv] = STATE(500),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_ByteAlign] = STATE(398),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [384] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1103),
    [sym_ErrorUnionExpr] = STATE(1103),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_LinkSection] = STATE(464),
    [sym_CallConv] = STATE(493),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_ByteAlign] = STATE(407),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(980),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [385] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamDecl] = STATE(2171),
    [sym_ParamType] = STATE(2284),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1926),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(946),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_noalias] = ACTIONS(952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(956),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [386] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1204),
    [sym_ErrorUnionExpr] = STATE(1204),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_LinkSection] = STATE(451),
    [sym_CallConv] = STATE(487),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_ByteAlign] = STATE(406),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [387] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1823),
    [sym_ErrorUnionExpr] = STATE(1823),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_LinkSection] = STATE(463),
    [sym_CallConv] = STATE(491),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_ByteAlign] = STATE(400),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [388] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(834),
    [sym_ErrorUnionExpr] = STATE(834),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_LinkSection] = STATE(428),
    [sym_CallConv] = STATE(536),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(411),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1026),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [389] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamDecl] = STATE(2235),
    [sym_ParamType] = STATE(2284),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1926),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(946),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(1028),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_noalias] = ACTIONS(952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(956),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [390] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1423),
    [sym_ErrorUnionExpr] = STATE(1423),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_LinkSection] = STATE(455),
    [sym_CallConv] = STATE(506),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_ByteAlign] = STATE(403),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1034),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [391] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(834),
    [sym_ErrorUnionExpr] = STATE(834),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(444),
    [sym_CallConv] = STATE(519),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_ByteAlign] = STATE(397),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [392] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1383),
    [sym_ErrorUnionExpr] = STATE(1383),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_LinkSection] = STATE(454),
    [sym_CallConv] = STATE(515),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_ByteAlign] = STATE(402),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [393] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1087),
    [sym_ErrorUnionExpr] = STATE(1087),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_LinkSection] = STATE(427),
    [sym_CallConv] = STATE(511),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_ByteAlign] = STATE(408),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [394] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1809),
    [sym_ErrorUnionExpr] = STATE(1809),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_LinkSection] = STATE(456),
    [sym_CallConv] = STATE(504),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_ByteAlign] = STATE(417),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [395] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1383),
    [sym_ErrorUnionExpr] = STATE(1383),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_LinkSection] = STATE(465),
    [sym_CallConv] = STATE(494),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_ByteAlign] = STATE(401),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_align] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [396] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamDecl] = STATE(2235),
    [sym_ParamType] = STATE(2284),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1926),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(946),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_noalias] = ACTIONS(952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_doc_comment] = ACTIONS(956),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [397] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(443),
    [sym_CallConv] = STATE(517),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [398] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_LinkSection] = STATE(441),
    [sym_CallConv] = STATE(509),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [399] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(453),
    [sym_CallConv] = STATE(505),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [400] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1808),
    [sym_ErrorUnionExpr] = STATE(1808),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_LinkSection] = STATE(462),
    [sym_CallConv] = STATE(502),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [401] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_LinkSection] = STATE(460),
    [sym_CallConv] = STATE(501),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [402] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_LinkSection] = STATE(424),
    [sym_CallConv] = STATE(541),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [403] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_LinkSection] = STATE(420),
    [sym_CallConv] = STATE(479),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [404] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_LinkSection] = STATE(449),
    [sym_CallConv] = STATE(486),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [405] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1195),
    [sym_ErrorUnionExpr] = STATE(1195),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_LinkSection] = STATE(466),
    [sym_CallConv] = STATE(496),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [406] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1191),
    [sym_ErrorUnionExpr] = STATE(1191),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_LinkSection] = STATE(461),
    [sym_CallConv] = STATE(492),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [407] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1088),
    [sym_ErrorUnionExpr] = STATE(1088),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_LinkSection] = STATE(446),
    [sym_CallConv] = STATE(488),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [408] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1075),
    [sym_ErrorUnionExpr] = STATE(1075),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_LinkSection] = STATE(430),
    [sym_CallConv] = STATE(482),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [409] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1710),
    [sym_ErrorUnionExpr] = STATE(1710),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_LinkSection] = STATE(435),
    [sym_CallConv] = STATE(533),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [410] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_LinkSection] = STATE(425),
    [sym_CallConv] = STATE(542),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [411] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_LinkSection] = STATE(458),
    [sym_CallConv] = STATE(538),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [412] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1729),
    [sym_ErrorUnionExpr] = STATE(1729),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_LinkSection] = STATE(452),
    [sym_CallConv] = STATE(512),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [413] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_LinkSection] = STATE(436),
    [sym_CallConv] = STATE(525),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [414] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(431),
    [sym_CallConv] = STATE(530),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [415] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_LinkSection] = STATE(421),
    [sym_CallConv] = STATE(535),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [416] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_LinkSection] = STATE(450),
    [sym_CallConv] = STATE(483),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [417] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1782),
    [sym_ErrorUnionExpr] = STATE(1782),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_LinkSection] = STATE(439),
    [sym_CallConv] = STATE(523),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [418] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_LinkSection] = STATE(433),
    [sym_CallConv] = STATE(526),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_linksection] = ACTIONS(872),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [419] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_CallConv] = STATE(486),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [420] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1426),
    [sym_ErrorUnionExpr] = STATE(1426),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_CallConv] = STATE(514),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [421] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_CallConv] = STATE(528),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [422] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_CallConv] = STATE(509),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [423] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(526),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [424] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1441),
    [sym_ErrorUnionExpr] = STATE(1441),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_CallConv] = STATE(490),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [425] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_CallConv] = STATE(534),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [426] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1710),
    [sym_ErrorUnionExpr] = STATE(1710),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_CallConv] = STATE(533),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [427] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1075),
    [sym_ErrorUnionExpr] = STATE(1075),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_CallConv] = STATE(482),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [428] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_CallConv] = STATE(538),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [429] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_CallConv] = STATE(542),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [430] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1061),
    [sym_ErrorUnionExpr] = STATE(1061),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_CallConv] = STATE(484),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [431] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(497),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [432] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_CallConv] = STATE(535),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [433] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(507),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [434] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_CallConv] = STATE(483),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [435] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1727),
    [sym_ErrorUnionExpr] = STATE(1727),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_CallConv] = STATE(478),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [436] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_CallConv] = STATE(543),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [437] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1195),
    [sym_ErrorUnionExpr] = STATE(1195),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_CallConv] = STATE(496),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [438] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(505),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [439] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1822),
    [sym_ErrorUnionExpr] = STATE(1822),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_CallConv] = STATE(503),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [440] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(530),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [441] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1426),
    [sym_ErrorUnionExpr] = STATE(1426),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_CallConv] = STATE(532),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [442] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1729),
    [sym_ErrorUnionExpr] = STATE(1729),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_CallConv] = STATE(512),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [443] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(537),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [444] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(517),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [445] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2303),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1914),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(1114),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_noalias] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [446] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1077),
    [sym_ErrorUnionExpr] = STATE(1077),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_CallConv] = STATE(481),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [447] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_CallConv] = STATE(525),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [448] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2264),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [449] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_CallConv] = STATE(513),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [450] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_CallConv] = STATE(485),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [451] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1191),
    [sym_ErrorUnionExpr] = STATE(1191),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_CallConv] = STATE(492),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [452] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1743),
    [sym_ErrorUnionExpr] = STATE(1743),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_CallConv] = STATE(508),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [453] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_CallConv] = STATE(489),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [454] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_CallConv] = STATE(541),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [455] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_CallConv] = STATE(479),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [456] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1782),
    [sym_ErrorUnionExpr] = STATE(1782),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_CallConv] = STATE(523),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [457] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2237),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [458] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_CallConv] = STATE(495),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [459] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2282),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [460] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1441),
    [sym_ErrorUnionExpr] = STATE(1441),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_CallConv] = STATE(510),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [461] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1148),
    [sym_ErrorUnionExpr] = STATE(1148),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_CallConv] = STATE(499),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [462] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1831),
    [sym_ErrorUnionExpr] = STATE(1831),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_CallConv] = STATE(516),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [463] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1808),
    [sym_ErrorUnionExpr] = STATE(1808),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_CallConv] = STATE(502),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [464] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1088),
    [sym_ErrorUnionExpr] = STATE(1088),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_CallConv] = STATE(488),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [465] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_CallConv] = STATE(501),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [466] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1193),
    [sym_ErrorUnionExpr] = STATE(1193),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_CallConv] = STATE(480),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_callconv] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [467] = {
    [sym_FnProto] = STATE(1628),
    [sym__TypeExpr] = STATE(1868),
    [sym_ErrorUnionExpr] = STATE(1868),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(696),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(696),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_anytype] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [468] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1810),
    [sym_ErrorUnionExpr] = STATE(1810),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_Payload] = STATE(589),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [469] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(815),
    [sym_ErrorUnionExpr] = STATE(815),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_Payload] = STATE(650),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [470] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1436),
    [sym_ErrorUnionExpr] = STATE(1436),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_Payload] = STATE(663),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [471] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(1943),
    [sym_ErrorUnionExpr] = STATE(1943),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2232),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1924),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [472] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2232),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1922),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [473] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1202),
    [sym_ErrorUnionExpr] = STATE(1202),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_Payload] = STATE(638),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [474] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(1943),
    [sym_ErrorUnionExpr] = STATE(1943),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2303),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1921),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [475] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2279),
    [sym_ErrorUnionExpr] = STATE(2279),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_ParamType] = STATE(2303),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1914),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [476] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(815),
    [sym_ErrorUnionExpr] = STATE(815),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_Payload] = STATE(658),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [477] = {
    [sym_FnProto] = STATE(1628),
    [sym__TypeExpr] = STATE(1869),
    [sym_ErrorUnionExpr] = STATE(1869),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(696),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(696),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_anytype] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [478] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1741),
    [sym_ErrorUnionExpr] = STATE(1741),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [479] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1426),
    [sym_ErrorUnionExpr] = STATE(1426),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [480] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1137),
    [sym_ErrorUnionExpr] = STATE(1137),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [481] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1064),
    [sym_ErrorUnionExpr] = STATE(1064),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [482] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1061),
    [sym_ErrorUnionExpr] = STATE(1061),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [483] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [484] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1051),
    [sym_ErrorUnionExpr] = STATE(1051),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [485] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(778),
    [sym_ErrorUnionExpr] = STATE(778),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [486] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [487] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1191),
    [sym_ErrorUnionExpr] = STATE(1191),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [488] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1077),
    [sym_ErrorUnionExpr] = STATE(1077),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [489] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(778),
    [sym_ErrorUnionExpr] = STATE(778),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [490] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1428),
    [sym_ErrorUnionExpr] = STATE(1428),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [491] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1808),
    [sym_ErrorUnionExpr] = STATE(1808),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [492] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1148),
    [sym_ErrorUnionExpr] = STATE(1148),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [493] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1088),
    [sym_ErrorUnionExpr] = STATE(1088),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [494] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [495] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(759),
    [sym_ErrorUnionExpr] = STATE(759),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [496] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1193),
    [sym_ErrorUnionExpr] = STATE(1193),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [497] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(778),
    [sym_ErrorUnionExpr] = STATE(778),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [498] = {
    [sym_FnProto] = STATE(1628),
    [sym__TypeExpr] = STATE(1870),
    [sym_ErrorUnionExpr] = STATE(1870),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(696),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(696),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_anytype] = ACTIONS(1168),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [499] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1171),
    [sym_ErrorUnionExpr] = STATE(1171),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [500] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [501] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1441),
    [sym_ErrorUnionExpr] = STATE(1441),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [502] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1831),
    [sym_ErrorUnionExpr] = STATE(1831),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [503] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1839),
    [sym_ErrorUnionExpr] = STATE(1839),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [504] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1782),
    [sym_ErrorUnionExpr] = STATE(1782),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [505] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [506] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1445),
    [sym_ErrorUnionExpr] = STATE(1445),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [507] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(759),
    [sym_ErrorUnionExpr] = STATE(759),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [508] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1759),
    [sym_ErrorUnionExpr] = STATE(1759),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [509] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1426),
    [sym_ErrorUnionExpr] = STATE(1426),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [510] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1428),
    [sym_ErrorUnionExpr] = STATE(1428),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [511] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1075),
    [sym_ErrorUnionExpr] = STATE(1075),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [512] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1743),
    [sym_ErrorUnionExpr] = STATE(1743),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [513] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(778),
    [sym_ErrorUnionExpr] = STATE(778),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [514] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1398),
    [sym_ErrorUnionExpr] = STATE(1398),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [515] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1419),
    [sym_ErrorUnionExpr] = STATE(1419),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [516] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1835),
    [sym_ErrorUnionExpr] = STATE(1835),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [517] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [518] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [519] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [520] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1729),
    [sym_ErrorUnionExpr] = STATE(1729),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [521] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1195),
    [sym_ErrorUnionExpr] = STATE(1195),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [522] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [523] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1822),
    [sym_ErrorUnionExpr] = STATE(1822),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [524] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [525] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [526] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [527] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [528] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(759),
    [sym_ErrorUnionExpr] = STATE(759),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [529] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [530] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [531] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(793),
    [sym_ErrorUnionExpr] = STATE(793),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [532] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1398),
    [sym_ErrorUnionExpr] = STATE(1398),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [533] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1727),
    [sym_ErrorUnionExpr] = STATE(1727),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [534] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(778),
    [sym_ErrorUnionExpr] = STATE(778),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [535] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [536] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [537] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(759),
    [sym_ErrorUnionExpr] = STATE(759),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [538] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(796),
    [sym_ErrorUnionExpr] = STATE(796),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [539] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [540] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1710),
    [sym_ErrorUnionExpr] = STATE(1710),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [541] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1441),
    [sym_ErrorUnionExpr] = STATE(1441),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [542] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(797),
    [sym_ErrorUnionExpr] = STATE(797),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [543] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(759),
    [sym_ErrorUnionExpr] = STATE(759),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [544] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(783),
    [sym_ErrorUnionExpr] = STATE(783),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [545] = {
    [sym_FnProto] = STATE(1628),
    [sym__TypeExpr] = STATE(1868),
    [sym_ErrorUnionExpr] = STATE(1868),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(696),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(696),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_anytype] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [546] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(772),
    [sym_ErrorUnionExpr] = STATE(772),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [547] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(763),
    [sym_ErrorUnionExpr] = STATE(763),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [548] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1687),
    [sym_ErrorUnionExpr] = STATE(1687),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [549] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(798),
    [sym_ErrorUnionExpr] = STATE(798),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [550] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1680),
    [sym_ErrorUnionExpr] = STATE(1680),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [551] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(1355),
    [sym_ErrorUnionExpr] = STATE(1355),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [552] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1078),
    [sym_ErrorUnionExpr] = STATE(1078),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [553] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(794),
    [sym_ErrorUnionExpr] = STATE(794),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [554] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1366),
    [sym_ErrorUnionExpr] = STATE(1366),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [555] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1076),
    [sym_ErrorUnionExpr] = STATE(1076),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [556] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(763),
    [sym_ErrorUnionExpr] = STATE(763),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [557] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(803),
    [sym_ErrorUnionExpr] = STATE(803),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [558] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(756),
    [sym_ErrorUnionExpr] = STATE(756),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [559] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1136),
    [sym_ErrorUnionExpr] = STATE(1136),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [560] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1752),
    [sym_ErrorUnionExpr] = STATE(1752),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [561] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1696),
    [sym_ErrorUnionExpr] = STATE(1696),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [562] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1761),
    [sym_ErrorUnionExpr] = STATE(1761),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [563] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(803),
    [sym_ErrorUnionExpr] = STATE(803),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [564] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1762),
    [sym_ErrorUnionExpr] = STATE(1762),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [565] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1068),
    [sym_ErrorUnionExpr] = STATE(1068),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [566] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1066),
    [sym_ErrorUnionExpr] = STATE(1066),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [567] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1013),
    [sym_ErrorUnionExpr] = STATE(1013),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [568] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(1345),
    [sym_ErrorUnionExpr] = STATE(1345),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [569] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1014),
    [sym_ErrorUnionExpr] = STATE(1014),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [570] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1062),
    [sym_ErrorUnionExpr] = STATE(1062),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [571] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1016),
    [sym_ErrorUnionExpr] = STATE(1016),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [572] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(771),
    [sym_ErrorUnionExpr] = STATE(771),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [573] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(799),
    [sym_ErrorUnionExpr] = STATE(799),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [574] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1742),
    [sym_ErrorUnionExpr] = STATE(1742),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [575] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(763),
    [sym_ErrorUnionExpr] = STATE(763),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [576] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(1360),
    [sym_ErrorUnionExpr] = STATE(1360),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [577] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(756),
    [sym_ErrorUnionExpr] = STATE(756),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [578] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(757),
    [sym_ErrorUnionExpr] = STATE(757),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [579] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(758),
    [sym_ErrorUnionExpr] = STATE(758),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [580] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1053),
    [sym_ErrorUnionExpr] = STATE(1053),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [581] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(799),
    [sym_ErrorUnionExpr] = STATE(799),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [582] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1394),
    [sym_ErrorUnionExpr] = STATE(1394),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [583] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1052),
    [sym_ErrorUnionExpr] = STATE(1052),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [584] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1048),
    [sym_ErrorUnionExpr] = STATE(1048),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [585] = {
    [sym_FnProto] = STATE(941),
    [sym__TypeExpr] = STATE(1175),
    [sym_ErrorUnionExpr] = STATE(1175),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(699),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(699),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [586] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(798),
    [sym_ErrorUnionExpr] = STATE(798),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [587] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1740),
    [sym_ErrorUnionExpr] = STATE(1740),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [588] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1190),
    [sym_ErrorUnionExpr] = STATE(1190),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [589] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1826),
    [sym_ErrorUnionExpr] = STATE(1826),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [590] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(798),
    [sym_ErrorUnionExpr] = STATE(798),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [591] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(757),
    [sym_ErrorUnionExpr] = STATE(757),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [592] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(758),
    [sym_ErrorUnionExpr] = STATE(758),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [593] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1770),
    [sym_ErrorUnionExpr] = STATE(1770),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [594] = {
    [sym_FnProto] = STATE(922),
    [sym__TypeExpr] = STATE(1096),
    [sym_ErrorUnionExpr] = STATE(1096),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(710),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(710),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [595] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1404),
    [sym_ErrorUnionExpr] = STATE(1404),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [596] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1406),
    [sym_ErrorUnionExpr] = STATE(1406),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [597] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(772),
    [sym_ErrorUnionExpr] = STATE(772),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [598] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1737),
    [sym_ErrorUnionExpr] = STATE(1737),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [599] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1833),
    [sym_ErrorUnionExpr] = STATE(1833),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [600] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1108),
    [sym_ErrorUnionExpr] = STATE(1108),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [601] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(795),
    [sym_ErrorUnionExpr] = STATE(795),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [602] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1834),
    [sym_ErrorUnionExpr] = STATE(1834),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [603] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1427),
    [sym_ErrorUnionExpr] = STATE(1427),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [604] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(785),
    [sym_ErrorUnionExpr] = STATE(785),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [605] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1417),
    [sym_ErrorUnionExpr] = STATE(1417),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [606] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(794),
    [sym_ErrorUnionExpr] = STATE(794),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [607] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1196),
    [sym_ErrorUnionExpr] = STATE(1196),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [608] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(767),
    [sym_ErrorUnionExpr] = STATE(767),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [609] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(772),
    [sym_ErrorUnionExpr] = STATE(772),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [610] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(803),
    [sym_ErrorUnionExpr] = STATE(803),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(709),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(709),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [611] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1348),
    [sym_ErrorUnionExpr] = STATE(1348),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [612] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1366),
    [sym_ErrorUnionExpr] = STATE(1366),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [613] = {
    [sym_FnProto] = STATE(1296),
    [sym__TypeExpr] = STATE(1405),
    [sym_ErrorUnionExpr] = STATE(1405),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(703),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(703),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [614] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1350),
    [sym_ErrorUnionExpr] = STATE(1350),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [615] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(994),
    [sym_ErrorUnionExpr] = STATE(994),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [616] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1346),
    [sym_ErrorUnionExpr] = STATE(1346),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [617] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(990),
    [sym_ErrorUnionExpr] = STATE(990),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [618] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(1997),
    [sym_ErrorUnionExpr] = STATE(1997),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [619] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(805),
    [sym_ErrorUnionExpr] = STATE(805),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(713),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(713),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [620] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(794),
    [sym_ErrorUnionExpr] = STATE(794),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [621] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(795),
    [sym_ErrorUnionExpr] = STATE(795),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [622] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(803),
    [sym_ErrorUnionExpr] = STATE(803),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [623] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1192),
    [sym_ErrorUnionExpr] = STATE(1192),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [624] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1027),
    [sym_ErrorUnionExpr] = STATE(1027),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [625] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(763),
    [sym_ErrorUnionExpr] = STATE(763),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [626] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(772),
    [sym_ErrorUnionExpr] = STATE(772),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [627] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(763),
    [sym_ErrorUnionExpr] = STATE(763),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [628] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(803),
    [sym_ErrorUnionExpr] = STATE(803),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [629] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(767),
    [sym_ErrorUnionExpr] = STATE(767),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [630] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1434),
    [sym_ErrorUnionExpr] = STATE(1434),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [631] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(2328),
    [sym_ErrorUnionExpr] = STATE(2328),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [632] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(798),
    [sym_ErrorUnionExpr] = STATE(798),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [633] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(785),
    [sym_ErrorUnionExpr] = STATE(785),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [634] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1351),
    [sym_ErrorUnionExpr] = STATE(1351),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [635] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1352),
    [sym_ErrorUnionExpr] = STATE(1352),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [636] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1343),
    [sym_ErrorUnionExpr] = STATE(1343),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [637] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1437),
    [sym_ErrorUnionExpr] = STATE(1437),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [638] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1152),
    [sym_ErrorUnionExpr] = STATE(1152),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [639] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1138),
    [sym_ErrorUnionExpr] = STATE(1138),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [640] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1394),
    [sym_ErrorUnionExpr] = STATE(1394),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [641] = {
    [sym_FnProto] = STATE(915),
    [sym__TypeExpr] = STATE(1089),
    [sym_ErrorUnionExpr] = STATE(1089),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(707),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(707),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [642] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(799),
    [sym_ErrorUnionExpr] = STATE(799),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [643] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1173),
    [sym_ErrorUnionExpr] = STATE(1173),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [644] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1172),
    [sym_ErrorUnionExpr] = STATE(1172),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [645] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1788),
    [sym_ErrorUnionExpr] = STATE(1788),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [646] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(767),
    [sym_ErrorUnionExpr] = STATE(767),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [647] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1168),
    [sym_ErrorUnionExpr] = STATE(1168),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [648] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1404),
    [sym_ErrorUnionExpr] = STATE(1404),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [649] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1406),
    [sym_ErrorUnionExpr] = STATE(1406),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [650] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(771),
    [sym_ErrorUnionExpr] = STATE(771),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [651] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(1963),
    [sym_ErrorUnionExpr] = STATE(1963),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [652] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(799),
    [sym_ErrorUnionExpr] = STATE(799),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [653] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1806),
    [sym_ErrorUnionExpr] = STATE(1806),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [654] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1836),
    [sym_ErrorUnionExpr] = STATE(1836),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [655] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(794),
    [sym_ErrorUnionExpr] = STATE(794),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [656] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1427),
    [sym_ErrorUnionExpr] = STATE(1427),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [657] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(795),
    [sym_ErrorUnionExpr] = STATE(795),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [658] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(771),
    [sym_ErrorUnionExpr] = STATE(771),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [659] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(785),
    [sym_ErrorUnionExpr] = STATE(785),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [660] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1842),
    [sym_ErrorUnionExpr] = STATE(1842),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [661] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(785),
    [sym_ErrorUnionExpr] = STATE(785),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [662] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1434),
    [sym_ErrorUnionExpr] = STATE(1434),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [663] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1437),
    [sym_ErrorUnionExpr] = STATE(1437),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [664] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(805),
    [sym_ErrorUnionExpr] = STATE(805),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [665] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(772),
    [sym_ErrorUnionExpr] = STATE(772),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [666] = {
    [sym_FnProto] = STATE(936),
    [sym__TypeExpr] = STATE(1133),
    [sym_ErrorUnionExpr] = STATE(1133),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(705),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(705),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [667] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1683),
    [sym_ErrorUnionExpr] = STATE(1683),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [668] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1845),
    [sym_ErrorUnionExpr] = STATE(1845),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [669] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1443),
    [sym_ErrorUnionExpr] = STATE(1443),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [670] = {
    [sym_FnProto] = STATE(1639),
    [sym__TypeExpr] = STATE(1813),
    [sym_ErrorUnionExpr] = STATE(1813),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(698),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(698),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [671] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1443),
    [sym_ErrorUnionExpr] = STATE(1443),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [672] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1667),
    [sym_ErrorUnionExpr] = STATE(1667),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [673] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1671),
    [sym_ErrorUnionExpr] = STATE(1671),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [674] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1672),
    [sym_ErrorUnionExpr] = STATE(1672),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [675] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1363),
    [sym_ErrorUnionExpr] = STATE(1363),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [676] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(805),
    [sym_ErrorUnionExpr] = STATE(805),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(701),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(701),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [677] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(767),
    [sym_ErrorUnionExpr] = STATE(767),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [678] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(771),
    [sym_ErrorUnionExpr] = STATE(771),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [679] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(805),
    [sym_ErrorUnionExpr] = STATE(805),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(704),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(704),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [680] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(829),
    [sym_ErrorUnionExpr] = STATE(829),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [681] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1363),
    [sym_ErrorUnionExpr] = STATE(1363),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(706),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(706),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [682] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1709),
    [sym_ErrorUnionExpr] = STATE(1709),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [683] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(785),
    [sym_ErrorUnionExpr] = STATE(785),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [684] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(767),
    [sym_ErrorUnionExpr] = STATE(767),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(708),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(708),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [685] = {
    [sym_FnProto] = STATE(1628),
    [sym__TypeExpr] = STATE(1824),
    [sym_ErrorUnionExpr] = STATE(1824),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(696),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(696),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [686] = {
    [sym_FnProto] = STATE(716),
    [sym__TypeExpr] = STATE(794),
    [sym_ErrorUnionExpr] = STATE(794),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(697),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(697),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [687] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(795),
    [sym_ErrorUnionExpr] = STATE(795),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [688] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1726),
    [sym_ErrorUnionExpr] = STATE(1726),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [689] = {
    [sym_FnProto] = STATE(1304),
    [sym__TypeExpr] = STATE(1417),
    [sym_ErrorUnionExpr] = STATE(1417),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(712),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(712),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [690] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(795),
    [sym_ErrorUnionExpr] = STATE(795),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [691] = {
    [sym_FnProto] = STATE(1296),
    [sym__TypeExpr] = STATE(1405),
    [sym_ErrorUnionExpr] = STATE(1405),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(702),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(702),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [692] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(798),
    [sym_ErrorUnionExpr] = STATE(798),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(714),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(714),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [693] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(825),
    [sym_ErrorUnionExpr] = STATE(825),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [694] = {
    [sym_FnProto] = STATE(1626),
    [sym__TypeExpr] = STATE(1728),
    [sym_ErrorUnionExpr] = STATE(1728),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(700),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(700),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [695] = {
    [sym_FnProto] = STATE(717),
    [sym__TypeExpr] = STATE(814),
    [sym_ErrorUnionExpr] = STATE(814),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(711),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(711),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [696] = {
    [sym_FnProto] = STATE(1628),
    [sym_ErrorUnionExpr] = STATE(1825),
    [sym_SuffixExpr] = STATE(1867),
    [sym__PrimaryTypeExpr] = STATE(1628),
    [sym_ContainerDecl] = STATE(1628),
    [sym_ErrorSetDecl] = STATE(1628),
    [sym_GroupedExpr] = STATE(1628),
    [sym_IfTypeExpr] = STATE(1628),
    [sym_LabeledTypeExpr] = STATE(1628),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1628),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1628),
    [sym_FLOAT] = STATE(1628),
    [sym_INTEGER] = STATE(1628),
    [sym_STRINGLITERALSINGLE] = STATE(1628),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1628),
    [sym_IDENTIFIER] = STATE(1625),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1144),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1144),
    [anon_sym_undefined] = ACTIONS(1144),
    [anon_sym_unreachable] = ACTIONS(1144),
    [sym_BuildinTypeExpr] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [697] = {
    [sym_FnProto] = STATE(716),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(942),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [698] = {
    [sym_FnProto] = STATE(1639),
    [sym_ErrorUnionExpr] = STATE(1825),
    [sym_SuffixExpr] = STATE(1812),
    [sym__PrimaryTypeExpr] = STATE(1639),
    [sym_ContainerDecl] = STATE(1639),
    [sym_ErrorSetDecl] = STATE(1639),
    [sym_GroupedExpr] = STATE(1639),
    [sym_IfTypeExpr] = STATE(1639),
    [sym_LabeledTypeExpr] = STATE(1639),
    [sym_LoopTypeExpr] = STATE(1786),
    [sym_ForTypeExpr] = STATE(1778),
    [sym_WhileTypeExpr] = STATE(1778),
    [sym_SwitchExpr] = STATE(1639),
    [sym_BlockLabel] = STATE(1929),
    [sym_IfPrefix] = STATE(672),
    [sym_WhilePrefix] = STATE(673),
    [sym_ForPrefix] = STATE(674),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1843),
    [sym_ContainerDeclType] = STATE(2377),
    [sym_CHAR_LITERAL] = STATE(1639),
    [sym_FLOAT] = STATE(1639),
    [sym_INTEGER] = STATE(1639),
    [sym_STRINGLITERALSINGLE] = STATE(1639),
    [sym_LINESTRING] = STATE(1646),
    [sym__STRINGLITERAL] = STATE(1639),
    [sym_IDENTIFIER] = STATE(1621),
    [sym_BUILTINIDENTIFIER] = STATE(2286),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1646),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(988),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(1000),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [sym_BuildinTypeExpr] = ACTIONS(1002),
    [anon_sym_packed] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [aux_sym_FLOAT_token1] = ACTIONS(1012),
    [aux_sym_FLOAT_token2] = ACTIONS(1012),
    [aux_sym_FLOAT_token3] = ACTIONS(1012),
    [aux_sym_FLOAT_token4] = ACTIONS(1012),
    [aux_sym_INTEGER_token1] = ACTIONS(1014),
    [aux_sym_INTEGER_token2] = ACTIONS(1014),
    [aux_sym_INTEGER_token3] = ACTIONS(1016),
    [aux_sym_INTEGER_token4] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1020),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1024),
  },
  [699] = {
    [sym_FnProto] = STATE(941),
    [sym_ErrorUnionExpr] = STATE(1121),
    [sym_SuffixExpr] = STATE(1249),
    [sym__PrimaryTypeExpr] = STATE(941),
    [sym_ContainerDecl] = STATE(941),
    [sym_ErrorSetDecl] = STATE(941),
    [sym_GroupedExpr] = STATE(941),
    [sym_IfTypeExpr] = STATE(941),
    [sym_LabeledTypeExpr] = STATE(941),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(941),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(941),
    [sym_FLOAT] = STATE(941),
    [sym_INTEGER] = STATE(941),
    [sym_STRINGLITERALSINGLE] = STATE(941),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(941),
    [sym_IDENTIFIER] = STATE(925),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(193),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(193),
    [anon_sym_undefined] = ACTIONS(193),
    [anon_sym_unreachable] = ACTIONS(193),
    [sym_BuildinTypeExpr] = ACTIONS(193),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [700] = {
    [sym_FnProto] = STATE(1626),
    [sym_ErrorUnionExpr] = STATE(1692),
    [sym_SuffixExpr] = STATE(1764),
    [sym__PrimaryTypeExpr] = STATE(1626),
    [sym_ContainerDecl] = STATE(1626),
    [sym_ErrorSetDecl] = STATE(1626),
    [sym_GroupedExpr] = STATE(1626),
    [sym_IfTypeExpr] = STATE(1626),
    [sym_LabeledTypeExpr] = STATE(1626),
    [sym_LoopTypeExpr] = STATE(1691),
    [sym_ForTypeExpr] = STATE(1715),
    [sym_WhileTypeExpr] = STATE(1715),
    [sym_SwitchExpr] = STATE(1626),
    [sym_BlockLabel] = STATE(1931),
    [sym_IfPrefix] = STATE(550),
    [sym_WhilePrefix] = STATE(667),
    [sym_ForPrefix] = STATE(548),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1714),
    [sym_ContainerDeclType] = STATE(2351),
    [sym_CHAR_LITERAL] = STATE(1626),
    [sym_FLOAT] = STATE(1626),
    [sym_INTEGER] = STATE(1626),
    [sym_STRINGLITERALSINGLE] = STATE(1626),
    [sym_LINESTRING] = STATE(1635),
    [sym__STRINGLITERAL] = STATE(1626),
    [sym_IDENTIFIER] = STATE(1619),
    [sym_BUILTINIDENTIFIER] = STATE(2271),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1635),
    [anon_sym_comptime] = ACTIONS(884),
    [anon_sym_extern] = ACTIONS(886),
    [anon_sym_inline] = ACTIONS(888),
    [anon_sym_fn] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(894),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_error] = ACTIONS(898),
    [anon_sym_false] = ACTIONS(900),
    [anon_sym_null] = ACTIONS(900),
    [anon_sym_anyframe] = ACTIONS(902),
    [anon_sym_true] = ACTIONS(900),
    [anon_sym_undefined] = ACTIONS(900),
    [anon_sym_unreachable] = ACTIONS(900),
    [sym_BuildinTypeExpr] = ACTIONS(900),
    [anon_sym_packed] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [aux_sym_FLOAT_token1] = ACTIONS(910),
    [aux_sym_FLOAT_token2] = ACTIONS(910),
    [aux_sym_FLOAT_token3] = ACTIONS(910),
    [aux_sym_FLOAT_token4] = ACTIONS(910),
    [aux_sym_INTEGER_token1] = ACTIONS(912),
    [aux_sym_INTEGER_token2] = ACTIONS(912),
    [aux_sym_INTEGER_token3] = ACTIONS(914),
    [aux_sym_INTEGER_token4] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(918),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(922),
  },
  [701] = {
    [sym_FnProto] = STATE(716),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(951),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(721),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [702] = {
    [sym_FnProto] = STATE(1296),
    [sym_ErrorUnionExpr] = STATE(1380),
    [sym_SuffixExpr] = STATE(1607),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [703] = {
    [sym_FnProto] = STATE(1296),
    [sym_ErrorUnionExpr] = STATE(1380),
    [sym_SuffixExpr] = STATE(1561),
    [sym__PrimaryTypeExpr] = STATE(1296),
    [sym_ContainerDecl] = STATE(1296),
    [sym_ErrorSetDecl] = STATE(1296),
    [sym_GroupedExpr] = STATE(1296),
    [sym_IfTypeExpr] = STATE(1296),
    [sym_LabeledTypeExpr] = STATE(1296),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1296),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1296),
    [sym_FLOAT] = STATE(1296),
    [sym_INTEGER] = STATE(1296),
    [sym_STRINGLITERALSINGLE] = STATE(1296),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1296),
    [sym_IDENTIFIER] = STATE(1277),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(243),
    [anon_sym_null] = ACTIONS(243),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(243),
    [anon_sym_undefined] = ACTIONS(243),
    [anon_sym_unreachable] = ACTIONS(243),
    [sym_BuildinTypeExpr] = ACTIONS(243),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [704] = {
    [sym_FnProto] = STATE(716),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(1558),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [705] = {
    [sym_FnProto] = STATE(936),
    [sym_ErrorUnionExpr] = STATE(1121),
    [sym_SuffixExpr] = STATE(1189),
    [sym__PrimaryTypeExpr] = STATE(936),
    [sym_ContainerDecl] = STATE(936),
    [sym_ErrorSetDecl] = STATE(936),
    [sym_GroupedExpr] = STATE(936),
    [sym_IfTypeExpr] = STATE(936),
    [sym_LabeledTypeExpr] = STATE(936),
    [sym_LoopTypeExpr] = STATE(1177),
    [sym_ForTypeExpr] = STATE(1130),
    [sym_WhileTypeExpr] = STATE(1130),
    [sym_SwitchExpr] = STATE(936),
    [sym_BlockLabel] = STATE(1933),
    [sym_IfPrefix] = STATE(624),
    [sym_WhilePrefix] = STATE(617),
    [sym_ForPrefix] = STATE(615),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1132),
    [sym_ContainerDeclType] = STATE(2332),
    [sym_CHAR_LITERAL] = STATE(936),
    [sym_FLOAT] = STATE(936),
    [sym_INTEGER] = STATE(936),
    [sym_STRINGLITERALSINGLE] = STATE(936),
    [sym_LINESTRING] = STATE(952),
    [sym__STRINGLITERAL] = STATE(936),
    [sym_IDENTIFIER] = STATE(912),
    [sym_BUILTINIDENTIFIER] = STATE(2266),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(952),
    [anon_sym_comptime] = ACTIONS(962),
    [anon_sym_extern] = ACTIONS(197),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(650),
    [anon_sym_async] = ACTIONS(832),
    [anon_sym_DOT] = ACTIONS(189),
    [anon_sym_error] = ACTIONS(191),
    [anon_sym_false] = ACTIONS(834),
    [anon_sym_null] = ACTIONS(834),
    [anon_sym_anyframe] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(834),
    [anon_sym_undefined] = ACTIONS(834),
    [anon_sym_unreachable] = ACTIONS(834),
    [sym_BuildinTypeExpr] = ACTIONS(834),
    [anon_sym_packed] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [aux_sym_FLOAT_token1] = ACTIONS(207),
    [aux_sym_FLOAT_token2] = ACTIONS(207),
    [aux_sym_FLOAT_token3] = ACTIONS(207),
    [aux_sym_FLOAT_token4] = ACTIONS(207),
    [aux_sym_INTEGER_token1] = ACTIONS(209),
    [aux_sym_INTEGER_token2] = ACTIONS(209),
    [aux_sym_INTEGER_token3] = ACTIONS(211),
    [aux_sym_INTEGER_token4] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(215),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(654),
  },
  [706] = {
    [sym_FnProto] = STATE(1304),
    [sym_ErrorUnionExpr] = STATE(1380),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1939),
    [sym_IfPrefix] = STATE(634),
    [sym_WhilePrefix] = STATE(635),
    [sym_ForPrefix] = STATE(636),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [707] = {
    [sym_FnProto] = STATE(915),
    [sym_ErrorUnionExpr] = STATE(1104),
    [sym_SuffixExpr] = STATE(1036),
    [sym__PrimaryTypeExpr] = STATE(915),
    [sym_ContainerDecl] = STATE(915),
    [sym_ErrorSetDecl] = STATE(915),
    [sym_GroupedExpr] = STATE(915),
    [sym_IfTypeExpr] = STATE(915),
    [sym_LabeledTypeExpr] = STATE(915),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(915),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(915),
    [sym_FLOAT] = STATE(915),
    [sym_INTEGER] = STATE(915),
    [sym_STRINGLITERALSINGLE] = STATE(915),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(915),
    [sym_IDENTIFIER] = STATE(902),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(814),
    [anon_sym_null] = ACTIONS(814),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(814),
    [anon_sym_undefined] = ACTIONS(814),
    [anon_sym_unreachable] = ACTIONS(814),
    [sym_BuildinTypeExpr] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [708] = {
    [sym_FnProto] = STATE(717),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1935),
    [sym_IfPrefix] = STATE(680),
    [sym_WhilePrefix] = STATE(693),
    [sym_ForPrefix] = STATE(695),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(926),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(928),
    [anon_sym_fn] = ACTIONS(117),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [709] = {
    [sym_FnProto] = STATE(717),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1937),
    [sym_IfPrefix] = STATE(592),
    [sym_WhilePrefix] = STATE(591),
    [sym_ForPrefix] = STATE(558),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(934),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [710] = {
    [sym_FnProto] = STATE(922),
    [sym_ErrorUnionExpr] = STATE(1104),
    [sym_SuffixExpr] = STATE(1245),
    [sym__PrimaryTypeExpr] = STATE(922),
    [sym_ContainerDecl] = STATE(922),
    [sym_ErrorSetDecl] = STATE(922),
    [sym_GroupedExpr] = STATE(922),
    [sym_IfTypeExpr] = STATE(922),
    [sym_LabeledTypeExpr] = STATE(922),
    [sym_LoopTypeExpr] = STATE(1113),
    [sym_ForTypeExpr] = STATE(1112),
    [sym_WhileTypeExpr] = STATE(1112),
    [sym_SwitchExpr] = STATE(922),
    [sym_BlockLabel] = STATE(1938),
    [sym_IfPrefix] = STATE(567),
    [sym_WhilePrefix] = STATE(569),
    [sym_ForPrefix] = STATE(571),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1111),
    [sym_ContainerDeclType] = STATE(2366),
    [sym_CHAR_LITERAL] = STATE(922),
    [sym_FLOAT] = STATE(922),
    [sym_INTEGER] = STATE(922),
    [sym_STRINGLITERALSINGLE] = STATE(922),
    [sym_LINESTRING] = STATE(940),
    [sym__STRINGLITERAL] = STATE(922),
    [sym_IDENTIFIER] = STATE(869),
    [sym_BUILTINIDENTIFIER] = STATE(2269),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(940),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(147),
    [anon_sym_error] = ACTIONS(149),
    [anon_sym_false] = ACTIONS(151),
    [anon_sym_null] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(151),
    [anon_sym_undefined] = ACTIONS(151),
    [anon_sym_unreachable] = ACTIONS(151),
    [sym_BuildinTypeExpr] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [aux_sym_FLOAT_token1] = ACTIONS(165),
    [aux_sym_FLOAT_token2] = ACTIONS(165),
    [aux_sym_FLOAT_token3] = ACTIONS(165),
    [aux_sym_FLOAT_token4] = ACTIONS(165),
    [aux_sym_INTEGER_token1] = ACTIONS(167),
    [aux_sym_INTEGER_token2] = ACTIONS(167),
    [aux_sym_INTEGER_token3] = ACTIONS(169),
    [aux_sym_INTEGER_token4] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(173),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
  },
  [711] = {
    [sym_FnProto] = STATE(717),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1936),
    [sym_IfPrefix] = STATE(579),
    [sym_WhilePrefix] = STATE(578),
    [sym_ForPrefix] = STATE(577),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(720),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(942),
    [anon_sym_fn] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [712] = {
    [sym_FnProto] = STATE(1304),
    [sym_ErrorUnionExpr] = STATE(1380),
    [sym_SuffixExpr] = STATE(1391),
    [sym__PrimaryTypeExpr] = STATE(1304),
    [sym_ContainerDecl] = STATE(1304),
    [sym_ErrorSetDecl] = STATE(1304),
    [sym_GroupedExpr] = STATE(1304),
    [sym_IfTypeExpr] = STATE(1304),
    [sym_LabeledTypeExpr] = STATE(1304),
    [sym_LoopTypeExpr] = STATE(1384),
    [sym_ForTypeExpr] = STATE(1381),
    [sym_WhileTypeExpr] = STATE(1381),
    [sym_SwitchExpr] = STATE(1304),
    [sym_BlockLabel] = STATE(1932),
    [sym_IfPrefix] = STATE(611),
    [sym_WhilePrefix] = STATE(614),
    [sym_ForPrefix] = STATE(616),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(1378),
    [sym_ContainerDeclType] = STATE(2376),
    [sym_CHAR_LITERAL] = STATE(1304),
    [sym_FLOAT] = STATE(1304),
    [sym_INTEGER] = STATE(1304),
    [sym_STRINGLITERALSINGLE] = STATE(1304),
    [sym_LINESTRING] = STATE(1313),
    [sym__STRINGLITERAL] = STATE(1304),
    [sym_IDENTIFIER] = STATE(1282),
    [sym_BUILTINIDENTIFIER] = STATE(2311),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(1313),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(219),
    [anon_sym_inline] = ACTIONS(1032),
    [anon_sym_fn] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_error] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(782),
    [anon_sym_null] = ACTIONS(782),
    [anon_sym_anyframe] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(782),
    [anon_sym_undefined] = ACTIONS(782),
    [anon_sym_unreachable] = ACTIONS(782),
    [sym_BuildinTypeExpr] = ACTIONS(782),
    [anon_sym_packed] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(247),
    [anon_sym_switch] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [aux_sym_FLOAT_token1] = ACTIONS(255),
    [aux_sym_FLOAT_token2] = ACTIONS(255),
    [aux_sym_FLOAT_token3] = ACTIONS(255),
    [aux_sym_FLOAT_token4] = ACTIONS(255),
    [aux_sym_INTEGER_token1] = ACTIONS(257),
    [aux_sym_INTEGER_token2] = ACTIONS(257),
    [aux_sym_INTEGER_token3] = ACTIONS(259),
    [aux_sym_INTEGER_token4] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(263),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
  },
  [713] = {
    [sym_FnProto] = STATE(716),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(1606),
    [sym__PrimaryTypeExpr] = STATE(716),
    [sym_ContainerDecl] = STATE(716),
    [sym_ErrorSetDecl] = STATE(716),
    [sym_GroupedExpr] = STATE(716),
    [sym_IfTypeExpr] = STATE(716),
    [sym_LabeledTypeExpr] = STATE(716),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(716),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(716),
    [sym_FLOAT] = STATE(716),
    [sym_INTEGER] = STATE(716),
    [sym_STRINGLITERALSINGLE] = STATE(716),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(716),
    [sym_IDENTIFIER] = STATE(1302),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(67),
    [anon_sym_null] = ACTIONS(67),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(67),
    [anon_sym_undefined] = ACTIONS(67),
    [anon_sym_unreachable] = ACTIONS(67),
    [sym_BuildinTypeExpr] = ACTIONS(67),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [714] = {
    [sym_FnProto] = STATE(717),
    [sym_ErrorUnionExpr] = STATE(832),
    [sym_SuffixExpr] = STATE(819),
    [sym__PrimaryTypeExpr] = STATE(717),
    [sym_ContainerDecl] = STATE(717),
    [sym_ErrorSetDecl] = STATE(717),
    [sym_GroupedExpr] = STATE(717),
    [sym_IfTypeExpr] = STATE(717),
    [sym_LabeledTypeExpr] = STATE(717),
    [sym_LoopTypeExpr] = STATE(802),
    [sym_ForTypeExpr] = STATE(801),
    [sym_WhileTypeExpr] = STATE(801),
    [sym_SwitchExpr] = STATE(717),
    [sym_BlockLabel] = STATE(1930),
    [sym_IfPrefix] = STATE(551),
    [sym_WhilePrefix] = STATE(568),
    [sym_ForPrefix] = STATE(576),
    [sym_PrefixTypeOp] = STATE(1284),
    [sym_SliceTypeStart] = STATE(1275),
    [sym_PtrTypeStart] = STATE(1279),
    [sym_ArrayTypeStart] = STATE(1370),
    [sym__ContainerDeclAuto] = STATE(780),
    [sym_ContainerDeclType] = STATE(2334),
    [sym_CHAR_LITERAL] = STATE(717),
    [sym_FLOAT] = STATE(717),
    [sym_INTEGER] = STATE(717),
    [sym_STRINGLITERALSINGLE] = STATE(717),
    [sym_LINESTRING] = STATE(728),
    [sym__STRINGLITERAL] = STATE(717),
    [sym_IDENTIFIER] = STATE(1297),
    [sym_BUILTINIDENTIFIER] = STATE(2296),
    [aux_sym__TypeExpr_repeat1] = STATE(1284),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(728),
    [anon_sym_comptime] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_fn] = ACTIONS(307),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_error] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_null] = ACTIONS(544),
    [anon_sym_anyframe] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_undefined] = ACTIONS(544),
    [anon_sym_unreachable] = ACTIONS(544),
    [sym_BuildinTypeExpr] = ACTIONS(544),
    [anon_sym_packed] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(73),
    [anon_sym_LBRACK] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(87),
    [anon_sym_struct] = ACTIONS(89),
    [anon_sym_opaque] = ACTIONS(89),
    [anon_sym_enum] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(93),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [aux_sym_FLOAT_token1] = ACTIONS(99),
    [aux_sym_FLOAT_token2] = ACTIONS(99),
    [aux_sym_FLOAT_token3] = ACTIONS(99),
    [aux_sym_FLOAT_token4] = ACTIONS(99),
    [aux_sym_INTEGER_token1] = ACTIONS(101),
    [aux_sym_INTEGER_token2] = ACTIONS(101),
    [aux_sym_INTEGER_token3] = ACTIONS(103),
    [aux_sym_INTEGER_token4] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
    [aux_sym_IDENTIFIER_token1] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(111),
  },
  [715] = {
    [sym_FieldOrFnCall] = STATE(748),
    [sym_SuffixOp] = STATE(753),
    [sym_FnCallArguments] = STATE(747),
    [aux_sym_SuffixExpr_repeat1] = STATE(748),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_or] = ACTIONS(1198),
    [anon_sym_and] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1196),
    [anon_sym_linksection] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_EQ_GT] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_orelse] = ACTIONS(1196),
    [anon_sym_catch] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1198),
    [anon_sym_DASH_PERCENT] = ACTIONS(1198),
    [anon_sym_PLUS_PIPE] = ACTIONS(1198),
    [anon_sym_DASH_PIPE] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1196),
    [anon_sym_STAR_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_PIPE] = ACTIONS(1198),
    [anon_sym_align] = ACTIONS(1196),
    [anon_sym_DOT_DOT] = ACTIONS(1196),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [716] = {
    [sym_FieldOrFnCall] = STATE(743),
    [sym_SuffixOp] = STATE(753),
    [sym_FnCallArguments] = STATE(742),
    [aux_sym_SuffixExpr_repeat1] = STATE(743),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_or] = ACTIONS(1212),
    [anon_sym_and] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_linksection] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_EQ_GT] = ACTIONS(1210),
    [anon_sym_STAR_EQ] = ACTIONS(1210),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_SLASH_EQ] = ACTIONS(1210),
    [anon_sym_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_DASH_EQ] = ACTIONS(1210),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_GT_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP_EQ] = ACTIONS(1210),
    [anon_sym_CARET_EQ] = ACTIONS(1210),
    [anon_sym_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1210),
    [anon_sym_BANG_EQ] = ACTIONS(1210),
    [anon_sym_LT] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1212),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_orelse] = ACTIONS(1210),
    [anon_sym_catch] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1212),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1212),
    [anon_sym_DASH_PERCENT] = ACTIONS(1212),
    [anon_sym_PLUS_PIPE] = ACTIONS(1212),
    [anon_sym_DASH_PIPE] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_STAR_PERCENT] = ACTIONS(1212),
    [anon_sym_STAR_PIPE] = ACTIONS(1212),
    [anon_sym_align] = ACTIONS(1210),
    [anon_sym_DOT_DOT] = ACTIONS(1210),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [717] = {
    [sym_FieldOrFnCall] = STATE(724),
    [sym_SuffixOp] = STATE(751),
    [sym_FnCallArguments] = STATE(730),
    [aux_sym_SuffixExpr_repeat1] = STATE(724),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_or] = ACTIONS(1212),
    [anon_sym_and] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_linksection] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_EQ_GT] = ACTIONS(1210),
    [anon_sym_STAR_EQ] = ACTIONS(1210),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_SLASH_EQ] = ACTIONS(1210),
    [anon_sym_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_DASH_EQ] = ACTIONS(1210),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_GT_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP_EQ] = ACTIONS(1210),
    [anon_sym_CARET_EQ] = ACTIONS(1210),
    [anon_sym_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1210),
    [anon_sym_BANG_EQ] = ACTIONS(1210),
    [anon_sym_LT] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1212),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_orelse] = ACTIONS(1210),
    [anon_sym_catch] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1212),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1212),
    [anon_sym_DASH_PERCENT] = ACTIONS(1212),
    [anon_sym_PLUS_PIPE] = ACTIONS(1212),
    [anon_sym_DASH_PIPE] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_STAR_PERCENT] = ACTIONS(1212),
    [anon_sym_STAR_PIPE] = ACTIONS(1212),
    [anon_sym_align] = ACTIONS(1210),
    [anon_sym_DOT_DOT] = ACTIONS(1210),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [718] = {
    [sym_FieldOrFnCall] = STATE(731),
    [sym_SuffixOp] = STATE(751),
    [sym_FnCallArguments] = STATE(729),
    [aux_sym_SuffixExpr_repeat1] = STATE(731),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_COLON] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_or] = ACTIONS(1216),
    [anon_sym_and] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1214),
    [anon_sym_linksection] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_EQ_GT] = ACTIONS(1214),
    [anon_sym_STAR_EQ] = ACTIONS(1214),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_SLASH_EQ] = ACTIONS(1214),
    [anon_sym_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_DASH_EQ] = ACTIONS(1214),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT_EQ] = ACTIONS(1214),
    [anon_sym_AMP_EQ] = ACTIONS(1214),
    [anon_sym_CARET_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1216),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_orelse] = ACTIONS(1214),
    [anon_sym_catch] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1216),
    [anon_sym_DASH_PERCENT] = ACTIONS(1216),
    [anon_sym_PLUS_PIPE] = ACTIONS(1216),
    [anon_sym_DASH_PIPE] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1216),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1214),
    [anon_sym_STAR_PERCENT] = ACTIONS(1216),
    [anon_sym_STAR_PIPE] = ACTIONS(1216),
    [anon_sym_align] = ACTIONS(1214),
    [anon_sym_DOT_DOT] = ACTIONS(1214),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [719] = {
    [sym_FieldOrFnCall] = STATE(733),
    [sym_SuffixOp] = STATE(751),
    [sym_FnCallArguments] = STATE(732),
    [aux_sym_SuffixExpr_repeat1] = STATE(733),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_or] = ACTIONS(1198),
    [anon_sym_and] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1196),
    [anon_sym_linksection] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_EQ_GT] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_orelse] = ACTIONS(1196),
    [anon_sym_catch] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1198),
    [anon_sym_DASH_PERCENT] = ACTIONS(1198),
    [anon_sym_PLUS_PIPE] = ACTIONS(1198),
    [anon_sym_DASH_PIPE] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1196),
    [anon_sym_STAR_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_PIPE] = ACTIONS(1198),
    [anon_sym_align] = ACTIONS(1196),
    [anon_sym_DOT_DOT] = ACTIONS(1196),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [720] = {
    [sym_FieldOrFnCall] = STATE(727),
    [sym_SuffixOp] = STATE(751),
    [sym_FnCallArguments] = STATE(725),
    [aux_sym_SuffixExpr_repeat1] = STATE(727),
    [anon_sym_COMMA] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_or] = ACTIONS(1220),
    [anon_sym_and] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1218),
    [anon_sym_linksection] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_EQ_GT] = ACTIONS(1218),
    [anon_sym_STAR_EQ] = ACTIONS(1218),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_SLASH_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_DASH_EQ] = ACTIONS(1218),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_GT_GT_EQ] = ACTIONS(1218),
    [anon_sym_AMP_EQ] = ACTIONS(1218),
    [anon_sym_CARET_EQ] = ACTIONS(1218),
    [anon_sym_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_orelse] = ACTIONS(1218),
    [anon_sym_catch] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1220),
    [anon_sym_DASH_PERCENT] = ACTIONS(1220),
    [anon_sym_PLUS_PIPE] = ACTIONS(1220),
    [anon_sym_DASH_PIPE] = ACTIONS(1220),
    [anon_sym_PIPE_PIPE] = ACTIONS(1218),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_STAR_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_PIPE] = ACTIONS(1220),
    [anon_sym_align] = ACTIONS(1218),
    [anon_sym_DOT_DOT] = ACTIONS(1218),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [721] = {
    [sym_FieldOrFnCall] = STATE(745),
    [sym_SuffixOp] = STATE(753),
    [sym_FnCallArguments] = STATE(744),
    [aux_sym_SuffixExpr_repeat1] = STATE(745),
    [anon_sym_COMMA] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_or] = ACTIONS(1220),
    [anon_sym_and] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1218),
    [anon_sym_linksection] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_EQ_GT] = ACTIONS(1218),
    [anon_sym_STAR_EQ] = ACTIONS(1218),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_SLASH_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_DASH_EQ] = ACTIONS(1218),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_GT_GT_EQ] = ACTIONS(1218),
    [anon_sym_AMP_EQ] = ACTIONS(1218),
    [anon_sym_CARET_EQ] = ACTIONS(1218),
    [anon_sym_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_orelse] = ACTIONS(1218),
    [anon_sym_catch] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1220),
    [anon_sym_DASH_PERCENT] = ACTIONS(1220),
    [anon_sym_PLUS_PIPE] = ACTIONS(1220),
    [anon_sym_DASH_PIPE] = ACTIONS(1220),
    [anon_sym_PIPE_PIPE] = ACTIONS(1218),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_STAR_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_PIPE] = ACTIONS(1220),
    [anon_sym_align] = ACTIONS(1218),
    [anon_sym_DOT_DOT] = ACTIONS(1218),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [722] = {
    [sym_FieldOrFnCall] = STATE(738),
    [sym_SuffixOp] = STATE(753),
    [sym_FnCallArguments] = STATE(746),
    [aux_sym_SuffixExpr_repeat1] = STATE(738),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_COLON] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_or] = ACTIONS(1216),
    [anon_sym_and] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1214),
    [anon_sym_linksection] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_EQ_GT] = ACTIONS(1214),
    [anon_sym_STAR_EQ] = ACTIONS(1214),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_SLASH_EQ] = ACTIONS(1214),
    [anon_sym_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_DASH_EQ] = ACTIONS(1214),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT_EQ] = ACTIONS(1214),
    [anon_sym_AMP_EQ] = ACTIONS(1214),
    [anon_sym_CARET_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1216),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_orelse] = ACTIONS(1214),
    [anon_sym_catch] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1216),
    [anon_sym_DASH_PERCENT] = ACTIONS(1216),
    [anon_sym_PLUS_PIPE] = ACTIONS(1216),
    [anon_sym_DASH_PIPE] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1216),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1214),
    [anon_sym_STAR_PERCENT] = ACTIONS(1216),
    [anon_sym_STAR_PIPE] = ACTIONS(1216),
    [anon_sym_align] = ACTIONS(1214),
    [anon_sym_DOT_DOT] = ACTIONS(1214),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [723] = {
    [sym_LINESTRING] = STATE(723),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(723),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_or] = ACTIONS(1224),
    [anon_sym_and] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_linksection] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_EQ_GT] = ACTIONS(1222),
    [anon_sym_STAR_EQ] = ACTIONS(1222),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_SLASH_EQ] = ACTIONS(1222),
    [anon_sym_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1222),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_DASH_EQ] = ACTIONS(1222),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1222),
    [anon_sym_CARET_EQ] = ACTIONS(1222),
    [anon_sym_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_orelse] = ACTIONS(1222),
    [anon_sym_catch] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1224),
    [anon_sym_DASH_PERCENT] = ACTIONS(1224),
    [anon_sym_PLUS_PIPE] = ACTIONS(1224),
    [anon_sym_DASH_PIPE] = ACTIONS(1224),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_STAR_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_PIPE] = ACTIONS(1224),
    [anon_sym_align] = ACTIONS(1222),
    [anon_sym_DOT_DOT] = ACTIONS(1222),
    [anon_sym_DOT_STAR] = ACTIONS(1222),
    [anon_sym_DOT_QMARK] = ACTIONS(1222),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1226),
  },
  [724] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_or] = ACTIONS(1231),
    [anon_sym_and] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_linksection] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_EQ_GT] = ACTIONS(1229),
    [anon_sym_STAR_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_SLASH_EQ] = ACTIONS(1229),
    [anon_sym_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_DASH_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_GT_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_EQ] = ACTIONS(1229),
    [anon_sym_CARET_EQ] = ACTIONS(1229),
    [anon_sym_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_orelse] = ACTIONS(1229),
    [anon_sym_catch] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1231),
    [anon_sym_DASH_PERCENT] = ACTIONS(1231),
    [anon_sym_PLUS_PIPE] = ACTIONS(1231),
    [anon_sym_DASH_PIPE] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_STAR] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_PIPE] = ACTIONS(1231),
    [anon_sym_align] = ACTIONS(1229),
    [anon_sym_DOT_DOT] = ACTIONS(1229),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [725] = {
    [sym_FieldOrFnCall] = STATE(737),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(737),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_or] = ACTIONS(1235),
    [anon_sym_and] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_linksection] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_EQ_GT] = ACTIONS(1233),
    [anon_sym_STAR_EQ] = ACTIONS(1233),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_SLASH_EQ] = ACTIONS(1233),
    [anon_sym_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_DASH_EQ] = ACTIONS(1233),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_LT_LT_EQ] = ACTIONS(1233),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_GT_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_EQ] = ACTIONS(1233),
    [anon_sym_CARET_EQ] = ACTIONS(1233),
    [anon_sym_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_orelse] = ACTIONS(1233),
    [anon_sym_catch] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1235),
    [anon_sym_DASH_PERCENT] = ACTIONS(1235),
    [anon_sym_PLUS_PIPE] = ACTIONS(1235),
    [anon_sym_DASH_PIPE] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_STAR_STAR] = ACTIONS(1233),
    [anon_sym_STAR_PERCENT] = ACTIONS(1235),
    [anon_sym_STAR_PIPE] = ACTIONS(1235),
    [anon_sym_align] = ACTIONS(1233),
    [anon_sym_DOT_DOT] = ACTIONS(1233),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [726] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1237),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_or] = ACTIONS(1239),
    [anon_sym_and] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_RPAREN] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1237),
    [anon_sym_linksection] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_EQ_GT] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym_orelse] = ACTIONS(1237),
    [anon_sym_catch] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1239),
    [anon_sym_GT_GT] = ACTIONS(1239),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1239),
    [anon_sym_DASH_PERCENT] = ACTIONS(1239),
    [anon_sym_PLUS_PIPE] = ACTIONS(1239),
    [anon_sym_DASH_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_STAR_STAR] = ACTIONS(1237),
    [anon_sym_STAR_PERCENT] = ACTIONS(1239),
    [anon_sym_STAR_PIPE] = ACTIONS(1239),
    [anon_sym_align] = ACTIONS(1237),
    [anon_sym_DOT_DOT] = ACTIONS(1237),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [727] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_COLON] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_or] = ACTIONS(1243),
    [anon_sym_and] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_RPAREN] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1241),
    [anon_sym_linksection] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1243),
    [anon_sym_EQ_GT] = ACTIONS(1241),
    [anon_sym_STAR_EQ] = ACTIONS(1241),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_SLASH_EQ] = ACTIONS(1241),
    [anon_sym_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_DASH_EQ] = ACTIONS(1241),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_LT_LT_EQ] = ACTIONS(1241),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_GT_GT_EQ] = ACTIONS(1241),
    [anon_sym_AMP_EQ] = ACTIONS(1241),
    [anon_sym_CARET_EQ] = ACTIONS(1241),
    [anon_sym_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1241),
    [anon_sym_BANG_EQ] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(1243),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_orelse] = ACTIONS(1241),
    [anon_sym_catch] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1243),
    [anon_sym_GT_GT] = ACTIONS(1243),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1243),
    [anon_sym_DASH_PERCENT] = ACTIONS(1243),
    [anon_sym_PLUS_PIPE] = ACTIONS(1243),
    [anon_sym_DASH_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(1243),
    [anon_sym_STAR_STAR] = ACTIONS(1241),
    [anon_sym_STAR_PERCENT] = ACTIONS(1243),
    [anon_sym_STAR_PIPE] = ACTIONS(1243),
    [anon_sym_align] = ACTIONS(1241),
    [anon_sym_DOT_DOT] = ACTIONS(1241),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [728] = {
    [sym_LINESTRING] = STATE(723),
    [aux_sym__STRINGLITERAL_repeat1] = STATE(723),
    [anon_sym_COMMA] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_COLON] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1245),
    [anon_sym_or] = ACTIONS(1247),
    [anon_sym_and] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_DOT] = ACTIONS(1247),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_RPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_RBRACK] = ACTIONS(1245),
    [anon_sym_linksection] = ACTIONS(1245),
    [anon_sym_PIPE] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_EQ_GT] = ACTIONS(1245),
    [anon_sym_STAR_EQ] = ACTIONS(1245),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1245),
    [anon_sym_SLASH_EQ] = ACTIONS(1245),
    [anon_sym_PERCENT_EQ] = ACTIONS(1245),
    [anon_sym_PLUS_EQ] = ACTIONS(1245),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1245),
    [anon_sym_DASH_EQ] = ACTIONS(1245),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1245),
    [anon_sym_LT_LT_EQ] = ACTIONS(1245),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1245),
    [anon_sym_GT_GT_EQ] = ACTIONS(1245),
    [anon_sym_AMP_EQ] = ACTIONS(1245),
    [anon_sym_CARET_EQ] = ACTIONS(1245),
    [anon_sym_PIPE_EQ] = ACTIONS(1245),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1245),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1245),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1245),
    [anon_sym_EQ_EQ] = ACTIONS(1245),
    [anon_sym_BANG_EQ] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1247),
    [anon_sym_GT] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1245),
    [anon_sym_GT_EQ] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_orelse] = ACTIONS(1245),
    [anon_sym_catch] = ACTIONS(1245),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1247),
    [anon_sym_DASH_PERCENT] = ACTIONS(1247),
    [anon_sym_PLUS_PIPE] = ACTIONS(1247),
    [anon_sym_DASH_PIPE] = ACTIONS(1247),
    [anon_sym_PIPE_PIPE] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1247),
    [anon_sym_STAR_STAR] = ACTIONS(1245),
    [anon_sym_STAR_PERCENT] = ACTIONS(1247),
    [anon_sym_STAR_PIPE] = ACTIONS(1247),
    [anon_sym_align] = ACTIONS(1245),
    [anon_sym_DOT_DOT] = ACTIONS(1245),
    [anon_sym_DOT_STAR] = ACTIONS(1245),
    [anon_sym_DOT_QMARK] = ACTIONS(1245),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(107),
  },
  [729] = {
    [sym_FieldOrFnCall] = STATE(734),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(734),
    [anon_sym_COMMA] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_COLON] = ACTIONS(1249),
    [anon_sym_EQ] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_or] = ACTIONS(1251),
    [anon_sym_and] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_RPAREN] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1249),
    [anon_sym_linksection] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1251),
    [anon_sym_EQ_GT] = ACTIONS(1249),
    [anon_sym_STAR_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_SLASH_EQ] = ACTIONS(1249),
    [anon_sym_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_DASH_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_GT_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP_EQ] = ACTIONS(1249),
    [anon_sym_CARET_EQ] = ACTIONS(1249),
    [anon_sym_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_GT] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_orelse] = ACTIONS(1249),
    [anon_sym_catch] = ACTIONS(1249),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1251),
    [anon_sym_DASH_PERCENT] = ACTIONS(1251),
    [anon_sym_PLUS_PIPE] = ACTIONS(1251),
    [anon_sym_DASH_PIPE] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_STAR] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_PIPE] = ACTIONS(1251),
    [anon_sym_align] = ACTIONS(1249),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [730] = {
    [sym_FieldOrFnCall] = STATE(735),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(735),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_or] = ACTIONS(1231),
    [anon_sym_and] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_linksection] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_EQ_GT] = ACTIONS(1229),
    [anon_sym_STAR_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_SLASH_EQ] = ACTIONS(1229),
    [anon_sym_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_DASH_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_GT_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_EQ] = ACTIONS(1229),
    [anon_sym_CARET_EQ] = ACTIONS(1229),
    [anon_sym_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_orelse] = ACTIONS(1229),
    [anon_sym_catch] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1231),
    [anon_sym_DASH_PERCENT] = ACTIONS(1231),
    [anon_sym_PLUS_PIPE] = ACTIONS(1231),
    [anon_sym_DASH_PIPE] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_STAR] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_PIPE] = ACTIONS(1231),
    [anon_sym_align] = ACTIONS(1229),
    [anon_sym_DOT_DOT] = ACTIONS(1229),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [731] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_COLON] = ACTIONS(1249),
    [anon_sym_EQ] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_or] = ACTIONS(1251),
    [anon_sym_and] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_RPAREN] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1249),
    [anon_sym_linksection] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1251),
    [anon_sym_EQ_GT] = ACTIONS(1249),
    [anon_sym_STAR_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_SLASH_EQ] = ACTIONS(1249),
    [anon_sym_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_DASH_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_GT_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP_EQ] = ACTIONS(1249),
    [anon_sym_CARET_EQ] = ACTIONS(1249),
    [anon_sym_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_GT] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_orelse] = ACTIONS(1249),
    [anon_sym_catch] = ACTIONS(1249),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1251),
    [anon_sym_DASH_PERCENT] = ACTIONS(1251),
    [anon_sym_PLUS_PIPE] = ACTIONS(1251),
    [anon_sym_DASH_PIPE] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_STAR] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_PIPE] = ACTIONS(1251),
    [anon_sym_align] = ACTIONS(1249),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [732] = {
    [sym_FieldOrFnCall] = STATE(726),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(726),
    [anon_sym_COMMA] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_COLON] = ACTIONS(1253),
    [anon_sym_EQ] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(1253),
    [anon_sym_or] = ACTIONS(1255),
    [anon_sym_and] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_RPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1253),
    [anon_sym_linksection] = ACTIONS(1253),
    [anon_sym_PIPE] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1255),
    [anon_sym_EQ_GT] = ACTIONS(1253),
    [anon_sym_STAR_EQ] = ACTIONS(1253),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_SLASH_EQ] = ACTIONS(1253),
    [anon_sym_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_DASH_EQ] = ACTIONS(1253),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_LT_LT_EQ] = ACTIONS(1253),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_GT_GT_EQ] = ACTIONS(1253),
    [anon_sym_AMP_EQ] = ACTIONS(1253),
    [anon_sym_CARET_EQ] = ACTIONS(1253),
    [anon_sym_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_EQ_EQ] = ACTIONS(1253),
    [anon_sym_BANG_EQ] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(1255),
    [anon_sym_GT] = ACTIONS(1255),
    [anon_sym_LT_EQ] = ACTIONS(1253),
    [anon_sym_GT_EQ] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_orelse] = ACTIONS(1253),
    [anon_sym_catch] = ACTIONS(1253),
    [anon_sym_LT_LT] = ACTIONS(1255),
    [anon_sym_GT_GT] = ACTIONS(1255),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1255),
    [anon_sym_DASH_PERCENT] = ACTIONS(1255),
    [anon_sym_PLUS_PIPE] = ACTIONS(1255),
    [anon_sym_DASH_PIPE] = ACTIONS(1255),
    [anon_sym_PIPE_PIPE] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(1255),
    [anon_sym_PERCENT] = ACTIONS(1255),
    [anon_sym_STAR_STAR] = ACTIONS(1253),
    [anon_sym_STAR_PERCENT] = ACTIONS(1255),
    [anon_sym_STAR_PIPE] = ACTIONS(1255),
    [anon_sym_align] = ACTIONS(1253),
    [anon_sym_DOT_DOT] = ACTIONS(1253),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [733] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1259),
    [anon_sym_COLON] = ACTIONS(1257),
    [anon_sym_EQ] = ACTIONS(1259),
    [anon_sym_else] = ACTIONS(1257),
    [anon_sym_or] = ACTIONS(1259),
    [anon_sym_and] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_RPAREN] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1257),
    [anon_sym_linksection] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_EQ_GT] = ACTIONS(1257),
    [anon_sym_STAR_EQ] = ACTIONS(1257),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_SLASH_EQ] = ACTIONS(1257),
    [anon_sym_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_DASH_EQ] = ACTIONS(1257),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_LT_LT_EQ] = ACTIONS(1257),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_GT_GT_EQ] = ACTIONS(1257),
    [anon_sym_AMP_EQ] = ACTIONS(1257),
    [anon_sym_CARET_EQ] = ACTIONS(1257),
    [anon_sym_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_EQ_EQ] = ACTIONS(1257),
    [anon_sym_BANG_EQ] = ACTIONS(1257),
    [anon_sym_LT] = ACTIONS(1259),
    [anon_sym_GT] = ACTIONS(1259),
    [anon_sym_LT_EQ] = ACTIONS(1257),
    [anon_sym_GT_EQ] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_CARET] = ACTIONS(1259),
    [anon_sym_orelse] = ACTIONS(1257),
    [anon_sym_catch] = ACTIONS(1257),
    [anon_sym_LT_LT] = ACTIONS(1259),
    [anon_sym_GT_GT] = ACTIONS(1259),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1259),
    [anon_sym_DASH_PERCENT] = ACTIONS(1259),
    [anon_sym_PLUS_PIPE] = ACTIONS(1259),
    [anon_sym_DASH_PIPE] = ACTIONS(1259),
    [anon_sym_PIPE_PIPE] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1259),
    [anon_sym_STAR_STAR] = ACTIONS(1257),
    [anon_sym_STAR_PERCENT] = ACTIONS(1259),
    [anon_sym_STAR_PIPE] = ACTIONS(1259),
    [anon_sym_align] = ACTIONS(1257),
    [anon_sym_DOT_DOT] = ACTIONS(1257),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [734] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(1261),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1261),
    [anon_sym_or] = ACTIONS(1263),
    [anon_sym_and] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_RPAREN] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1261),
    [anon_sym_linksection] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1261),
    [anon_sym_STAR_EQ] = ACTIONS(1261),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_SLASH_EQ] = ACTIONS(1261),
    [anon_sym_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_DASH_EQ] = ACTIONS(1261),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_LT_LT_EQ] = ACTIONS(1261),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_GT_GT_EQ] = ACTIONS(1261),
    [anon_sym_AMP_EQ] = ACTIONS(1261),
    [anon_sym_CARET_EQ] = ACTIONS(1261),
    [anon_sym_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_EQ_EQ] = ACTIONS(1261),
    [anon_sym_BANG_EQ] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1263),
    [anon_sym_GT] = ACTIONS(1263),
    [anon_sym_LT_EQ] = ACTIONS(1261),
    [anon_sym_GT_EQ] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_CARET] = ACTIONS(1263),
    [anon_sym_orelse] = ACTIONS(1261),
    [anon_sym_catch] = ACTIONS(1261),
    [anon_sym_LT_LT] = ACTIONS(1263),
    [anon_sym_GT_GT] = ACTIONS(1263),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1263),
    [anon_sym_DASH_PERCENT] = ACTIONS(1263),
    [anon_sym_PLUS_PIPE] = ACTIONS(1263),
    [anon_sym_DASH_PIPE] = ACTIONS(1263),
    [anon_sym_PIPE_PIPE] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1263),
    [anon_sym_STAR_STAR] = ACTIONS(1261),
    [anon_sym_STAR_PERCENT] = ACTIONS(1263),
    [anon_sym_STAR_PIPE] = ACTIONS(1263),
    [anon_sym_align] = ACTIONS(1261),
    [anon_sym_DOT_DOT] = ACTIONS(1261),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [735] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_COLON] = ACTIONS(1265),
    [anon_sym_EQ] = ACTIONS(1267),
    [anon_sym_else] = ACTIONS(1265),
    [anon_sym_or] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1265),
    [anon_sym_RPAREN] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1265),
    [anon_sym_linksection] = ACTIONS(1265),
    [anon_sym_PIPE] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_STAR_EQ] = ACTIONS(1265),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_SLASH_EQ] = ACTIONS(1265),
    [anon_sym_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_DASH_EQ] = ACTIONS(1265),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_LT_LT_EQ] = ACTIONS(1265),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_GT_GT_EQ] = ACTIONS(1265),
    [anon_sym_AMP_EQ] = ACTIONS(1265),
    [anon_sym_CARET_EQ] = ACTIONS(1265),
    [anon_sym_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_EQ_EQ] = ACTIONS(1265),
    [anon_sym_BANG_EQ] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1267),
    [anon_sym_GT] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1265),
    [anon_sym_GT_EQ] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_orelse] = ACTIONS(1265),
    [anon_sym_catch] = ACTIONS(1265),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1267),
    [anon_sym_DASH_PERCENT] = ACTIONS(1267),
    [anon_sym_PLUS_PIPE] = ACTIONS(1267),
    [anon_sym_DASH_PIPE] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_STAR_STAR] = ACTIONS(1265),
    [anon_sym_STAR_PERCENT] = ACTIONS(1267),
    [anon_sym_STAR_PIPE] = ACTIONS(1267),
    [anon_sym_align] = ACTIONS(1265),
    [anon_sym_DOT_DOT] = ACTIONS(1265),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [736] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1271),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_DOT] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_RBRACK] = ACTIONS(1269),
    [anon_sym_linksection] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_STAR_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_SLASH_EQ] = ACTIONS(1269),
    [anon_sym_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_DASH_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_GT_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP_EQ] = ACTIONS(1269),
    [anon_sym_CARET_EQ] = ACTIONS(1269),
    [anon_sym_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_orelse] = ACTIONS(1269),
    [anon_sym_catch] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1271),
    [anon_sym_DASH_PERCENT] = ACTIONS(1271),
    [anon_sym_PLUS_PIPE] = ACTIONS(1271),
    [anon_sym_DASH_PIPE] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_PIPE] = ACTIONS(1271),
    [anon_sym_align] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_STAR] = ACTIONS(1279),
    [anon_sym_DOT_QMARK] = ACTIONS(1279),
    [sym_line_comment] = ACTIONS(95),
  },
  [737] = {
    [sym_FieldOrFnCall] = STATE(736),
    [sym_SuffixOp] = STATE(751),
    [aux_sym_SuffixExpr_repeat1] = STATE(736),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_COLON] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1282),
    [anon_sym_or] = ACTIONS(1284),
    [anon_sym_and] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_RPAREN] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1282),
    [anon_sym_linksection] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_EQ_GT] = ACTIONS(1282),
    [anon_sym_STAR_EQ] = ACTIONS(1282),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_SLASH_EQ] = ACTIONS(1282),
    [anon_sym_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_DASH_EQ] = ACTIONS(1282),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_orelse] = ACTIONS(1282),
    [anon_sym_catch] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1284),
    [anon_sym_DASH_PERCENT] = ACTIONS(1284),
    [anon_sym_PLUS_PIPE] = ACTIONS(1284),
    [anon_sym_DASH_PIPE] = ACTIONS(1284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1282),
    [anon_sym_STAR_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_PIPE] = ACTIONS(1284),
    [anon_sym_align] = ACTIONS(1282),
    [anon_sym_DOT_DOT] = ACTIONS(1282),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [738] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_COLON] = ACTIONS(1249),
    [anon_sym_EQ] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_or] = ACTIONS(1251),
    [anon_sym_and] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1249),
    [anon_sym_linksection] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1251),
    [anon_sym_EQ_GT] = ACTIONS(1249),
    [anon_sym_STAR_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_SLASH_EQ] = ACTIONS(1249),
    [anon_sym_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_DASH_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_GT_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP_EQ] = ACTIONS(1249),
    [anon_sym_CARET_EQ] = ACTIONS(1249),
    [anon_sym_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_GT] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_orelse] = ACTIONS(1249),
    [anon_sym_catch] = ACTIONS(1249),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1251),
    [anon_sym_DASH_PERCENT] = ACTIONS(1251),
    [anon_sym_PLUS_PIPE] = ACTIONS(1251),
    [anon_sym_DASH_PIPE] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_STAR] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_PIPE] = ACTIONS(1251),
    [anon_sym_align] = ACTIONS(1249),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [739] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_COLON] = ACTIONS(1265),
    [anon_sym_EQ] = ACTIONS(1267),
    [anon_sym_else] = ACTIONS(1265),
    [anon_sym_or] = ACTIONS(1267),
    [anon_sym_and] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1265),
    [anon_sym_linksection] = ACTIONS(1265),
    [anon_sym_PIPE] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_STAR_EQ] = ACTIONS(1265),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_SLASH_EQ] = ACTIONS(1265),
    [anon_sym_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_DASH_EQ] = ACTIONS(1265),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_LT_LT_EQ] = ACTIONS(1265),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_GT_GT_EQ] = ACTIONS(1265),
    [anon_sym_AMP_EQ] = ACTIONS(1265),
    [anon_sym_CARET_EQ] = ACTIONS(1265),
    [anon_sym_PIPE_EQ] = ACTIONS(1265),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_EQ_EQ] = ACTIONS(1265),
    [anon_sym_BANG_EQ] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1267),
    [anon_sym_GT] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1265),
    [anon_sym_GT_EQ] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_orelse] = ACTIONS(1265),
    [anon_sym_catch] = ACTIONS(1265),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1267),
    [anon_sym_DASH_PERCENT] = ACTIONS(1267),
    [anon_sym_PLUS_PIPE] = ACTIONS(1267),
    [anon_sym_DASH_PIPE] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_STAR_STAR] = ACTIONS(1265),
    [anon_sym_STAR_PERCENT] = ACTIONS(1267),
    [anon_sym_STAR_PIPE] = ACTIONS(1267),
    [anon_sym_align] = ACTIONS(1265),
    [anon_sym_DOT_DOT] = ACTIONS(1265),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [740] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1271),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_DOT] = ACTIONS(1273),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_RBRACK] = ACTIONS(1269),
    [anon_sym_linksection] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_STAR_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_SLASH_EQ] = ACTIONS(1269),
    [anon_sym_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_DASH_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_GT_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP_EQ] = ACTIONS(1269),
    [anon_sym_CARET_EQ] = ACTIONS(1269),
    [anon_sym_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_orelse] = ACTIONS(1269),
    [anon_sym_catch] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1271),
    [anon_sym_DASH_PERCENT] = ACTIONS(1271),
    [anon_sym_PLUS_PIPE] = ACTIONS(1271),
    [anon_sym_DASH_PIPE] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_PIPE] = ACTIONS(1271),
    [anon_sym_align] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_STAR] = ACTIONS(1279),
    [anon_sym_DOT_QMARK] = ACTIONS(1279),
    [sym_line_comment] = ACTIONS(95),
  },
  [741] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_COLON] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1282),
    [anon_sym_or] = ACTIONS(1284),
    [anon_sym_and] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1282),
    [anon_sym_linksection] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_EQ_GT] = ACTIONS(1282),
    [anon_sym_STAR_EQ] = ACTIONS(1282),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_SLASH_EQ] = ACTIONS(1282),
    [anon_sym_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_DASH_EQ] = ACTIONS(1282),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_orelse] = ACTIONS(1282),
    [anon_sym_catch] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1284),
    [anon_sym_DASH_PERCENT] = ACTIONS(1284),
    [anon_sym_PLUS_PIPE] = ACTIONS(1284),
    [anon_sym_DASH_PIPE] = ACTIONS(1284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1282),
    [anon_sym_STAR_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_PIPE] = ACTIONS(1284),
    [anon_sym_align] = ACTIONS(1282),
    [anon_sym_DOT_DOT] = ACTIONS(1282),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [742] = {
    [sym_FieldOrFnCall] = STATE(739),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(739),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_or] = ACTIONS(1231),
    [anon_sym_and] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_linksection] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_EQ_GT] = ACTIONS(1229),
    [anon_sym_STAR_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_SLASH_EQ] = ACTIONS(1229),
    [anon_sym_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_DASH_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_GT_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_EQ] = ACTIONS(1229),
    [anon_sym_CARET_EQ] = ACTIONS(1229),
    [anon_sym_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_orelse] = ACTIONS(1229),
    [anon_sym_catch] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1231),
    [anon_sym_DASH_PERCENT] = ACTIONS(1231),
    [anon_sym_PLUS_PIPE] = ACTIONS(1231),
    [anon_sym_DASH_PIPE] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_STAR] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_PIPE] = ACTIONS(1231),
    [anon_sym_align] = ACTIONS(1229),
    [anon_sym_DOT_DOT] = ACTIONS(1229),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [743] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_or] = ACTIONS(1231),
    [anon_sym_and] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_linksection] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_EQ_GT] = ACTIONS(1229),
    [anon_sym_STAR_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_SLASH_EQ] = ACTIONS(1229),
    [anon_sym_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_DASH_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_GT_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_EQ] = ACTIONS(1229),
    [anon_sym_CARET_EQ] = ACTIONS(1229),
    [anon_sym_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_orelse] = ACTIONS(1229),
    [anon_sym_catch] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1231),
    [anon_sym_DASH_PERCENT] = ACTIONS(1231),
    [anon_sym_PLUS_PIPE] = ACTIONS(1231),
    [anon_sym_DASH_PIPE] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_STAR] = ACTIONS(1229),
    [anon_sym_STAR_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_PIPE] = ACTIONS(1231),
    [anon_sym_align] = ACTIONS(1229),
    [anon_sym_DOT_DOT] = ACTIONS(1229),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [744] = {
    [sym_FieldOrFnCall] = STATE(741),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(741),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_or] = ACTIONS(1235),
    [anon_sym_and] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_linksection] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_EQ_GT] = ACTIONS(1233),
    [anon_sym_STAR_EQ] = ACTIONS(1233),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_SLASH_EQ] = ACTIONS(1233),
    [anon_sym_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_DASH_EQ] = ACTIONS(1233),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_LT_LT_EQ] = ACTIONS(1233),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_GT_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_EQ] = ACTIONS(1233),
    [anon_sym_CARET_EQ] = ACTIONS(1233),
    [anon_sym_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_orelse] = ACTIONS(1233),
    [anon_sym_catch] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1235),
    [anon_sym_DASH_PERCENT] = ACTIONS(1235),
    [anon_sym_PLUS_PIPE] = ACTIONS(1235),
    [anon_sym_DASH_PIPE] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_STAR_STAR] = ACTIONS(1233),
    [anon_sym_STAR_PERCENT] = ACTIONS(1235),
    [anon_sym_STAR_PIPE] = ACTIONS(1235),
    [anon_sym_align] = ACTIONS(1233),
    [anon_sym_DOT_DOT] = ACTIONS(1233),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [745] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_COLON] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_or] = ACTIONS(1243),
    [anon_sym_and] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1241),
    [anon_sym_linksection] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1243),
    [anon_sym_EQ_GT] = ACTIONS(1241),
    [anon_sym_STAR_EQ] = ACTIONS(1241),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_SLASH_EQ] = ACTIONS(1241),
    [anon_sym_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_DASH_EQ] = ACTIONS(1241),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_LT_LT_EQ] = ACTIONS(1241),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_GT_GT_EQ] = ACTIONS(1241),
    [anon_sym_AMP_EQ] = ACTIONS(1241),
    [anon_sym_CARET_EQ] = ACTIONS(1241),
    [anon_sym_PIPE_EQ] = ACTIONS(1241),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1241),
    [anon_sym_BANG_EQ] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(1243),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1243),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_orelse] = ACTIONS(1241),
    [anon_sym_catch] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1243),
    [anon_sym_GT_GT] = ACTIONS(1243),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1243),
    [anon_sym_DASH_PERCENT] = ACTIONS(1243),
    [anon_sym_PLUS_PIPE] = ACTIONS(1243),
    [anon_sym_DASH_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(1243),
    [anon_sym_STAR_STAR] = ACTIONS(1241),
    [anon_sym_STAR_PERCENT] = ACTIONS(1243),
    [anon_sym_STAR_PIPE] = ACTIONS(1243),
    [anon_sym_align] = ACTIONS(1241),
    [anon_sym_DOT_DOT] = ACTIONS(1241),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [746] = {
    [sym_FieldOrFnCall] = STATE(750),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(750),
    [anon_sym_COMMA] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_COLON] = ACTIONS(1249),
    [anon_sym_EQ] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_or] = ACTIONS(1251),
    [anon_sym_and] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1249),
    [anon_sym_linksection] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1251),
    [anon_sym_EQ_GT] = ACTIONS(1249),
    [anon_sym_STAR_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_SLASH_EQ] = ACTIONS(1249),
    [anon_sym_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_DASH_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_EQ] = ACTIONS(1249),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_GT_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP_EQ] = ACTIONS(1249),
    [anon_sym_CARET_EQ] = ACTIONS(1249),
    [anon_sym_PIPE_EQ] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_GT] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_orelse] = ACTIONS(1249),
    [anon_sym_catch] = ACTIONS(1249),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1251),
    [anon_sym_DASH_PERCENT] = ACTIONS(1251),
    [anon_sym_PLUS_PIPE] = ACTIONS(1251),
    [anon_sym_DASH_PIPE] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_STAR] = ACTIONS(1249),
    [anon_sym_STAR_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_PIPE] = ACTIONS(1251),
    [anon_sym_align] = ACTIONS(1249),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [747] = {
    [sym_FieldOrFnCall] = STATE(749),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(749),
    [anon_sym_COMMA] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_COLON] = ACTIONS(1253),
    [anon_sym_EQ] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(1253),
    [anon_sym_or] = ACTIONS(1255),
    [anon_sym_and] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1253),
    [anon_sym_linksection] = ACTIONS(1253),
    [anon_sym_PIPE] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1255),
    [anon_sym_EQ_GT] = ACTIONS(1253),
    [anon_sym_STAR_EQ] = ACTIONS(1253),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_SLASH_EQ] = ACTIONS(1253),
    [anon_sym_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_DASH_EQ] = ACTIONS(1253),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_LT_LT_EQ] = ACTIONS(1253),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_GT_GT_EQ] = ACTIONS(1253),
    [anon_sym_AMP_EQ] = ACTIONS(1253),
    [anon_sym_CARET_EQ] = ACTIONS(1253),
    [anon_sym_PIPE_EQ] = ACTIONS(1253),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_EQ_EQ] = ACTIONS(1253),
    [anon_sym_BANG_EQ] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(1255),
    [anon_sym_GT] = ACTIONS(1255),
    [anon_sym_LT_EQ] = ACTIONS(1253),
    [anon_sym_GT_EQ] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_orelse] = ACTIONS(1253),
    [anon_sym_catch] = ACTIONS(1253),
    [anon_sym_LT_LT] = ACTIONS(1255),
    [anon_sym_GT_GT] = ACTIONS(1255),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1255),
    [anon_sym_DASH_PERCENT] = ACTIONS(1255),
    [anon_sym_PLUS_PIPE] = ACTIONS(1255),
    [anon_sym_DASH_PIPE] = ACTIONS(1255),
    [anon_sym_PIPE_PIPE] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(1255),
    [anon_sym_PERCENT] = ACTIONS(1255),
    [anon_sym_STAR_STAR] = ACTIONS(1253),
    [anon_sym_STAR_PERCENT] = ACTIONS(1255),
    [anon_sym_STAR_PIPE] = ACTIONS(1255),
    [anon_sym_align] = ACTIONS(1253),
    [anon_sym_DOT_DOT] = ACTIONS(1253),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [748] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1259),
    [anon_sym_COLON] = ACTIONS(1257),
    [anon_sym_EQ] = ACTIONS(1259),
    [anon_sym_else] = ACTIONS(1257),
    [anon_sym_or] = ACTIONS(1259),
    [anon_sym_and] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1257),
    [anon_sym_linksection] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_EQ_GT] = ACTIONS(1257),
    [anon_sym_STAR_EQ] = ACTIONS(1257),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_SLASH_EQ] = ACTIONS(1257),
    [anon_sym_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_DASH_EQ] = ACTIONS(1257),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_LT_LT_EQ] = ACTIONS(1257),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_GT_GT_EQ] = ACTIONS(1257),
    [anon_sym_AMP_EQ] = ACTIONS(1257),
    [anon_sym_CARET_EQ] = ACTIONS(1257),
    [anon_sym_PIPE_EQ] = ACTIONS(1257),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1257),
    [anon_sym_EQ_EQ] = ACTIONS(1257),
    [anon_sym_BANG_EQ] = ACTIONS(1257),
    [anon_sym_LT] = ACTIONS(1259),
    [anon_sym_GT] = ACTIONS(1259),
    [anon_sym_LT_EQ] = ACTIONS(1257),
    [anon_sym_GT_EQ] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_CARET] = ACTIONS(1259),
    [anon_sym_orelse] = ACTIONS(1257),
    [anon_sym_catch] = ACTIONS(1257),
    [anon_sym_LT_LT] = ACTIONS(1259),
    [anon_sym_GT_GT] = ACTIONS(1259),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1259),
    [anon_sym_DASH_PERCENT] = ACTIONS(1259),
    [anon_sym_PLUS_PIPE] = ACTIONS(1259),
    [anon_sym_DASH_PIPE] = ACTIONS(1259),
    [anon_sym_PIPE_PIPE] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1259),
    [anon_sym_STAR_STAR] = ACTIONS(1257),
    [anon_sym_STAR_PERCENT] = ACTIONS(1259),
    [anon_sym_STAR_PIPE] = ACTIONS(1259),
    [anon_sym_align] = ACTIONS(1257),
    [anon_sym_DOT_DOT] = ACTIONS(1257),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [749] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1237),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_or] = ACTIONS(1239),
    [anon_sym_and] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1237),
    [anon_sym_linksection] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_EQ_GT] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym_orelse] = ACTIONS(1237),
    [anon_sym_catch] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1239),
    [anon_sym_GT_GT] = ACTIONS(1239),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1239),
    [anon_sym_DASH_PERCENT] = ACTIONS(1239),
    [anon_sym_PLUS_PIPE] = ACTIONS(1239),
    [anon_sym_DASH_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_STAR_STAR] = ACTIONS(1237),
    [anon_sym_STAR_PERCENT] = ACTIONS(1239),
    [anon_sym_STAR_PIPE] = ACTIONS(1239),
    [anon_sym_align] = ACTIONS(1237),
    [anon_sym_DOT_DOT] = ACTIONS(1237),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [750] = {
    [sym_FieldOrFnCall] = STATE(740),
    [sym_SuffixOp] = STATE(753),
    [aux_sym_SuffixExpr_repeat1] = STATE(740),
    [anon_sym_COMMA] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(1261),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1261),
    [anon_sym_or] = ACTIONS(1263),
    [anon_sym_and] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1261),
    [anon_sym_linksection] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1261),
    [anon_sym_STAR_EQ] = ACTIONS(1261),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_SLASH_EQ] = ACTIONS(1261),
    [anon_sym_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_DASH_EQ] = ACTIONS(1261),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_LT_LT_EQ] = ACTIONS(1261),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_GT_GT_EQ] = ACTIONS(1261),
    [anon_sym_AMP_EQ] = ACTIONS(1261),
    [anon_sym_CARET_EQ] = ACTIONS(1261),
    [anon_sym_PIPE_EQ] = ACTIONS(1261),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_EQ_EQ] = ACTIONS(1261),
    [anon_sym_BANG_EQ] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1263),
    [anon_sym_GT] = ACTIONS(1263),
    [anon_sym_LT_EQ] = ACTIONS(1261),
    [anon_sym_GT_EQ] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_CARET] = ACTIONS(1263),
    [anon_sym_orelse] = ACTIONS(1261),
    [anon_sym_catch] = ACTIONS(1261),
    [anon_sym_LT_LT] = ACTIONS(1263),
    [anon_sym_GT_GT] = ACTIONS(1263),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1263),
    [anon_sym_DASH_PERCENT] = ACTIONS(1263),
    [anon_sym_PLUS_PIPE] = ACTIONS(1263),
    [anon_sym_DASH_PIPE] = ACTIONS(1263),
    [anon_sym_PIPE_PIPE] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1263),
    [anon_sym_STAR_STAR] = ACTIONS(1261),
    [anon_sym_STAR_PERCENT] = ACTIONS(1263),
    [anon_sym_STAR_PIPE] = ACTIONS(1263),
    [anon_sym_align] = ACTIONS(1261),
    [anon_sym_DOT_DOT] = ACTIONS(1261),
    [anon_sym_DOT_STAR] = ACTIONS(1208),
    [anon_sym_DOT_QMARK] = ACTIONS(1208),
    [sym_line_comment] = ACTIONS(95),
  },
  [751] = {
    [sym_FnCallArguments] = STATE(807),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_COLON] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1286),
    [anon_sym_or] = ACTIONS(1288),
    [anon_sym_and] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_RPAREN] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_linksection] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_STAR_EQ] = ACTIONS(1286),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_SLASH_EQ] = ACTIONS(1286),
    [anon_sym_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_DASH_EQ] = ACTIONS(1286),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_orelse] = ACTIONS(1286),
    [anon_sym_catch] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1288),
    [anon_sym_DASH_PERCENT] = ACTIONS(1288),
    [anon_sym_PLUS_PIPE] = ACTIONS(1288),
    [anon_sym_DASH_PIPE] = ACTIONS(1288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1286),
    [anon_sym_STAR_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_PIPE] = ACTIONS(1288),
    [anon_sym_align] = ACTIONS(1286),
    [anon_sym_DOT_DOT] = ACTIONS(1286),
    [anon_sym_DOT_STAR] = ACTIONS(1286),
    [anon_sym_DOT_QMARK] = ACTIONS(1286),
    [sym_line_comment] = ACTIONS(95),
  },
  [752] = {
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_COLON] = ACTIONS(568),
    [anon_sym_EQ] = ACTIONS(570),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_or] = ACTIONS(570),
    [anon_sym_and] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_RPAREN] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_RBRACK] = ACTIONS(568),
    [anon_sym_DASH_GT] = ACTIONS(1293),
    [anon_sym_linksection] = ACTIONS(568),
    [anon_sym_PIPE] = ACTIONS(570),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_EQ_GT] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(568),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(568),
    [anon_sym_SLASH_EQ] = ACTIONS(568),
    [anon_sym_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(568),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(568),
    [anon_sym_DASH_EQ] = ACTIONS(568),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(568),
    [anon_sym_LT_LT_EQ] = ACTIONS(568),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(568),
    [anon_sym_GT_GT_EQ] = ACTIONS(568),
    [anon_sym_AMP_EQ] = ACTIONS(568),
    [anon_sym_CARET_EQ] = ACTIONS(568),
    [anon_sym_PIPE_EQ] = ACTIONS(568),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ] = ACTIONS(568),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_GT] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(570),
    [anon_sym_CARET] = ACTIONS(570),
    [anon_sym_orelse] = ACTIONS(568),
    [anon_sym_catch] = ACTIONS(568),
    [anon_sym_LT_LT] = ACTIONS(570),
    [anon_sym_GT_GT] = ACTIONS(570),
    [anon_sym_LT_LT_PIPE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_PLUS_PERCENT] = ACTIONS(570),
    [anon_sym_DASH_PERCENT] = ACTIONS(570),
    [anon_sym_PLUS_PIPE] = ACTIONS(570),
    [anon_sym_DASH_PIPE] = ACTIONS(570),
    [anon_sym_PIPE_PIPE] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(570),
    [anon_sym_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_STAR] = ACTIONS(568),
    [anon_sym_STAR_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_PIPE] = ACTIONS(570),
    [anon_sym_align] = ACTIONS(568),
    [anon_sym_DOT_DOT] = ACTIONS(568),
    [anon_sym_DOT_STAR] = ACTIONS(568),
    [anon_sym_DOT_QMARK] = ACTIONS(568),
    [sym_line_comment] = ACTIONS(95),
  },
  [753] = {
    [sym_FnCallArguments] = STATE(807),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_COLON] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1286),
    [anon_sym_or] = ACTIONS(1288),
    [anon_sym_and] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_linksection] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_STAR_EQ] = ACTIONS(1286),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_SLASH_EQ] = ACTIONS(1286),
    [anon_sym_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_DASH_EQ] = ACTIONS(1286),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_orelse] = ACTIONS(1286),
    [anon_sym_catch] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1288),
    [anon_sym_DASH_PERCENT] = ACTIONS(1288),
    [anon_sym_PLUS_PIPE] = ACTIONS(1288),
    [anon_sym_DASH_PIPE] = ACTIONS(1288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1286),
    [anon_sym_STAR_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_PIPE] = ACTIONS(1288),
    [anon_sym_align] = ACTIONS(1286),
    [anon_sym_DOT_DOT] = ACTIONS(1286),
    [anon_sym_DOT_STAR] = ACTIONS(1286),
    [anon_sym_DOT_QMARK] = ACTIONS(1286),
    [sym_line_comment] = ACTIONS(95),
  },
  [754] = {
    [sym_FnCallArguments] = STATE(831),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_COLON] = ACTIONS(1295),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_or] = ACTIONS(1297),
    [anon_sym_and] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [anon_sym_LBRACK] = ACTIONS(1295),
    [anon_sym_RBRACK] = ACTIONS(1295),
    [anon_sym_linksection] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_EQ_GT] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_EQ] = ACTIONS(1295),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_GT_GT_EQ] = ACTIONS(1295),
    [anon_sym_AMP_EQ] = ACTIONS(1295),
    [anon_sym_CARET_EQ] = ACTIONS(1295),
    [anon_sym_PIPE_EQ] = ACTIONS(1295),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1295),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_LT_EQ] = ACTIONS(1295),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_orelse] = ACTIONS(1295),
    [anon_sym_catch] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1295),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1297),
    [anon_sym_DASH_PERCENT] = ACTIONS(1297),
    [anon_sym_PLUS_PIPE] = ACTIONS(1297),
    [anon_sym_DASH_PIPE] = ACTIONS(1297),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_STAR_PERCENT] = ACTIONS(1297),
    [anon_sym_STAR_PIPE] = ACTIONS(1297),
    [anon_sym_align] = ACTIONS(1295),
    [anon_sym_DOT_DOT] = ACTIONS(1295),
    [anon_sym_DOT_STAR] = ACTIONS(1295),
    [anon_sym_DOT_QMARK] = ACTIONS(1295),
    [sym_line_comment] = ACTIONS(95),
  },
  [755] = {
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(1299),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(1299),
    [anon_sym_EQ] = ACTIONS(1301),
    [anon_sym_else] = ACTIONS(1299),
    [anon_sym_or] = ACTIONS(1301),
    [anon_sym_and] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1299),
    [anon_sym_RPAREN] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_RBRACK] = ACTIONS(1299),
    [anon_sym_linksection] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_EQ_GT] = ACTIONS(1299),
    [anon_sym_STAR_EQ] = ACTIONS(1299),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1299),
    [anon_sym_SLASH_EQ] = ACTIONS(1299),
    [anon_sym_PERCENT_EQ] = ACTIONS(1299),
    [anon_sym_PLUS_EQ] = ACTIONS(1299),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1299),
    [anon_sym_DASH_EQ] = ACTIONS(1299),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1299),
    [anon_sym_LT_LT_EQ] = ACTIONS(1299),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1299),
    [anon_sym_GT_GT_EQ] = ACTIONS(1299),
    [anon_sym_AMP_EQ] = ACTIONS(1299),
    [anon_sym_CARET_EQ] = ACTIONS(1299),
    [anon_sym_PIPE_EQ] = ACTIONS(1299),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1299),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1299),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1299),
    [anon_sym_EQ_EQ] = ACTIONS(1299),
    [anon_sym_BANG_EQ] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1301),
    [anon_sym_GT] = ACTIONS(1301),
    [anon_sym_LT_EQ] = ACTIONS(1299),
    [anon_sym_GT_EQ] = ACTIONS(1299),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_CARET] = ACTIONS(1301),
    [anon_sym_orelse] = ACTIONS(1299),
    [anon_sym_catch] = ACTIONS(1299),
    [anon_sym_LT_LT] = ACTIONS(1301),
    [anon_sym_GT_GT] = ACTIONS(1301),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1301),
    [anon_sym_PLUS] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1299),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1301),
    [anon_sym_DASH_PERCENT] = ACTIONS(1301),
    [anon_sym_PLUS_PIPE] = ACTIONS(1301),
    [anon_sym_DASH_PIPE] = ACTIONS(1301),
    [anon_sym_PIPE_PIPE] = ACTIONS(1299),
    [anon_sym_SLASH] = ACTIONS(1301),
    [anon_sym_PERCENT] = ACTIONS(1301),
    [anon_sym_STAR_STAR] = ACTIONS(1299),
    [anon_sym_STAR_PERCENT] = ACTIONS(1301),
    [anon_sym_STAR_PIPE] = ACTIONS(1301),
    [anon_sym_align] = ACTIONS(1299),
    [anon_sym_DOT_DOT] = ACTIONS(1299),
    [anon_sym_DOT_STAR] = ACTIONS(1299),
    [anon_sym_DOT_QMARK] = ACTIONS(1299),
    [sym_line_comment] = ACTIONS(95),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1299),
  },
  [756] = {
    [sym__ElseTypeExprTail] = STATE(774),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1305),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_or] = ACTIONS(1305),
    [anon_sym_and] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_linksection] = ACTIONS(1303),
    [anon_sym_PIPE] = ACTIONS(1305),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1303),
    [anon_sym_STAR_EQ] = ACTIONS(1303),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_SLASH_EQ] = ACTIONS(1303),
    [anon_sym_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_DASH_EQ] = ACTIONS(1303),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_LT_LT_EQ] = ACTIONS(1303),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_GT_GT_EQ] = ACTIONS(1303),
    [anon_sym_AMP_EQ] = ACTIONS(1303),
    [anon_sym_CARET_EQ] = ACTIONS(1303),
    [anon_sym_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_EQ_EQ] = ACTIONS(1303),
    [anon_sym_BANG_EQ] = ACTIONS(1303),
    [anon_sym_LT] = ACTIONS(1305),
    [anon_sym_GT] = ACTIONS(1305),
    [anon_sym_LT_EQ] = ACTIONS(1303),
    [anon_sym_GT_EQ] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_CARET] = ACTIONS(1305),
    [anon_sym_orelse] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1303),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1305),
    [anon_sym_DASH_PERCENT] = ACTIONS(1305),
    [anon_sym_PLUS_PIPE] = ACTIONS(1305),
    [anon_sym_DASH_PIPE] = ACTIONS(1305),
    [anon_sym_PIPE_PIPE] = ACTIONS(1303),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_STAR_STAR] = ACTIONS(1303),
    [anon_sym_STAR_PERCENT] = ACTIONS(1305),
    [anon_sym_STAR_PIPE] = ACTIONS(1305),
    [anon_sym_align] = ACTIONS(1303),
    [anon_sym_DOT_DOT] = ACTIONS(1303),
    [anon_sym_DOT_STAR] = ACTIONS(1303),
    [anon_sym_DOT_QMARK] = ACTIONS(1303),
    [sym_line_comment] = ACTIONS(95),
  },
  [757] = {
    [sym__ElseTypeExprTail] = STATE(775),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_COLON] = ACTIONS(1307),
    [anon_sym_EQ] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1307),
    [anon_sym_or] = ACTIONS(1309),
    [anon_sym_and] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_RPAREN] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(1307),
    [anon_sym_linksection] = ACTIONS(1307),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1307),
    [anon_sym_STAR_EQ] = ACTIONS(1307),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_SLASH_EQ] = ACTIONS(1307),
    [anon_sym_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_DASH_EQ] = ACTIONS(1307),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_LT_LT_EQ] = ACTIONS(1307),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_GT_GT_EQ] = ACTIONS(1307),
    [anon_sym_AMP_EQ] = ACTIONS(1307),
    [anon_sym_CARET_EQ] = ACTIONS(1307),
    [anon_sym_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_EQ_EQ] = ACTIONS(1307),
    [anon_sym_BANG_EQ] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_LT_EQ] = ACTIONS(1307),
    [anon_sym_GT_EQ] = ACTIONS(1307),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1309),
    [anon_sym_orelse] = ACTIONS(1307),
    [anon_sym_catch] = ACTIONS(1307),
    [anon_sym_LT_LT] = ACTIONS(1309),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1309),
    [anon_sym_DASH_PERCENT] = ACTIONS(1309),
    [anon_sym_PLUS_PIPE] = ACTIONS(1309),
    [anon_sym_DASH_PIPE] = ACTIONS(1309),
    [anon_sym_PIPE_PIPE] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [anon_sym_STAR_STAR] = ACTIONS(1307),
    [anon_sym_STAR_PERCENT] = ACTIONS(1309),
    [anon_sym_STAR_PIPE] = ACTIONS(1309),
    [anon_sym_align] = ACTIONS(1307),
    [anon_sym_DOT_DOT] = ACTIONS(1307),
    [anon_sym_DOT_STAR] = ACTIONS(1307),
    [anon_sym_DOT_QMARK] = ACTIONS(1307),
    [sym_line_comment] = ACTIONS(95),
  },
  [758] = {
    [sym__ElseTypeExprTail] = STATE(804),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_COLON] = ACTIONS(1311),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1311),
    [anon_sym_or] = ACTIONS(1313),
    [anon_sym_and] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1311),
    [anon_sym_RPAREN] = ACTIONS(1311),
    [anon_sym_LBRACK] = ACTIONS(1311),
    [anon_sym_RBRACK] = ACTIONS(1311),
    [anon_sym_linksection] = ACTIONS(1311),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_EQ_GT] = ACTIONS(1311),
    [anon_sym_STAR_EQ] = ACTIONS(1311),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_SLASH_EQ] = ACTIONS(1311),
    [anon_sym_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_DASH_EQ] = ACTIONS(1311),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_GT_GT_EQ] = ACTIONS(1311),
    [anon_sym_AMP_EQ] = ACTIONS(1311),
    [anon_sym_CARET_EQ] = ACTIONS(1311),
    [anon_sym_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_EQ_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(1313),
    [anon_sym_orelse] = ACTIONS(1311),
    [anon_sym_catch] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1313),
    [anon_sym_GT_GT] = ACTIONS(1313),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1313),
    [anon_sym_DASH_PERCENT] = ACTIONS(1313),
    [anon_sym_PLUS_PIPE] = ACTIONS(1313),
    [anon_sym_DASH_PIPE] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1311),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(1313),
    [anon_sym_STAR_STAR] = ACTIONS(1311),
    [anon_sym_STAR_PERCENT] = ACTIONS(1313),
    [anon_sym_STAR_PIPE] = ACTIONS(1313),
    [anon_sym_align] = ACTIONS(1311),
    [anon_sym_DOT_DOT] = ACTIONS(1311),
    [anon_sym_DOT_STAR] = ACTIONS(1311),
    [anon_sym_DOT_QMARK] = ACTIONS(1311),
    [sym_line_comment] = ACTIONS(95),
  },
  [759] = {
    [anon_sym_COMMA] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_COLON] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_or] = ACTIONS(1317),
    [anon_sym_and] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_RPAREN] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1315),
    [anon_sym_RBRACK] = ACTIONS(1315),
    [anon_sym_linksection] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_orelse] = ACTIONS(1315),
    [anon_sym_catch] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1317),
    [anon_sym_DASH_PERCENT] = ACTIONS(1317),
    [anon_sym_PLUS_PIPE] = ACTIONS(1317),
    [anon_sym_DASH_PIPE] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_PIPE] = ACTIONS(1317),
    [anon_sym_align] = ACTIONS(1315),
    [anon_sym_DOT_DOT] = ACTIONS(1315),
    [anon_sym_DOT_STAR] = ACTIONS(1315),
    [anon_sym_DOT_QMARK] = ACTIONS(1315),
    [sym_line_comment] = ACTIONS(95),
  },
  [760] = {
    [anon_sym_COMMA] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(1319),
    [anon_sym_EQ] = ACTIONS(1321),
    [anon_sym_else] = ACTIONS(1319),
    [anon_sym_or] = ACTIONS(1321),
    [anon_sym_and] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1319),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym_RPAREN] = ACTIONS(1319),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_RBRACK] = ACTIONS(1319),
    [anon_sym_linksection] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_EQ_GT] = ACTIONS(1319),
    [anon_sym_STAR_EQ] = ACTIONS(1319),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1319),
    [anon_sym_SLASH_EQ] = ACTIONS(1319),
    [anon_sym_PERCENT_EQ] = ACTIONS(1319),
    [anon_sym_PLUS_EQ] = ACTIONS(1319),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1319),
    [anon_sym_DASH_EQ] = ACTIONS(1319),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1319),
    [anon_sym_LT_LT_EQ] = ACTIONS(1319),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1319),
    [anon_sym_GT_GT_EQ] = ACTIONS(1319),
    [anon_sym_AMP_EQ] = ACTIONS(1319),
    [anon_sym_CARET_EQ] = ACTIONS(1319),
    [anon_sym_PIPE_EQ] = ACTIONS(1319),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1319),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1319),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1321),
    [anon_sym_GT] = ACTIONS(1321),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_CARET] = ACTIONS(1321),
    [anon_sym_orelse] = ACTIONS(1319),
    [anon_sym_catch] = ACTIONS(1319),
    [anon_sym_LT_LT] = ACTIONS(1321),
    [anon_sym_GT_GT] = ACTIONS(1321),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1321),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1319),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1321),
    [anon_sym_DASH_PERCENT] = ACTIONS(1321),
    [anon_sym_PLUS_PIPE] = ACTIONS(1321),
    [anon_sym_DASH_PIPE] = ACTIONS(1321),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_SLASH] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(1321),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_STAR_PERCENT] = ACTIONS(1321),
    [anon_sym_STAR_PIPE] = ACTIONS(1321),
    [anon_sym_align] = ACTIONS(1319),
    [anon_sym_DOT_DOT] = ACTIONS(1319),
    [anon_sym_DOT_STAR] = ACTIONS(1319),
    [anon_sym_DOT_QMARK] = ACTIONS(1319),
    [sym_line_comment] = ACTIONS(95),
  },
  [761] = {
    [anon_sym_COMMA] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_COLON] = ACTIONS(1323),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_or] = ACTIONS(1325),
    [anon_sym_and] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1323),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [anon_sym_DOT] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1323),
    [anon_sym_RPAREN] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_RBRACK] = ACTIONS(1323),
    [anon_sym_linksection] = ACTIONS(1323),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_STAR_EQ] = ACTIONS(1323),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_SLASH_EQ] = ACTIONS(1323),
    [anon_sym_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_DASH_EQ] = ACTIONS(1323),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_LT_LT_EQ] = ACTIONS(1323),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_GT_GT_EQ] = ACTIONS(1323),
    [anon_sym_AMP_EQ] = ACTIONS(1323),
    [anon_sym_CARET_EQ] = ACTIONS(1323),
    [anon_sym_PIPE_EQ] = ACTIONS(1323),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1323),
    [anon_sym_EQ_EQ] = ACTIONS(1323),
    [anon_sym_BANG_EQ] = ACTIONS(1323),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1323),
    [anon_sym_GT_EQ] = ACTIONS(1323),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_orelse] = ACTIONS(1323),
    [anon_sym_catch] = ACTIONS(1323),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1325),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1323),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1325),
    [anon_sym_DASH_PERCENT] = ACTIONS(1325),
    [anon_sym_PLUS_PIPE] = ACTIONS(1325),
    [anon_sym_DASH_PIPE] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1323),
    [anon_sym_SLASH] = ACTIONS(1325),
    [anon_sym_PERCENT] = ACTIONS(1325),
    [anon_sym_STAR_STAR] = ACTIONS(1323),
    [anon_sym_STAR_PERCENT] = ACTIONS(1325),
    [anon_sym_STAR_PIPE] = ACTIONS(1325),
    [anon_sym_align] = ACTIONS(1323),
    [anon_sym_DOT_DOT] = ACTIONS(1323),
    [anon_sym_DOT_STAR] = ACTIONS(1323),
    [anon_sym_DOT_QMARK] = ACTIONS(1323),
    [sym_line_comment] = ACTIONS(95),
  },
  [762] = {
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(522),
    [anon_sym_or] = ACTIONS(524),
    [anon_sym_and] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_linksection] = ACTIONS(522),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_EQ_GT] = ACTIONS(522),
    [anon_sym_STAR_EQ] = ACTIONS(522),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(522),
    [anon_sym_SLASH_EQ] = ACTIONS(522),
    [anon_sym_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_EQ] = ACTIONS(522),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(522),
    [anon_sym_GT_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP_EQ] = ACTIONS(522),
    [anon_sym_CARET_EQ] = ACTIONS(522),
    [anon_sym_PIPE_EQ] = ACTIONS(522),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_orelse] = ACTIONS(522),
    [anon_sym_catch] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT_PIPE] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_PLUS_PERCENT] = ACTIONS(524),
    [anon_sym_DASH_PERCENT] = ACTIONS(524),
    [anon_sym_PLUS_PIPE] = ACTIONS(524),
    [anon_sym_DASH_PIPE] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_STAR_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_PIPE] = ACTIONS(524),
    [anon_sym_align] = ACTIONS(522),
    [anon_sym_DOT_DOT] = ACTIONS(522),
    [anon_sym_DOT_STAR] = ACTIONS(522),
    [anon_sym_DOT_QMARK] = ACTIONS(522),
    [sym_line_comment] = ACTIONS(95),
  },
  [763] = {
    [anon_sym_COMMA] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_COLON] = ACTIONS(1327),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_else] = ACTIONS(1327),
    [anon_sym_or] = ACTIONS(1329),
    [anon_sym_and] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1327),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [anon_sym_DOT] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(1327),
    [anon_sym_RPAREN] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(1327),
    [anon_sym_linksection] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_EQ_GT] = ACTIONS(1327),
    [anon_sym_STAR_EQ] = ACTIONS(1327),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1327),
    [anon_sym_SLASH_EQ] = ACTIONS(1327),
    [anon_sym_PERCENT_EQ] = ACTIONS(1327),
    [anon_sym_PLUS_EQ] = ACTIONS(1327),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1327),
    [anon_sym_DASH_EQ] = ACTIONS(1327),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1327),
    [anon_sym_LT_LT_EQ] = ACTIONS(1327),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1327),
    [anon_sym_GT_GT_EQ] = ACTIONS(1327),
    [anon_sym_AMP_EQ] = ACTIONS(1327),
    [anon_sym_CARET_EQ] = ACTIONS(1327),
    [anon_sym_PIPE_EQ] = ACTIONS(1327),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1327),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1327),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_CARET] = ACTIONS(1329),
    [anon_sym_orelse] = ACTIONS(1327),
    [anon_sym_catch] = ACTIONS(1327),
    [anon_sym_LT_LT] = ACTIONS(1329),
    [anon_sym_GT_GT] = ACTIONS(1329),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1327),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1329),
    [anon_sym_DASH_PERCENT] = ACTIONS(1329),
    [anon_sym_PLUS_PIPE] = ACTIONS(1329),
    [anon_sym_DASH_PIPE] = ACTIONS(1329),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_SLASH] = ACTIONS(1329),
    [anon_sym_PERCENT] = ACTIONS(1329),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_STAR_PERCENT] = ACTIONS(1329),
    [anon_sym_STAR_PIPE] = ACTIONS(1329),
    [anon_sym_align] = ACTIONS(1327),
    [anon_sym_DOT_DOT] = ACTIONS(1327),
    [anon_sym_DOT_STAR] = ACTIONS(1327),
    [anon_sym_DOT_QMARK] = ACTIONS(1327),
    [sym_line_comment] = ACTIONS(95),
  },
  [764] = {
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_COLON] = ACTIONS(1331),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1331),
    [anon_sym_or] = ACTIONS(1333),
    [anon_sym_and] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [anon_sym_DOT] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_RPAREN] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_RBRACK] = ACTIONS(1331),
    [anon_sym_linksection] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_EQ_GT] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1331),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1331),
    [anon_sym_SLASH_EQ] = ACTIONS(1331),
    [anon_sym_PERCENT_EQ] = ACTIONS(1331),
    [anon_sym_PLUS_EQ] = ACTIONS(1331),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1331),
    [anon_sym_DASH_EQ] = ACTIONS(1331),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1331),
    [anon_sym_LT_LT_EQ] = ACTIONS(1331),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1331),
    [anon_sym_GT_GT_EQ] = ACTIONS(1331),
    [anon_sym_AMP_EQ] = ACTIONS(1331),
    [anon_sym_CARET_EQ] = ACTIONS(1331),
    [anon_sym_PIPE_EQ] = ACTIONS(1331),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1331),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1331),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1331),
    [anon_sym_EQ_EQ] = ACTIONS(1331),
    [anon_sym_BANG_EQ] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1331),
    [anon_sym_GT_EQ] = ACTIONS(1331),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1333),
    [anon_sym_orelse] = ACTIONS(1331),
    [anon_sym_catch] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1333),
    [anon_sym_GT_GT] = ACTIONS(1333),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1331),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1333),
    [anon_sym_DASH_PERCENT] = ACTIONS(1333),
    [anon_sym_PLUS_PIPE] = ACTIONS(1333),
    [anon_sym_DASH_PIPE] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(1333),
    [anon_sym_PERCENT] = ACTIONS(1333),
    [anon_sym_STAR_STAR] = ACTIONS(1331),
    [anon_sym_STAR_PERCENT] = ACTIONS(1333),
    [anon_sym_STAR_PIPE] = ACTIONS(1333),
    [anon_sym_align] = ACTIONS(1331),
    [anon_sym_DOT_DOT] = ACTIONS(1331),
    [anon_sym_DOT_STAR] = ACTIONS(1331),
    [anon_sym_DOT_QMARK] = ACTIONS(1331),
    [sym_line_comment] = ACTIONS(95),
  },
  [765] = {
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_else] = ACTIONS(1335),
    [anon_sym_or] = ACTIONS(1337),
    [anon_sym_and] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1335),
    [anon_sym_RBRACK] = ACTIONS(1335),
    [anon_sym_linksection] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1337),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1335),
    [anon_sym_STAR_EQ] = ACTIONS(1335),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1335),
    [anon_sym_SLASH_EQ] = ACTIONS(1335),
    [anon_sym_PERCENT_EQ] = ACTIONS(1335),
    [anon_sym_PLUS_EQ] = ACTIONS(1335),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1335),
    [anon_sym_DASH_EQ] = ACTIONS(1335),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1335),
    [anon_sym_GT_GT_EQ] = ACTIONS(1335),
    [anon_sym_AMP_EQ] = ACTIONS(1335),
    [anon_sym_CARET_EQ] = ACTIONS(1335),
    [anon_sym_PIPE_EQ] = ACTIONS(1335),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1335),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1335),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1337),
    [anon_sym_orelse] = ACTIONS(1335),
    [anon_sym_catch] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1337),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1335),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1337),
    [anon_sym_DASH_PERCENT] = ACTIONS(1337),
    [anon_sym_PLUS_PIPE] = ACTIONS(1337),
    [anon_sym_DASH_PIPE] = ACTIONS(1337),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_SLASH] = ACTIONS(1337),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_STAR_PERCENT] = ACTIONS(1337),
    [anon_sym_STAR_PIPE] = ACTIONS(1337),
    [anon_sym_align] = ACTIONS(1335),
    [anon_sym_DOT_DOT] = ACTIONS(1335),
    [anon_sym_DOT_STAR] = ACTIONS(1335),
    [anon_sym_DOT_QMARK] = ACTIONS(1335),
    [sym_line_comment] = ACTIONS(95),
  },
  [766] = {
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_COLON] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1339),
    [anon_sym_or] = ACTIONS(1341),
    [anon_sym_and] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_DOT] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_RPAREN] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_RBRACK] = ACTIONS(1339),
    [anon_sym_linksection] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_EQ_GT] = ACTIONS(1339),
    [anon_sym_STAR_EQ] = ACTIONS(1339),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1339),
    [anon_sym_SLASH_EQ] = ACTIONS(1339),
    [anon_sym_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_PLUS_EQ] = ACTIONS(1339),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1339),
    [anon_sym_DASH_EQ] = ACTIONS(1339),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1339),
    [anon_sym_LT_LT_EQ] = ACTIONS(1339),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1339),
    [anon_sym_GT_GT_EQ] = ACTIONS(1339),
    [anon_sym_AMP_EQ] = ACTIONS(1339),
    [anon_sym_CARET_EQ] = ACTIONS(1339),
    [anon_sym_PIPE_EQ] = ACTIONS(1339),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_EQ_EQ] = ACTIONS(1339),
    [anon_sym_BANG_EQ] = ACTIONS(1339),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1339),
    [anon_sym_GT_EQ] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1341),
    [anon_sym_orelse] = ACTIONS(1339),
    [anon_sym_catch] = ACTIONS(1339),
    [anon_sym_LT_LT] = ACTIONS(1341),
    [anon_sym_GT_GT] = ACTIONS(1341),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1341),
    [anon_sym_DASH_PERCENT] = ACTIONS(1341),
    [anon_sym_PLUS_PIPE] = ACTIONS(1341),
    [anon_sym_DASH_PIPE] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1341),
    [anon_sym_STAR_STAR] = ACTIONS(1339),
    [anon_sym_STAR_PERCENT] = ACTIONS(1341),
    [anon_sym_STAR_PIPE] = ACTIONS(1341),
    [anon_sym_align] = ACTIONS(1339),
    [anon_sym_DOT_DOT] = ACTIONS(1339),
    [anon_sym_DOT_STAR] = ACTIONS(1339),
    [anon_sym_DOT_QMARK] = ACTIONS(1339),
    [sym_line_comment] = ACTIONS(95),
  },
  [767] = {
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(1343),
    [anon_sym_or] = ACTIONS(1345),
    [anon_sym_and] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_RBRACE] = ACTIONS(1343),
    [anon_sym_DOT] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_RBRACK] = ACTIONS(1343),
    [anon_sym_linksection] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_EQ_GT] = ACTIONS(1343),
    [anon_sym_STAR_EQ] = ACTIONS(1343),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1343),
    [anon_sym_SLASH_EQ] = ACTIONS(1343),
    [anon_sym_PERCENT_EQ] = ACTIONS(1343),
    [anon_sym_PLUS_EQ] = ACTIONS(1343),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1343),
    [anon_sym_DASH_EQ] = ACTIONS(1343),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1343),
    [anon_sym_LT_LT_EQ] = ACTIONS(1343),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1343),
    [anon_sym_GT_GT_EQ] = ACTIONS(1343),
    [anon_sym_AMP_EQ] = ACTIONS(1343),
    [anon_sym_CARET_EQ] = ACTIONS(1343),
    [anon_sym_PIPE_EQ] = ACTIONS(1343),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1343),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1343),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_CARET] = ACTIONS(1345),
    [anon_sym_orelse] = ACTIONS(1343),
    [anon_sym_catch] = ACTIONS(1343),
    [anon_sym_LT_LT] = ACTIONS(1345),
    [anon_sym_GT_GT] = ACTIONS(1345),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1345),
    [anon_sym_DASH_PERCENT] = ACTIONS(1345),
    [anon_sym_PLUS_PIPE] = ACTIONS(1345),
    [anon_sym_DASH_PIPE] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(1345),
    [anon_sym_PERCENT] = ACTIONS(1345),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_STAR_PERCENT] = ACTIONS(1345),
    [anon_sym_STAR_PIPE] = ACTIONS(1345),
    [anon_sym_align] = ACTIONS(1343),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_DOT_STAR] = ACTIONS(1343),
    [anon_sym_DOT_QMARK] = ACTIONS(1343),
    [sym_line_comment] = ACTIONS(95),
  },
  [768] = {
    [anon_sym_COMMA] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_COLON] = ACTIONS(1347),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_else] = ACTIONS(1347),
    [anon_sym_or] = ACTIONS(1349),
    [anon_sym_and] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_RBRACE] = ACTIONS(1347),
    [anon_sym_DOT] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_RPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1347),
    [anon_sym_RBRACK] = ACTIONS(1347),
    [anon_sym_linksection] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_EQ_GT] = ACTIONS(1347),
    [anon_sym_STAR_EQ] = ACTIONS(1347),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1347),
    [anon_sym_SLASH_EQ] = ACTIONS(1347),
    [anon_sym_PERCENT_EQ] = ACTIONS(1347),
    [anon_sym_PLUS_EQ] = ACTIONS(1347),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1347),
    [anon_sym_DASH_EQ] = ACTIONS(1347),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1347),
    [anon_sym_LT_LT_EQ] = ACTIONS(1347),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1347),
    [anon_sym_GT_GT_EQ] = ACTIONS(1347),
    [anon_sym_AMP_EQ] = ACTIONS(1347),
    [anon_sym_CARET_EQ] = ACTIONS(1347),
    [anon_sym_PIPE_EQ] = ACTIONS(1347),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1347),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1347),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_CARET] = ACTIONS(1349),
    [anon_sym_orelse] = ACTIONS(1347),
    [anon_sym_catch] = ACTIONS(1347),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1347),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1349),
    [anon_sym_DASH_PERCENT] = ACTIONS(1349),
    [anon_sym_PLUS_PIPE] = ACTIONS(1349),
    [anon_sym_DASH_PIPE] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1349),
    [anon_sym_PERCENT] = ACTIONS(1349),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_STAR_PERCENT] = ACTIONS(1349),
    [anon_sym_STAR_PIPE] = ACTIONS(1349),
    [anon_sym_align] = ACTIONS(1347),
    [anon_sym_DOT_DOT] = ACTIONS(1347),
    [anon_sym_DOT_STAR] = ACTIONS(1347),
    [anon_sym_DOT_QMARK] = ACTIONS(1347),
    [sym_line_comment] = ACTIONS(95),
  },
  [769] = {
    [anon_sym_COMMA] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1353),
    [anon_sym_else] = ACTIONS(1351),
    [anon_sym_or] = ACTIONS(1353),
    [anon_sym_and] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1351),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(1353),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_RPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_RBRACK] = ACTIONS(1351),
    [anon_sym_linksection] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_EQ_GT] = ACTIONS(1351),
    [anon_sym_STAR_EQ] = ACTIONS(1351),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1351),
    [anon_sym_SLASH_EQ] = ACTIONS(1351),
    [anon_sym_PERCENT_EQ] = ACTIONS(1351),
    [anon_sym_PLUS_EQ] = ACTIONS(1351),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1351),
    [anon_sym_DASH_EQ] = ACTIONS(1351),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1351),
    [anon_sym_LT_LT_EQ] = ACTIONS(1351),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1351),
    [anon_sym_GT_GT_EQ] = ACTIONS(1351),
    [anon_sym_AMP_EQ] = ACTIONS(1351),
    [anon_sym_CARET_EQ] = ACTIONS(1351),
    [anon_sym_PIPE_EQ] = ACTIONS(1351),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1351),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1351),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_orelse] = ACTIONS(1351),
    [anon_sym_catch] = ACTIONS(1351),
    [anon_sym_LT_LT] = ACTIONS(1353),
    [anon_sym_GT_GT] = ACTIONS(1353),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1351),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1353),
    [anon_sym_DASH_PERCENT] = ACTIONS(1353),
    [anon_sym_PLUS_PIPE] = ACTIONS(1353),
    [anon_sym_DASH_PIPE] = ACTIONS(1353),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_STAR_PERCENT] = ACTIONS(1353),
    [anon_sym_STAR_PIPE] = ACTIONS(1353),
    [anon_sym_align] = ACTIONS(1351),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_DOT_STAR] = ACTIONS(1351),
    [anon_sym_DOT_QMARK] = ACTIONS(1351),
    [sym_line_comment] = ACTIONS(95),
  },
  [770] = {
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_else] = ACTIONS(1355),
    [anon_sym_or] = ACTIONS(1357),
    [anon_sym_and] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_DOT] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_RBRACK] = ACTIONS(1355),
    [anon_sym_linksection] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1355),
    [anon_sym_STAR_EQ] = ACTIONS(1355),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_SLASH_EQ] = ACTIONS(1355),
    [anon_sym_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_PLUS_EQ] = ACTIONS(1355),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_DASH_EQ] = ACTIONS(1355),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_LT_LT_EQ] = ACTIONS(1355),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_GT_GT_EQ] = ACTIONS(1355),
    [anon_sym_AMP_EQ] = ACTIONS(1355),
    [anon_sym_CARET_EQ] = ACTIONS(1355),
    [anon_sym_PIPE_EQ] = ACTIONS(1355),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_EQ_EQ] = ACTIONS(1355),
    [anon_sym_BANG_EQ] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1355),
    [anon_sym_GT_EQ] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_CARET] = ACTIONS(1357),
    [anon_sym_orelse] = ACTIONS(1355),
    [anon_sym_catch] = ACTIONS(1355),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_GT_GT] = ACTIONS(1357),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1357),
    [anon_sym_DASH_PERCENT] = ACTIONS(1357),
    [anon_sym_PLUS_PIPE] = ACTIONS(1357),
    [anon_sym_DASH_PIPE] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1355),
    [anon_sym_SLASH] = ACTIONS(1357),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_STAR_STAR] = ACTIONS(1355),
    [anon_sym_STAR_PERCENT] = ACTIONS(1357),
    [anon_sym_STAR_PIPE] = ACTIONS(1357),
    [anon_sym_align] = ACTIONS(1355),
    [anon_sym_DOT_DOT] = ACTIONS(1355),
    [anon_sym_DOT_STAR] = ACTIONS(1355),
    [anon_sym_DOT_QMARK] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(95),
  },
  [771] = {
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_else] = ACTIONS(1359),
    [anon_sym_or] = ACTIONS(1361),
    [anon_sym_and] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_DOT] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_RBRACK] = ACTIONS(1359),
    [anon_sym_linksection] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_EQ_GT] = ACTIONS(1359),
    [anon_sym_STAR_EQ] = ACTIONS(1359),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1359),
    [anon_sym_SLASH_EQ] = ACTIONS(1359),
    [anon_sym_PERCENT_EQ] = ACTIONS(1359),
    [anon_sym_PLUS_EQ] = ACTIONS(1359),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1359),
    [anon_sym_DASH_EQ] = ACTIONS(1359),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1359),
    [anon_sym_LT_LT_EQ] = ACTIONS(1359),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1359),
    [anon_sym_GT_GT_EQ] = ACTIONS(1359),
    [anon_sym_AMP_EQ] = ACTIONS(1359),
    [anon_sym_CARET_EQ] = ACTIONS(1359),
    [anon_sym_PIPE_EQ] = ACTIONS(1359),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1359),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1359),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_orelse] = ACTIONS(1359),
    [anon_sym_catch] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1361),
    [anon_sym_DASH_PERCENT] = ACTIONS(1361),
    [anon_sym_PLUS_PIPE] = ACTIONS(1361),
    [anon_sym_DASH_PIPE] = ACTIONS(1361),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_STAR_PERCENT] = ACTIONS(1361),
    [anon_sym_STAR_PIPE] = ACTIONS(1361),
    [anon_sym_align] = ACTIONS(1359),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_DOT_STAR] = ACTIONS(1359),
    [anon_sym_DOT_QMARK] = ACTIONS(1359),
    [sym_line_comment] = ACTIONS(95),
  },
  [772] = {
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1365),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_and] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_DOT] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_linksection] = ACTIONS(1363),
    [anon_sym_PIPE] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1365),
    [anon_sym_EQ_GT] = ACTIONS(1363),
    [anon_sym_STAR_EQ] = ACTIONS(1363),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1363),
    [anon_sym_SLASH_EQ] = ACTIONS(1363),
    [anon_sym_PERCENT_EQ] = ACTIONS(1363),
    [anon_sym_PLUS_EQ] = ACTIONS(1363),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1363),
    [anon_sym_DASH_EQ] = ACTIONS(1363),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1363),
    [anon_sym_LT_LT_EQ] = ACTIONS(1363),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1363),
    [anon_sym_GT_GT_EQ] = ACTIONS(1363),
    [anon_sym_AMP_EQ] = ACTIONS(1363),
    [anon_sym_CARET_EQ] = ACTIONS(1363),
    [anon_sym_PIPE_EQ] = ACTIONS(1363),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1363),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1363),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1363),
    [anon_sym_EQ_EQ] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_orelse] = ACTIONS(1363),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_GT_GT] = ACTIONS(1365),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1365),
    [anon_sym_DASH_PERCENT] = ACTIONS(1365),
    [anon_sym_PLUS_PIPE] = ACTIONS(1365),
    [anon_sym_DASH_PIPE] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1363),
    [anon_sym_STAR_PERCENT] = ACTIONS(1365),
    [anon_sym_STAR_PIPE] = ACTIONS(1365),
    [anon_sym_align] = ACTIONS(1363),
    [anon_sym_DOT_DOT] = ACTIONS(1363),
    [anon_sym_DOT_STAR] = ACTIONS(1363),
    [anon_sym_DOT_QMARK] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(95),
  },
  [773] = {
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_else] = ACTIONS(1367),
    [anon_sym_or] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_RBRACK] = ACTIONS(1367),
    [anon_sym_linksection] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1369),
    [anon_sym_EQ_GT] = ACTIONS(1367),
    [anon_sym_STAR_EQ] = ACTIONS(1367),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1367),
    [anon_sym_SLASH_EQ] = ACTIONS(1367),
    [anon_sym_PERCENT_EQ] = ACTIONS(1367),
    [anon_sym_PLUS_EQ] = ACTIONS(1367),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1367),
    [anon_sym_DASH_EQ] = ACTIONS(1367),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1367),
    [anon_sym_GT_GT_EQ] = ACTIONS(1367),
    [anon_sym_AMP_EQ] = ACTIONS(1367),
    [anon_sym_CARET_EQ] = ACTIONS(1367),
    [anon_sym_PIPE_EQ] = ACTIONS(1367),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1367),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1367),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_orelse] = ACTIONS(1367),
    [anon_sym_catch] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1369),
    [anon_sym_DASH_PERCENT] = ACTIONS(1369),
    [anon_sym_PLUS_PIPE] = ACTIONS(1369),
    [anon_sym_DASH_PIPE] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1367),
    [anon_sym_STAR_PERCENT] = ACTIONS(1369),
    [anon_sym_STAR_PIPE] = ACTIONS(1369),
    [anon_sym_align] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1367),
    [anon_sym_DOT_STAR] = ACTIONS(1367),
    [anon_sym_DOT_QMARK] = ACTIONS(1367),
    [sym_line_comment] = ACTIONS(95),
  },
  [774] = {
    [anon_sym_COMMA] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1373),
    [anon_sym_else] = ACTIONS(1371),
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_and] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(1371),
    [anon_sym_RBRACE] = ACTIONS(1371),
    [anon_sym_DOT] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_RPAREN] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [anon_sym_RBRACK] = ACTIONS(1371),
    [anon_sym_linksection] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_EQ_GT] = ACTIONS(1371),
    [anon_sym_STAR_EQ] = ACTIONS(1371),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1371),
    [anon_sym_SLASH_EQ] = ACTIONS(1371),
    [anon_sym_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_PLUS_EQ] = ACTIONS(1371),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1371),
    [anon_sym_DASH_EQ] = ACTIONS(1371),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1371),
    [anon_sym_GT_GT_EQ] = ACTIONS(1371),
    [anon_sym_AMP_EQ] = ACTIONS(1371),
    [anon_sym_CARET_EQ] = ACTIONS(1371),
    [anon_sym_PIPE_EQ] = ACTIONS(1371),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_orelse] = ACTIONS(1371),
    [anon_sym_catch] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PLUS_PLUS] = ACTIONS(1371),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1373),
    [anon_sym_DASH_PERCENT] = ACTIONS(1373),
    [anon_sym_PLUS_PIPE] = ACTIONS(1373),
    [anon_sym_DASH_PIPE] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1371),
    [anon_sym_STAR_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_PIPE] = ACTIONS(1373),
    [anon_sym_align] = ACTIONS(1371),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_DOT_STAR] = ACTIONS(1371),
    [anon_sym_DOT_QMARK] = ACTIONS(1371),
    [sym_line_comment] = ACTIONS(95),
  },
  [775] = {
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1377),
    [anon_sym_else] = ACTIONS(1375),
    [anon_sym_or] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_DOT] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_linksection] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_EQ_GT] = ACTIONS(1375),
    [anon_sym_STAR_EQ] = ACTIONS(1375),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1375),
    [anon_sym_SLASH_EQ] = ACTIONS(1375),
    [anon_sym_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_PLUS_EQ] = ACTIONS(1375),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1375),
    [anon_sym_DASH_EQ] = ACTIONS(1375),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1375),
    [anon_sym_GT_GT_EQ] = ACTIONS(1375),
    [anon_sym_AMP_EQ] = ACTIONS(1375),
    [anon_sym_CARET_EQ] = ACTIONS(1375),
    [anon_sym_PIPE_EQ] = ACTIONS(1375),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_orelse] = ACTIONS(1375),
    [anon_sym_catch] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1377),
    [anon_sym_DASH_PERCENT] = ACTIONS(1377),
    [anon_sym_PLUS_PIPE] = ACTIONS(1377),
    [anon_sym_DASH_PIPE] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_STAR_PERCENT] = ACTIONS(1377),
    [anon_sym_STAR_PIPE] = ACTIONS(1377),
    [anon_sym_align] = ACTIONS(1375),
    [anon_sym_DOT_DOT] = ACTIONS(1375),
    [anon_sym_DOT_STAR] = ACTIONS(1375),
    [anon_sym_DOT_QMARK] = ACTIONS(1375),
    [sym_line_comment] = ACTIONS(95),
  },
  [776] = {
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1381),
    [anon_sym_else] = ACTIONS(1379),
    [anon_sym_or] = ACTIONS(1381),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_RBRACE] = ACTIONS(1379),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_RBRACK] = ACTIONS(1379),
    [anon_sym_linksection] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1379),
    [anon_sym_STAR_EQ] = ACTIONS(1379),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1379),
    [anon_sym_SLASH_EQ] = ACTIONS(1379),
    [anon_sym_PERCENT_EQ] = ACTIONS(1379),
    [anon_sym_PLUS_EQ] = ACTIONS(1379),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1379),
    [anon_sym_DASH_EQ] = ACTIONS(1379),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1379),
    [anon_sym_LT_LT_EQ] = ACTIONS(1379),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1379),
    [anon_sym_GT_GT_EQ] = ACTIONS(1379),
    [anon_sym_AMP_EQ] = ACTIONS(1379),
    [anon_sym_CARET_EQ] = ACTIONS(1379),
    [anon_sym_PIPE_EQ] = ACTIONS(1379),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1379),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1379),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1379),
    [anon_sym_EQ_EQ] = ACTIONS(1379),
    [anon_sym_BANG_EQ] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_orelse] = ACTIONS(1379),
    [anon_sym_catch] = ACTIONS(1379),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1381),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1381),
    [anon_sym_DASH_PERCENT] = ACTIONS(1381),
    [anon_sym_PLUS_PIPE] = ACTIONS(1381),
    [anon_sym_DASH_PIPE] = ACTIONS(1381),
    [anon_sym_PIPE_PIPE] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1379),
    [anon_sym_STAR_PERCENT] = ACTIONS(1381),
    [anon_sym_STAR_PIPE] = ACTIONS(1381),
    [anon_sym_align] = ACTIONS(1379),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_DOT_STAR] = ACTIONS(1379),
    [anon_sym_DOT_QMARK] = ACTIONS(1379),
    [sym_line_comment] = ACTIONS(95),
  },
  [777] = {
    [anon_sym_COMMA] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1383),
    [anon_sym_BANG] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1385),
    [anon_sym_else] = ACTIONS(1383),
    [anon_sym_or] = ACTIONS(1385),
    [anon_sym_and] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [anon_sym_DOT] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1383),
    [anon_sym_RPAREN] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(1383),
    [anon_sym_linksection] = ACTIONS(1383),
    [anon_sym_PIPE] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_STAR_EQ] = ACTIONS(1383),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1383),
    [anon_sym_SLASH_EQ] = ACTIONS(1383),
    [anon_sym_PERCENT_EQ] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1383),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1383),
    [anon_sym_DASH_EQ] = ACTIONS(1383),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1383),
    [anon_sym_LT_LT_EQ] = ACTIONS(1383),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1383),
    [anon_sym_GT_GT_EQ] = ACTIONS(1383),
    [anon_sym_AMP_EQ] = ACTIONS(1383),
    [anon_sym_CARET_EQ] = ACTIONS(1383),
    [anon_sym_PIPE_EQ] = ACTIONS(1383),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1383),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1383),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1383),
    [anon_sym_BANG_EQ] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_orelse] = ACTIONS(1383),
    [anon_sym_catch] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1385),
    [anon_sym_PLUS_PLUS] = ACTIONS(1383),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1385),
    [anon_sym_DASH_PERCENT] = ACTIONS(1385),
    [anon_sym_PLUS_PIPE] = ACTIONS(1385),
    [anon_sym_DASH_PIPE] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1383),
    [anon_sym_STAR_PERCENT] = ACTIONS(1385),
    [anon_sym_STAR_PIPE] = ACTIONS(1385),
    [anon_sym_align] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1383),
    [anon_sym_DOT_STAR] = ACTIONS(1383),
    [anon_sym_DOT_QMARK] = ACTIONS(1383),
    [sym_line_comment] = ACTIONS(95),
  },
  [778] = {
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_else] = ACTIONS(1387),
    [anon_sym_or] = ACTIONS(1389),
    [anon_sym_and] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_DOT] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_RPAREN] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_RBRACK] = ACTIONS(1387),
    [anon_sym_linksection] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_EQ_GT] = ACTIONS(1387),
    [anon_sym_STAR_EQ] = ACTIONS(1387),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1387),
    [anon_sym_SLASH_EQ] = ACTIONS(1387),
    [anon_sym_PERCENT_EQ] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(1387),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1387),
    [anon_sym_DASH_EQ] = ACTIONS(1387),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1387),
    [anon_sym_LT_LT_EQ] = ACTIONS(1387),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1387),
    [anon_sym_GT_GT_EQ] = ACTIONS(1387),
    [anon_sym_AMP_EQ] = ACTIONS(1387),
    [anon_sym_CARET_EQ] = ACTIONS(1387),
    [anon_sym_PIPE_EQ] = ACTIONS(1387),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1387),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1387),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_orelse] = ACTIONS(1387),
    [anon_sym_catch] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1389),
    [anon_sym_DASH_PERCENT] = ACTIONS(1389),
    [anon_sym_PLUS_PIPE] = ACTIONS(1389),
    [anon_sym_DASH_PIPE] = ACTIONS(1389),
    [anon_sym_PIPE_PIPE] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_STAR_PERCENT] = ACTIONS(1389),
    [anon_sym_STAR_PIPE] = ACTIONS(1389),
    [anon_sym_align] = ACTIONS(1387),
    [anon_sym_DOT_DOT] = ACTIONS(1387),
    [anon_sym_DOT_STAR] = ACTIONS(1387),
    [anon_sym_DOT_QMARK] = ACTIONS(1387),
    [sym_line_comment] = ACTIONS(95),
  },
  [779] = {
    [anon_sym_COMMA] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_else] = ACTIONS(1391),
    [anon_sym_or] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_DOT] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1391),
    [anon_sym_linksection] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_EQ_GT] = ACTIONS(1391),
    [anon_sym_STAR_EQ] = ACTIONS(1391),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1391),
    [anon_sym_SLASH_EQ] = ACTIONS(1391),
    [anon_sym_PERCENT_EQ] = ACTIONS(1391),
    [anon_sym_PLUS_EQ] = ACTIONS(1391),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1391),
    [anon_sym_DASH_EQ] = ACTIONS(1391),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1391),
    [anon_sym_LT_LT_EQ] = ACTIONS(1391),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1391),
    [anon_sym_GT_GT_EQ] = ACTIONS(1391),
    [anon_sym_AMP_EQ] = ACTIONS(1391),
    [anon_sym_CARET_EQ] = ACTIONS(1391),
    [anon_sym_PIPE_EQ] = ACTIONS(1391),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1391),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1391),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1391),
    [anon_sym_EQ_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_orelse] = ACTIONS(1391),
    [anon_sym_catch] = ACTIONS(1391),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1393),
    [anon_sym_DASH_PERCENT] = ACTIONS(1393),
    [anon_sym_PLUS_PIPE] = ACTIONS(1393),
    [anon_sym_DASH_PIPE] = ACTIONS(1393),
    [anon_sym_PIPE_PIPE] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_PERCENT] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1391),
    [anon_sym_STAR_PERCENT] = ACTIONS(1393),
    [anon_sym_STAR_PIPE] = ACTIONS(1393),
    [anon_sym_align] = ACTIONS(1391),
    [anon_sym_DOT_DOT] = ACTIONS(1391),
    [anon_sym_DOT_STAR] = ACTIONS(1391),
    [anon_sym_DOT_QMARK] = ACTIONS(1391),
    [sym_line_comment] = ACTIONS(95),
  },
  [780] = {
    [anon_sym_COMMA] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_COLON] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_else] = ACTIONS(1395),
    [anon_sym_or] = ACTIONS(1397),
    [anon_sym_and] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_RPAREN] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_RBRACK] = ACTIONS(1395),
    [anon_sym_linksection] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_EQ_GT] = ACTIONS(1395),
    [anon_sym_STAR_EQ] = ACTIONS(1395),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1395),
    [anon_sym_SLASH_EQ] = ACTIONS(1395),
    [anon_sym_PERCENT_EQ] = ACTIONS(1395),
    [anon_sym_PLUS_EQ] = ACTIONS(1395),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1395),
    [anon_sym_DASH_EQ] = ACTIONS(1395),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1395),
    [anon_sym_LT_LT_EQ] = ACTIONS(1395),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1395),
    [anon_sym_GT_GT_EQ] = ACTIONS(1395),
    [anon_sym_AMP_EQ] = ACTIONS(1395),
    [anon_sym_CARET_EQ] = ACTIONS(1395),
    [anon_sym_PIPE_EQ] = ACTIONS(1395),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1395),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1395),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1395),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1397),
    [anon_sym_GT] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_orelse] = ACTIONS(1395),
    [anon_sym_catch] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1397),
    [anon_sym_DASH_PERCENT] = ACTIONS(1397),
    [anon_sym_PLUS_PIPE] = ACTIONS(1397),
    [anon_sym_DASH_PIPE] = ACTIONS(1397),
    [anon_sym_PIPE_PIPE] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1397),
    [anon_sym_PERCENT] = ACTIONS(1397),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_STAR_PERCENT] = ACTIONS(1397),
    [anon_sym_STAR_PIPE] = ACTIONS(1397),
    [anon_sym_align] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1395),
    [anon_sym_DOT_STAR] = ACTIONS(1395),
    [anon_sym_DOT_QMARK] = ACTIONS(1395),
    [sym_line_comment] = ACTIONS(95),
  },
  [781] = {
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(512),
    [anon_sym_EQ] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_or] = ACTIONS(510),
    [anon_sym_and] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_linksection] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_STAR_EQ] = ACTIONS(512),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(512),
    [anon_sym_SLASH_EQ] = ACTIONS(512),
    [anon_sym_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_EQ] = ACTIONS(512),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(512),
    [anon_sym_GT_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP_EQ] = ACTIONS(512),
    [anon_sym_CARET_EQ] = ACTIONS(512),
    [anon_sym_PIPE_EQ] = ACTIONS(512),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(510),
    [anon_sym_orelse] = ACTIONS(512),
    [anon_sym_catch] = ACTIONS(512),
    [anon_sym_LT_LT] = ACTIONS(510),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_LT_LT_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_PLUS_PERCENT] = ACTIONS(510),
    [anon_sym_DASH_PERCENT] = ACTIONS(510),
    [anon_sym_PLUS_PIPE] = ACTIONS(510),
    [anon_sym_DASH_PIPE] = ACTIONS(510),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_STAR] = ACTIONS(512),
    [anon_sym_STAR_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_PIPE] = ACTIONS(510),
    [anon_sym_align] = ACTIONS(512),
    [anon_sym_DOT_DOT] = ACTIONS(512),
    [anon_sym_DOT_STAR] = ACTIONS(512),
    [anon_sym_DOT_QMARK] = ACTIONS(512),
    [sym_line_comment] = ACTIONS(95),
  },
  [782] = {
    [anon_sym_COMMA] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1399),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1401),
    [anon_sym_else] = ACTIONS(1399),
    [anon_sym_or] = ACTIONS(1401),
    [anon_sym_and] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_RPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1399),
    [anon_sym_RBRACK] = ACTIONS(1399),
    [anon_sym_linksection] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_EQ_GT] = ACTIONS(1399),
    [anon_sym_STAR_EQ] = ACTIONS(1399),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1399),
    [anon_sym_SLASH_EQ] = ACTIONS(1399),
    [anon_sym_PERCENT_EQ] = ACTIONS(1399),
    [anon_sym_PLUS_EQ] = ACTIONS(1399),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1399),
    [anon_sym_DASH_EQ] = ACTIONS(1399),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1399),
    [anon_sym_LT_LT_EQ] = ACTIONS(1399),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1399),
    [anon_sym_GT_GT_EQ] = ACTIONS(1399),
    [anon_sym_AMP_EQ] = ACTIONS(1399),
    [anon_sym_CARET_EQ] = ACTIONS(1399),
    [anon_sym_PIPE_EQ] = ACTIONS(1399),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1399),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1399),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1401),
    [anon_sym_GT] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1399),
    [anon_sym_GT_EQ] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_orelse] = ACTIONS(1399),
    [anon_sym_catch] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1399),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1401),
    [anon_sym_DASH_PERCENT] = ACTIONS(1401),
    [anon_sym_PLUS_PIPE] = ACTIONS(1401),
    [anon_sym_DASH_PIPE] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1401),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_STAR_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_PIPE] = ACTIONS(1401),
    [anon_sym_align] = ACTIONS(1399),
    [anon_sym_DOT_DOT] = ACTIONS(1399),
    [anon_sym_DOT_STAR] = ACTIONS(1399),
    [anon_sym_DOT_QMARK] = ACTIONS(1399),
    [sym_line_comment] = ACTIONS(95),
  },
  [783] = {
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(1403),
    [anon_sym_or] = ACTIONS(1405),
    [anon_sym_and] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_RBRACK] = ACTIONS(1403),
    [anon_sym_linksection] = ACTIONS(1403),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1403),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_orelse] = ACTIONS(1403),
    [anon_sym_catch] = ACTIONS(1403),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1405),
    [anon_sym_DASH_PERCENT] = ACTIONS(1405),
    [anon_sym_PLUS_PIPE] = ACTIONS(1405),
    [anon_sym_DASH_PIPE] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1403),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1403),
    [anon_sym_STAR_PERCENT] = ACTIONS(1405),
    [anon_sym_STAR_PIPE] = ACTIONS(1405),
    [anon_sym_align] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1403),
    [anon_sym_DOT_STAR] = ACTIONS(1403),
    [anon_sym_DOT_QMARK] = ACTIONS(1403),
    [sym_line_comment] = ACTIONS(95),
  },
  [784] = {
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_else] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1409),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_RBRACK] = ACTIONS(1407),
    [anon_sym_linksection] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_orelse] = ACTIONS(1407),
    [anon_sym_catch] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1409),
    [anon_sym_DASH_PERCENT] = ACTIONS(1409),
    [anon_sym_PLUS_PIPE] = ACTIONS(1409),
    [anon_sym_DASH_PIPE] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1409),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_STAR_PERCENT] = ACTIONS(1409),
    [anon_sym_STAR_PIPE] = ACTIONS(1409),
    [anon_sym_align] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_DOT_STAR] = ACTIONS(1407),
    [anon_sym_DOT_QMARK] = ACTIONS(1407),
    [sym_line_comment] = ACTIONS(95),
  },
  [785] = {
    [anon_sym_COMMA] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1413),
    [anon_sym_else] = ACTIONS(1411),
    [anon_sym_or] = ACTIONS(1413),
    [anon_sym_and] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_DOT] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_RBRACK] = ACTIONS(1411),
    [anon_sym_linksection] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_STAR_EQ] = ACTIONS(1411),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1411),
    [anon_sym_SLASH_EQ] = ACTIONS(1411),
    [anon_sym_PERCENT_EQ] = ACTIONS(1411),
    [anon_sym_PLUS_EQ] = ACTIONS(1411),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1411),
    [anon_sym_DASH_EQ] = ACTIONS(1411),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1411),
    [anon_sym_LT_LT_EQ] = ACTIONS(1411),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1411),
    [anon_sym_GT_GT_EQ] = ACTIONS(1411),
    [anon_sym_AMP_EQ] = ACTIONS(1411),
    [anon_sym_CARET_EQ] = ACTIONS(1411),
    [anon_sym_PIPE_EQ] = ACTIONS(1411),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1411),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1411),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_orelse] = ACTIONS(1411),
    [anon_sym_catch] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1413),
    [anon_sym_DASH_PERCENT] = ACTIONS(1413),
    [anon_sym_PLUS_PIPE] = ACTIONS(1413),
    [anon_sym_DASH_PIPE] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_STAR_PERCENT] = ACTIONS(1413),
    [anon_sym_STAR_PIPE] = ACTIONS(1413),
    [anon_sym_align] = ACTIONS(1411),
    [anon_sym_DOT_DOT] = ACTIONS(1411),
    [anon_sym_DOT_STAR] = ACTIONS(1411),
    [anon_sym_DOT_QMARK] = ACTIONS(1411),
    [sym_line_comment] = ACTIONS(95),
  },
  [786] = {
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1417),
    [anon_sym_COLON] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(1415),
    [anon_sym_or] = ACTIONS(1417),
    [anon_sym_and] = ACTIONS(1415),
    [anon_sym_LBRACE] = ACTIONS(1415),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_DOT] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_linksection] = ACTIONS(1415),
    [anon_sym_PIPE] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_EQ_GT] = ACTIONS(1415),
    [anon_sym_STAR_EQ] = ACTIONS(1415),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1415),
    [anon_sym_SLASH_EQ] = ACTIONS(1415),
    [anon_sym_PERCENT_EQ] = ACTIONS(1415),
    [anon_sym_PLUS_EQ] = ACTIONS(1415),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1415),
    [anon_sym_DASH_EQ] = ACTIONS(1415),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1415),
    [anon_sym_LT_LT_EQ] = ACTIONS(1415),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1415),
    [anon_sym_GT_GT_EQ] = ACTIONS(1415),
    [anon_sym_AMP_EQ] = ACTIONS(1415),
    [anon_sym_CARET_EQ] = ACTIONS(1415),
    [anon_sym_PIPE_EQ] = ACTIONS(1415),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1415),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1415),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1415),
    [anon_sym_BANG_EQ] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1417),
    [anon_sym_GT] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_orelse] = ACTIONS(1415),
    [anon_sym_catch] = ACTIONS(1415),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1417),
    [anon_sym_DASH_PERCENT] = ACTIONS(1417),
    [anon_sym_PLUS_PIPE] = ACTIONS(1417),
    [anon_sym_DASH_PIPE] = ACTIONS(1417),
    [anon_sym_PIPE_PIPE] = ACTIONS(1415),
    [anon_sym_SLASH] = ACTIONS(1417),
    [anon_sym_PERCENT] = ACTIONS(1417),
    [anon_sym_STAR_STAR] = ACTIONS(1415),
    [anon_sym_STAR_PERCENT] = ACTIONS(1417),
    [anon_sym_STAR_PIPE] = ACTIONS(1417),
    [anon_sym_align] = ACTIONS(1415),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_DOT_STAR] = ACTIONS(1415),
    [anon_sym_DOT_QMARK] = ACTIONS(1415),
    [sym_line_comment] = ACTIONS(95),
  },
  [787] = {
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_COLON] = ACTIONS(548),
    [anon_sym_EQ] = ACTIONS(546),
    [anon_sym_else] = ACTIONS(548),
    [anon_sym_or] = ACTIONS(546),
    [anon_sym_and] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_DOT] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_RPAREN] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_RBRACK] = ACTIONS(548),
    [anon_sym_linksection] = ACTIONS(548),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_EQ_GT] = ACTIONS(548),
    [anon_sym_STAR_EQ] = ACTIONS(548),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(548),
    [anon_sym_SLASH_EQ] = ACTIONS(548),
    [anon_sym_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(548),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(548),
    [anon_sym_DASH_EQ] = ACTIONS(548),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(548),
    [anon_sym_LT_LT_EQ] = ACTIONS(548),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(548),
    [anon_sym_GT_GT_EQ] = ACTIONS(548),
    [anon_sym_AMP_EQ] = ACTIONS(548),
    [anon_sym_CARET_EQ] = ACTIONS(548),
    [anon_sym_PIPE_EQ] = ACTIONS(548),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(546),
    [anon_sym_orelse] = ACTIONS(548),
    [anon_sym_catch] = ACTIONS(548),
    [anon_sym_LT_LT] = ACTIONS(546),
    [anon_sym_GT_GT] = ACTIONS(546),
    [anon_sym_LT_LT_PIPE] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(548),
    [anon_sym_PLUS_PERCENT] = ACTIONS(546),
    [anon_sym_DASH_PERCENT] = ACTIONS(546),
    [anon_sym_PLUS_PIPE] = ACTIONS(546),
    [anon_sym_DASH_PIPE] = ACTIONS(546),
    [anon_sym_PIPE_PIPE] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_STAR] = ACTIONS(548),
    [anon_sym_STAR_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_PIPE] = ACTIONS(546),
    [anon_sym_align] = ACTIONS(548),
    [anon_sym_DOT_DOT] = ACTIONS(548),
    [anon_sym_DOT_STAR] = ACTIONS(548),
    [anon_sym_DOT_QMARK] = ACTIONS(548),
    [sym_line_comment] = ACTIONS(95),
  },
  [788] = {
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_BANG] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_else] = ACTIONS(1419),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_and] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_linksection] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_EQ_GT] = ACTIONS(1419),
    [anon_sym_STAR_EQ] = ACTIONS(1419),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_SLASH_EQ] = ACTIONS(1419),
    [anon_sym_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_PLUS_EQ] = ACTIONS(1419),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_DASH_EQ] = ACTIONS(1419),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1419),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_GT_GT_EQ] = ACTIONS(1419),
    [anon_sym_AMP_EQ] = ACTIONS(1419),
    [anon_sym_CARET_EQ] = ACTIONS(1419),
    [anon_sym_PIPE_EQ] = ACTIONS(1419),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ] = ACTIONS(1419),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_orelse] = ACTIONS(1419),
    [anon_sym_catch] = ACTIONS(1419),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1421),
    [anon_sym_DASH_PERCENT] = ACTIONS(1421),
    [anon_sym_PLUS_PIPE] = ACTIONS(1421),
    [anon_sym_DASH_PIPE] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1419),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_STAR_PERCENT] = ACTIONS(1421),
    [anon_sym_STAR_PIPE] = ACTIONS(1421),
    [anon_sym_align] = ACTIONS(1419),
    [anon_sym_DOT_DOT] = ACTIONS(1419),
    [anon_sym_DOT_STAR] = ACTIONS(1419),
    [anon_sym_DOT_QMARK] = ACTIONS(1419),
    [sym_line_comment] = ACTIONS(95),
  },
  [789] = {
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1423),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1425),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_or] = ACTIONS(1425),
    [anon_sym_and] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [anon_sym_linksection] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1425),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_EQ_GT] = ACTIONS(1423),
    [anon_sym_STAR_EQ] = ACTIONS(1423),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_DASH_EQ] = ACTIONS(1423),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_GT_GT_EQ] = ACTIONS(1423),
    [anon_sym_AMP_EQ] = ACTIONS(1423),
    [anon_sym_CARET_EQ] = ACTIONS(1423),
    [anon_sym_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1425),
    [anon_sym_GT] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_orelse] = ACTIONS(1423),
    [anon_sym_catch] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1423),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1425),
    [anon_sym_DASH_PERCENT] = ACTIONS(1425),
    [anon_sym_PLUS_PIPE] = ACTIONS(1425),
    [anon_sym_DASH_PIPE] = ACTIONS(1425),
    [anon_sym_PIPE_PIPE] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(1425),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_STAR_PERCENT] = ACTIONS(1425),
    [anon_sym_STAR_PIPE] = ACTIONS(1425),
    [anon_sym_align] = ACTIONS(1423),
    [anon_sym_DOT_DOT] = ACTIONS(1423),
    [anon_sym_DOT_STAR] = ACTIONS(1423),
    [anon_sym_DOT_QMARK] = ACTIONS(1423),
    [sym_line_comment] = ACTIONS(95),
  },
  [790] = {
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1429),
    [anon_sym_COLON] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_or] = ACTIONS(1429),
    [anon_sym_and] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_RBRACK] = ACTIONS(1427),
    [anon_sym_linksection] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1427),
    [anon_sym_STAR_EQ] = ACTIONS(1427),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_SLASH_EQ] = ACTIONS(1427),
    [anon_sym_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_DASH_EQ] = ACTIONS(1427),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_LT_LT_EQ] = ACTIONS(1427),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_GT_GT_EQ] = ACTIONS(1427),
    [anon_sym_AMP_EQ] = ACTIONS(1427),
    [anon_sym_CARET_EQ] = ACTIONS(1427),
    [anon_sym_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_orelse] = ACTIONS(1427),
    [anon_sym_catch] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1429),
    [anon_sym_DASH_PERCENT] = ACTIONS(1429),
    [anon_sym_PLUS_PIPE] = ACTIONS(1429),
    [anon_sym_DASH_PIPE] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1427),
    [anon_sym_SLASH] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1427),
    [anon_sym_STAR_PERCENT] = ACTIONS(1429),
    [anon_sym_STAR_PIPE] = ACTIONS(1429),
    [anon_sym_align] = ACTIONS(1427),
    [anon_sym_DOT_DOT] = ACTIONS(1427),
    [anon_sym_DOT_STAR] = ACTIONS(1427),
    [anon_sym_DOT_QMARK] = ACTIONS(1427),
    [sym_line_comment] = ACTIONS(95),
  },
  [791] = {
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_COLON] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1431),
    [anon_sym_or] = ACTIONS(1433),
    [anon_sym_and] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1431),
    [anon_sym_RBRACK] = ACTIONS(1431),
    [anon_sym_linksection] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_EQ_GT] = ACTIONS(1431),
    [anon_sym_STAR_EQ] = ACTIONS(1431),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_SLASH_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_DASH_EQ] = ACTIONS(1431),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_LT_LT_EQ] = ACTIONS(1431),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_GT_GT_EQ] = ACTIONS(1431),
    [anon_sym_AMP_EQ] = ACTIONS(1431),
    [anon_sym_CARET_EQ] = ACTIONS(1431),
    [anon_sym_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_orelse] = ACTIONS(1431),
    [anon_sym_catch] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1433),
    [anon_sym_DASH_PERCENT] = ACTIONS(1433),
    [anon_sym_PLUS_PIPE] = ACTIONS(1433),
    [anon_sym_DASH_PIPE] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1431),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_STAR_STAR] = ACTIONS(1431),
    [anon_sym_STAR_PERCENT] = ACTIONS(1433),
    [anon_sym_STAR_PIPE] = ACTIONS(1433),
    [anon_sym_align] = ACTIONS(1431),
    [anon_sym_DOT_DOT] = ACTIONS(1431),
    [anon_sym_DOT_STAR] = ACTIONS(1431),
    [anon_sym_DOT_QMARK] = ACTIONS(1431),
    [sym_line_comment] = ACTIONS(95),
  },
  [792] = {
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1437),
    [anon_sym_COLON] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1435),
    [anon_sym_or] = ACTIONS(1437),
    [anon_sym_and] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_DOT] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_linksection] = ACTIONS(1435),
    [anon_sym_PIPE] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_EQ_GT] = ACTIONS(1435),
    [anon_sym_STAR_EQ] = ACTIONS(1435),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_SLASH_EQ] = ACTIONS(1435),
    [anon_sym_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_DASH_EQ] = ACTIONS(1435),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_LT_LT_EQ] = ACTIONS(1435),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_GT_GT_EQ] = ACTIONS(1435),
    [anon_sym_AMP_EQ] = ACTIONS(1435),
    [anon_sym_CARET_EQ] = ACTIONS(1435),
    [anon_sym_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1435),
    [anon_sym_BANG_EQ] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1437),
    [anon_sym_GT] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_orelse] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1435),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1437),
    [anon_sym_DASH_PERCENT] = ACTIONS(1437),
    [anon_sym_PLUS_PIPE] = ACTIONS(1437),
    [anon_sym_DASH_PIPE] = ACTIONS(1437),
    [anon_sym_PIPE_PIPE] = ACTIONS(1435),
    [anon_sym_SLASH] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(1437),
    [anon_sym_STAR_STAR] = ACTIONS(1435),
    [anon_sym_STAR_PERCENT] = ACTIONS(1437),
    [anon_sym_STAR_PIPE] = ACTIONS(1437),
    [anon_sym_align] = ACTIONS(1435),
    [anon_sym_DOT_DOT] = ACTIONS(1435),
    [anon_sym_DOT_STAR] = ACTIONS(1435),
    [anon_sym_DOT_QMARK] = ACTIONS(1435),
    [sym_line_comment] = ACTIONS(95),
  },
  [793] = {
    [anon_sym_COMMA] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1441),
    [anon_sym_COLON] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1439),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1439),
    [anon_sym_RBRACK] = ACTIONS(1439),
    [anon_sym_linksection] = ACTIONS(1439),
    [anon_sym_PIPE] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_EQ_GT] = ACTIONS(1439),
    [anon_sym_STAR_EQ] = ACTIONS(1439),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_SLASH_EQ] = ACTIONS(1439),
    [anon_sym_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_DASH_EQ] = ACTIONS(1439),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_LT_LT_EQ] = ACTIONS(1439),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_GT_GT_EQ] = ACTIONS(1439),
    [anon_sym_AMP_EQ] = ACTIONS(1439),
    [anon_sym_CARET_EQ] = ACTIONS(1439),
    [anon_sym_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_EQ_EQ] = ACTIONS(1439),
    [anon_sym_BANG_EQ] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1439),
    [anon_sym_GT_EQ] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_orelse] = ACTIONS(1439),
    [anon_sym_catch] = ACTIONS(1439),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1441),
    [anon_sym_DASH_PERCENT] = ACTIONS(1441),
    [anon_sym_PLUS_PIPE] = ACTIONS(1441),
    [anon_sym_DASH_PIPE] = ACTIONS(1441),
    [anon_sym_PIPE_PIPE] = ACTIONS(1439),
    [anon_sym_SLASH] = ACTIONS(1441),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1439),
    [anon_sym_STAR_PERCENT] = ACTIONS(1441),
    [anon_sym_STAR_PIPE] = ACTIONS(1441),
    [anon_sym_align] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_DOT_STAR] = ACTIONS(1439),
    [anon_sym_DOT_QMARK] = ACTIONS(1439),
    [sym_line_comment] = ACTIONS(95),
  },
  [794] = {
    [anon_sym_COMMA] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1445),
    [anon_sym_COLON] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_or] = ACTIONS(1445),
    [anon_sym_and] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1443),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1443),
    [anon_sym_RBRACK] = ACTIONS(1443),
    [anon_sym_linksection] = ACTIONS(1443),
    [anon_sym_PIPE] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_EQ_GT] = ACTIONS(1443),
    [anon_sym_STAR_EQ] = ACTIONS(1443),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_SLASH_EQ] = ACTIONS(1443),
    [anon_sym_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_DASH_EQ] = ACTIONS(1443),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_LT_LT_EQ] = ACTIONS(1443),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_GT_GT_EQ] = ACTIONS(1443),
    [anon_sym_AMP_EQ] = ACTIONS(1443),
    [anon_sym_CARET_EQ] = ACTIONS(1443),
    [anon_sym_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_EQ_EQ] = ACTIONS(1443),
    [anon_sym_BANG_EQ] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1445),
    [anon_sym_GT] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1443),
    [anon_sym_GT_EQ] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_orelse] = ACTIONS(1443),
    [anon_sym_catch] = ACTIONS(1443),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1445),
    [anon_sym_DASH_PERCENT] = ACTIONS(1445),
    [anon_sym_PLUS_PIPE] = ACTIONS(1445),
    [anon_sym_DASH_PIPE] = ACTIONS(1445),
    [anon_sym_PIPE_PIPE] = ACTIONS(1443),
    [anon_sym_SLASH] = ACTIONS(1445),
    [anon_sym_PERCENT] = ACTIONS(1445),
    [anon_sym_STAR_STAR] = ACTIONS(1443),
    [anon_sym_STAR_PERCENT] = ACTIONS(1445),
    [anon_sym_STAR_PIPE] = ACTIONS(1445),
    [anon_sym_align] = ACTIONS(1443),
    [anon_sym_DOT_DOT] = ACTIONS(1443),
    [anon_sym_DOT_STAR] = ACTIONS(1443),
    [anon_sym_DOT_QMARK] = ACTIONS(1443),
    [sym_line_comment] = ACTIONS(95),
  },
  [795] = {
    [anon_sym_COMMA] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1447),
    [anon_sym_or] = ACTIONS(1449),
    [anon_sym_and] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_DOT] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_RPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(1447),
    [anon_sym_linksection] = ACTIONS(1447),
    [anon_sym_PIPE] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_EQ_GT] = ACTIONS(1447),
    [anon_sym_STAR_EQ] = ACTIONS(1447),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_SLASH_EQ] = ACTIONS(1447),
    [anon_sym_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_DASH_EQ] = ACTIONS(1447),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_LT_LT_EQ] = ACTIONS(1447),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_GT_GT_EQ] = ACTIONS(1447),
    [anon_sym_AMP_EQ] = ACTIONS(1447),
    [anon_sym_CARET_EQ] = ACTIONS(1447),
    [anon_sym_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_EQ_EQ] = ACTIONS(1447),
    [anon_sym_BANG_EQ] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1449),
    [anon_sym_GT] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1447),
    [anon_sym_GT_EQ] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_orelse] = ACTIONS(1447),
    [anon_sym_catch] = ACTIONS(1447),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1449),
    [anon_sym_DASH_PERCENT] = ACTIONS(1449),
    [anon_sym_PLUS_PIPE] = ACTIONS(1449),
    [anon_sym_DASH_PIPE] = ACTIONS(1449),
    [anon_sym_PIPE_PIPE] = ACTIONS(1447),
    [anon_sym_SLASH] = ACTIONS(1449),
    [anon_sym_PERCENT] = ACTIONS(1449),
    [anon_sym_STAR_STAR] = ACTIONS(1447),
    [anon_sym_STAR_PERCENT] = ACTIONS(1449),
    [anon_sym_STAR_PIPE] = ACTIONS(1449),
    [anon_sym_align] = ACTIONS(1447),
    [anon_sym_DOT_DOT] = ACTIONS(1447),
    [anon_sym_DOT_STAR] = ACTIONS(1447),
    [anon_sym_DOT_QMARK] = ACTIONS(1447),
    [sym_line_comment] = ACTIONS(95),
  },
  [796] = {
    [anon_sym_COMMA] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_COLON] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1451),
    [anon_sym_or] = ACTIONS(1453),
    [anon_sym_and] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(1451),
    [anon_sym_linksection] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_STAR_EQ] = ACTIONS(1451),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_SLASH_EQ] = ACTIONS(1451),
    [anon_sym_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_DASH_EQ] = ACTIONS(1451),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_LT_LT_EQ] = ACTIONS(1451),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_GT_GT_EQ] = ACTIONS(1451),
    [anon_sym_AMP_EQ] = ACTIONS(1451),
    [anon_sym_CARET_EQ] = ACTIONS(1451),
    [anon_sym_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_EQ_EQ] = ACTIONS(1451),
    [anon_sym_BANG_EQ] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1451),
    [anon_sym_GT_EQ] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_orelse] = ACTIONS(1451),
    [anon_sym_catch] = ACTIONS(1451),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1453),
    [anon_sym_DASH_PERCENT] = ACTIONS(1453),
    [anon_sym_PLUS_PIPE] = ACTIONS(1453),
    [anon_sym_DASH_PIPE] = ACTIONS(1453),
    [anon_sym_PIPE_PIPE] = ACTIONS(1451),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1453),
    [anon_sym_STAR_STAR] = ACTIONS(1451),
    [anon_sym_STAR_PERCENT] = ACTIONS(1453),
    [anon_sym_STAR_PIPE] = ACTIONS(1453),
    [anon_sym_align] = ACTIONS(1451),
    [anon_sym_DOT_DOT] = ACTIONS(1451),
    [anon_sym_DOT_STAR] = ACTIONS(1451),
    [anon_sym_DOT_QMARK] = ACTIONS(1451),
    [sym_line_comment] = ACTIONS(95),
  },
  [797] = {
    [anon_sym_COMMA] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1455),
    [anon_sym_or] = ACTIONS(1457),
    [anon_sym_and] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_DOT] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_RBRACK] = ACTIONS(1455),
    [anon_sym_linksection] = ACTIONS(1455),
    [anon_sym_PIPE] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_STAR_EQ] = ACTIONS(1455),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_SLASH_EQ] = ACTIONS(1455),
    [anon_sym_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_DASH_EQ] = ACTIONS(1455),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_AMP_EQ] = ACTIONS(1455),
    [anon_sym_CARET_EQ] = ACTIONS(1455),
    [anon_sym_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_EQ_EQ] = ACTIONS(1455),
    [anon_sym_BANG_EQ] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1455),
    [anon_sym_GT_EQ] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_orelse] = ACTIONS(1455),
    [anon_sym_catch] = ACTIONS(1455),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1457),
    [anon_sym_DASH_PERCENT] = ACTIONS(1457),
    [anon_sym_PLUS_PIPE] = ACTIONS(1457),
    [anon_sym_DASH_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_PIPE] = ACTIONS(1455),
    [anon_sym_SLASH] = ACTIONS(1457),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_STAR_STAR] = ACTIONS(1455),
    [anon_sym_STAR_PERCENT] = ACTIONS(1457),
    [anon_sym_STAR_PIPE] = ACTIONS(1457),
    [anon_sym_align] = ACTIONS(1455),
    [anon_sym_DOT_DOT] = ACTIONS(1455),
    [anon_sym_DOT_STAR] = ACTIONS(1455),
    [anon_sym_DOT_QMARK] = ACTIONS(1455),
    [sym_line_comment] = ACTIONS(95),
  },
  [798] = {
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1461),
    [anon_sym_COLON] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1459),
    [anon_sym_or] = ACTIONS(1461),
    [anon_sym_and] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_DOT] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_RBRACK] = ACTIONS(1459),
    [anon_sym_linksection] = ACTIONS(1459),
    [anon_sym_PIPE] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_EQ_GT] = ACTIONS(1459),
    [anon_sym_STAR_EQ] = ACTIONS(1459),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_SLASH_EQ] = ACTIONS(1459),
    [anon_sym_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_DASH_EQ] = ACTIONS(1459),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_LT_LT_EQ] = ACTIONS(1459),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_GT_GT_EQ] = ACTIONS(1459),
    [anon_sym_AMP_EQ] = ACTIONS(1459),
    [anon_sym_CARET_EQ] = ACTIONS(1459),
    [anon_sym_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_EQ_EQ] = ACTIONS(1459),
    [anon_sym_BANG_EQ] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1459),
    [anon_sym_GT_EQ] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_orelse] = ACTIONS(1459),
    [anon_sym_catch] = ACTIONS(1459),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1461),
    [anon_sym_DASH_PERCENT] = ACTIONS(1461),
    [anon_sym_PLUS_PIPE] = ACTIONS(1461),
    [anon_sym_DASH_PIPE] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1459),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_STAR_STAR] = ACTIONS(1459),
    [anon_sym_STAR_PERCENT] = ACTIONS(1461),
    [anon_sym_STAR_PIPE] = ACTIONS(1461),
    [anon_sym_align] = ACTIONS(1459),
    [anon_sym_DOT_DOT] = ACTIONS(1459),
    [anon_sym_DOT_STAR] = ACTIONS(1459),
    [anon_sym_DOT_QMARK] = ACTIONS(1459),
    [sym_line_comment] = ACTIONS(95),
  },
  [799] = {
    [anon_sym_COMMA] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_or] = ACTIONS(1465),
    [anon_sym_and] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1463),
    [anon_sym_RPAREN] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1463),
    [anon_sym_RBRACK] = ACTIONS(1463),
    [anon_sym_linksection] = ACTIONS(1463),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_EQ_GT] = ACTIONS(1463),
    [anon_sym_STAR_EQ] = ACTIONS(1463),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_SLASH_EQ] = ACTIONS(1463),
    [anon_sym_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_DASH_EQ] = ACTIONS(1463),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_LT_LT_EQ] = ACTIONS(1463),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_GT_GT_EQ] = ACTIONS(1463),
    [anon_sym_AMP_EQ] = ACTIONS(1463),
    [anon_sym_CARET_EQ] = ACTIONS(1463),
    [anon_sym_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1463),
    [anon_sym_BANG_EQ] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1465),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1463),
    [anon_sym_GT_EQ] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_orelse] = ACTIONS(1463),
    [anon_sym_catch] = ACTIONS(1463),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1465),
    [anon_sym_DASH_PERCENT] = ACTIONS(1465),
    [anon_sym_PLUS_PIPE] = ACTIONS(1465),
    [anon_sym_DASH_PIPE] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1463),
    [anon_sym_SLASH] = ACTIONS(1465),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_STAR_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_PIPE] = ACTIONS(1465),
    [anon_sym_align] = ACTIONS(1463),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_DOT_STAR] = ACTIONS(1463),
    [anon_sym_DOT_QMARK] = ACTIONS(1463),
    [sym_line_comment] = ACTIONS(95),
  },
  [800] = {
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_or] = ACTIONS(1469),
    [anon_sym_and] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1467),
    [anon_sym_RPAREN] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1467),
    [anon_sym_RBRACK] = ACTIONS(1467),
    [anon_sym_linksection] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_EQ_GT] = ACTIONS(1467),
    [anon_sym_STAR_EQ] = ACTIONS(1467),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_SLASH_EQ] = ACTIONS(1467),
    [anon_sym_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_DASH_EQ] = ACTIONS(1467),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_LT_LT_EQ] = ACTIONS(1467),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_GT_GT_EQ] = ACTIONS(1467),
    [anon_sym_AMP_EQ] = ACTIONS(1467),
    [anon_sym_CARET_EQ] = ACTIONS(1467),
    [anon_sym_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_orelse] = ACTIONS(1467),
    [anon_sym_catch] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1469),
    [anon_sym_DASH_PERCENT] = ACTIONS(1469),
    [anon_sym_PLUS_PIPE] = ACTIONS(1469),
    [anon_sym_DASH_PIPE] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_STAR_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_PIPE] = ACTIONS(1469),
    [anon_sym_align] = ACTIONS(1467),
    [anon_sym_DOT_DOT] = ACTIONS(1467),
    [anon_sym_DOT_STAR] = ACTIONS(1467),
    [anon_sym_DOT_QMARK] = ACTIONS(1467),
    [sym_line_comment] = ACTIONS(95),
  },
  [801] = {
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1473),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_or] = ACTIONS(1473),
    [anon_sym_and] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_DOT] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(1471),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1471),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_linksection] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_STAR_EQ] = ACTIONS(1471),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_SLASH_EQ] = ACTIONS(1471),
    [anon_sym_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_DASH_EQ] = ACTIONS(1471),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_LT_LT_EQ] = ACTIONS(1471),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_GT_GT_EQ] = ACTIONS(1471),
    [anon_sym_AMP_EQ] = ACTIONS(1471),
    [anon_sym_CARET_EQ] = ACTIONS(1471),
    [anon_sym_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1473),
    [anon_sym_GT] = ACTIONS(1473),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_CARET] = ACTIONS(1473),
    [anon_sym_orelse] = ACTIONS(1471),
    [anon_sym_catch] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1473),
    [anon_sym_GT_GT] = ACTIONS(1473),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1473),
    [anon_sym_DASH_PERCENT] = ACTIONS(1473),
    [anon_sym_PLUS_PIPE] = ACTIONS(1473),
    [anon_sym_DASH_PIPE] = ACTIONS(1473),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_SLASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1473),
    [anon_sym_STAR_STAR] = ACTIONS(1471),
    [anon_sym_STAR_PERCENT] = ACTIONS(1473),
    [anon_sym_STAR_PIPE] = ACTIONS(1473),
    [anon_sym_align] = ACTIONS(1471),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_DOT_STAR] = ACTIONS(1471),
    [anon_sym_DOT_QMARK] = ACTIONS(1471),
    [sym_line_comment] = ACTIONS(95),
  },
  [802] = {
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_COLON] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_or] = ACTIONS(1477),
    [anon_sym_and] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [anon_sym_DOT] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [anon_sym_RBRACK] = ACTIONS(1475),
    [anon_sym_linksection] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1475),
    [anon_sym_STAR_EQ] = ACTIONS(1475),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_SLASH_EQ] = ACTIONS(1475),
    [anon_sym_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_DASH_EQ] = ACTIONS(1475),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_GT_GT_EQ] = ACTIONS(1475),
    [anon_sym_AMP_EQ] = ACTIONS(1475),
    [anon_sym_CARET_EQ] = ACTIONS(1475),
    [anon_sym_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_orelse] = ACTIONS(1475),
    [anon_sym_catch] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1475),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1477),
    [anon_sym_DASH_PERCENT] = ACTIONS(1477),
    [anon_sym_PLUS_PIPE] = ACTIONS(1477),
    [anon_sym_DASH_PIPE] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_STAR_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_PIPE] = ACTIONS(1477),
    [anon_sym_align] = ACTIONS(1475),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_DOT_STAR] = ACTIONS(1475),
    [anon_sym_DOT_QMARK] = ACTIONS(1475),
    [sym_line_comment] = ACTIONS(95),
  },
  [803] = {
    [anon_sym_COMMA] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_EQ] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1479),
    [anon_sym_or] = ACTIONS(1481),
    [anon_sym_and] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_RPAREN] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1479),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_linksection] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_EQ_GT] = ACTIONS(1479),
    [anon_sym_STAR_EQ] = ACTIONS(1479),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_SLASH_EQ] = ACTIONS(1479),
    [anon_sym_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_DASH_EQ] = ACTIONS(1479),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_LT_LT_EQ] = ACTIONS(1479),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_GT_GT_EQ] = ACTIONS(1479),
    [anon_sym_AMP_EQ] = ACTIONS(1479),
    [anon_sym_CARET_EQ] = ACTIONS(1479),
    [anon_sym_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_EQ_EQ] = ACTIONS(1479),
    [anon_sym_BANG_EQ] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1479),
    [anon_sym_GT_EQ] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_orelse] = ACTIONS(1479),
    [anon_sym_catch] = ACTIONS(1479),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1481),
    [anon_sym_DASH_PERCENT] = ACTIONS(1481),
    [anon_sym_PLUS_PIPE] = ACTIONS(1481),
    [anon_sym_DASH_PIPE] = ACTIONS(1481),
    [anon_sym_PIPE_PIPE] = ACTIONS(1479),
    [anon_sym_SLASH] = ACTIONS(1481),
    [anon_sym_PERCENT] = ACTIONS(1481),
    [anon_sym_STAR_STAR] = ACTIONS(1479),
    [anon_sym_STAR_PERCENT] = ACTIONS(1481),
    [anon_sym_STAR_PIPE] = ACTIONS(1481),
    [anon_sym_align] = ACTIONS(1479),
    [anon_sym_DOT_DOT] = ACTIONS(1479),
    [anon_sym_DOT_STAR] = ACTIONS(1479),
    [anon_sym_DOT_QMARK] = ACTIONS(1479),
    [sym_line_comment] = ACTIONS(95),
  },
  [804] = {
    [anon_sym_COMMA] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_COLON] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1483),
    [anon_sym_or] = ACTIONS(1485),
    [anon_sym_and] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_DOT] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1483),
    [anon_sym_RPAREN] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_RBRACK] = ACTIONS(1483),
    [anon_sym_linksection] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_EQ_GT] = ACTIONS(1483),
    [anon_sym_STAR_EQ] = ACTIONS(1483),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_SLASH_EQ] = ACTIONS(1483),
    [anon_sym_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_DASH_EQ] = ACTIONS(1483),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_LT_LT_EQ] = ACTIONS(1483),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_GT_GT_EQ] = ACTIONS(1483),
    [anon_sym_AMP_EQ] = ACTIONS(1483),
    [anon_sym_CARET_EQ] = ACTIONS(1483),
    [anon_sym_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_EQ_EQ] = ACTIONS(1483),
    [anon_sym_BANG_EQ] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1485),
    [anon_sym_GT] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_orelse] = ACTIONS(1483),
    [anon_sym_catch] = ACTIONS(1483),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1485),
    [anon_sym_DASH_PERCENT] = ACTIONS(1485),
    [anon_sym_PLUS_PIPE] = ACTIONS(1485),
    [anon_sym_DASH_PIPE] = ACTIONS(1485),
    [anon_sym_PIPE_PIPE] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1483),
    [anon_sym_STAR_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_PIPE] = ACTIONS(1485),
    [anon_sym_align] = ACTIONS(1483),
    [anon_sym_DOT_DOT] = ACTIONS(1483),
    [anon_sym_DOT_STAR] = ACTIONS(1483),
    [anon_sym_DOT_QMARK] = ACTIONS(1483),
    [sym_line_comment] = ACTIONS(95),
  },
  [805] = {
    [anon_sym_COMMA] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1487),
    [anon_sym_or] = ACTIONS(1489),
    [anon_sym_and] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_RBRACK] = ACTIONS(1487),
    [anon_sym_linksection] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_EQ_GT] = ACTIONS(1487),
    [anon_sym_STAR_EQ] = ACTIONS(1487),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_SLASH_EQ] = ACTIONS(1487),
    [anon_sym_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_DASH_EQ] = ACTIONS(1487),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_LT_LT_EQ] = ACTIONS(1487),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_GT_GT_EQ] = ACTIONS(1487),
    [anon_sym_AMP_EQ] = ACTIONS(1487),
    [anon_sym_CARET_EQ] = ACTIONS(1487),
    [anon_sym_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1489),
    [anon_sym_GT] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1487),
    [anon_sym_GT_EQ] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_orelse] = ACTIONS(1487),
    [anon_sym_catch] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1489),
    [anon_sym_DASH_PERCENT] = ACTIONS(1489),
    [anon_sym_PLUS_PIPE] = ACTIONS(1489),
    [anon_sym_DASH_PIPE] = ACTIONS(1489),
    [anon_sym_PIPE_PIPE] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1489),
    [anon_sym_STAR_STAR] = ACTIONS(1487),
    [anon_sym_STAR_PERCENT] = ACTIONS(1489),
    [anon_sym_STAR_PIPE] = ACTIONS(1489),
    [anon_sym_align] = ACTIONS(1487),
    [anon_sym_DOT_DOT] = ACTIONS(1487),
    [anon_sym_DOT_STAR] = ACTIONS(1487),
    [anon_sym_DOT_QMARK] = ACTIONS(1487),
    [sym_line_comment] = ACTIONS(95),
  },
  [806] = {
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1491),
    [anon_sym_or] = ACTIONS(1493),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [anon_sym_DOT] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_RPAREN] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_RBRACK] = ACTIONS(1491),
    [anon_sym_linksection] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_EQ_GT] = ACTIONS(1491),
    [anon_sym_STAR_EQ] = ACTIONS(1491),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_SLASH_EQ] = ACTIONS(1491),
    [anon_sym_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_DASH_EQ] = ACTIONS(1491),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_LT_LT_EQ] = ACTIONS(1491),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_GT_GT_EQ] = ACTIONS(1491),
    [anon_sym_AMP_EQ] = ACTIONS(1491),
    [anon_sym_CARET_EQ] = ACTIONS(1491),
    [anon_sym_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_orelse] = ACTIONS(1491),
    [anon_sym_catch] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1493),
    [anon_sym_DASH_PERCENT] = ACTIONS(1493),
    [anon_sym_PLUS_PIPE] = ACTIONS(1493),
    [anon_sym_DASH_PIPE] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_STAR_PERCENT] = ACTIONS(1493),
    [anon_sym_STAR_PIPE] = ACTIONS(1493),
    [anon_sym_align] = ACTIONS(1491),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_DOT_STAR] = ACTIONS(1491),
    [anon_sym_DOT_QMARK] = ACTIONS(1491),
    [sym_line_comment] = ACTIONS(95),
  },
  [807] = {
    [anon_sym_COMMA] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_COLON] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_or] = ACTIONS(1271),
    [anon_sym_and] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_DOT] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_RBRACK] = ACTIONS(1269),
    [anon_sym_linksection] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_STAR_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_SLASH_EQ] = ACTIONS(1269),
    [anon_sym_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_DASH_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_EQ] = ACTIONS(1269),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_GT_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP_EQ] = ACTIONS(1269),
    [anon_sym_CARET_EQ] = ACTIONS(1269),
    [anon_sym_PIPE_EQ] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_orelse] = ACTIONS(1269),
    [anon_sym_catch] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1271),
    [anon_sym_DASH_PERCENT] = ACTIONS(1271),
    [anon_sym_PLUS_PIPE] = ACTIONS(1271),
    [anon_sym_DASH_PIPE] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_STAR_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_PIPE] = ACTIONS(1271),
    [anon_sym_align] = ACTIONS(1269),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
    [anon_sym_DOT_STAR] = ACTIONS(1269),
    [anon_sym_DOT_QMARK] = ACTIONS(1269),
    [sym_line_comment] = ACTIONS(95),
  },
  [808] = {
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1495),
    [anon_sym_or] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_RBRACK] = ACTIONS(1495),
    [anon_sym_linksection] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_EQ_GT] = ACTIONS(1495),
    [anon_sym_STAR_EQ] = ACTIONS(1495),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_SLASH_EQ] = ACTIONS(1495),
    [anon_sym_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_DASH_EQ] = ACTIONS(1495),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_LT_LT_EQ] = ACTIONS(1495),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_GT_GT_EQ] = ACTIONS(1495),
    [anon_sym_AMP_EQ] = ACTIONS(1495),
    [anon_sym_CARET_EQ] = ACTIONS(1495),
    [anon_sym_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_orelse] = ACTIONS(1495),
    [anon_sym_catch] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1497),
    [anon_sym_DASH_PERCENT] = ACTIONS(1497),
    [anon_sym_PLUS_PIPE] = ACTIONS(1497),
    [anon_sym_DASH_PIPE] = ACTIONS(1497),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_PERCENT] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1495),
    [anon_sym_STAR_PERCENT] = ACTIONS(1497),
    [anon_sym_STAR_PIPE] = ACTIONS(1497),
    [anon_sym_align] = ACTIONS(1495),
    [anon_sym_DOT_DOT] = ACTIONS(1495),
    [anon_sym_DOT_STAR] = ACTIONS(1495),
    [anon_sym_DOT_QMARK] = ACTIONS(1495),
    [sym_line_comment] = ACTIONS(95),
  },
  [809] = {
    [anon_sym_COMMA] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1499),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(1499),
    [anon_sym_linksection] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_EQ_GT] = ACTIONS(1499),
    [anon_sym_STAR_EQ] = ACTIONS(1499),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_SLASH_EQ] = ACTIONS(1499),
    [anon_sym_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_DASH_EQ] = ACTIONS(1499),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_LT_LT_EQ] = ACTIONS(1499),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_GT_GT_EQ] = ACTIONS(1499),
    [anon_sym_AMP_EQ] = ACTIONS(1499),
    [anon_sym_CARET_EQ] = ACTIONS(1499),
    [anon_sym_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_EQ_EQ] = ACTIONS(1499),
    [anon_sym_BANG_EQ] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_orelse] = ACTIONS(1499),
    [anon_sym_catch] = ACTIONS(1499),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1501),
    [anon_sym_DASH_PERCENT] = ACTIONS(1501),
    [anon_sym_PLUS_PIPE] = ACTIONS(1501),
    [anon_sym_DASH_PIPE] = ACTIONS(1501),
    [anon_sym_PIPE_PIPE] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_PERCENT] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1499),
    [anon_sym_STAR_PERCENT] = ACTIONS(1501),
    [anon_sym_STAR_PIPE] = ACTIONS(1501),
    [anon_sym_align] = ACTIONS(1499),
    [anon_sym_DOT_DOT] = ACTIONS(1499),
    [anon_sym_DOT_STAR] = ACTIONS(1499),
    [anon_sym_DOT_QMARK] = ACTIONS(1499),
    [sym_line_comment] = ACTIONS(95),
  },
  [810] = {
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_COLON] = ACTIONS(508),
    [anon_sym_EQ] = ACTIONS(506),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_or] = ACTIONS(506),
    [anon_sym_and] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_DOT] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_RBRACK] = ACTIONS(508),
    [anon_sym_linksection] = ACTIONS(508),
    [anon_sym_PIPE] = ACTIONS(506),
    [anon_sym_STAR] = ACTIONS(506),
    [anon_sym_EQ_GT] = ACTIONS(508),
    [anon_sym_STAR_EQ] = ACTIONS(508),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(508),
    [anon_sym_SLASH_EQ] = ACTIONS(508),
    [anon_sym_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(508),
    [anon_sym_DASH_EQ] = ACTIONS(508),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_EQ] = ACTIONS(508),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(508),
    [anon_sym_GT_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP_EQ] = ACTIONS(508),
    [anon_sym_CARET_EQ] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(508),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(506),
    [anon_sym_GT] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_orelse] = ACTIONS(508),
    [anon_sym_catch] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LT_LT_PIPE] = ACTIONS(506),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_PLUS_PERCENT] = ACTIONS(506),
    [anon_sym_DASH_PERCENT] = ACTIONS(506),
    [anon_sym_PLUS_PIPE] = ACTIONS(506),
    [anon_sym_DASH_PIPE] = ACTIONS(506),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(506),
    [anon_sym_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_STAR] = ACTIONS(508),
    [anon_sym_STAR_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_PIPE] = ACTIONS(506),
    [anon_sym_align] = ACTIONS(508),
    [anon_sym_DOT_DOT] = ACTIONS(508),
    [anon_sym_DOT_STAR] = ACTIONS(508),
    [anon_sym_DOT_QMARK] = ACTIONS(508),
    [sym_line_comment] = ACTIONS(95),
  },
  [811] = {
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_COLON] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(526),
    [anon_sym_or] = ACTIONS(528),
    [anon_sym_and] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_RBRACK] = ACTIONS(526),
    [anon_sym_linksection] = ACTIONS(526),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_EQ_GT] = ACTIONS(526),
    [anon_sym_STAR_EQ] = ACTIONS(526),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(526),
    [anon_sym_SLASH_EQ] = ACTIONS(526),
    [anon_sym_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(526),
    [anon_sym_DASH_EQ] = ACTIONS(526),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_EQ] = ACTIONS(526),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(526),
    [anon_sym_GT_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP_EQ] = ACTIONS(526),
    [anon_sym_CARET_EQ] = ACTIONS(526),
    [anon_sym_PIPE_EQ] = ACTIONS(526),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_orelse] = ACTIONS(526),
    [anon_sym_catch] = ACTIONS(526),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT_PIPE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_PLUS_PERCENT] = ACTIONS(528),
    [anon_sym_DASH_PERCENT] = ACTIONS(528),
    [anon_sym_PLUS_PIPE] = ACTIONS(528),
    [anon_sym_DASH_PIPE] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_STAR_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_PIPE] = ACTIONS(528),
    [anon_sym_align] = ACTIONS(526),
    [anon_sym_DOT_DOT] = ACTIONS(526),
    [anon_sym_DOT_STAR] = ACTIONS(526),
    [anon_sym_DOT_QMARK] = ACTIONS(526),
    [sym_line_comment] = ACTIONS(95),
  },
  [812] = {
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_or] = ACTIONS(1505),
    [anon_sym_and] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_RPAREN] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_RBRACK] = ACTIONS(1503),
    [anon_sym_linksection] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_EQ_GT] = ACTIONS(1503),
    [anon_sym_STAR_EQ] = ACTIONS(1503),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_SLASH_EQ] = ACTIONS(1503),
    [anon_sym_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_DASH_EQ] = ACTIONS(1503),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_LT_LT_EQ] = ACTIONS(1503),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_GT_GT_EQ] = ACTIONS(1503),
    [anon_sym_AMP_EQ] = ACTIONS(1503),
    [anon_sym_CARET_EQ] = ACTIONS(1503),
    [anon_sym_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_orelse] = ACTIONS(1503),
    [anon_sym_catch] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1505),
    [anon_sym_DASH_PERCENT] = ACTIONS(1505),
    [anon_sym_PLUS_PIPE] = ACTIONS(1505),
    [anon_sym_DASH_PIPE] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1503),
    [anon_sym_STAR_PERCENT] = ACTIONS(1505),
    [anon_sym_STAR_PIPE] = ACTIONS(1505),
    [anon_sym_align] = ACTIONS(1503),
    [anon_sym_DOT_DOT] = ACTIONS(1503),
    [anon_sym_DOT_STAR] = ACTIONS(1503),
    [anon_sym_DOT_QMARK] = ACTIONS(1503),
    [sym_line_comment] = ACTIONS(95),
  },
  [813] = {
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_or] = ACTIONS(1509),
    [anon_sym_and] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_DOT] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_RBRACK] = ACTIONS(1507),
    [anon_sym_linksection] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_EQ_GT] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1507),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_SLASH_EQ] = ACTIONS(1507),
    [anon_sym_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_DASH_EQ] = ACTIONS(1507),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_LT_LT_EQ] = ACTIONS(1507),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_GT_GT_EQ] = ACTIONS(1507),
    [anon_sym_AMP_EQ] = ACTIONS(1507),
    [anon_sym_CARET_EQ] = ACTIONS(1507),
    [anon_sym_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_orelse] = ACTIONS(1507),
    [anon_sym_catch] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1509),
    [anon_sym_DASH_PERCENT] = ACTIONS(1509),
    [anon_sym_PLUS_PIPE] = ACTIONS(1509),
    [anon_sym_DASH_PIPE] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1507),
    [anon_sym_STAR_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_PIPE] = ACTIONS(1509),
    [anon_sym_align] = ACTIONS(1507),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_DOT_STAR] = ACTIONS(1507),
    [anon_sym_DOT_QMARK] = ACTIONS(1507),
    [sym_line_comment] = ACTIONS(95),
  },
  [814] = {
    [sym__ElseTypeExprTail] = STATE(774),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1305),
    [anon_sym_else] = ACTIONS(1511),
    [anon_sym_or] = ACTIONS(1305),
    [anon_sym_and] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_linksection] = ACTIONS(1303),
    [anon_sym_PIPE] = ACTIONS(1305),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1303),
    [anon_sym_STAR_EQ] = ACTIONS(1303),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_SLASH_EQ] = ACTIONS(1303),
    [anon_sym_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_DASH_EQ] = ACTIONS(1303),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_LT_LT_EQ] = ACTIONS(1303),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_GT_GT_EQ] = ACTIONS(1303),
    [anon_sym_AMP_EQ] = ACTIONS(1303),
    [anon_sym_CARET_EQ] = ACTIONS(1303),
    [anon_sym_PIPE_EQ] = ACTIONS(1303),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_EQ_EQ] = ACTIONS(1303),
    [anon_sym_BANG_EQ] = ACTIONS(1303),
    [anon_sym_LT] = ACTIONS(1305),
    [anon_sym_GT] = ACTIONS(1305),
    [anon_sym_LT_EQ] = ACTIONS(1303),
    [anon_sym_GT_EQ] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_CARET] = ACTIONS(1305),
    [anon_sym_orelse] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1303),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1305),
    [anon_sym_DASH_PERCENT] = ACTIONS(1305),
    [anon_sym_PLUS_PIPE] = ACTIONS(1305),
    [anon_sym_DASH_PIPE] = ACTIONS(1305),
    [anon_sym_PIPE_PIPE] = ACTIONS(1303),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_STAR_STAR] = ACTIONS(1303),
    [anon_sym_STAR_PERCENT] = ACTIONS(1305),
    [anon_sym_STAR_PIPE] = ACTIONS(1305),
    [anon_sym_align] = ACTIONS(1303),
    [anon_sym_DOT_DOT] = ACTIONS(1303),
    [anon_sym_DOT_STAR] = ACTIONS(1303),
    [anon_sym_DOT_QMARK] = ACTIONS(1303),
    [sym_line_comment] = ACTIONS(95),
  },
  [815] = {
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_COLON] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_or] = ACTIONS(1515),
    [anon_sym_and] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_RBRACK] = ACTIONS(1513),
    [anon_sym_linksection] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_EQ_GT] = ACTIONS(1513),
    [anon_sym_STAR_EQ] = ACTIONS(1513),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_SLASH_EQ] = ACTIONS(1513),
    [anon_sym_PERCENT_EQ] = ACTIONS(1513),
    [anon_sym_PLUS_EQ] = ACTIONS(1513),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_DASH_EQ] = ACTIONS(1513),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_GT_GT_EQ] = ACTIONS(1513),
    [anon_sym_AMP_EQ] = ACTIONS(1513),
    [anon_sym_CARET_EQ] = ACTIONS(1513),
    [anon_sym_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1513),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1513),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_CARET] = ACTIONS(1515),
    [anon_sym_orelse] = ACTIONS(1513),
    [anon_sym_catch] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1515),
    [anon_sym_GT_GT] = ACTIONS(1515),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1513),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1515),
    [anon_sym_DASH_PERCENT] = ACTIONS(1515),
    [anon_sym_PLUS_PIPE] = ACTIONS(1515),
    [anon_sym_DASH_PIPE] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PERCENT] = ACTIONS(1515),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_STAR_PERCENT] = ACTIONS(1515),
    [anon_sym_STAR_PIPE] = ACTIONS(1515),
    [anon_sym_align] = ACTIONS(1513),
    [anon_sym_DOT_DOT] = ACTIONS(1513),
    [anon_sym_DOT_STAR] = ACTIONS(1513),
    [anon_sym_DOT_QMARK] = ACTIONS(1513),
    [sym_line_comment] = ACTIONS(95),
  },
  [816] = {
    [anon_sym_COMMA] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_COLON] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_or] = ACTIONS(1519),
    [anon_sym_and] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_RBRACK] = ACTIONS(1517),
    [anon_sym_linksection] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_EQ_GT] = ACTIONS(1517),
    [anon_sym_STAR_EQ] = ACTIONS(1517),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_SLASH_EQ] = ACTIONS(1517),
    [anon_sym_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_DASH_EQ] = ACTIONS(1517),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_GT_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP_EQ] = ACTIONS(1517),
    [anon_sym_CARET_EQ] = ACTIONS(1517),
    [anon_sym_PIPE_EQ] = ACTIONS(1517),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_orelse] = ACTIONS(1517),
    [anon_sym_catch] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1519),
    [anon_sym_DASH_PERCENT] = ACTIONS(1519),
    [anon_sym_PLUS_PIPE] = ACTIONS(1519),
    [anon_sym_DASH_PIPE] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_STAR_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_PIPE] = ACTIONS(1519),
    [anon_sym_align] = ACTIONS(1517),
    [anon_sym_DOT_DOT] = ACTIONS(1517),
    [anon_sym_DOT_STAR] = ACTIONS(1517),
    [anon_sym_DOT_QMARK] = ACTIONS(1517),
    [sym_line_comment] = ACTIONS(95),
  },
  [817] = {
    [anon_sym_COMMA] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_COLON] = ACTIONS(1521),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_or] = ACTIONS(1523),
    [anon_sym_and] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1521),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_RPAREN] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_RBRACK] = ACTIONS(1521),
    [anon_sym_linksection] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_EQ_GT] = ACTIONS(1521),
    [anon_sym_STAR_EQ] = ACTIONS(1521),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_SLASH_EQ] = ACTIONS(1521),
    [anon_sym_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_DASH_EQ] = ACTIONS(1521),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_LT_LT_EQ] = ACTIONS(1521),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_GT_GT_EQ] = ACTIONS(1521),
    [anon_sym_AMP_EQ] = ACTIONS(1521),
    [anon_sym_CARET_EQ] = ACTIONS(1521),
    [anon_sym_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_orelse] = ACTIONS(1521),
    [anon_sym_catch] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1521),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1523),
    [anon_sym_DASH_PERCENT] = ACTIONS(1523),
    [anon_sym_PLUS_PIPE] = ACTIONS(1523),
    [anon_sym_DASH_PIPE] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1523),
    [anon_sym_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_STAR_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_PIPE] = ACTIONS(1523),
    [anon_sym_align] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1521),
    [anon_sym_DOT_STAR] = ACTIONS(1521),
    [anon_sym_DOT_QMARK] = ACTIONS(1521),
    [sym_line_comment] = ACTIONS(95),
  },
  [818] = {
    [anon_sym_COMMA] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_COLON] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_or] = ACTIONS(1527),
    [anon_sym_and] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1525),
    [anon_sym_RBRACK] = ACTIONS(1525),
    [anon_sym_linksection] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_EQ_GT] = ACTIONS(1525),
    [anon_sym_STAR_EQ] = ACTIONS(1525),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_SLASH_EQ] = ACTIONS(1525),
    [anon_sym_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_DASH_EQ] = ACTIONS(1525),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_GT_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_EQ] = ACTIONS(1525),
    [anon_sym_CARET_EQ] = ACTIONS(1525),
    [anon_sym_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_orelse] = ACTIONS(1525),
    [anon_sym_catch] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1527),
    [anon_sym_DASH_PERCENT] = ACTIONS(1527),
    [anon_sym_PLUS_PIPE] = ACTIONS(1527),
    [anon_sym_DASH_PIPE] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_SLASH] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_STAR_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_PIPE] = ACTIONS(1527),
    [anon_sym_align] = ACTIONS(1525),
    [anon_sym_DOT_DOT] = ACTIONS(1525),
    [anon_sym_DOT_STAR] = ACTIONS(1525),
    [anon_sym_DOT_QMARK] = ACTIONS(1525),
    [sym_line_comment] = ACTIONS(95),
  },
  [819] = {
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_COLON] = ACTIONS(1529),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_or] = ACTIONS(1531),
    [anon_sym_and] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_DOT] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1529),
    [anon_sym_RBRACK] = ACTIONS(1529),
    [anon_sym_linksection] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_EQ_GT] = ACTIONS(1529),
    [anon_sym_STAR_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_SLASH_EQ] = ACTIONS(1529),
    [anon_sym_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_DASH_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_GT_GT_EQ] = ACTIONS(1529),
    [anon_sym_AMP_EQ] = ACTIONS(1529),
    [anon_sym_CARET_EQ] = ACTIONS(1529),
    [anon_sym_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_orelse] = ACTIONS(1529),
    [anon_sym_catch] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1531),
    [anon_sym_DASH_PERCENT] = ACTIONS(1531),
    [anon_sym_PLUS_PIPE] = ACTIONS(1531),
    [anon_sym_DASH_PIPE] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_PIPE] = ACTIONS(1531),
    [anon_sym_align] = ACTIONS(1529),
    [anon_sym_DOT_DOT] = ACTIONS(1529),
    [anon_sym_DOT_STAR] = ACTIONS(1529),
    [anon_sym_DOT_QMARK] = ACTIONS(1529),
    [sym_line_comment] = ACTIONS(95),
  },
  [820] = {
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_COLON] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_or] = ACTIONS(1535),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_RBRACE] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_RBRACK] = ACTIONS(1533),
    [anon_sym_linksection] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_EQ_GT] = ACTIONS(1533),
    [anon_sym_STAR_EQ] = ACTIONS(1533),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_SLASH_EQ] = ACTIONS(1533),
    [anon_sym_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_DASH_EQ] = ACTIONS(1533),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_GT_GT_EQ] = ACTIONS(1533),
    [anon_sym_AMP_EQ] = ACTIONS(1533),
    [anon_sym_CARET_EQ] = ACTIONS(1533),
    [anon_sym_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_orelse] = ACTIONS(1533),
    [anon_sym_catch] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1533),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1535),
    [anon_sym_DASH_PERCENT] = ACTIONS(1535),
    [anon_sym_PLUS_PIPE] = ACTIONS(1535),
    [anon_sym_DASH_PIPE] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_STAR_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_PIPE] = ACTIONS(1535),
    [anon_sym_align] = ACTIONS(1533),
    [anon_sym_DOT_DOT] = ACTIONS(1533),
    [anon_sym_DOT_STAR] = ACTIONS(1533),
    [anon_sym_DOT_QMARK] = ACTIONS(1533),
    [sym_line_comment] = ACTIONS(95),
  },
  [821] = {
    [anon_sym_COMMA] = ACTIONS(516),
    [anon_sym_SEMI] = ACTIONS(516),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_COLON] = ACTIONS(516),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_else] = ACTIONS(516),
    [anon_sym_or] = ACTIONS(518),
    [anon_sym_and] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(516),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_DOT] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(516),
    [anon_sym_RPAREN] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(516),
    [anon_sym_linksection] = ACTIONS(516),
    [anon_sym_PIPE] = ACTIONS(518),
    [anon_sym_STAR] = ACTIONS(518),
    [anon_sym_EQ_GT] = ACTIONS(516),
    [anon_sym_STAR_EQ] = ACTIONS(516),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(516),
    [anon_sym_SLASH_EQ] = ACTIONS(516),
    [anon_sym_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(516),
    [anon_sym_DASH_EQ] = ACTIONS(516),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_EQ] = ACTIONS(516),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(516),
    [anon_sym_GT_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP_EQ] = ACTIONS(516),
    [anon_sym_CARET_EQ] = ACTIONS(516),
    [anon_sym_PIPE_EQ] = ACTIONS(516),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(516),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_GT] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_orelse] = ACTIONS(516),
    [anon_sym_catch] = ACTIONS(516),
    [anon_sym_LT_LT] = ACTIONS(518),
    [anon_sym_GT_GT] = ACTIONS(518),
    [anon_sym_LT_LT_PIPE] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_PLUS_PERCENT] = ACTIONS(518),
    [anon_sym_DASH_PERCENT] = ACTIONS(518),
    [anon_sym_PLUS_PIPE] = ACTIONS(518),
    [anon_sym_DASH_PIPE] = ACTIONS(518),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_STAR] = ACTIONS(516),
    [anon_sym_STAR_PERCENT] = ACTIONS(518),
    [anon_sym_STAR_PIPE] = ACTIONS(518),
    [anon_sym_align] = ACTIONS(516),
    [anon_sym_DOT_DOT] = ACTIONS(516),
    [anon_sym_DOT_STAR] = ACTIONS(516),
    [anon_sym_DOT_QMARK] = ACTIONS(516),
    [sym_line_comment] = ACTIONS(95),
  },
  [822] = {
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_and] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_linksection] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_EQ_GT] = ACTIONS(1537),
    [anon_sym_STAR_EQ] = ACTIONS(1537),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_SLASH_EQ] = ACTIONS(1537),
    [anon_sym_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_DASH_EQ] = ACTIONS(1537),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_GT_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_EQ] = ACTIONS(1537),
    [anon_sym_CARET_EQ] = ACTIONS(1537),
    [anon_sym_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1539),
    [anon_sym_GT] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_orelse] = ACTIONS(1537),
    [anon_sym_catch] = ACTIONS(1537),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1537),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1539),
    [anon_sym_DASH_PERCENT] = ACTIONS(1539),
    [anon_sym_PLUS_PIPE] = ACTIONS(1539),
    [anon_sym_DASH_PIPE] = ACTIONS(1539),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [anon_sym_SLASH] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_STAR_STAR] = ACTIONS(1537),
    [anon_sym_STAR_PERCENT] = ACTIONS(1539),
    [anon_sym_STAR_PIPE] = ACTIONS(1539),
    [anon_sym_align] = ACTIONS(1537),
    [anon_sym_DOT_DOT] = ACTIONS(1537),
    [anon_sym_DOT_STAR] = ACTIONS(1537),
    [anon_sym_DOT_QMARK] = ACTIONS(1537),
    [sym_line_comment] = ACTIONS(95),
  },
  [823] = {
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_COLON] = ACTIONS(540),
    [anon_sym_EQ] = ACTIONS(538),
    [anon_sym_else] = ACTIONS(540),
    [anon_sym_or] = ACTIONS(538),
    [anon_sym_and] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_DOT] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_RBRACK] = ACTIONS(540),
    [anon_sym_linksection] = ACTIONS(540),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_EQ_GT] = ACTIONS(540),
    [anon_sym_STAR_EQ] = ACTIONS(540),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(540),
    [anon_sym_SLASH_EQ] = ACTIONS(540),
    [anon_sym_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(540),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(540),
    [anon_sym_DASH_EQ] = ACTIONS(540),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(540),
    [anon_sym_LT_LT_EQ] = ACTIONS(540),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(540),
    [anon_sym_GT_GT_EQ] = ACTIONS(540),
    [anon_sym_AMP_EQ] = ACTIONS(540),
    [anon_sym_CARET_EQ] = ACTIONS(540),
    [anon_sym_PIPE_EQ] = ACTIONS(540),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(540),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(538),
    [anon_sym_orelse] = ACTIONS(540),
    [anon_sym_catch] = ACTIONS(540),
    [anon_sym_LT_LT] = ACTIONS(538),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_LT_LT_PIPE] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_PLUS_PLUS] = ACTIONS(540),
    [anon_sym_PLUS_PERCENT] = ACTIONS(538),
    [anon_sym_DASH_PERCENT] = ACTIONS(538),
    [anon_sym_PLUS_PIPE] = ACTIONS(538),
    [anon_sym_DASH_PIPE] = ACTIONS(538),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_SLASH] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(538),
    [anon_sym_STAR_STAR] = ACTIONS(540),
    [anon_sym_STAR_PERCENT] = ACTIONS(538),
    [anon_sym_STAR_PIPE] = ACTIONS(538),
    [anon_sym_align] = ACTIONS(540),
    [anon_sym_DOT_DOT] = ACTIONS(540),
    [anon_sym_DOT_STAR] = ACTIONS(540),
    [anon_sym_DOT_QMARK] = ACTIONS(540),
    [sym_line_comment] = ACTIONS(95),
  },
  [824] = {
    [sym_InitList] = STATE(1024),
    [sym__ElseTypeExprTail] = STATE(804),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1311),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1311),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_EQ_GT] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_orelse] = ACTIONS(1541),
    [anon_sym_catch] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1543),
    [anon_sym_DASH_PERCENT] = ACTIONS(1543),
    [anon_sym_PLUS_PIPE] = ACTIONS(1543),
    [anon_sym_DASH_PIPE] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_PIPE] = ACTIONS(1543),
    [anon_sym_DOT_DOT] = ACTIONS(1541),
    [anon_sym_DOT_STAR] = ACTIONS(1311),
    [anon_sym_DOT_QMARK] = ACTIONS(1311),
    [sym_line_comment] = ACTIONS(95),
  },
  [825] = {
    [sym__ElseTypeExprTail] = STATE(775),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_EQ] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1511),
    [anon_sym_or] = ACTIONS(1309),
    [anon_sym_and] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_RPAREN] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(1307),
    [anon_sym_linksection] = ACTIONS(1307),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1307),
    [anon_sym_STAR_EQ] = ACTIONS(1307),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_SLASH_EQ] = ACTIONS(1307),
    [anon_sym_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_DASH_EQ] = ACTIONS(1307),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_LT_LT_EQ] = ACTIONS(1307),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_GT_GT_EQ] = ACTIONS(1307),
    [anon_sym_AMP_EQ] = ACTIONS(1307),
    [anon_sym_CARET_EQ] = ACTIONS(1307),
    [anon_sym_PIPE_EQ] = ACTIONS(1307),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1307),
    [anon_sym_EQ_EQ] = ACTIONS(1307),
    [anon_sym_BANG_EQ] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_LT_EQ] = ACTIONS(1307),
    [anon_sym_GT_EQ] = ACTIONS(1307),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1309),
    [anon_sym_orelse] = ACTIONS(1307),
    [anon_sym_catch] = ACTIONS(1307),
    [anon_sym_LT_LT] = ACTIONS(1309),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1309),
    [anon_sym_DASH_PERCENT] = ACTIONS(1309),
    [anon_sym_PLUS_PIPE] = ACTIONS(1309),
    [anon_sym_DASH_PIPE] = ACTIONS(1309),
    [anon_sym_PIPE_PIPE] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [anon_sym_STAR_STAR] = ACTIONS(1307),
    [anon_sym_STAR_PERCENT] = ACTIONS(1309),
    [anon_sym_STAR_PIPE] = ACTIONS(1309),
    [anon_sym_align] = ACTIONS(1307),
    [anon_sym_DOT_DOT] = ACTIONS(1307),
    [anon_sym_DOT_STAR] = ACTIONS(1307),
    [anon_sym_DOT_QMARK] = ACTIONS(1307),
    [sym_line_comment] = ACTIONS(95),
  },
  [826] = {
    [anon_sym_COMMA] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1547),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1547),
    [anon_sym_or] = ACTIONS(1549),
    [anon_sym_and] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_DOT] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1547),
    [anon_sym_RBRACK] = ACTIONS(1547),
    [anon_sym_linksection] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(1547),
    [anon_sym_STAR_EQ] = ACTIONS(1547),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1547),
    [anon_sym_SLASH_EQ] = ACTIONS(1547),
    [anon_sym_PERCENT_EQ] = ACTIONS(1547),
    [anon_sym_PLUS_EQ] = ACTIONS(1547),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1547),
    [anon_sym_DASH_EQ] = ACTIONS(1547),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1547),
    [anon_sym_LT_LT_EQ] = ACTIONS(1547),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1547),
    [anon_sym_GT_GT_EQ] = ACTIONS(1547),
    [anon_sym_AMP_EQ] = ACTIONS(1547),
    [anon_sym_CARET_EQ] = ACTIONS(1547),
    [anon_sym_PIPE_EQ] = ACTIONS(1547),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1547),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1547),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_orelse] = ACTIONS(1547),
    [anon_sym_catch] = ACTIONS(1547),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1549),
    [anon_sym_DASH_PERCENT] = ACTIONS(1549),
    [anon_sym_PLUS_PIPE] = ACTIONS(1549),
    [anon_sym_DASH_PIPE] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(1549),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_STAR_PERCENT] = ACTIONS(1549),
    [anon_sym_STAR_PIPE] = ACTIONS(1549),
    [anon_sym_align] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1547),
    [anon_sym_DOT_STAR] = ACTIONS(1547),
    [anon_sym_DOT_QMARK] = ACTIONS(1547),
    [sym_line_comment] = ACTIONS(95),
  },
  [827] = {
    [sym_InitList] = STATE(1024),
    [sym__ElseTypeExprTail] = STATE(775),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_EQ_GT] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_orelse] = ACTIONS(1541),
    [anon_sym_catch] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1543),
    [anon_sym_DASH_PERCENT] = ACTIONS(1543),
    [anon_sym_PLUS_PIPE] = ACTIONS(1543),
    [anon_sym_DASH_PIPE] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_PIPE] = ACTIONS(1543),
    [anon_sym_DOT_DOT] = ACTIONS(1541),
    [anon_sym_DOT_STAR] = ACTIONS(1307),
    [anon_sym_DOT_QMARK] = ACTIONS(1307),
    [sym_line_comment] = ACTIONS(95),
  },
  [828] = {
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_COLON] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(558),
    [anon_sym_or] = ACTIONS(560),
    [anon_sym_and] = ACTIONS(558),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_RBRACK] = ACTIONS(558),
    [anon_sym_linksection] = ACTIONS(558),
    [anon_sym_PIPE] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_EQ_GT] = ACTIONS(558),
    [anon_sym_STAR_EQ] = ACTIONS(558),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(558),
    [anon_sym_SLASH_EQ] = ACTIONS(558),
    [anon_sym_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(558),
    [anon_sym_DASH_EQ] = ACTIONS(558),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_EQ] = ACTIONS(558),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(558),
    [anon_sym_GT_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP_EQ] = ACTIONS(558),
    [anon_sym_CARET_EQ] = ACTIONS(558),
    [anon_sym_PIPE_EQ] = ACTIONS(558),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(560),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_orelse] = ACTIONS(558),
    [anon_sym_catch] = ACTIONS(558),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_LT_LT_PIPE] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_PLUS_PERCENT] = ACTIONS(560),
    [anon_sym_DASH_PERCENT] = ACTIONS(560),
    [anon_sym_PLUS_PIPE] = ACTIONS(560),
    [anon_sym_DASH_PIPE] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_STAR_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_PIPE] = ACTIONS(560),
    [anon_sym_align] = ACTIONS(558),
    [anon_sym_DOT_DOT] = ACTIONS(558),
    [anon_sym_DOT_STAR] = ACTIONS(558),
    [anon_sym_DOT_QMARK] = ACTIONS(558),
    [sym_line_comment] = ACTIONS(95),
  },
  [829] = {
    [sym__ElseTypeExprTail] = STATE(804),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1511),
    [anon_sym_or] = ACTIONS(1313),
    [anon_sym_and] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1311),
    [anon_sym_RPAREN] = ACTIONS(1311),
    [anon_sym_LBRACK] = ACTIONS(1311),
    [anon_sym_RBRACK] = ACTIONS(1311),
    [anon_sym_linksection] = ACTIONS(1311),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_EQ_GT] = ACTIONS(1311),
    [anon_sym_STAR_EQ] = ACTIONS(1311),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_SLASH_EQ] = ACTIONS(1311),
    [anon_sym_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_DASH_EQ] = ACTIONS(1311),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_GT_GT_EQ] = ACTIONS(1311),
    [anon_sym_AMP_EQ] = ACTIONS(1311),
    [anon_sym_CARET_EQ] = ACTIONS(1311),
    [anon_sym_PIPE_EQ] = ACTIONS(1311),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1311),
    [anon_sym_EQ_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(1313),
    [anon_sym_orelse] = ACTIONS(1311),
    [anon_sym_catch] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1313),
    [anon_sym_GT_GT] = ACTIONS(1313),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1313),
    [anon_sym_DASH_PERCENT] = ACTIONS(1313),
    [anon_sym_PLUS_PIPE] = ACTIONS(1313),
    [anon_sym_DASH_PIPE] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1311),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(1313),
    [anon_sym_STAR_STAR] = ACTIONS(1311),
    [anon_sym_STAR_PERCENT] = ACTIONS(1313),
    [anon_sym_STAR_PIPE] = ACTIONS(1313),
    [anon_sym_align] = ACTIONS(1311),
    [anon_sym_DOT_DOT] = ACTIONS(1311),
    [anon_sym_DOT_STAR] = ACTIONS(1311),
    [anon_sym_DOT_QMARK] = ACTIONS(1311),
    [sym_line_comment] = ACTIONS(95),
  },
  [830] = {
    [sym_InitList] = STATE(1024),
    [sym__ElseTypeExprTail] = STATE(774),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_EQ_GT] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_orelse] = ACTIONS(1541),
    [anon_sym_catch] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1543),
    [anon_sym_DASH_PERCENT] = ACTIONS(1543),
    [anon_sym_PLUS_PIPE] = ACTIONS(1543),
    [anon_sym_DASH_PIPE] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_PIPE] = ACTIONS(1543),
    [anon_sym_DOT_DOT] = ACTIONS(1541),
    [anon_sym_DOT_STAR] = ACTIONS(1303),
    [anon_sym_DOT_QMARK] = ACTIONS(1303),
    [sym_line_comment] = ACTIONS(95),
  },
  [831] = {
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1551),
    [anon_sym_or] = ACTIONS(1553),
    [anon_sym_and] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(1551),
    [anon_sym_linksection] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(1551),
    [anon_sym_STAR_EQ] = ACTIONS(1551),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1551),
    [anon_sym_SLASH_EQ] = ACTIONS(1551),
    [anon_sym_PERCENT_EQ] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(1551),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1551),
    [anon_sym_DASH_EQ] = ACTIONS(1551),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1551),
    [anon_sym_LT_LT_EQ] = ACTIONS(1551),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1551),
    [anon_sym_GT_GT_EQ] = ACTIONS(1551),
    [anon_sym_AMP_EQ] = ACTIONS(1551),
    [anon_sym_CARET_EQ] = ACTIONS(1551),
    [anon_sym_PIPE_EQ] = ACTIONS(1551),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1551),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1551),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1553),
    [anon_sym_orelse] = ACTIONS(1551),
    [anon_sym_catch] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1553),
    [anon_sym_DASH_PERCENT] = ACTIONS(1553),
    [anon_sym_PLUS_PIPE] = ACTIONS(1553),
    [anon_sym_DASH_PIPE] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1553),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_STAR_PERCENT] = ACTIONS(1553),
    [anon_sym_STAR_PIPE] = ACTIONS(1553),
    [anon_sym_align] = ACTIONS(1551),
    [anon_sym_DOT_DOT] = ACTIONS(1551),
    [anon_sym_DOT_STAR] = ACTIONS(1551),
    [anon_sym_DOT_QMARK] = ACTIONS(1551),
    [sym_line_comment] = ACTIONS(95),
  },
  [832] = {
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_COLON] = ACTIONS(1555),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1555),
    [anon_sym_or] = ACTIONS(1557),
    [anon_sym_and] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_RBRACK] = ACTIONS(1555),
    [anon_sym_linksection] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_EQ_GT] = ACTIONS(1555),
    [anon_sym_STAR_EQ] = ACTIONS(1555),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1555),
    [anon_sym_SLASH_EQ] = ACTIONS(1555),
    [anon_sym_PERCENT_EQ] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(1555),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1555),
    [anon_sym_DASH_EQ] = ACTIONS(1555),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1555),
    [anon_sym_LT_LT_EQ] = ACTIONS(1555),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1555),
    [anon_sym_GT_GT_EQ] = ACTIONS(1555),
    [anon_sym_AMP_EQ] = ACTIONS(1555),
    [anon_sym_CARET_EQ] = ACTIONS(1555),
    [anon_sym_PIPE_EQ] = ACTIONS(1555),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1555),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1555),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_orelse] = ACTIONS(1555),
    [anon_sym_catch] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1557),
    [anon_sym_GT_GT] = ACTIONS(1557),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1557),
    [anon_sym_DASH_PERCENT] = ACTIONS(1557),
    [anon_sym_PLUS_PIPE] = ACTIONS(1557),
    [anon_sym_DASH_PIPE] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_SLASH] = ACTIONS(1557),
    [anon_sym_PERCENT] = ACTIONS(1557),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_STAR_PERCENT] = ACTIONS(1557),
    [anon_sym_STAR_PIPE] = ACTIONS(1557),
    [anon_sym_align] = ACTIONS(1555),
    [anon_sym_DOT_DOT] = ACTIONS(1555),
    [anon_sym_DOT_STAR] = ACTIONS(1555),
    [anon_sym_DOT_QMARK] = ACTIONS(1555),
    [sym_line_comment] = ACTIONS(95),
  },
  [833] = {
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_COLON] = ACTIONS(1559),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1559),
    [anon_sym_or] = ACTIONS(1561),
    [anon_sym_and] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_DOT] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_RBRACK] = ACTIONS(1559),
    [anon_sym_linksection] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_STAR_EQ] = ACTIONS(1559),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_SLASH_EQ] = ACTIONS(1559),
    [anon_sym_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_DASH_EQ] = ACTIONS(1559),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_LT_LT_EQ] = ACTIONS(1559),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_GT_GT_EQ] = ACTIONS(1559),
    [anon_sym_AMP_EQ] = ACTIONS(1559),
    [anon_sym_CARET_EQ] = ACTIONS(1559),
    [anon_sym_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_orelse] = ACTIONS(1559),
    [anon_sym_catch] = ACTIONS(1559),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1561),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1561),
    [anon_sym_DASH_PERCENT] = ACTIONS(1561),
    [anon_sym_PLUS_PIPE] = ACTIONS(1561),
    [anon_sym_DASH_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1561),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_STAR_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_PIPE] = ACTIONS(1561),
    [anon_sym_align] = ACTIONS(1559),
    [anon_sym_DOT_DOT] = ACTIONS(1559),
    [anon_sym_DOT_STAR] = ACTIONS(1559),
    [anon_sym_DOT_QMARK] = ACTIONS(1559),
    [sym_line_comment] = ACTIONS(95),
  },
  [834] = {
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_COLON] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1563),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_RBRACK] = ACTIONS(1563),
    [anon_sym_linksection] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_EQ_GT] = ACTIONS(1563),
    [anon_sym_STAR_EQ] = ACTIONS(1563),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_SLASH_EQ] = ACTIONS(1563),
    [anon_sym_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_DASH_EQ] = ACTIONS(1563),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_GT_GT_EQ] = ACTIONS(1563),
    [anon_sym_AMP_EQ] = ACTIONS(1563),
    [anon_sym_CARET_EQ] = ACTIONS(1563),
    [anon_sym_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_orelse] = ACTIONS(1563),
    [anon_sym_catch] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1565),
    [anon_sym_DASH_PERCENT] = ACTIONS(1565),
    [anon_sym_PLUS_PIPE] = ACTIONS(1565),
    [anon_sym_DASH_PIPE] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_STAR_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_PIPE] = ACTIONS(1565),
    [anon_sym_align] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1563),
    [anon_sym_DOT_STAR] = ACTIONS(1563),
    [anon_sym_DOT_QMARK] = ACTIONS(1563),
    [sym_line_comment] = ACTIONS(95),
  },
  [835] = {
    [anon_sym_COMMA] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_COLON] = ACTIONS(552),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_else] = ACTIONS(552),
    [anon_sym_or] = ACTIONS(550),
    [anon_sym_and] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_DOT] = ACTIONS(550),
    [anon_sym_LPAREN] = ACTIONS(552),
    [anon_sym_RPAREN] = ACTIONS(552),
    [anon_sym_LBRACK] = ACTIONS(552),
    [anon_sym_RBRACK] = ACTIONS(552),
    [anon_sym_linksection] = ACTIONS(552),
    [anon_sym_PIPE] = ACTIONS(550),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_EQ_GT] = ACTIONS(552),
    [anon_sym_STAR_EQ] = ACTIONS(552),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(552),
    [anon_sym_SLASH_EQ] = ACTIONS(552),
    [anon_sym_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_PLUS_EQ] = ACTIONS(552),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(552),
    [anon_sym_DASH_EQ] = ACTIONS(552),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(552),
    [anon_sym_LT_LT_EQ] = ACTIONS(552),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(552),
    [anon_sym_GT_GT_EQ] = ACTIONS(552),
    [anon_sym_AMP_EQ] = ACTIONS(552),
    [anon_sym_CARET_EQ] = ACTIONS(552),
    [anon_sym_PIPE_EQ] = ACTIONS(552),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_EQ_EQ] = ACTIONS(552),
    [anon_sym_BANG_EQ] = ACTIONS(552),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(552),
    [anon_sym_GT_EQ] = ACTIONS(552),
    [anon_sym_AMP] = ACTIONS(550),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_orelse] = ACTIONS(552),
    [anon_sym_catch] = ACTIONS(552),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT_PIPE] = ACTIONS(550),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(550),
    [anon_sym_PLUS_PLUS] = ACTIONS(552),
    [anon_sym_PLUS_PERCENT] = ACTIONS(550),
    [anon_sym_DASH_PERCENT] = ACTIONS(550),
    [anon_sym_PLUS_PIPE] = ACTIONS(550),
    [anon_sym_DASH_PIPE] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(552),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(552),
    [anon_sym_STAR_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_PIPE] = ACTIONS(550),
    [anon_sym_align] = ACTIONS(552),
    [anon_sym_DOT_DOT] = ACTIONS(552),
    [anon_sym_DOT_STAR] = ACTIONS(552),
    [anon_sym_DOT_QMARK] = ACTIONS(552),
    [sym_line_comment] = ACTIONS(95),
  },
  [836] = {
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(562),
    [anon_sym_or] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(562),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(562),
    [anon_sym_linksection] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_EQ_GT] = ACTIONS(562),
    [anon_sym_STAR_EQ] = ACTIONS(562),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(562),
    [anon_sym_SLASH_EQ] = ACTIONS(562),
    [anon_sym_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(562),
    [anon_sym_DASH_EQ] = ACTIONS(562),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_EQ] = ACTIONS(562),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(562),
    [anon_sym_GT_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP_EQ] = ACTIONS(562),
    [anon_sym_CARET_EQ] = ACTIONS(562),
    [anon_sym_PIPE_EQ] = ACTIONS(562),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_orelse] = ACTIONS(562),
    [anon_sym_catch] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT_PIPE] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_PLUS_PERCENT] = ACTIONS(564),
    [anon_sym_DASH_PERCENT] = ACTIONS(564),
    [anon_sym_PLUS_PIPE] = ACTIONS(564),
    [anon_sym_DASH_PIPE] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_STAR_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_PIPE] = ACTIONS(564),
    [anon_sym_align] = ACTIONS(562),
    [anon_sym_DOT_DOT] = ACTIONS(562),
    [anon_sym_DOT_STAR] = ACTIONS(562),
    [anon_sym_DOT_QMARK] = ACTIONS(562),
    [sym_line_comment] = ACTIONS(95),
  },
  [837] = {
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_EQ] = ACTIONS(534),
    [anon_sym_else] = ACTIONS(536),
    [anon_sym_or] = ACTIONS(534),
    [anon_sym_and] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_RPAREN] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_linksection] = ACTIONS(536),
    [anon_sym_PIPE] = ACTIONS(534),
    [anon_sym_STAR] = ACTIONS(534),
    [anon_sym_EQ_GT] = ACTIONS(536),
    [anon_sym_STAR_EQ] = ACTIONS(536),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(536),
    [anon_sym_SLASH_EQ] = ACTIONS(536),
    [anon_sym_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_PLUS_EQ] = ACTIONS(536),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(536),
    [anon_sym_DASH_EQ] = ACTIONS(536),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(536),
    [anon_sym_LT_LT_EQ] = ACTIONS(536),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(536),
    [anon_sym_GT_GT_EQ] = ACTIONS(536),
    [anon_sym_AMP_EQ] = ACTIONS(536),
    [anon_sym_CARET_EQ] = ACTIONS(536),
    [anon_sym_PIPE_EQ] = ACTIONS(536),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(536),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_GT] = ACTIONS(534),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(534),
    [anon_sym_CARET] = ACTIONS(534),
    [anon_sym_orelse] = ACTIONS(536),
    [anon_sym_catch] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(534),
    [anon_sym_GT_GT] = ACTIONS(534),
    [anon_sym_LT_LT_PIPE] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(536),
    [anon_sym_PLUS_PERCENT] = ACTIONS(534),
    [anon_sym_DASH_PERCENT] = ACTIONS(534),
    [anon_sym_PLUS_PIPE] = ACTIONS(534),
    [anon_sym_DASH_PIPE] = ACTIONS(534),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(534),
    [anon_sym_PERCENT] = ACTIONS(534),
    [anon_sym_STAR_STAR] = ACTIONS(536),
    [anon_sym_STAR_PERCENT] = ACTIONS(534),
    [anon_sym_STAR_PIPE] = ACTIONS(534),
    [anon_sym_align] = ACTIONS(536),
    [anon_sym_DOT_DOT] = ACTIONS(536),
    [anon_sym_DOT_STAR] = ACTIONS(536),
    [anon_sym_DOT_QMARK] = ACTIONS(536),
    [sym_line_comment] = ACTIONS(95),
  },
  [838] = {
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_COLON] = ACTIONS(1567),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1567),
    [anon_sym_or] = ACTIONS(1569),
    [anon_sym_and] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [anon_sym_RBRACK] = ACTIONS(1567),
    [anon_sym_linksection] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_EQ_GT] = ACTIONS(1567),
    [anon_sym_STAR_EQ] = ACTIONS(1567),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_SLASH_EQ] = ACTIONS(1567),
    [anon_sym_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_DASH_EQ] = ACTIONS(1567),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_LT_LT_EQ] = ACTIONS(1567),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_GT_GT_EQ] = ACTIONS(1567),
    [anon_sym_AMP_EQ] = ACTIONS(1567),
    [anon_sym_CARET_EQ] = ACTIONS(1567),
    [anon_sym_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1569),
    [anon_sym_orelse] = ACTIONS(1567),
    [anon_sym_catch] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1569),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1569),
    [anon_sym_DASH_PERCENT] = ACTIONS(1569),
    [anon_sym_PLUS_PIPE] = ACTIONS(1569),
    [anon_sym_DASH_PIPE] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_SLASH] = ACTIONS(1569),
    [anon_sym_PERCENT] = ACTIONS(1569),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_STAR_PERCENT] = ACTIONS(1569),
    [anon_sym_STAR_PIPE] = ACTIONS(1569),
    [anon_sym_align] = ACTIONS(1567),
    [anon_sym_DOT_DOT] = ACTIONS(1567),
    [anon_sym_DOT_STAR] = ACTIONS(1567),
    [anon_sym_DOT_QMARK] = ACTIONS(1567),
    [sym_line_comment] = ACTIONS(95),
  },
  [839] = {
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1573),
    [anon_sym_COLON] = ACTIONS(1571),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1571),
    [anon_sym_or] = ACTIONS(1573),
    [anon_sym_and] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_DOT] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1571),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_RBRACK] = ACTIONS(1571),
    [anon_sym_linksection] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1573),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_STAR_EQ] = ACTIONS(1571),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1571),
    [anon_sym_SLASH_EQ] = ACTIONS(1571),
    [anon_sym_PERCENT_EQ] = ACTIONS(1571),
    [anon_sym_PLUS_EQ] = ACTIONS(1571),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1571),
    [anon_sym_DASH_EQ] = ACTIONS(1571),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1571),
    [anon_sym_LT_LT_EQ] = ACTIONS(1571),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1571),
    [anon_sym_GT_GT_EQ] = ACTIONS(1571),
    [anon_sym_AMP_EQ] = ACTIONS(1571),
    [anon_sym_CARET_EQ] = ACTIONS(1571),
    [anon_sym_PIPE_EQ] = ACTIONS(1571),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1571),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1571),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1573),
    [anon_sym_GT] = ACTIONS(1573),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1573),
    [anon_sym_CARET] = ACTIONS(1573),
    [anon_sym_orelse] = ACTIONS(1571),
    [anon_sym_catch] = ACTIONS(1571),
    [anon_sym_LT_LT] = ACTIONS(1573),
    [anon_sym_GT_GT] = ACTIONS(1573),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1573),
    [anon_sym_DASH_PERCENT] = ACTIONS(1573),
    [anon_sym_PLUS_PIPE] = ACTIONS(1573),
    [anon_sym_DASH_PIPE] = ACTIONS(1573),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_SLASH] = ACTIONS(1573),
    [anon_sym_PERCENT] = ACTIONS(1573),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_STAR_PERCENT] = ACTIONS(1573),
    [anon_sym_STAR_PIPE] = ACTIONS(1573),
    [anon_sym_align] = ACTIONS(1571),
    [anon_sym_DOT_DOT] = ACTIONS(1571),
    [anon_sym_DOT_STAR] = ACTIONS(1571),
    [anon_sym_DOT_QMARK] = ACTIONS(1571),
    [sym_line_comment] = ACTIONS(95),
  },
  [840] = {
    [sym_InitList] = STATE(1024),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1463),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1463),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_EQ_GT] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_orelse] = ACTIONS(1541),
    [anon_sym_catch] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1543),
    [anon_sym_DASH_PERCENT] = ACTIONS(1543),
    [anon_sym_PLUS_PIPE] = ACTIONS(1543),
    [anon_sym_DASH_PIPE] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_PIPE] = ACTIONS(1543),
    [anon_sym_DOT_DOT] = ACTIONS(1541),
    [anon_sym_DOT_STAR] = ACTIONS(1463),
    [anon_sym_DOT_QMARK] = ACTIONS(1463),
    [sym_line_comment] = ACTIONS(95),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_else,
    STATE(891), 1,
      sym__ElseStatementTail,
    ACTIONS(1577), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1575), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [75] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_else,
    STATE(892), 1,
      sym__ElseStatementTail,
    ACTIONS(1583), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1581), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [150] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_else,
    STATE(893), 1,
      sym__ElseStatementTail,
    ACTIONS(1587), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1585), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [225] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(307), 1,
      anon_sym_fn,
    ACTIONS(866), 1,
      anon_sym_comptime,
    ACTIONS(868), 1,
      anon_sym_inline,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    STATE(551), 1,
      sym_IfPrefix,
    STATE(568), 1,
      sym_WhilePrefix,
    STATE(576), 1,
      sym_ForPrefix,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1293), 1,
      sym_IDENTIFIER,
    STATE(1930), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1589), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(722), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [361] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(147), 1,
      anon_sym_DOT,
    ACTIONS(149), 1,
      anon_sym_error,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_switch,
    ACTIONS(163), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(792), 1,
      anon_sym_fn,
    ACTIONS(794), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(796), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(976), 1,
      anon_sym_comptime,
    ACTIONS(978), 1,
      anon_sym_inline,
    STATE(567), 1,
      sym_IfPrefix,
    STATE(569), 1,
      sym_WhilePrefix,
    STATE(571), 1,
      sym_ForPrefix,
    STATE(885), 1,
      sym_IDENTIFIER,
    STATE(1111), 1,
      sym__ContainerDeclAuto,
    STATE(1113), 1,
      sym_LoopTypeExpr,
    STATE(1938), 1,
      sym_BlockLabel,
    STATE(2269), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2366), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(155), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(167), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(169), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(940), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1112), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(165), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1591), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(921), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [497] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1595), 1,
      anon_sym_EQ,
    ACTIONS(1597), 1,
      anon_sym_else,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(998), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1593), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [605] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1597), 1,
      anon_sym_else,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1625), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1010), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1623), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [713] = 36,
    ACTIONS(43), 1,
      anon_sym_fn,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(940), 1,
      anon_sym_comptime,
    ACTIONS(942), 1,
      anon_sym_inline,
    STATE(577), 1,
      sym_ForPrefix,
    STATE(578), 1,
      sym_WhilePrefix,
    STATE(579), 1,
      sym_IfPrefix,
    STATE(715), 1,
      sym_IDENTIFIER,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1936), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1589), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(722), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [849] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(986), 1,
      anon_sym_comptime,
    ACTIONS(990), 1,
      anon_sym_inline,
    ACTIONS(992), 1,
      anon_sym_fn,
    ACTIONS(998), 1,
      anon_sym_DOT,
    ACTIONS(1000), 1,
      anon_sym_error,
    ACTIONS(1006), 1,
      anon_sym_LPAREN,
    ACTIONS(1008), 1,
      anon_sym_switch,
    ACTIONS(1010), 1,
      anon_sym_SQUOTE,
    ACTIONS(1018), 1,
      anon_sym_DQUOTE,
    ACTIONS(1020), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(1022), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1024), 1,
      anon_sym_AT,
    STATE(672), 1,
      sym_IfPrefix,
    STATE(673), 1,
      sym_WhilePrefix,
    STATE(674), 1,
      sym_ForPrefix,
    STATE(1623), 1,
      sym_IDENTIFIER,
    STATE(1786), 1,
      sym_LoopTypeExpr,
    STATE(1843), 1,
      sym__ContainerDeclAuto,
    STATE(1929), 1,
      sym_BlockLabel,
    STATE(2286), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2377), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(988), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(1014), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(1016), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1646), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1778), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(1012), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1627), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1627), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [985] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(884), 1,
      anon_sym_comptime,
    ACTIONS(888), 1,
      anon_sym_inline,
    ACTIONS(890), 1,
      anon_sym_fn,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(898), 1,
      anon_sym_error,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_switch,
    ACTIONS(908), 1,
      anon_sym_SQUOTE,
    ACTIONS(916), 1,
      anon_sym_DQUOTE,
    ACTIONS(918), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(920), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(922), 1,
      anon_sym_AT,
    STATE(548), 1,
      sym_ForPrefix,
    STATE(550), 1,
      sym_IfPrefix,
    STATE(667), 1,
      sym_WhilePrefix,
    STATE(1620), 1,
      sym_IDENTIFIER,
    STATE(1691), 1,
      sym_LoopTypeExpr,
    STATE(1714), 1,
      sym__ContainerDeclAuto,
    STATE(1931), 1,
      sym_BlockLabel,
    STATE(2271), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2351), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(886), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(912), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(914), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1635), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1715), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(910), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1629), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1622), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [1121] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(147), 1,
      anon_sym_DOT,
    ACTIONS(149), 1,
      anon_sym_error,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_switch,
    ACTIONS(163), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(792), 1,
      anon_sym_fn,
    ACTIONS(794), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(796), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(976), 1,
      anon_sym_comptime,
    ACTIONS(978), 1,
      anon_sym_inline,
    STATE(567), 1,
      sym_IfPrefix,
    STATE(569), 1,
      sym_WhilePrefix,
    STATE(571), 1,
      sym_ForPrefix,
    STATE(895), 1,
      sym_IDENTIFIER,
    STATE(1111), 1,
      sym__ContainerDeclAuto,
    STATE(1113), 1,
      sym_LoopTypeExpr,
    STATE(1938), 1,
      sym_BlockLabel,
    STATE(2269), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2366), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(155), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(167), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(169), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(940), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1112), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(165), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1631), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(919), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [1257] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1625), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1010), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1623), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [1363] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1595), 1,
      anon_sym_EQ,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(998), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1593), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [1469] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(273), 1,
      anon_sym_fn,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(934), 1,
      anon_sym_comptime,
    ACTIONS(936), 1,
      anon_sym_inline,
    STATE(558), 1,
      sym_ForPrefix,
    STATE(591), 1,
      sym_WhilePrefix,
    STATE(592), 1,
      sym_IfPrefix,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1288), 1,
      sym_IDENTIFIER,
    STATE(1937), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1633), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(718), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [1605] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1637), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1008), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1635), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [1711] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(273), 1,
      anon_sym_fn,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(934), 1,
      anon_sym_comptime,
    ACTIONS(936), 1,
      anon_sym_inline,
    STATE(558), 1,
      sym_ForPrefix,
    STATE(591), 1,
      sym_WhilePrefix,
    STATE(592), 1,
      sym_IfPrefix,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1293), 1,
      sym_IDENTIFIER,
    STATE(1937), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1589), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(722), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [1847] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1597), 1,
      anon_sym_else,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1637), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1008), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1635), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [1955] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(307), 1,
      anon_sym_fn,
    ACTIONS(866), 1,
      anon_sym_comptime,
    ACTIONS(868), 1,
      anon_sym_inline,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    STATE(551), 1,
      sym_IfPrefix,
    STATE(568), 1,
      sym_WhilePrefix,
    STATE(576), 1,
      sym_ForPrefix,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1288), 1,
      sym_IDENTIFIER,
    STATE(1930), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1633), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(718), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2091] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(241), 1,
      anon_sym_error,
    ACTIONS(247), 1,
      anon_sym_LPAREN,
    ACTIONS(249), 1,
      anon_sym_switch,
    ACTIONS(253), 1,
      anon_sym_SQUOTE,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    ACTIONS(263), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(265), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(267), 1,
      anon_sym_AT,
    ACTIONS(291), 1,
      anon_sym_fn,
    ACTIONS(578), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(1030), 1,
      anon_sym_comptime,
    ACTIONS(1032), 1,
      anon_sym_inline,
    STATE(611), 1,
      sym_IfPrefix,
    STATE(614), 1,
      sym_WhilePrefix,
    STATE(616), 1,
      sym_ForPrefix,
    STATE(1280), 1,
      sym_IDENTIFIER,
    STATE(1378), 1,
      sym__ContainerDeclAuto,
    STATE(1384), 1,
      sym_LoopTypeExpr,
    STATE(1932), 1,
      sym_BlockLabel,
    STATE(2311), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2376), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(219), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(257), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(259), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1313), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(255), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1639), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1292), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2227] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(117), 1,
      anon_sym_fn,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(926), 1,
      anon_sym_comptime,
    ACTIONS(928), 1,
      anon_sym_inline,
    STATE(680), 1,
      sym_IfPrefix,
    STATE(693), 1,
      sym_WhilePrefix,
    STATE(695), 1,
      sym_ForPrefix,
    STATE(715), 1,
      sym_IDENTIFIER,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1935), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1589), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(722), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2363] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(241), 1,
      anon_sym_error,
    ACTIONS(247), 1,
      anon_sym_LPAREN,
    ACTIONS(249), 1,
      anon_sym_switch,
    ACTIONS(253), 1,
      anon_sym_SQUOTE,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    ACTIONS(263), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(265), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(267), 1,
      anon_sym_AT,
    ACTIONS(291), 1,
      anon_sym_fn,
    ACTIONS(578), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(1030), 1,
      anon_sym_comptime,
    ACTIONS(1032), 1,
      anon_sym_inline,
    STATE(611), 1,
      sym_IfPrefix,
    STATE(614), 1,
      sym_WhilePrefix,
    STATE(616), 1,
      sym_ForPrefix,
    STATE(1283), 1,
      sym_IDENTIFIER,
    STATE(1378), 1,
      sym__ContainerDeclAuto,
    STATE(1384), 1,
      sym_LoopTypeExpr,
    STATE(1932), 1,
      sym_BlockLabel,
    STATE(2311), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2376), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(219), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(257), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(259), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1313), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(255), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1641), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1306), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2499] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      anon_sym_fn,
    ACTIONS(241), 1,
      anon_sym_error,
    ACTIONS(247), 1,
      anon_sym_LPAREN,
    ACTIONS(249), 1,
      anon_sym_switch,
    ACTIONS(253), 1,
      anon_sym_SQUOTE,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    ACTIONS(263), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(265), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(267), 1,
      anon_sym_AT,
    ACTIONS(578), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(970), 1,
      anon_sym_comptime,
    ACTIONS(972), 1,
      anon_sym_inline,
    STATE(634), 1,
      sym_IfPrefix,
    STATE(635), 1,
      sym_WhilePrefix,
    STATE(636), 1,
      sym_ForPrefix,
    STATE(1283), 1,
      sym_IDENTIFIER,
    STATE(1378), 1,
      sym__ContainerDeclAuto,
    STATE(1384), 1,
      sym_LoopTypeExpr,
    STATE(1939), 1,
      sym_BlockLabel,
    STATE(2311), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2376), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(219), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(257), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(259), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1313), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(255), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1641), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1306), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2635] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      anon_sym_fn,
    ACTIONS(241), 1,
      anon_sym_error,
    ACTIONS(247), 1,
      anon_sym_LPAREN,
    ACTIONS(249), 1,
      anon_sym_switch,
    ACTIONS(253), 1,
      anon_sym_SQUOTE,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    ACTIONS(263), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(265), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(267), 1,
      anon_sym_AT,
    ACTIONS(578), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(970), 1,
      anon_sym_comptime,
    ACTIONS(972), 1,
      anon_sym_inline,
    STATE(634), 1,
      sym_IfPrefix,
    STATE(635), 1,
      sym_WhilePrefix,
    STATE(636), 1,
      sym_ForPrefix,
    STATE(1280), 1,
      sym_IDENTIFIER,
    STATE(1378), 1,
      sym__ContainerDeclAuto,
    STATE(1384), 1,
      sym_LoopTypeExpr,
    STATE(1939), 1,
      sym_BlockLabel,
    STATE(2311), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2376), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(219), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(257), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(259), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1313), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(255), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1639), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1292), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2771] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(189), 1,
      anon_sym_DOT,
    ACTIONS(191), 1,
      anon_sym_error,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(201), 1,
      anon_sym_switch,
    ACTIONS(205), 1,
      anon_sym_SQUOTE,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(215), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(650), 1,
      anon_sym_fn,
    ACTIONS(652), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(654), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(962), 1,
      anon_sym_comptime,
    ACTIONS(964), 1,
      anon_sym_inline,
    STATE(615), 1,
      sym_ForPrefix,
    STATE(617), 1,
      sym_WhilePrefix,
    STATE(624), 1,
      sym_IfPrefix,
    STATE(926), 1,
      sym_IDENTIFIER,
    STATE(1132), 1,
      sym__ContainerDeclAuto,
    STATE(1177), 1,
      sym_LoopTypeExpr,
    STATE(1933), 1,
      sym_BlockLabel,
    STATE(2266), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2332), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(197), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(209), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(211), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(952), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1130), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(207), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1643), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(929), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [2907] = 36,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(117), 1,
      anon_sym_fn,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(926), 1,
      anon_sym_comptime,
    ACTIONS(928), 1,
      anon_sym_inline,
    STATE(680), 1,
      sym_IfPrefix,
    STATE(693), 1,
      sym_WhilePrefix,
    STATE(695), 1,
      sym_ForPrefix,
    STATE(719), 1,
      sym_IDENTIFIER,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1935), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1633), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(718), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [3043] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(189), 1,
      anon_sym_DOT,
    ACTIONS(191), 1,
      anon_sym_error,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(201), 1,
      anon_sym_switch,
    ACTIONS(205), 1,
      anon_sym_SQUOTE,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(215), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(650), 1,
      anon_sym_fn,
    ACTIONS(652), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(654), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(962), 1,
      anon_sym_comptime,
    ACTIONS(964), 1,
      anon_sym_inline,
    STATE(615), 1,
      sym_ForPrefix,
    STATE(617), 1,
      sym_WhilePrefix,
    STATE(624), 1,
      sym_IfPrefix,
    STATE(924), 1,
      sym_IDENTIFIER,
    STATE(1132), 1,
      sym__ContainerDeclAuto,
    STATE(1177), 1,
      sym_LoopTypeExpr,
    STATE(1933), 1,
      sym_BlockLabel,
    STATE(2266), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2332), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(197), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(209), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(211), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(952), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1130), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(207), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1645), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(939), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [3179] = 36,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(986), 1,
      anon_sym_comptime,
    ACTIONS(990), 1,
      anon_sym_inline,
    ACTIONS(992), 1,
      anon_sym_fn,
    ACTIONS(998), 1,
      anon_sym_DOT,
    ACTIONS(1000), 1,
      anon_sym_error,
    ACTIONS(1006), 1,
      anon_sym_LPAREN,
    ACTIONS(1008), 1,
      anon_sym_switch,
    ACTIONS(1010), 1,
      anon_sym_SQUOTE,
    ACTIONS(1018), 1,
      anon_sym_DQUOTE,
    ACTIONS(1020), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(1022), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1024), 1,
      anon_sym_AT,
    STATE(672), 1,
      sym_IfPrefix,
    STATE(673), 1,
      sym_WhilePrefix,
    STATE(674), 1,
      sym_ForPrefix,
    STATE(1624), 1,
      sym_IDENTIFIER,
    STATE(1786), 1,
      sym_LoopTypeExpr,
    STATE(1843), 1,
      sym__ContainerDeclAuto,
    STATE(1929), 1,
      sym_BlockLabel,
    STATE(2286), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2377), 1,
      sym_ContainerDeclType,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(988), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(1014), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(1016), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(1646), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(1778), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(1012), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1647), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(1634), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [3315] = 36,
    ACTIONS(43), 1,
      anon_sym_fn,
    ACTIONS(65), 1,
      anon_sym_error,
    ACTIONS(71), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      anon_sym_switch,
    ACTIONS(91), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_union,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(109), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(111), 1,
      anon_sym_AT,
    ACTIONS(285), 1,
      anon_sym_DOT,
    ACTIONS(876), 1,
      anon_sym_if,
    ACTIONS(878), 1,
      anon_sym_while,
    ACTIONS(880), 1,
      anon_sym_for,
    ACTIONS(940), 1,
      anon_sym_comptime,
    ACTIONS(942), 1,
      anon_sym_inline,
    STATE(577), 1,
      sym_ForPrefix,
    STATE(578), 1,
      sym_WhilePrefix,
    STATE(579), 1,
      sym_IfPrefix,
    STATE(719), 1,
      sym_IDENTIFIER,
    STATE(780), 1,
      sym__ContainerDeclAuto,
    STATE(802), 1,
      sym_LoopTypeExpr,
    STATE(1936), 1,
      sym_BlockLabel,
    STATE(2296), 1,
      sym_BUILTINIDENTIFIER,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(39), 2,
      anon_sym_extern,
      anon_sym_packed,
    ACTIONS(89), 2,
      anon_sym_struct,
      anon_sym_opaque,
    ACTIONS(101), 2,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
    ACTIONS(103), 2,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    ACTIONS(99), 4,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
    ACTIONS(1633), 7,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
    STATE(718), 13,
      sym_FnProto,
      sym__PrimaryTypeExpr,
      sym_ContainerDecl,
      sym_ErrorSetDecl,
      sym_GroupedExpr,
      sym_IfTypeExpr,
      sym_LabeledTypeExpr,
      sym_SwitchExpr,
      sym_CHAR_LITERAL,
      sym_FLOAT,
      sym_INTEGER,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [3451] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(961), 1,
      sym_FnCallArguments,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(965), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [3536] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(628), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(626), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3605] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1659), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1657), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3674] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1663), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1661), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3743] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1667), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1665), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3812] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1671), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1669), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3881] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1675), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1673), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [3950] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1679), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [4051] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(556), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(554), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4120] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1683), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1681), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4189] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1687), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1685), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4258] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1691), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1689), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [4361] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1695), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1693), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4430] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1699), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1697), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [4533] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(572), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(566), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4602] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1703), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1701), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [4671] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(968), 1,
      sym_FnCallArguments,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(970), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [4756] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(131), 1,
      anon_sym_EQ,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(129), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [4859] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1707), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1705), 35,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [4938] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1711), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1709), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5007] = 18,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1679), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 26,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [5106] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1715), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1713), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5175] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1719), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1717), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5244] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1723), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1721), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5313] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1727), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1725), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5382] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1731), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1729), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5451] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(938), 1,
      sym_FnCallArguments,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(937), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [5536] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1735), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1733), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5605] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1739), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1737), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5674] = 16,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 30,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
  [5769] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1743), 21,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1741), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [5838] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1679), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 35,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [5917] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1747), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1745), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [6020] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(948), 1,
      sym_FnCallArguments,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(947), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [6105] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 16,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 33,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_DOT,
  [6188] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1679), 10,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1677), 32,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_DOT_DOT,
  [6275] = 13,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1679), 7,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1677), 32,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_DOT_DOT,
  [6364] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1691), 1,
      anon_sym_EQ,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1689), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [6466] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(131), 1,
      anon_sym_EQ,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(129), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [6568] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1747), 1,
      anon_sym_EQ,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1745), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [6670] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1699), 1,
      anon_sym_EQ,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1697), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [6772] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1755), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1753), 40,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_nosuspend,
      anon_sym_defer,
      anon_sym_suspend,
      anon_sym_errdefer,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [6840] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1679), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 34,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [6918] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(985), 1,
      sym_FnCallArguments,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(984), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [7002] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 16,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 32,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_DOT,
  [7084] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1679), 10,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1677), 31,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_DOT_DOT,
  [7170] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(927), 1,
      sym_FnCallArguments,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(928), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [7252] = 13,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1679), 7,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1677), 31,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_DOT_DOT,
  [7340] = 16,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 29,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
  [7434] = 18,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1679), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 25,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [7532] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(945), 1,
      sym_FnCallArguments,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(944), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [7614] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1679), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1677), 24,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DOT_DOT,
  [7714] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_FnCallArguments,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(967), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [7796] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(957), 1,
      sym_FnCallArguments,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(958), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [7878] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1707), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1705), 34,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [7956] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(979), 1,
      sym_FnCallArguments,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(975), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8040] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(991), 1,
      sym_FnCallArguments,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(986), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8124] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(987), 1,
      sym_FnCallArguments,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1012), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8208] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(935), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8285] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8362] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(999), 1,
      sym_FnCallArguments,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1004), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8443] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(630), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_COLON,
    STATE(993), 1,
      sym_PtrPayload,
    STATE(1122), 1,
      sym_WhileContinueExpr,
    ACTIONS(1767), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1765), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [8518] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8595] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8672] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8749] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1771), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1777), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8826] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8903] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(974), 1,
      sym_FnCallArguments,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(950), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [8984] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9061] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(931), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9138] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(983), 1,
      sym_FnCallArguments,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(981), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9219] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(173), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(946), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1245), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1247), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9290] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1003), 1,
      sym_FnCallArguments,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1002), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9371] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1780), 1,
      anon_sym_BANG,
    ACTIONS(1531), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1529), 37,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_linksection,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_align,
      anon_sym_DOT_DOT,
  [9440] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1545), 1,
      anon_sym_LBRACE,
    STATE(1024), 1,
      sym_InitList,
    ACTIONS(1543), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1541), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [9511] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9588] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(932), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9665] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1782), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(946), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1222), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1224), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9736] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(934), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9813] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1030), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(933), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9890] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1185), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1305), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1303), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [9966] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10042] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1787), 1,
      anon_sym_BANG,
    ACTIONS(1531), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1529), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [10110] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(215), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(977), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1247), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1245), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [10180] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1789), 1,
      anon_sym_COLON,
    STATE(1018), 1,
      sym_BreakLabel,
    ACTIONS(49), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(35), 35,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [10250] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10326] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1180), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1313), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1311), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10402] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1181), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1309), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1307), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10478] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(971), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10554] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10630] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10706] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1794), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1797), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10782] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(976), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10858] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [10934] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1313), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1311), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11010] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1309), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1307), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11086] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11162] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(978), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11238] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11314] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(980), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11390] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(239), 1,
      sym_AssignOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1800), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1804), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
  [11494] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11570] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11646] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1091), 1,
      sym__ElseTypeExprTail,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1305), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1303), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11722] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1771), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1777), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11798] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(962), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11874] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [11950] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12026] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1806), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(977), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1224), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1222), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [12096] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12172] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(954), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12248] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1649), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACK,
    STATE(1031), 1,
      sym_SuffixOp,
    ACTIONS(1655), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(973), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12324] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12400] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12476] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(982), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12552] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(960), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12628] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1038), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(959), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12704] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12779] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1005), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [12854] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1811), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1809), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [12919] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1815), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1813), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [12984] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1817), 1,
      anon_sym_else,
    STATE(1181), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1309), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1307), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [13053] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1025), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13128] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(532), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(530), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [13193] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1769), 1,
      anon_sym_COLON,
    STATE(1201), 1,
      sym_WhileContinueExpr,
    ACTIONS(1821), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1819), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [13262] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1817), 1,
      anon_sym_else,
    STATE(1185), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1305), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1303), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [13331] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    STATE(1083), 1,
      sym_FnCallArguments,
    ACTIONS(1295), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1297), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13400] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13475] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(630), 1,
      anon_sym_PIPE,
    STATE(1128), 1,
      sym_PtrPayload,
    ACTIONS(1825), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1823), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [13544] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1829), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1827), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [13609] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1006), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13684] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1833), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1831), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [13749] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(524), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(522), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [13814] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13889] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(996), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [13964] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14039] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14114] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14189] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1301), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1299), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
  [14254] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1837), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1835), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [14319] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
    ACTIONS(568), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(570), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14386] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1841), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1839), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [14451] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(564), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(562), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [14516] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14591] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1093), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1311), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1313), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14658] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1092), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1307), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1309), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14725] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1845), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1843), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [14790] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1091), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1303), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1305), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14857] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1465), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1463), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [14930] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(131), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(129), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [14995] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(558), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [15060] = 23,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(303), 1,
      sym_AssignOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1008), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1800), 2,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1804), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
  [15165] = 23,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(303), 1,
      sym_AssignOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(998), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1800), 2,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1804), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
  [15270] = 23,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(303), 1,
      sym_AssignOp,
    STATE(341), 1,
      sym_AdditionOp,
    STATE(1010), 1,
      sym__ElseExprTail,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1800), 2,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1804), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
  [15375] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(622), 1,
      anon_sym_PIPE,
    STATE(1194), 1,
      sym_Payload,
    ACTIONS(1849), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1847), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [15444] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1853), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1851), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [15509] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1757), 1,
      anon_sym_DOT,
    ACTIONS(1761), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1763), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [15584] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(528), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(526), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [15649] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1817), 1,
      anon_sym_else,
    STATE(1180), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1313), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1311), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [15718] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1794), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_SuffixOp,
    ACTIONS(1797), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1028), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [15793] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1857), 21,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1855), 36,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_PLUS_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DOT_DOT,
  [15858] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1859), 1,
      anon_sym_LPAREN,
    STATE(1094), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [15927] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    STATE(1094), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [15996] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(528), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(526), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16060] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1525), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1527), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [16124] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1864), 21,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1862), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [16188] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1868), 21,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1866), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [16252] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1529), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [16316] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(510), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(512), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16380] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    STATE(1179), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [16448] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(506), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(508), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16512] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(534), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(536), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16576] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(538), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(540), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16640] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(524), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(522), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16704] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(546), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(548), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16768] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(550), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(552), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [16832] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1873), 1,
      anon_sym_LBRACE,
    STATE(1270), 1,
      sym_InitList,
    ACTIONS(1465), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1463), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [16904] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1301), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1299), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
  [16968] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1569), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17032] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1479), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1481), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17096] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1435), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1437), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17160] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1399), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1401), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17224] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1387), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1389), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17288] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1363), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1365), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17352] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1343), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1345), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17416] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1335), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1337), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17480] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1331), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1333), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17544] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
    ACTIONS(570), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(568), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [17610] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1559), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1561), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17674] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1521), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1523), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17738] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1507), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1509), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17802] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1499), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1501), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17866] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1455), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1457), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17930] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1443), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1445), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [17994] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(558), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [18058] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1315), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1317), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18122] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    STATE(1179), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18190] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1411), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1413), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18254] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1379), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1381), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18318] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1359), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1361), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18382] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1347), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1349), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18446] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1339), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1341), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18510] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1323), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1325), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18574] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1351), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1353), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18638] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1367), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1369), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18702] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1415), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1417), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18766] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1439), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1441), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18830] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1447), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1449), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18894] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1451), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1453), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [18958] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1459), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1461), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19022] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1503), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1505), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19086] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1513), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1515), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19150] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1537), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1539), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19214] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1547), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1549), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19278] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1551), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1553), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19342] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(564), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(562), 29,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [19406] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1571), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1573), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19470] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1495), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1497), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19534] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1419), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1421), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19598] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1403), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1405), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19662] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1327), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1329), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19726] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1355), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1357), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19790] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1371), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1373), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19854] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1375), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1377), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19918] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1483), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1485), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [19982] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1269), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20046] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1533), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1535), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20110] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1487), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1489), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20174] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1407), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1409), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20238] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1423), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1425), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20302] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1427), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1429), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20366] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1431), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1433), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20430] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1491), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1493), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20494] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    STATE(1207), 1,
      sym_FnCallArguments,
    ACTIONS(1295), 27,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1297), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20562] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1563), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1565), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20626] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1555), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1557), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20690] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(516), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(518), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20754] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1319), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1321), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20818] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1467), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1469), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20882] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1463), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1465), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [20946] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1391), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1393), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21010] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1383), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1385), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21074] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1395), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1397), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21138] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1471), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1473), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21202] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1475), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1477), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21266] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1517), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1519), 28,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [21330] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1369), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1367), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [21393] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1493), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1491), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [21456] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1321), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1319), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [21519] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1875), 1,
      anon_sym_else,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1264), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1623), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1625), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [21622] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1875), 1,
      anon_sym_else,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1268), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1593), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1595), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [21725] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1875), 1,
      anon_sym_else,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1267), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1635), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1637), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [21828] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1557), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1555), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [21891] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1821), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1819), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [21954] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1559), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22017] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1523), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1521), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22080] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1887), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1885), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [22143] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1469), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1467), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22206] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1509), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1507), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22269] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1891), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1889), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [22332] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1563), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22395] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1473), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1471), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22458] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1501), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1499), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22521] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1397), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1395), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22584] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1465), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1463), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22647] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1519), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1517), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22710] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1895), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1893), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [22773] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1445), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1443), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22836] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1317), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1315), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22899] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1413), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1411), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [22962] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1527), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1525), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [23025] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1899), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1897), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23088] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(131), 1,
      anon_sym_EQ,
    ACTIONS(1611), 1,
      anon_sym_orelse,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1619), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(239), 1,
      sym_AssignOp,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
    ACTIONS(1603), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1605), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(129), 18,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_DASH_PERCENT_EQ,
  [23187] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1903), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1901), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23250] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1907), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1905), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23313] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1911), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1909), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23376] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1915), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1913), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23439] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1755), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1753), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [23502] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1381), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1379), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [23565] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1457), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1455), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [23628] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1393), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1391), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [23691] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1254), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1623), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1625), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [23792] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1252), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1593), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1595), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [23893] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1361), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1359), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [23956] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1349), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1347), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24019] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1341), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1339), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24082] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    STATE(1255), 1,
      sym__ElseExprTail,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1635), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1637), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [24183] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1325), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1323), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24246] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1919), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1917), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [24309] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1849), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1847), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [24372] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(518), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(516), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24435] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1433), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1431), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24498] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1429), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1427), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24561] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1353), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1351), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24624] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1425), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1423), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24687] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1417), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1415), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24750] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1569), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1567), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24813] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1409), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1407), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24876] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(510), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(512), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [24939] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1481), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1479), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25002] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1437), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1435), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25065] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1401), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1399), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25128] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1389), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1387), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25191] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1365), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1363), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25254] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1345), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1343), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25317] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(550), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(552), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25380] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1489), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1487), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25443] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1337), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1335), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25506] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1477), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1475), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1535), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1533), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25632] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1271), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1269), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25695] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1485), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1483), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25758] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1377), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1375), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25821] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(506), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(508), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25884] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(546), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(548), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [25947] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1385), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1383), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26010] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1373), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1371), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26073] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(538), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(540), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26136] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1357), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1355), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26199] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(534), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(536), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26262] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1531), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1529), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26325] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1329), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1327), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26388] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1441), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1439), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26451] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1449), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1447), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26514] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1453), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1451), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26577] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1923), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1921), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [26640] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1405), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1403), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26703] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1461), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1459), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26766] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1505), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1503), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [26829] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1927), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1925), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [26892] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1931), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1929), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [26955] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1935), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1933), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [27018] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1939), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1937), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [27081] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1515), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1513), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27144] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1943), 20,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_DASH_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1941), 35,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_nosuspend,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_resume,
      anon_sym_return,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_asm,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_try,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [27207] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1421), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1419), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27270] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1539), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1537), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27333] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1549), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1547), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27396] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1553), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1551), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27459] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1497), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1495), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27522] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1573), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1571), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27585] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1333), 27,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_BANG,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(1331), 28,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
  [27648] = 17,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 9,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 18,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_IDENTIFIER_token1,
  [27738] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      aux_sym_IDENTIFIER_token1,
  [27832] = 14,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 21,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      aux_sym_IDENTIFIER_token1,
  [27916] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1689), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1691), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [28014] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 13,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 22,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      aux_sym_IDENTIFIER_token1,
  [28094] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1705), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1707), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [28166] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 18,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 24,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_IDENTIFIER_token1,
  [28242] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1745), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1747), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [28340] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1677), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [28412] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      aux_sym_IDENTIFIER_token1,
  [28508] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(129), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(131), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [28606] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1877), 1,
      anon_sym_or,
    ACTIONS(1879), 1,
      anon_sym_and,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(279), 1,
      sym_MultiplyOp,
    STATE(281), 1,
      sym_AdditionOp,
    STATE(284), 1,
      sym_BitShiftOp,
    STATE(298), 1,
      sym_BitwiseOp,
    STATE(299), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1697), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1699), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      aux_sym_IDENTIFIER_token1,
  [28704] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1945), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1947), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [28801] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      aux_sym_IDENTIFIER_token1,
  [28894] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1677), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [28965] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1689), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1691), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29062] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1705), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1707), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [29133] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1953), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1955), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29230] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1957), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1959), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29327] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      aux_sym_IDENTIFIER_token1,
  [29422] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1961), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1963), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29519] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1965), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1967), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29616] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1969), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1971), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29713] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(129), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(131), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29810] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1973), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1975), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [29907] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 18,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 23,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_IDENTIFIER_token1,
  [29982] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1745), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1747), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [30079] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1977), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1979), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [30176] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 13,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 21,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      aux_sym_IDENTIFIER_token1,
  [30255] = 17,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 9,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 17,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_IDENTIFIER_token1,
  [30344] = 14,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1679), 20,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      aux_sym_IDENTIFIER_token1,
  [30427] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1981), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1983), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [30524] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1881), 1,
      anon_sym_catch,
    ACTIONS(1949), 1,
      anon_sym_or,
    ACTIONS(1951), 1,
      anon_sym_and,
    STATE(195), 1,
      sym_MultiplyOp,
    STATE(197), 1,
      sym_AdditionOp,
    STATE(199), 1,
      sym_BitShiftOp,
    STATE(203), 1,
      sym_BitwiseOp,
    STATE(204), 1,
      sym_CompareOp,
    ACTIONS(1603), 2,
      anon_sym_PIPE,
      anon_sym_orelse,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1611), 2,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1697), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1699), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [30621] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_InitList,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30684] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1985), 1,
      anon_sym_BANG,
    ACTIONS(1529), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30745] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    STATE(1258), 1,
      sym_BreakLabel,
    ACTIONS(35), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(49), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30808] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1873), 1,
      anon_sym_LBRACE,
    STATE(1270), 1,
      sym_InitList,
    ACTIONS(1541), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1543), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30870] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    STATE(1262), 1,
      sym_BreakLabel,
    ACTIONS(35), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(49), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30932] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1529), 24,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [30992] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1809), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1811), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31049] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1831), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1833), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31106] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1827), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1829), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31163] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(530), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(532), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31220] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1839), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1841), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31277] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1835), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1837), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31334] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1855), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1857), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31391] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1813), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1815), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31448] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(129), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(131), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31505] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1851), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1853), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31562] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1843), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1845), 26,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31619] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1831), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1833), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31675] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(129), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(131), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31731] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1813), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1815), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31787] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1839), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1841), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31843] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(530), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(532), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [31899] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON,
    ACTIONS(1999), 1,
      anon_sym_RBRACK,
    ACTIONS(2001), 1,
      anon_sym_c,
    ACTIONS(1997), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1993), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [31961] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1835), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1837), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32017] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1827), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1829), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32073] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1809), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1811), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32129] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1851), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1853), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32185] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1855), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1857), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32241] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1843), 23,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1845), 25,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_or,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      aux_sym_IDENTIFIER_token1,
  [32297] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2010), 1,
      anon_sym_align,
    STATE(1273), 2,
      sym_ByteAlign,
      aux_sym_PrefixTypeOp_repeat1,
    ACTIONS(2005), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2008), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2003), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32358] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2019), 1,
      anon_sym_align,
    STATE(1273), 2,
      sym_ByteAlign,
      aux_sym_PrefixTypeOp_repeat1,
    ACTIONS(2015), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2017), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2013), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32419] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2019), 1,
      anon_sym_align,
    STATE(1274), 2,
      sym_ByteAlign,
      aux_sym_PrefixTypeOp_repeat1,
    ACTIONS(2023), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2025), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2021), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32480] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2029), 18,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2027), 28,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_linksection,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32534] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1336), 1,
      sym_FnCallArguments,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1338), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1220), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1218), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [32604] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2041), 1,
      anon_sym_align,
    STATE(1281), 1,
      aux_sym_PrefixTypeOp_repeat2,
    ACTIONS(2039), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2017), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2013), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32664] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2041), 1,
      anon_sym_align,
    STATE(1278), 1,
      aux_sym_PrefixTypeOp_repeat2,
    ACTIONS(2043), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2025), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2021), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32724] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1326), 1,
      sym_FnCallArguments,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1325), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1198), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1196), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [32794] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2052), 1,
      anon_sym_align,
    STATE(1281), 1,
      aux_sym_PrefixTypeOp_repeat2,
    ACTIONS(2047), 3,
      anon_sym_const,
      anon_sym_volatile,
      anon_sym_allowzero,
    ACTIONS(2050), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2045), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [32854] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1315), 1,
      sym_FnCallArguments,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1319), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1220), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1218), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [32924] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1321), 1,
      sym_FnCallArguments,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1320), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1198), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1196), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [32994] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2059), 1,
      anon_sym_anyframe,
    ACTIONS(2062), 1,
      anon_sym_LBRACK,
    ACTIONS(2065), 1,
      anon_sym_STAR,
    ACTIONS(2068), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2071), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_SliceTypeStart,
    STATE(1279), 1,
      sym_PtrTypeStart,
    STATE(1370), 1,
      sym_ArrayTypeStart,
    STATE(1284), 2,
      sym_PrefixTypeOp,
      aux_sym__TypeExpr_repeat1,
    ACTIONS(2057), 12,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2055), 24,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33066] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1997), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1993), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33119] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2076), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2074), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33172] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2080), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2078), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33225] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    STATE(732), 1,
      sym_FnCallArguments,
    STATE(751), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(733), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1198), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1196), 26,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [33292] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2084), 16,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2082), 29,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_linksection,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33345] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2088), 16,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2086), 29,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_linksection,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33398] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2090), 1,
      anon_sym_COLON,
    ACTIONS(2092), 1,
      anon_sym_PIPE,
    STATE(1324), 1,
      sym_PtrPayload,
    STATE(1373), 1,
      sym_WhileContinueExpr,
    ACTIONS(1767), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1765), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33459] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1340), 1,
      sym_FnCallArguments,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1339), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1216), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1214), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [33526] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    STATE(747), 1,
      sym_FnCallArguments,
    STATE(753), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(748), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1198), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1196), 26,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [33593] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2096), 18,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2094), 27,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33646] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2100), 16,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2098), 29,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_linksection,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33699] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1331), 1,
      sym_FnCallArguments,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1335), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1212), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1210), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [33766] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    STATE(725), 1,
      sym_FnCallArguments,
    STATE(751), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(727), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1220), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1218), 26,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [33833] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2104), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2102), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33886] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2029), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2027), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33939] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2108), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2106), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [33992] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2112), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2110), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [34045] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    STATE(744), 1,
      sym_FnCallArguments,
    STATE(753), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(745), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1220), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1218), 26,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34112] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2116), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2114), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [34165] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1309), 1,
      sym_FnCallArguments,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1312), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1212), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1210), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34232] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2120), 16,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2118), 29,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_linksection,
      anon_sym_callconv,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [34285] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1322), 1,
      sym_FnCallArguments,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1318), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1216), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1214), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34352] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2124), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2122), 30,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_volatile,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_allowzero,
      anon_sym_align,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [34405] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1308), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1224), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1222), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [34461] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1317), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1231), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1229), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34523] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1263), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1261), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34585] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1239), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1237), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34647] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1231), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1229), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34709] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(263), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1308), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1247), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1245), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [34765] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2129), 1,
      anon_sym_DOT,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2135), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1271), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1269), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34827] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1316), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1235), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1233), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34889] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1284), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1282), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [34951] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1267), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1265), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35013] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1251), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1249), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35075] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1243), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1241), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35137] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1314), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1259), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1257), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35199] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1311), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1255), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1253), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35261] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1310), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1251), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1249), 27,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35323] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2129), 1,
      anon_sym_DOT,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2135), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1271), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1269), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35384] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2090), 1,
      anon_sym_COLON,
    STATE(1388), 1,
      sym_WhileContinueExpr,
    ACTIONS(1821), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1819), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [35439] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1259), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1257), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35500] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1328), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1255), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1253), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35561] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1263), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1261), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35622] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1239), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1237), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35683] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1284), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1282), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35744] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    STATE(1412), 1,
      sym__ElseTypeExprTail,
    STATE(1613), 1,
      sym_InitList,
    ACTIONS(1313), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1311), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1543), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1541), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35805] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1333), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1231), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1229), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35866] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    STATE(1413), 1,
      sym__ElseTypeExprTail,
    STATE(1613), 1,
      sym_InitList,
    ACTIONS(1309), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1307), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1543), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1541), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35927] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1267), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1265), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [35988] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    STATE(1414), 1,
      sym__ElseTypeExprTail,
    STATE(1613), 1,
      sym_InitList,
    ACTIONS(1305), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1303), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1543), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1541), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36049] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1231), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1229), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36110] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1329), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1235), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1233), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36171] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2092), 1,
      anon_sym_PIPE,
    STATE(1424), 1,
      sym_PtrPayload,
    ACTIONS(1825), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1823), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [36226] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1243), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1241), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36287] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1323), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1251), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1249), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36348] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2031), 1,
      anon_sym_DOT,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_SuffixOp,
    ACTIONS(2037), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1327), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1251), 10,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1249), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36409] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(528), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(526), 31,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36459] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    STATE(1431), 1,
      sym_FnCallArguments,
    ACTIONS(1297), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1295), 29,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36513] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(1414), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1305), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1303), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36565] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
    ACTIONS(570), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(568), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36617] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2140), 1,
      anon_sym_else,
    STATE(775), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1309), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1307), 29,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36671] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2142), 1,
      anon_sym_else,
    STATE(1414), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1305), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1303), 29,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36725] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1864), 16,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1862), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [36775] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2142), 1,
      anon_sym_else,
    STATE(1412), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1313), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1311), 29,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36829] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    STATE(1613), 1,
      sym_InitList,
    ACTIONS(1465), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(1463), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    ACTIONS(1543), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1541), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [36887] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2142), 1,
      anon_sym_else,
    STATE(1413), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1309), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1307), 29,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36941] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(1412), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1313), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1311), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36993] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(1413), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1309), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1307), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37045] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1301), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1299), 31,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      anon_sym_BSLASH_BSLASH,
  [37095] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(564), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(562), 31,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37145] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2140), 1,
      anon_sym_else,
    STATE(804), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1313), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1311), 29,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37199] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1868), 16,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1866), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [37249] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(524), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(522), 31,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37299] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2146), 16,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2144), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [37349] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2148), 1,
      anon_sym_LPAREN,
    STATE(1408), 1,
      sym_FnCallArguments,
    ACTIONS(1288), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1286), 29,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37403] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2140), 1,
      anon_sym_else,
    STATE(774), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1305), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1303), 29,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37457] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(560), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(558), 31,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37507] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    STATE(1408), 1,
      sym_FnCallArguments,
    ACTIONS(1288), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1286), 29,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37561] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1461), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1459), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37610] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1381), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1379), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37659] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1393), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1391), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37708] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1465), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1463), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37757] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1469), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1467), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37806] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(506), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(508), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37855] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1755), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1753), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [37904] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2025), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2021), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [37953] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(510), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(512), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38002] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1321), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1319), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38051] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1821), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1819), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38100] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(518), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(516), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38149] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(534), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(536), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38198] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(538), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(540), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38247] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(546), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(548), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38296] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1397), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1395), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38345] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(550), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(552), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38394] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1557), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1555), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38443] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1473), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1471), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38492] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1919), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1917), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38541] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1565), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1563), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38590] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1477), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1475), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38639] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2153), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2151), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38688] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1519), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1517), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38737] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1527), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1525), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38786] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1939), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1937), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38835] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1899), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1897), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38884] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1907), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1905), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [38933] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1531), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1529), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38982] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1569), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1567), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39031] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1935), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1933), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [39080] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1481), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1479), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39129] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1931), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1929), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [39178] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1437), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1435), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39227] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1401), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1399), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39276] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1389), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1387), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39325] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1493), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1491), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39374] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1433), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1431), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39423] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1429), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1427), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39472] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1425), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1423), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39521] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1409), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1407), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39570] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1365), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1363), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39619] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1489), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1487), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39668] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1345), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1343), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39717] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1535), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1533), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39766] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1271), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1269), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39815] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1337), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1335), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39864] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2157), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2155), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [39913] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2017), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(2013), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [39962] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1485), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1483), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40011] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1377), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1375), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40060] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1373), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1371), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40109] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1357), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1355), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40158] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1887), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1885), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [40207] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1329), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1327), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40256] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1333), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1331), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40305] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1405), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1403), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40354] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1561), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1559), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40403] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1523), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1521), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40452] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1509), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1507), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40501] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1421), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1419), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40550] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1891), 15,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      aux_sym_FLOAT_token1,
      aux_sym_FLOAT_token2,
      aux_sym_FLOAT_token3,
      aux_sym_FLOAT_token4,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1889), 26,
      anon_sym_comptime,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_fn,
      anon_sym_async,
      anon_sym_error,
      anon_sym_false,
      anon_sym_null,
      anon_sym_anyframe,
      anon_sym_true,
      anon_sym_undefined,
      anon_sym_unreachable,
      sym_BuildinTypeExpr,
      anon_sym_packed,
      anon_sym_switch,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_opaque,
      anon_sym_enum,
      anon_sym_union,
      aux_sym_INTEGER_token3,
      aux_sym_INTEGER_token4,
      aux_sym_IDENTIFIER_token1,
  [40599] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1501), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1499), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40648] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1457), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1455), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40697] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1445), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1443), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40746] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1317), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1315), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40795] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1497), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1495), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40844] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1573), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1571), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40893] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1553), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1551), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40942] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1549), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1547), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40991] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1539), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1537), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41040] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1413), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1411), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41089] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1385), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1383), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41138] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1515), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1513), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41187] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1361), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1359), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41236] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1505), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1503), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41285] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1349), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1347), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41334] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1341), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1339), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41383] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1453), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1451), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41432] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1325), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1323), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41481] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1449), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1447), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41530] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1353), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1351), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41579] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1441), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1439), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41628] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1369), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1367), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41677] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1417), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1415), 30,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41726] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2159), 1,
      anon_sym_EQ,
    ACTIONS(1469), 11,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1467), 28,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [41776] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2161), 1,
      anon_sym_else,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1611), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1593), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [41862] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(1008), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1635), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [41946] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2161), 1,
      anon_sym_else,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1612), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1635), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42032] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1612), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1635), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42116] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1611), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1593), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42200] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1610), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1623), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42284] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    ACTIONS(2171), 1,
      anon_sym_else,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(1008), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1635), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42370] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    ACTIONS(2171), 1,
      anon_sym_else,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(998), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1593), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42456] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2161), 1,
      anon_sym_else,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    STATE(1610), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1623), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42542] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    ACTIONS(2171), 1,
      anon_sym_else,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(1010), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1623), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42628] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(1010), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1623), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42712] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    STATE(998), 1,
      sym__ElseExprTail,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1593), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42796] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1677), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42877] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1745), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [42958] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1697), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43039] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(129), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43120] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1689), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43201] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 5,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
    ACTIONS(1677), 15,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
  [43266] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2167), 1,
      anon_sym_or,
    ACTIONS(2169), 1,
      anon_sym_and,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1697), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43347] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
  [43426] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(129), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43507] = 17,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1679), 3,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 9,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [43582] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 7,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1677), 20,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
  [43643] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1677), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43724] = 17,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1679), 3,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 9,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [43799] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1707), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1705), 25,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43856] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1689), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [43937] = 14,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 13,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
  [44006] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1679), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1677), 25,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44063] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44144] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1707), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1705), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44201] = 14,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 13,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
  [44270] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 5,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
    ACTIONS(1677), 15,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
  [44335] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 7,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1677), 20,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
  [44396] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2163), 1,
      anon_sym_or,
    ACTIONS(2165), 1,
      anon_sym_and,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1745), 4,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44477] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    STATE(179), 1,
      sym_CompareOp,
    STATE(256), 1,
      sym_BitwiseOp,
    STATE(320), 1,
      sym_MultiplyOp,
    STATE(326), 1,
      sym_AdditionOp,
    STATE(337), 1,
      sym_BitShiftOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 5,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [44556] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(226), 1,
      sym_CompareOp,
    STATE(227), 1,
      sym_BitwiseOp,
    STATE(230), 1,
      sym_BitShiftOp,
    STATE(231), 1,
      sym_AdditionOp,
    STATE(232), 1,
      sym_MultiplyOp,
    ACTIONS(1679), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1677), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44613] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2175), 1,
      anon_sym_COMMA,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2124), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44697] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2179), 1,
      anon_sym_COMMA,
    ACTIONS(2181), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2137), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44781] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2183), 1,
      anon_sym_COMMA,
    ACTIONS(2185), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2100), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44865] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1679), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1677), 24,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44921] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1679), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1677), 24,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [44977] = 14,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 12,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
  [45045] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 7,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1677), 19,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
  [45105] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 5,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
    ACTIONS(1677), 14,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
  [45169] = 14,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 12,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
  [45237] = 17,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1679), 3,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 8,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [45311] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1677), 4,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45389] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2193), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2321), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45473] = 17,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1679), 3,
      anon_sym_or,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1677), 8,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [45547] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2195), 1,
      anon_sym_COMMA,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2165), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45631] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2199), 1,
      anon_sym_COMMA,
    ACTIONS(2201), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2172), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45715] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 7,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1677), 19,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
  [45775] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2203), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2319), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45859] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2205), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2336), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [45943] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1697), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46023] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2211), 1,
      anon_sym_COMMA,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2150), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46107] = 19,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1677), 4,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46185] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2215), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2398), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46269] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1677), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46349] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2219), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2221), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46433] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1689), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46513] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1707), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1705), 24,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46569] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1745), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46649] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1697), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46729] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1679), 5,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
    ACTIONS(1677), 14,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
  [46793] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1745), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46873] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(129), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [46953] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2221), 1,
      anon_sym_COMMA,
    ACTIONS(2223), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2182), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47037] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      anon_sym_or,
    ACTIONS(2209), 1,
      anon_sym_and,
    ACTIONS(2227), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2225), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47119] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2229), 1,
      anon_sym_COMMA,
    ACTIONS(2231), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2094), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47203] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(201), 1,
      sym_CompareOp,
    STATE(202), 1,
      sym_BitwiseOp,
    STATE(205), 1,
      sym_BitShiftOp,
    STATE(207), 1,
      sym_AdditionOp,
    STATE(209), 1,
      sym_MultiplyOp,
    ACTIONS(1707), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1705), 24,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47259] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2233), 1,
      anon_sym_COMMA,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2089), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47343] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2237), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2373), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47427] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(129), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47507] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(2239), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47587] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2241), 1,
      anon_sym_COMMA,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2215), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47671] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2245), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2405), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47755] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2247), 1,
      anon_sym_COMMA,
    ACTIONS(2249), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    STATE(2223), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47839] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1689), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [47919] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2251), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2368), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48003] = 22,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2253), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    STATE(2343), 1,
      sym_AsmOutput,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48087] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1679), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1677), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48167] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2255), 1,
      anon_sym_COLON,
    ACTIONS(2257), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48248] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2259), 1,
      anon_sym_COLON,
    ACTIONS(2261), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48329] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2263), 1,
      anon_sym_RBRACK,
    ACTIONS(2265), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48410] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2267), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48489] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2269), 1,
      anon_sym_COLON,
    ACTIONS(2271), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48570] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2273), 1,
      anon_sym_RBRACK,
    ACTIONS(2275), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48651] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2277), 1,
      anon_sym_COLON,
    ACTIONS(2279), 1,
      anon_sym_RPAREN,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48732] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2281), 1,
      anon_sym_COLON,
    ACTIONS(2283), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48813] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2285), 1,
      anon_sym_RBRACK,
    ACTIONS(2287), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48894] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2289), 1,
      anon_sym_COLON,
    ACTIONS(2291), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [48975] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2293), 1,
      anon_sym_RBRACK,
    ACTIONS(2295), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49056] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1599), 1,
      anon_sym_or,
    ACTIONS(1601), 1,
      anon_sym_and,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    STATE(216), 1,
      sym_MultiplyOp,
    STATE(241), 1,
      sym_CompareOp,
    STATE(250), 1,
      sym_BitwiseOp,
    STATE(275), 1,
      sym_BitShiftOp,
    STATE(341), 1,
      sym_AdditionOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2173), 2,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49135] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2297), 1,
      anon_sym_COLON,
    ACTIONS(2299), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49216] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    ACTIONS(2303), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49297] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2305), 1,
      anon_sym_RBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOT_DOT,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49378] = 21,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(2189), 1,
      anon_sym_or,
    ACTIONS(2191), 1,
      anon_sym_and,
    ACTIONS(2309), 1,
      anon_sym_COLON,
    ACTIONS(2311), 1,
      anon_sym_RBRACK,
    STATE(235), 1,
      sym_CompareOp,
    STATE(251), 1,
      sym_BitwiseOp,
    STATE(255), 1,
      sym_BitShiftOp,
    STATE(257), 1,
      sym_AdditionOp,
    STATE(276), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49459] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2313), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49538] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2315), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49616] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2317), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49694] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2319), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49772] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49850] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [49928] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50006] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2327), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50084] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50162] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50240] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2333), 1,
      anon_sym_BANG,
    ACTIONS(1531), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1529), 26,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50286] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2335), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50364] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50442] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2339), 1,
      anon_sym_BANG,
    ACTIONS(1531), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1529), 26,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50488] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50566] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2343), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50644] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2345), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50722] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50800] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2349), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50878] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [50956] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2353), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51034] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    STATE(1613), 1,
      sym_InitList,
    ACTIONS(1543), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1541), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51082] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2355), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51160] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2357), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51238] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51316] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2361), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51394] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51472] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51550] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51628] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2369), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51706] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2371), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51784] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2373), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51862] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2375), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [51940] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2377), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52018] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52096] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52174] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52252] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52330] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2387), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52408] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52486] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2391), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52564] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52642] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52720] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2397), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52798] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2399), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52876] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [52954] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53032] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2405), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53110] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53188] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2409), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53266] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2411), 1,
      anon_sym_COLON,
    STATE(1614), 1,
      sym_BreakLabel,
    ACTIONS(49), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(35), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53314] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2413), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53392] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2415), 1,
      anon_sym_RPAREN,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53470] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2417), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53548] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2419), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53626] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2421), 1,
      anon_sym_RBRACK,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53704] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2423), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53782] = 20,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1603), 1,
      anon_sym_PIPE,
    ACTIONS(1613), 1,
      anon_sym_catch,
    ACTIONS(1615), 1,
      anon_sym_LT_LT,
    ACTIONS(1749), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym_CompareOp,
    STATE(180), 1,
      sym_BitwiseOp,
    STATE(181), 1,
      sym_BitShiftOp,
    STATE(182), 1,
      sym_AdditionOp,
    STATE(183), 1,
      sym_MultiplyOp,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1883), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1611), 3,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
    ACTIONS(1607), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1619), 5,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53860] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2427), 1,
      anon_sym_BANG,
    ACTIONS(1531), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1529), 25,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53905] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2429), 1,
      anon_sym_BANG,
    ACTIONS(1531), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1529), 25,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53950] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1815), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1813), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [53992] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1857), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1855), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54034] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1841), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1839), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54076] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1829), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1827), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54118] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1837), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1835), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54160] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1853), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1851), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54202] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(131), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(129), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54244] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1845), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1843), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54286] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1811), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1809), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54328] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1833), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(1831), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54370] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(532), 9,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(530), 25,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_and,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
  [54412] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_FnCallArguments,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1638), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54468] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1633), 1,
      sym_FnCallArguments,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1631), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54524] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1649), 1,
      sym_FnCallArguments,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1650), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54579] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1644), 1,
      sym_FnCallArguments,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1643), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54632] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1647), 1,
      sym_FnCallArguments,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1660), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54687] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1673), 1,
      sym_FnCallArguments,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1675), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1196), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1198), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54742] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1669), 1,
      sym_FnCallArguments,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1668), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1220), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54797] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1637), 1,
      sym_FnCallArguments,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1641), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54850] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1652), 1,
      sym_FnCallArguments,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1654), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54902] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1676), 1,
      sym_FnCallArguments,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1674), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [54954] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2447), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2453), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55002] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55050] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55098] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55146] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1642), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55194] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1664), 1,
      sym_FnCallArguments,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1665), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1214), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1216), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55246] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(918), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1640), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1245), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1247), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55288] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55336] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1630), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55384] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55432] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1653), 1,
      sym_FnCallArguments,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1651), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1210), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1212), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55484] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1640), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1222), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1224), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55526] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55574] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55622] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1629), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55670] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1632), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55718] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2431), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_SuffixOp,
    ACTIONS(2437), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1636), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55766] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1020), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1648), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1245), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1247), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55807] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1655), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55854] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2459), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(1648), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    ACTIONS(1222), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1224), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55895] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1657), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55942] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [55989] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56036] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1656), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56083] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1659), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56130] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56177] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56224] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56271] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56318] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2465), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2468), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56365] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56412] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1658), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56459] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1282), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1284), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56505] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    STATE(1719), 1,
      sym_FnCallArguments,
    ACTIONS(1295), 10,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1297), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56545] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(526), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(528), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56581] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1684), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56627] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1249), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1251), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56673] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(558), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(560), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56709] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2471), 1,
      anon_sym_else,
    STATE(1800), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1311), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1313), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56749] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1241), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1243), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56795] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1661), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1233), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1235), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56841] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2473), 1,
      anon_sym_LPAREN,
    STATE(1704), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 10,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56881] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2471), 1,
      anon_sym_else,
    STATE(1801), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1307), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1309), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56921] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2471), 1,
      anon_sym_else,
    STATE(1802), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1303), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1305), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [56961] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1685), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1253), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1255), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57007] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57053] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1257), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1259), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57099] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1678), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1229), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1231), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57145] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(562), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(564), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57181] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1265), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1267), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57227] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2465), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2468), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1269), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57273] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1705), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1311), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1313), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57311] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1299), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1301), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57347] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(522), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(524), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57383] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1706), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1307), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1309), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57421] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1261), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1263), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57467] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2439), 1,
      anon_sym_DOT,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_SuffixOp,
    ACTIONS(2445), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(1679), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1237), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1239), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57513] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
    ACTIONS(568), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(570), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57551] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1707), 1,
      sym__ElseTypeExprTail,
    ACTIONS(1303), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1305), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57589] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1355), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1357), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57624] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    STATE(1841), 1,
      sym_FnCallArguments,
    ACTIONS(1295), 10,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1297), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57663] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(516), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(518), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57698] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1475), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1477), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57733] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1555), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1557), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57768] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1319), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1321), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57803] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1467), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1469), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57838] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1563), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1565), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57873] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1463), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1465), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57908] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1491), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1493), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57943] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1431), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1433), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [57978] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1427), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1429), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58013] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1423), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1425), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58048] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1407), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1409), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58083] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1487), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1489), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58118] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1533), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1535), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58153] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1269), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58188] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1483), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1485), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58223] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1375), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1377), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58258] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1371), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1373), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58293] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(512), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(510), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58328] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1327), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1329), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58363] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1403), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1405), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58398] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1419), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1421), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58433] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1391), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1393), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58468] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1383), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1385), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58503] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1395), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1397), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58538] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1471), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1473), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58573] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1495), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1497), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58608] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1571), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1573), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58643] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(506), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58678] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1551), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1553), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58713] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1547), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1549), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58748] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1537), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1539), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58783] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1517), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1519), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58818] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1525), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1527), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58853] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1513), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1515), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58888] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1503), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1505), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58923] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1459), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1461), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58958] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1451), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1453), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [58993] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1447), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1449), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59028] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1439), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1441), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59063] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1415), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1417), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59098] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1299), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_BSLASH_BSLASH,
      anon_sym_AT,
    ACTIONS(1301), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59133] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1367), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1369), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59168] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1351), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1353), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59203] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1323), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1325), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59238] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1339), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1341), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59273] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1347), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1349), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59308] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1359), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1361), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59343] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
    ACTIONS(568), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(570), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59380] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1379), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1381), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59415] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1411), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1413), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59450] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1315), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1317), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59485] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1443), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1445), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59520] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1455), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1457), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59555] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1499), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1501), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59590] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(526), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(528), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59625] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1507), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1509), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59660] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1521), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1523), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59695] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1331), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1333), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59730] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(534), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59765] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(538), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59800] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(548), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(546), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59835] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1479), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1481), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59870] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(552), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(550), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59905] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(522), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(524), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59940] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(562), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(564), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [59975] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(558), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(560), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60010] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1435), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1437), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60045] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1399), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1401), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60080] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1387), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1389), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60115] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2476), 1,
      anon_sym_LPAREN,
    STATE(1796), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 10,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60154] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1363), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1365), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60189] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1343), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1345), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60224] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1335), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1337), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60259] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1529), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60294] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1559), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1561), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60329] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    STATE(1796), 1,
      sym_FnCallArguments,
    ACTIONS(1286), 10,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1288), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60368] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1569), 16,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60403] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1533), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1535), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60437] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1507), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1509), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60471] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1447), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1449), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60505] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2479), 1,
      anon_sym_RBRACE,
    ACTIONS(2481), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1854), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [60575] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1537), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1539), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60609] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1547), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1549), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60643] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1499), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1501), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60677] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(512), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(510), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60711] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(516), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(518), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60745] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(506), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60779] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1471), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1473), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60813] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(538), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60847] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(548), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(546), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60881] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1319), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1321), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60915] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1439), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1441), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [60949] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2483), 1,
      anon_sym_RBRACE,
    ACTIONS(2485), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1859), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [61019] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1517), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1519), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61053] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1525), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1527), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61087] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1475), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1477), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61121] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1569), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61155] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1479), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1481), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61189] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1491), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1493), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61223] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1431), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1433), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61257] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1427), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1429), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61291] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1423), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1425), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61325] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1407), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1409), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61359] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1861), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [61429] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1467), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1469), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61463] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1269), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1271), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61497] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1415), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1417), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61531] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1435), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1437), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61565] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1367), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1369), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61599] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1483), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1485), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61633] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1375), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1377), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61667] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1371), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1373), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61701] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1355), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1357), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61735] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1399), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1401), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61769] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2491), 1,
      anon_sym_RBRACE,
    ACTIONS(2493), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1852), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [61839] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1327), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1329), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61873] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1383), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1385), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61907] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1403), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1405), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61941] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1419), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1421), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [61975] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1513), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1515), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62009] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1351), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1353), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62043] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1529), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62077] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1463), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1465), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62111] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1503), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1505), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62145] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1495), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1497), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62179] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1571), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1573), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62213] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(534), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62247] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(552), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(550), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62281] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1331), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1333), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62315] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1335), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1337), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62349] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1347), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1349), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62383] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1455), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1457), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62417] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1563), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1565), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62451] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1487), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1489), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62485] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1555), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1557), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62519] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1359), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1361), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62553] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1339), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1341), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62587] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1391), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1393), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62621] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1379), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1381), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62655] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2497), 1,
      anon_sym_pub,
    ACTIONS(2500), 1,
      anon_sym_test,
    ACTIONS(2503), 1,
      anon_sym_comptime,
    ACTIONS(2506), 1,
      anon_sym_export,
    ACTIONS(2509), 1,
      anon_sym_extern,
    ACTIONS(2515), 1,
      anon_sym_threadlocal,
    ACTIONS(2518), 1,
      anon_sym_usingnamespace,
    ACTIONS(2521), 1,
      anon_sym_fn,
    ACTIONS(2527), 1,
      sym_doc_comment,
    ACTIONS(2530), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2533), 1,
      anon_sym_AT,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(2495), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(2512), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(2524), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [62723] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1451), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1453), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62757] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1521), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1523), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62791] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1411), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1413), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62825] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1459), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1461), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62859] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1315), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1317), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62893] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1443), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1445), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62927] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1559), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1561), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62961] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1323), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1325), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [62995] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1387), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1389), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [63029] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2536), 1,
      anon_sym_RBRACE,
    ACTIONS(2538), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1847), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63099] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1551), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1553), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [63133] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1363), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1365), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [63167] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1395), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1397), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [63201] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2540), 1,
      anon_sym_RBRACE,
    ACTIONS(2542), 1,
      sym_container_doc_comment,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1863), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63271] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1343), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1345), 15,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_DOT,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [63305] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2544), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63372] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2546), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63439] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2548), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63506] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2550), 1,
      ts_builtin_sym_end,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1860), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63573] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63640] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1853), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63707] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2556), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63774] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2558), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63841] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63908] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2562), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [63975] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2564), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1850), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64042] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2550), 1,
      ts_builtin_sym_end,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64109] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2546), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1864), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64176] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64243] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2566), 1,
      ts_builtin_sym_end,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64310] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2564), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64377] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2556), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1846), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64444] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64511] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2570), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1830), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64578] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1848), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64645] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_pub,
    ACTIONS(9), 1,
      anon_sym_test,
    ACTIONS(11), 1,
      anon_sym_comptime,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(29), 1,
      sym_doc_comment,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    STATE(1877), 1,
      sym_IDENTIFIER,
    STATE(1887), 1,
      sym_ContainerField,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
    STATE(1855), 5,
      aux_sym__ContainerMembers,
      sym__ContainerDeclarations,
      sym_TestDecl,
      sym_TopLevelComptime,
      sym_TopLevelDecl,
  [64712] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2572), 1,
      anon_sym_BANG,
    ACTIONS(1529), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1531), 14,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      anon_sym_align,
      aux_sym_IDENTIFIER_token1,
  [64743] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2574), 1,
      anon_sym_EQ,
    ACTIONS(2576), 1,
      anon_sym_align,
    STATE(1883), 1,
      sym_ByteAlign,
    ACTIONS(1961), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1963), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64778] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2576), 1,
      anon_sym_align,
    ACTIONS(2578), 1,
      anon_sym_EQ,
    STATE(1880), 1,
      sym_ByteAlign,
    ACTIONS(1953), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1955), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64813] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2576), 1,
      anon_sym_align,
    ACTIONS(2580), 1,
      anon_sym_EQ,
    STATE(1881), 1,
      sym_ByteAlign,
    ACTIONS(1973), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1975), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64848] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2586), 1,
      anon_sym_DQUOTE,
    STATE(1884), 1,
      sym_STRINGLITERALSINGLE,
    STATE(1909), 1,
      sym_VarDecl,
    ACTIONS(2582), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2584), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64882] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(562), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(564), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64910] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(526), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(528), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64938] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2594), 1,
      anon_sym_EQ,
    ACTIONS(2588), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2590), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [64970] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2594), 1,
      anon_sym_EQ,
    ACTIONS(2596), 1,
      anon_sym_COLON,
    ACTIONS(2588), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2590), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65002] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(522), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(524), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65030] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2602), 1,
      anon_sym_COLON,
    ACTIONS(2604), 1,
      anon_sym_EQ,
    ACTIONS(2598), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2600), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65062] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(558), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(560), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65090] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2610), 1,
      anon_sym_COLON,
    ACTIONS(2612), 1,
      anon_sym_EQ,
    ACTIONS(2606), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2608), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65122] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2614), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2616), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65151] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2624), 1,
      anon_sym_EQ,
    ACTIONS(2620), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2622), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65180] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2029), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2027), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65207] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2630), 1,
      anon_sym_EQ,
    ACTIONS(2626), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2628), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65236] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1896), 1,
      sym_VarDecl,
    ACTIONS(2632), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2634), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65264] = 17,
    ACTIONS(13), 1,
      anon_sym_export,
    ACTIONS(15), 1,
      anon_sym_extern,
    ACTIONS(19), 1,
      anon_sym_threadlocal,
    ACTIONS(21), 1,
      anon_sym_usingnamespace,
    ACTIONS(23), 1,
      anon_sym_fn,
    ACTIONS(31), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2636), 1,
      anon_sym_pub,
    ACTIONS(2638), 1,
      anon_sym_test,
    ACTIONS(2640), 1,
      anon_sym_comptime,
    STATE(1875), 1,
      sym_IDENTIFIER,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(1903), 1,
      sym_TopLevelDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(17), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(25), 2,
      anon_sym_const,
      anon_sym_var,
  [65318] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    STATE(1909), 1,
      sym_VarDecl,
    ACTIONS(2582), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2584), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65346] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2644), 1,
      anon_sym_COMMA,
    ACTIONS(2642), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2646), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65374] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2648), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2650), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65399] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1667), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1665), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65424] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1731), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1729), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65449] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1683), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1681), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65474] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2495), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2652), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65499] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(506), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65524] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(512), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(510), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65549] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2582), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2584), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65574] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2654), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2656), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65599] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2660), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65624] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1735), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1733), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65649] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2662), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2664), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65674] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2666), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2668), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65699] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1703), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1701), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65724] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2670), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2672), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65749] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2674), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2676), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65774] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(520), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(514), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65799] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1687), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1685), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65824] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2678), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2680), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65849] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2682), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2684), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65874] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(618), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(616), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65899] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2632), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(2634), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65924] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1675), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      sym_doc_comment,
      anon_sym_AT,
    ACTIONS(1673), 13,
      anon_sym_pub,
      anon_sym_test,
      anon_sym_comptime,
      anon_sym_export,
      anon_sym_extern,
      anon_sym_inline,
      anon_sym_noinline,
      anon_sym_threadlocal,
      anon_sym_usingnamespace,
      anon_sym_fn,
      anon_sym_const,
      anon_sym_var,
      aux_sym_IDENTIFIER_token1,
  [65949] = 14,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(335), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_inline,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(59), 1,
      sym_Block,
    STATE(119), 1,
      sym_WhilePrefix,
    STATE(120), 1,
      sym_ForPrefix,
    STATE(821), 1,
      sym_LoopTypeExpr,
    STATE(877), 1,
      sym_LoopStatement,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(897), 2,
      sym_ForStatement,
      sym_WhileStatement,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [65995] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(700), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2692), 1,
      anon_sym_inline,
    STATE(49), 1,
      sym_Block,
    STATE(272), 1,
      sym_WhilePrefix,
    STATE(273), 1,
      sym_ForPrefix,
    STATE(821), 1,
      sym_LoopTypeExpr,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66034] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2694), 1,
      anon_sym_inline,
    STATE(234), 1,
      sym_WhilePrefix,
    STATE(247), 1,
      sym_ForPrefix,
    STATE(1614), 1,
      sym_LoopExpr,
    STATE(1374), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1616), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66071] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    ACTIONS(2696), 1,
      anon_sym_COLON,
    STATE(744), 1,
      sym_FnCallArguments,
    STATE(753), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(745), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_RPAREN,
  [66106] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(185), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2698), 1,
      anon_sym_inline,
    STATE(229), 1,
      sym_WhilePrefix,
    STATE(233), 1,
      sym_ForPrefix,
    STATE(1262), 1,
      sym_LoopExpr,
    STATE(1130), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1159), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1269), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66143] = 11,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2700), 1,
      anon_sym_inline,
    STATE(314), 1,
      sym_WhilePrefix,
    STATE(318), 1,
      sym_ForPrefix,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66180] = 12,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(335), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2702), 1,
      anon_sym_inline,
    STATE(62), 1,
      sym_Block,
    STATE(177), 1,
      sym_ForPrefix,
    STATE(191), 1,
      sym_WhilePrefix,
    STATE(821), 1,
      sym_LoopTypeExpr,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66219] = 11,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2704), 1,
      anon_sym_inline,
    STATE(188), 1,
      sym_ForPrefix,
    STATE(189), 1,
      sym_WhilePrefix,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66256] = 11,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2702), 1,
      anon_sym_inline,
    STATE(177), 1,
      sym_ForPrefix,
    STATE(191), 1,
      sym_WhilePrefix,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66293] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2706), 1,
      anon_sym_inline,
    STATE(322), 1,
      sym_WhilePrefix,
    STATE(323), 1,
      sym_ForPrefix,
    STATE(1258), 1,
      sym_LoopExpr,
    STATE(1105), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1112), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1250), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66330] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    ACTIONS(2696), 1,
      anon_sym_COLON,
    STATE(725), 1,
      sym_FnCallArguments,
    STATE(751), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(727), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_RPAREN,
  [66365] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    ACTIONS(2708), 1,
      anon_sym_COLON,
    STATE(744), 1,
      sym_FnCallArguments,
    STATE(753), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(745), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_RPAREN,
  [66400] = 11,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2692), 1,
      anon_sym_inline,
    STATE(272), 1,
      sym_WhilePrefix,
    STATE(273), 1,
      sym_ForPrefix,
    STATE(1018), 1,
      sym_LoopExpr,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(988), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66437] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    ACTIONS(2708), 1,
      anon_sym_COLON,
    STATE(725), 1,
      sym_FnCallArguments,
    STATE(751), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(727), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_RPAREN,
  [66472] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    ACTIONS(2710), 1,
      anon_sym_inline,
    STATE(289), 1,
      sym_ForPrefix,
    STATE(291), 1,
      sym_WhilePrefix,
    STATE(1614), 1,
      sym_LoopExpr,
    STATE(1374), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1616), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66509] = 10,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_LBRACK,
    ACTIONS(2712), 1,
      anon_sym_COLON,
    STATE(744), 1,
      sym_FnCallArguments,
    STATE(753), 1,
      sym_SuffixOp,
    ACTIONS(1208), 2,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
    STATE(745), 2,
      sym_FieldOrFnCall,
      aux_sym_SuffixExpr_repeat1,
    ACTIONS(1218), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_RPAREN,
  [66544] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_extern,
    ACTIONS(2720), 1,
      anon_sym_threadlocal,
    ACTIONS(2722), 1,
      anon_sym_usingnamespace,
    ACTIONS(2724), 1,
      anon_sym_fn,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(1903), 1,
      sym_TopLevelDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(2718), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(2726), 2,
      anon_sym_const,
      anon_sym_var,
  [66580] = 11,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_extern,
    ACTIONS(2720), 1,
      anon_sym_threadlocal,
    ACTIONS(2722), 1,
      anon_sym_usingnamespace,
    ACTIONS(2724), 1,
      anon_sym_fn,
    STATE(1888), 1,
      sym_TopLevelDecl,
    STATE(1895), 1,
      sym_VarDecl,
    STATE(2113), 1,
      sym_FnProto,
    ACTIONS(2718), 2,
      anon_sym_inline,
      anon_sym_noinline,
    ACTIONS(2726), 2,
      anon_sym_const,
      anon_sym_var,
  [66616] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2728), 1,
      anon_sym_inline,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(673), 1,
      sym_WhilePrefix,
    STATE(674), 1,
      sym_ForPrefix,
    STATE(1776), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1778), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [66646] = 9,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2736), 1,
      anon_sym_inline,
    STATE(568), 1,
      sym_WhilePrefix,
    STATE(576), 1,
      sym_ForPrefix,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
  [66676] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2738), 1,
      anon_sym_inline,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_ForPrefix,
    STATE(667), 1,
      sym_WhilePrefix,
    STATE(1690), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1715), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [66706] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACE,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2742), 1,
      anon_sym_inline,
    STATE(614), 1,
      sym_WhilePrefix,
    STATE(616), 1,
      sym_ForPrefix,
    STATE(1374), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [66736] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(185), 1,
      anon_sym_LBRACE,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2744), 1,
      anon_sym_inline,
    STATE(615), 1,
      sym_ForPrefix,
    STATE(617), 1,
      sym_WhilePrefix,
    STATE(1130), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1159), 2,
      sym_Block,
      sym_LoopTypeExpr,
  [66766] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(119), 1,
      sym_WhilePrefix,
    STATE(120), 1,
      sym_ForPrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(871), 2,
      sym_ForStatement,
      sym_WhileStatement,
    STATE(1015), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66794] = 9,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2746), 1,
      anon_sym_inline,
    STATE(693), 1,
      sym_WhilePrefix,
    STATE(695), 1,
      sym_ForPrefix,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
  [66824] = 9,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2748), 1,
      anon_sym_inline,
    STATE(577), 1,
      sym_ForPrefix,
    STATE(578), 1,
      sym_WhilePrefix,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
  [66854] = 9,
    ACTIONS(59), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2750), 1,
      anon_sym_inline,
    STATE(558), 1,
      sym_ForPrefix,
    STATE(591), 1,
      sym_WhilePrefix,
    STATE(801), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(821), 2,
      sym_Block,
      sym_LoopTypeExpr,
  [66884] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2752), 1,
      anon_sym_inline,
    STATE(569), 1,
      sym_WhilePrefix,
    STATE(571), 1,
      sym_ForPrefix,
    STATE(1105), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1112), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [66914] = 9,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACE,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    ACTIONS(2754), 1,
      anon_sym_inline,
    STATE(635), 1,
      sym_WhilePrefix,
    STATE(636), 1,
      sym_ForPrefix,
    STATE(1374), 2,
      sym_Block,
      sym_LoopTypeExpr,
    STATE(1381), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [66944] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(234), 1,
      sym_WhilePrefix,
    STATE(247), 1,
      sym_ForPrefix,
    STATE(1365), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1615), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66968] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(314), 1,
      sym_WhilePrefix,
    STATE(318), 1,
      sym_ForPrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1015), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [66992] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(289), 1,
      sym_ForPrefix,
    STATE(291), 1,
      sym_WhilePrefix,
    STATE(1365), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1615), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67016] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1465), 1,
      anon_sym_DOT,
    ACTIONS(2756), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1463), 5,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [67034] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(229), 1,
      sym_WhilePrefix,
    STATE(233), 1,
      sym_ForPrefix,
    STATE(1149), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1272), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67058] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(188), 1,
      sym_ForPrefix,
    STATE(189), 1,
      sym_WhilePrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1015), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67082] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(272), 1,
      sym_WhilePrefix,
    STATE(273), 1,
      sym_ForPrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1015), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67106] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(322), 1,
      sym_WhilePrefix,
    STATE(323), 1,
      sym_ForPrefix,
    STATE(1109), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1260), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67130] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(2690), 1,
      anon_sym_for,
    STATE(177), 1,
      sym_ForPrefix,
    STATE(191), 1,
      sym_WhilePrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
    STATE(1015), 2,
      sym_ForExpr,
      sym_WhileExpr,
  [67154] = 8,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1874), 1,
      sym_IDENTIFIER,
    STATE(1902), 1,
      sym_BlockExpr,
    STATE(1908), 1,
      sym_Block,
    STATE(2292), 1,
      sym_BlockLabel,
  [67179] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2762), 1,
      anon_sym_SEMI,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    ACTIONS(2766), 1,
      anon_sym_EQ,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(2770), 1,
      anon_sym_align,
    STATE(2079), 1,
      sym_ByteAlign,
    STATE(2305), 1,
      sym_LinkSection,
  [67204] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2772), 1,
      anon_sym_RPAREN,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2251), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67225] = 8,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(2770), 1,
      anon_sym_align,
    ACTIONS(2774), 1,
      anon_sym_SEMI,
    ACTIONS(2776), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ,
    STATE(2067), 1,
      sym_ByteAlign,
    STATE(2280), 1,
      sym_LinkSection,
  [67250] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2780), 1,
      anon_sym_RPAREN,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2251), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67271] = 8,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1879), 1,
      sym_IDENTIFIER,
    STATE(1900), 1,
      sym_BlockExpr,
    STATE(1908), 1,
      sym_Block,
    STATE(2292), 1,
      sym_BlockLabel,
  [67296] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2782), 1,
      anon_sym_RPAREN,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2161), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67317] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2786), 1,
      anon_sym_DQUOTE,
    ACTIONS(2788), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1986), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2784), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67335] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2403), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67353] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(615), 1,
      sym_ForPrefix,
    STATE(617), 1,
      sym_WhilePrefix,
    STATE(1149), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67373] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2251), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67391] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2793), 1,
      anon_sym_DQUOTE,
    ACTIONS(2795), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2790), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67409] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(777), 1,
      sym__ContainerDeclAuto,
    STATE(2334), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67429] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2806), 1,
      anon_sym_DQUOTE,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67447] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2317), 1,
      anon_sym_SEMI,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(2770), 1,
      anon_sym_align,
    ACTIONS(2810), 1,
      anon_sym_EQ,
    STATE(2069), 1,
      sym_ByteAlign,
    STATE(2236), 1,
      sym_LinkSection,
  [67469] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(568), 1,
      sym_WhilePrefix,
    STATE(576), 1,
      sym_ForPrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67489] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(569), 1,
      sym_WhilePrefix,
    STATE(571), 1,
      sym_ForPrefix,
    STATE(1109), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67509] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2812), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67527] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2814), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67545] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2818), 1,
      anon_sym_DQUOTE,
    ACTIONS(2820), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1974), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2816), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67563] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2824), 1,
      anon_sym_DQUOTE,
    ACTIONS(2826), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1978), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2822), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67581] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(1184), 1,
      sym__ContainerDeclAuto,
    STATE(2332), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67601] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(1110), 1,
      sym__ContainerDeclAuto,
    STATE(2366), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67621] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(1713), 1,
      sym__ContainerDeclAuto,
    STATE(2351), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67641] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2830), 1,
      anon_sym_DQUOTE,
    ACTIONS(2832), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1967), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2828), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67659] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2834), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67677] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2838), 1,
      anon_sym_DQUOTE,
    ACTIONS(2840), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1962), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2836), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67695] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(548), 1,
      sym_ForPrefix,
    STATE(667), 1,
      sym_WhilePrefix,
    STATE(1712), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67715] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2842), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67733] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2844), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67751] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2848), 1,
      anon_sym_DQUOTE,
    ACTIONS(2850), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1982), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2846), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67769] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(635), 1,
      sym_WhilePrefix,
    STATE(636), 1,
      sym_ForPrefix,
    STATE(1365), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67789] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(1807), 1,
      sym__ContainerDeclAuto,
    STATE(2377), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67809] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2852), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67827] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(577), 1,
      sym_ForPrefix,
    STATE(578), 1,
      sym_WhilePrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67847] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(673), 1,
      sym_WhilePrefix,
    STATE(674), 1,
      sym_ForPrefix,
    STATE(1828), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [67867] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(107), 1,
      anon_sym_BSLASH_BSLASH,
    STATE(728), 2,
      sym_LINESTRING,
      aux_sym__STRINGLITERAL_repeat1,
    STATE(2399), 2,
      sym_STRINGLITERALSINGLE,
      sym__STRINGLITERAL,
  [67885] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2854), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67903] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2858), 1,
      anon_sym_DQUOTE,
    ACTIONS(2860), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1990), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2856), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67921] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2864), 1,
      anon_sym_DQUOTE,
    ACTIONS(2866), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1977), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2862), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67939] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2870), 1,
      anon_sym_DQUOTE,
    ACTIONS(2872), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(2001), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2868), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67957] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2874), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [67975] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_enum,
    ACTIONS(2802), 1,
      anon_sym_union,
    STATE(1435), 1,
      sym__ContainerDeclAuto,
    STATE(2376), 1,
      sym_ContainerDeclType,
    ACTIONS(2798), 2,
      anon_sym_struct,
      anon_sym_opaque,
  [67995] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2878), 1,
      anon_sym_DQUOTE,
    ACTIONS(2880), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1994), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2876), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68013] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(558), 1,
      sym_ForPrefix,
    STATE(591), 1,
      sym_WhilePrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [68033] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2882), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68051] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2886), 1,
      anon_sym_DQUOTE,
    ACTIONS(2888), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1966), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2884), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68069] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(693), 1,
      sym_WhilePrefix,
    STATE(695), 1,
      sym_ForPrefix,
    STATE(779), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [68089] = 7,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2423), 1,
      anon_sym_SEMI,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(2770), 1,
      anon_sym_align,
    ACTIONS(2890), 1,
      anon_sym_EQ,
    STATE(2078), 1,
      sym_ByteAlign,
    STATE(2248), 1,
      sym_LinkSection,
  [68111] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2892), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68129] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2894), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68147] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2732), 1,
      anon_sym_while,
    ACTIONS(2734), 1,
      anon_sym_for,
    STATE(614), 1,
      sym_WhilePrefix,
    STATE(616), 1,
      sym_ForPrefix,
    STATE(1365), 2,
      sym_ForTypeExpr,
      sym_WhileTypeExpr,
  [68167] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2808), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    ACTIONS(2896), 1,
      anon_sym_DQUOTE,
    STATE(1960), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2804), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68185] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2900), 1,
      anon_sym_DQUOTE,
    ACTIONS(2902), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1999), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2898), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68203] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    ACTIONS(2908), 1,
      aux_sym_STRINGLITERALSINGLE_token2,
    STATE(1998), 1,
      aux_sym_STRINGLITERALSINGLE_repeat1,
    ACTIONS(2904), 3,
      sym_EscapeSequence,
      sym_FormatSequence,
      aux_sym_STRINGLITERALSINGLE_token1,
  [68221] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(391), 1,
      sym_ParamDeclList,
    STATE(2295), 1,
      sym_IDENTIFIER,
  [68240] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2916), 1,
      anon_sym_RBRACE,
    ACTIONS(2918), 1,
      sym_doc_comment,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68259] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2920), 1,
      anon_sym_RBRACE,
    ACTIONS(2922), 1,
      sym_doc_comment,
    STATE(2214), 1,
      sym_IDENTIFIER,
  [68278] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(392), 1,
      sym_ParamDeclList,
    STATE(2306), 1,
      sym_IDENTIFIER,
  [68297] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2924), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68316] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2926), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2928), 1,
      anon_sym_AT,
    STATE(1366), 1,
      sym_InitList,
    STATE(1367), 1,
      sym_IDENTIFIER,
  [68335] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
    STATE(2075), 1,
      aux_sym_AsmInput_repeat1,
    STATE(2394), 1,
      sym_AsmClobbers,
  [68354] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(2936), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym_AsmInput_repeat1,
    STATE(2341), 1,
      sym_AsmClobbers,
  [68373] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2940), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68392] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(375), 1,
      sym_ParamDeclList,
    STATE(2259), 1,
      sym_IDENTIFIER,
  [68411] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1545), 1,
      anon_sym_LBRACE,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(799), 1,
      sym_InitList,
    STATE(1448), 1,
      sym_IDENTIFIER,
  [68430] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(103), 1,
      aux_sym_INTEGER_token4,
    STATE(2381), 1,
      sym_INTEGER,
    ACTIONS(101), 3,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      aux_sym_INTEGER_token3,
  [68445] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2942), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68464] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    STATE(2127), 1,
      sym_AsmOutputItem,
    STATE(2339), 1,
      sym_AsmInput,
  [68483] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2950), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68502] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACK,
    STATE(2099), 1,
      sym_AsmInputItem,
    STATE(2394), 1,
      sym_AsmClobbers,
  [68521] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2954), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68540] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2956), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68559] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(388), 1,
      sym_ParamDeclList,
    STATE(2283), 1,
      sym_IDENTIFIER,
  [68578] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(2952), 1,
      anon_sym_LBRACK,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      sym_AsmInputItem,
    STATE(2407), 1,
      sym_AsmClobbers,
  [68597] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2960), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68616] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2962), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68635] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1545), 1,
      anon_sym_LBRACE,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(799), 1,
      sym_InitList,
    STATE(800), 1,
      sym_IDENTIFIER,
  [68654] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2964), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68673] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2966), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68692] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(395), 1,
      sym_ParamDeclList,
    STATE(2304), 1,
      sym_IDENTIFIER,
  [68711] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2968), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68730] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    STATE(2068), 1,
      aux_sym_AsmOutput_repeat1,
    STATE(2339), 1,
      sym_AsmInput,
  [68749] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(103), 1,
      aux_sym_INTEGER_token4,
    STATE(2315), 1,
      sym_INTEGER,
    ACTIONS(101), 3,
      aux_sym_INTEGER_token1,
      aux_sym_INTEGER_token2,
      aux_sym_INTEGER_token3,
  [68764] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2972), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68783] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      sym_doc_comment,
    STATE(2152), 1,
      sym_IDENTIFIER,
  [68802] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2978), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68821] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    ACTIONS(2982), 1,
      sym_doc_comment,
    STATE(2212), 1,
      sym_IDENTIFIER,
  [68840] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(379), 1,
      sym_ParamDeclList,
    STATE(2298), 1,
      sym_IDENTIFIER,
  [68859] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68878] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68897] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(372), 1,
      sym_ParamDeclList,
    STATE(2273), 1,
      sym_IDENTIFIER,
  [68916] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2988), 1,
      anon_sym_RBRACE,
    ACTIONS(2990), 1,
      sym_doc_comment,
    STATE(2159), 1,
      sym_IDENTIFIER,
  [68935] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(384), 1,
      sym_ParamDeclList,
    STATE(2257), 1,
      sym_IDENTIFIER,
  [68954] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2992), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68973] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2994), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [68992] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(2996), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69011] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2998), 1,
      anon_sym_RPAREN,
    STATE(2127), 1,
      sym_AsmOutputItem,
    STATE(2400), 1,
      sym_AsmInput,
  [69030] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(3000), 1,
      anon_sym_RPAREN,
    STATE(2054), 1,
      sym_AsmOutputItem,
    STATE(2349), 1,
      sym_AsmInput,
  [69049] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(2952), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_RPAREN,
    STATE(2011), 1,
      sym_AsmInputItem,
    STATE(2324), 1,
      sym_AsmClobbers,
  [69068] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(387), 1,
      sym_ParamDeclList,
    STATE(2293), 1,
      sym_IDENTIFIER,
  [69087] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(376), 1,
      sym_ParamDeclList,
    STATE(2265), 1,
      sym_IDENTIFIER,
  [69106] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1785), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3006), 1,
      anon_sym_AT,
    STATE(1107), 1,
      sym_IDENTIFIER,
    STATE(1108), 1,
      sym_InitList,
  [69125] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3008), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3012), 1,
      anon_sym_AT,
    STATE(1795), 1,
      sym_IDENTIFIER,
    STATE(1813), 1,
      sym_InitList,
  [69144] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1873), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3016), 1,
      anon_sym_AT,
    STATE(1126), 1,
      sym_IDENTIFIER,
    STATE(1133), 1,
      sym_InitList,
  [69163] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(3018), 1,
      anon_sym_COMMA,
    ACTIONS(3020), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      aux_sym_AsmOutput_repeat1,
    STATE(2350), 1,
      sym_AsmInput,
  [69182] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3022), 1,
      anon_sym_RBRACE,
    ACTIONS(3024), 1,
      sym_doc_comment,
    STATE(2085), 1,
      sym_IDENTIFIER,
  [69201] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(3026), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69220] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(3028), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69239] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3032), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3034), 1,
      anon_sym_AT,
    STATE(1694), 1,
      sym_IDENTIFIER,
    STATE(1696), 1,
      sym_InitList,
  [69258] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(3036), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69277] = 6,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(381), 1,
      sym_ParamDeclList,
    STATE(2277), 1,
      sym_IDENTIFIER,
  [69296] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69315] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    ACTIONS(3040), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69334] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3042), 1,
      anon_sym_RBRACE,
    ACTIONS(3044), 1,
      sym_doc_comment,
    STATE(2163), 1,
      sym_IDENTIFIER,
  [69353] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3046), 1,
      anon_sym_STAR,
    STATE(2338), 1,
      sym_IDENTIFIER,
  [69369] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3048), 1,
      anon_sym_STAR,
    STATE(2229), 1,
      sym_IDENTIFIER,
  [69385] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3050), 1,
      anon_sym_STAR,
    STATE(2374), 1,
      sym_IDENTIFIER,
  [69401] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(3052), 1,
      anon_sym_SEMI,
    ACTIONS(3054), 1,
      anon_sym_EQ,
    STATE(2297), 1,
      sym_LinkSection,
  [69417] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    STATE(2068), 1,
      aux_sym_AsmOutput_repeat1,
    ACTIONS(3059), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [69431] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2371), 1,
      anon_sym_SEMI,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(3061), 1,
      anon_sym_EQ,
    STATE(2255), 1,
      sym_LinkSection,
  [69447] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1899), 1,
      sym_Block,
    STATE(2301), 1,
      sym_STRINGLITERALSINGLE,
  [69463] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      sym_doc_comment,
    STATE(2274), 1,
      sym_IDENTIFIER,
  [69479] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_Block,
    STATE(2289), 1,
      sym_STRINGLITERALSINGLE,
  [69495] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3063), 1,
      anon_sym_DASH_GT,
    STATE(2329), 1,
      sym_IDENTIFIER,
  [69511] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
    ACTIONS(2239), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [69525] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    STATE(2075), 1,
      aux_sym_AsmInput_repeat1,
    ACTIONS(3071), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [69539] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    ACTIONS(3073), 1,
      anon_sym_STAR,
    STATE(2268), 1,
      sym_IDENTIFIER,
  [69555] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1120), 4,
      anon_sym_inline,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_for,
  [69565] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2425), 1,
      anon_sym_SEMI,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_LinkSection,
  [69581] = 5,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2768), 1,
      anon_sym_linksection,
    ACTIONS(3077), 1,
      anon_sym_SEMI,
    ACTIONS(3079), 1,
      anon_sym_EQ,
    STATE(2290), 1,
      sym_LinkSection,
  [69597] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(790), 1,
      sym_IDENTIFIER,
  [69610] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3081), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3083), 1,
      anon_sym_AT,
    STATE(90), 1,
      sym_IDENTIFIER,
  [69623] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    ACTIONS(3085), 1,
      anon_sym_COMMA,
    STATE(2091), 1,
      aux_sym_InitList_repeat1,
  [69636] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_RBRACE,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(2188), 1,
      aux_sym_InitList_repeat1,
  [69649] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1018), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1745), 1,
      sym_STRINGLITERALSINGLE,
  [69662] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3091), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    STATE(2093), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [69675] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2380), 1,
      sym_IDENTIFIER,
  [69688] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2190), 1,
      sym_IDENTIFIER,
  [69701] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1028), 1,
      anon_sym_RPAREN,
    ACTIONS(3095), 1,
      anon_sym_COMMA,
    STATE(2224), 1,
      aux_sym_ParamDeclList_repeat1,
  [69714] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(742), 1,
      anon_sym_RBRACE,
    ACTIONS(3097), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [69727] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(742), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [69740] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(742), 1,
      anon_sym_RBRACE,
    ACTIONS(3101), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [69753] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    STATE(2109), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [69766] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3107), 1,
      anon_sym_COMMA,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [69779] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    ACTIONS(3111), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [69792] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(722), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [69805] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [69818] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    STATE(1909), 1,
      sym_VarDecl,
    ACTIONS(2726), 2,
      anon_sym_const,
      anon_sym_var,
  [69829] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3004), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3006), 1,
      anon_sym_AT,
    STATE(995), 1,
      sym_IDENTIFIER,
  [69842] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3071), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [69851] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(726), 1,
      anon_sym_RPAREN,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [69864] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3119), 1,
      anon_sym_SEMI,
    ACTIONS(3121), 1,
      anon_sym_else,
    STATE(893), 1,
      sym__ElseStatementTail,
  [69877] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(1950), 1,
      sym_IDENTIFIER,
  [69890] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3121), 1,
      anon_sym_else,
    ACTIONS(3123), 1,
      anon_sym_SEMI,
    STATE(892), 1,
      sym__ElseStatementTail,
  [69903] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3004), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3006), 1,
      anon_sym_AT,
    STATE(1099), 1,
      sym_IDENTIFIER,
  [69916] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3121), 1,
      anon_sym_else,
    ACTIONS(3125), 1,
      anon_sym_SEMI,
    STATE(891), 1,
      sym__ElseStatementTail,
  [69929] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2168), 1,
      sym_IDENTIFIER,
  [69942] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(748), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [69955] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3014), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3016), 1,
      anon_sym_AT,
    STATE(1265), 1,
      sym_IDENTIFIER,
  [69968] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3127), 1,
      anon_sym_COMMA,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [69981] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3131), 1,
      anon_sym_COMMA,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    STATE(2115), 1,
      aux_sym_SwitchExpr_repeat1,
  [69994] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2092), 1,
      sym_IDENTIFIER,
  [70007] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2348), 1,
      sym_IDENTIFIER,
  [70020] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    ACTIONS(3135), 1,
      anon_sym_SEMI,
    STATE(1909), 1,
      sym_Block,
  [70033] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(171), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1026), 1,
      sym_STRINGLITERALSINGLE,
  [70046] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(584), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [70059] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2145), 1,
      sym_IDENTIFIER,
  [70072] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3139), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70085] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3143), 1,
      anon_sym_COMMA,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    STATE(2122), 1,
      aux_sym_SwitchExpr_repeat1,
  [70098] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3147), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RBRACE,
    STATE(2096), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70111] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(728), 1,
      anon_sym_RBRACE,
    ACTIONS(3151), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [70124] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    ACTIONS(3153), 1,
      anon_sym_LBRACE,
    ACTIONS(3155), 1,
      anon_sym_LPAREN,
  [70137] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(614), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [70150] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(728), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70163] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(728), 1,
      anon_sym_RBRACE,
    ACTIONS(3159), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70176] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2218), 1,
      sym_IDENTIFIER,
  [70189] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(992), 1,
      sym_IDENTIFIER,
  [70202] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3059), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [70211] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(604), 1,
      anon_sym_RBRACE,
    ACTIONS(3161), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [70224] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2383), 1,
      sym_IDENTIFIER,
  [70237] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3163), 1,
      anon_sym_COMMA,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(2128), 1,
      aux_sym_SwitchExpr_repeat1,
  [70250] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3167), 1,
      anon_sym_COMMA,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      aux_sym_SwitchExpr_repeat1,
  [70263] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2341), 1,
      anon_sym_SEMI,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_Block,
  [70276] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3171), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70289] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(716), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70302] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3175), 1,
      anon_sym_COMMA,
    ACTIONS(3177), 1,
      anon_sym_EQ_GT,
    STATE(2200), 1,
      aux_sym_SwitchCase_repeat1,
  [70315] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2346), 1,
      sym_IDENTIFIER,
  [70328] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(740), 1,
      anon_sym_RPAREN,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70341] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2772), 1,
      anon_sym_RPAREN,
    ACTIONS(3181), 1,
      anon_sym_COMMA,
    STATE(2205), 1,
      aux_sym_AsmClobbers_repeat1,
  [70354] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1341), 1,
      sym_STRINGLITERALSINGLE,
  [70367] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3183), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [70376] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3185), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [70385] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(811), 1,
      sym_STRINGLITERALSINGLE,
  [70398] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3187), 1,
      anon_sym_COMMA,
    ACTIONS(3190), 1,
      anon_sym_EQ_GT,
    STATE(2143), 1,
      aux_sym_SwitchCase_repeat1,
  [70411] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    ACTIONS(3194), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70424] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3196), 1,
      anon_sym_COMMA,
    ACTIONS(3198), 1,
      anon_sym_RBRACE,
    STATE(2133), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70437] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3200), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3202), 1,
      anon_sym_AT,
    STATE(355), 1,
      sym_IDENTIFIER,
  [70450] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(732), 1,
      anon_sym_RBRACE,
    ACTIONS(3204), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [70463] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(732), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70476] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3206), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [70485] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(732), 1,
      anon_sym_RBRACE,
    ACTIONS(3208), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70498] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2926), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2928), 1,
      anon_sym_AT,
    STATE(1401), 1,
      sym_IDENTIFIER,
  [70511] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3210), 1,
      anon_sym_COMMA,
    ACTIONS(3212), 1,
      anon_sym_RBRACE,
    STATE(2117), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70524] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    ACTIONS(3214), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      aux_sym_InitList_repeat1,
  [70537] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2926), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2928), 1,
      anon_sym_AT,
    STATE(1342), 1,
      sym_IDENTIFIER,
  [70550] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2369), 1,
      sym_IDENTIFIER,
  [70563] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2240), 1,
      sym_IDENTIFIER,
  [70576] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2353), 1,
      sym_IDENTIFIER,
  [70589] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    ACTIONS(3216), 1,
      anon_sym_COMMA,
    STATE(2167), 1,
      aux_sym_InitList_repeat1,
  [70602] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    ACTIONS(3220), 1,
      anon_sym_RBRACE,
    STATE(2170), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70615] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2354), 1,
      sym_IDENTIFIER,
  [70628] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3222), 1,
      anon_sym_COMMA,
    ACTIONS(3224), 1,
      anon_sym_RPAREN,
    STATE(2138), 1,
      aux_sym_AsmClobbers_repeat1,
  [70641] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3010), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3012), 1,
      anon_sym_AT,
    STATE(1791), 1,
      sym_IDENTIFIER,
  [70654] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3226), 1,
      anon_sym_COMMA,
    ACTIONS(3228), 1,
      anon_sym_RBRACE,
    STATE(2144), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70667] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(3230), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_InitList_repeat1,
  [70680] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(768), 1,
      anon_sym_RBRACE,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70693] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(768), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70706] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(768), 1,
      anon_sym_RBRACE,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [70719] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3236), 1,
      anon_sym_COMMA,
    ACTIONS(3238), 1,
      anon_sym_RBRACE,
    STATE(2178), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70732] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2281), 1,
      sym_IDENTIFIER,
  [70745] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      anon_sym_COMMA,
    ACTIONS(3242), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70758] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3244), 1,
      anon_sym_COMMA,
    ACTIONS(3246), 1,
      anon_sym_RPAREN,
    STATE(2088), 1,
      aux_sym_ParamDeclList_repeat1,
  [70771] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(762), 1,
      anon_sym_RPAREN,
    ACTIONS(3248), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70784] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2360), 1,
      sym_IDENTIFIER,
  [70797] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3032), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3034), 1,
      anon_sym_AT,
    STATE(1662), 1,
      sym_IDENTIFIER,
  [70810] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2357), 1,
      sym_IDENTIFIER,
  [70823] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(754), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70836] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1032), 1,
      sym_STRINGLITERALSINGLE,
  [70849] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3250), 1,
      anon_sym_COMMA,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70862] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3032), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3034), 1,
      anon_sym_AT,
    STATE(1699), 1,
      sym_IDENTIFIER,
  [70875] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [70888] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3259), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3261), 1,
      anon_sym_AT,
    STATE(53), 1,
      sym_IDENTIFIER,
  [70901] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(724), 1,
      anon_sym_RBRACE,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [70914] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(724), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [70927] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3265), 1,
      anon_sym_COMMA,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(2187), 1,
      aux_sym_SwitchExpr_repeat1,
  [70940] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3269), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3271), 1,
      anon_sym_AT,
    STATE(360), 1,
      sym_IDENTIFIER,
  [70953] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3010), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3012), 1,
      anon_sym_AT,
    STATE(1689), 1,
      sym_IDENTIFIER,
  [70966] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(590), 1,
      anon_sym_RBRACE,
    ACTIONS(3273), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [70979] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(724), 1,
      anon_sym_RBRACE,
    ACTIONS(3275), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [70992] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2119), 1,
      sym_IDENTIFIER,
  [71005] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3277), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(2192), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71018] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2314), 1,
      sym_IDENTIFIER,
  [71031] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3281), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71044] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3014), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3016), 1,
      anon_sym_AT,
    STATE(1161), 1,
      sym_IDENTIFIER,
  [71057] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2335), 1,
      sym_IDENTIFIER,
  [71070] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(916), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      aux_sym_IDENTIFIER_token1,
    STATE(1663), 1,
      sym_STRINGLITERALSINGLE,
  [71083] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2340), 1,
      sym_IDENTIFIER,
  [71096] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71109] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(754), 1,
      sym_IDENTIFIER,
  [71122] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3292), 1,
      anon_sym_RBRACE,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [71135] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(688), 1,
      anon_sym_EQ_GT,
    ACTIONS(3294), 1,
      anon_sym_COMMA,
    STATE(2143), 1,
      aux_sym_SwitchCase_repeat1,
  [71148] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3014), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3016), 1,
      anon_sym_AT,
    STATE(1102), 1,
      sym_IDENTIFIER,
  [71161] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(738), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [71174] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3004), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3006), 1,
      anon_sym_AT,
    STATE(1253), 1,
      sym_IDENTIFIER,
  [71187] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(608), 1,
      anon_sym_RBRACE,
    ACTIONS(3296), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [71200] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3298), 1,
      anon_sym_COMMA,
    ACTIONS(3301), 1,
      anon_sym_RPAREN,
    STATE(2205), 1,
      aux_sym_AsmClobbers_repeat1,
  [71213] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(624), 1,
      anon_sym_RBRACE,
    ACTIONS(3303), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [71226] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(2347), 1,
      sym_IDENTIFIER,
  [71239] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3305), 1,
      anon_sym_COMMA,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(2210), 1,
      aux_sym_SwitchExpr_repeat1,
  [71252] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(3309), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      aux_sym_InitList_repeat1,
  [71265] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(598), 1,
      anon_sym_RBRACE,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [71278] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_RBRACE,
    STATE(2211), 1,
      aux_sym_SwitchExpr_repeat1,
  [71291] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3318), 1,
      anon_sym_COMMA,
    ACTIONS(3320), 1,
      anon_sym_RBRACE,
    STATE(2222), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71304] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2912), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2914), 1,
      anon_sym_AT,
    STATE(1952), 1,
      sym_IDENTIFIER,
  [71317] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3322), 1,
      anon_sym_COMMA,
    ACTIONS(3324), 1,
      anon_sym_RBRACE,
    STATE(2197), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71330] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(712), 1,
      anon_sym_RBRACE,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [71343] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(712), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [71356] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(712), 1,
      anon_sym_RBRACE,
    ACTIONS(3328), 1,
      anon_sym_COMMA,
    STATE(2199), 1,
      aux_sym_InitList_repeat1,
  [71369] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(2227), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71382] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3334), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      aux_sym_SwitchExpr_repeat1,
  [71395] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3338), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3340), 1,
      anon_sym_AT,
    STATE(370), 1,
      sym_IDENTIFIER,
  [71408] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(766), 1,
      anon_sym_RPAREN,
    ACTIONS(3342), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [71421] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3344), 1,
      anon_sym_COMMA,
    ACTIONS(3346), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71434] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(746), 1,
      anon_sym_RPAREN,
    ACTIONS(3348), 1,
      anon_sym_COMMA,
    STATE(2074), 1,
      aux_sym_InitList_repeat2,
  [71447] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3350), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym_ParamDeclList_repeat1,
  [71460] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(3357), 1,
      anon_sym_AT,
    STATE(365), 1,
      sym_IDENTIFIER,
  [71473] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(752), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [71486] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    STATE(2180), 1,
      aux_sym_ErrorSetDecl_repeat1,
  [71499] = 4,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2926), 1,
      aux_sym_IDENTIFIER_token1,
    ACTIONS(2928), 1,
      anon_sym_AT,
    STATE(1618), 1,
      sym_IDENTIFIER,
  [71512] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    ACTIONS(3365), 1,
      anon_sym_PIPE,
  [71522] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3367), 1,
      anon_sym_DQUOTE,
    STATE(351), 1,
      sym_STRINGLITERALSINGLE,
  [71532] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2261), 1,
      sym_FieldInit,
  [71542] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71550] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3190), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [71558] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    STATE(1341), 1,
      sym_STRINGLITERALSINGLE,
  [71568] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71576] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2371), 1,
      anon_sym_SEMI,
    ACTIONS(3061), 1,
      anon_sym_EQ,
  [71586] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71594] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3373), 1,
      anon_sym_DQUOTE,
    STATE(368), 1,
      sym_STRINGLITERALSINGLE,
  [71604] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3375), 1,
      anon_sym_PIPE,
    STATE(1416), 1,
      sym_PtrIndexPayload,
  [71614] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3379), 1,
      anon_sym_PIPE,
  [71624] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(171), 1,
      anon_sym_DQUOTE,
    STATE(1026), 1,
      sym_STRINGLITERALSINGLE,
  [71634] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3381), 1,
      anon_sym_DQUOTE,
    STATE(363), 1,
      sym_STRINGLITERALSINGLE,
  [71644] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3383), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71652] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2724), 1,
      anon_sym_fn,
    STATE(2132), 1,
      sym_FnProto,
  [71662] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2357), 1,
      anon_sym_SEMI,
    ACTIONS(3385), 1,
      anon_sym_EQ,
  [71672] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3387), 1,
      anon_sym_LPAREN,
    ACTIONS(3389), 1,
      anon_sym_volatile,
  [71682] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3391), 1,
      anon_sym_LPAREN,
    ACTIONS(3393), 1,
      anon_sym_volatile,
  [71692] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2425), 1,
      anon_sym_SEMI,
    ACTIONS(3075), 1,
      anon_sym_EQ,
  [71702] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE,
    STATE(1125), 1,
      sym_PtrIndexPayload,
  [71712] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3397), 1,
      anon_sym_LPAREN,
    ACTIONS(3399), 1,
      anon_sym_volatile,
  [71722] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71730] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3401), 1,
      anon_sym_LBRACE,
    ACTIONS(3403), 1,
      anon_sym_DOT,
  [71740] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3405), 1,
      anon_sym_LBRACE,
    ACTIONS(3407), 1,
      anon_sym_RPAREN,
  [71750] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3409), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3411), 1,
      sym_EscapeSequence,
  [71760] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2355), 1,
      anon_sym_SEMI,
    ACTIONS(3413), 1,
      anon_sym_EQ,
  [71770] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3415), 1,
      anon_sym_DQUOTE,
    STATE(356), 1,
      sym_STRINGLITERALSINGLE,
  [71780] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(393), 1,
      sym_ParamDeclList,
  [71790] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71798] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(374), 1,
      sym_ParamDeclList,
  [71808] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3417), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3419), 1,
      sym_EscapeSequence,
  [71818] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3292), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71826] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3421), 1,
      anon_sym_LBRACE,
    ACTIONS(3423), 1,
      anon_sym_DOT,
  [71836] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1018), 1,
      anon_sym_DQUOTE,
    STATE(1745), 1,
      sym_STRINGLITERALSINGLE,
  [71846] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71854] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(380), 1,
      sym_ParamDeclList,
  [71864] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    STATE(1133), 1,
      sym_FnCallArguments,
  [71874] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3427), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3429), 1,
      sym_EscapeSequence,
  [71884] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_PIPE,
  [71894] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    STATE(1108), 1,
      sym_FnCallArguments,
  [71904] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(916), 1,
      anon_sym_DQUOTE,
    STATE(1663), 1,
      sym_STRINGLITERALSINGLE,
  [71914] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    STATE(1696), 1,
      sym_FnCallArguments,
  [71924] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    ACTIONS(3437), 1,
      anon_sym_DOT,
  [71934] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(373), 1,
      sym_ParamDeclList,
  [71944] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71952] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    STATE(2127), 1,
      sym_AsmOutputItem,
  [71962] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(105), 1,
      anon_sym_DQUOTE,
    STATE(811), 1,
      sym_STRINGLITERALSINGLE,
  [71972] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(386), 1,
      sym_ParamDeclList,
  [71982] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71990] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2756), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71998] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3052), 1,
      anon_sym_SEMI,
    ACTIONS(3054), 1,
      anon_sym_EQ,
  [72008] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3443), 1,
      anon_sym_COMMA,
    ACTIONS(3445), 1,
      anon_sym_PIPE,
  [72018] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72026] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(377), 1,
      sym_ParamDeclList,
  [72036] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72044] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3451), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3453), 1,
      sym_EscapeSequence,
  [72054] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    STATE(1813), 1,
      sym_FnCallArguments,
  [72064] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3455), 1,
      anon_sym_DQUOTE,
    STATE(83), 1,
      sym_STRINGLITERALSINGLE,
  [72074] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3457), 1,
      anon_sym_LBRACE,
    ACTIONS(3459), 1,
      anon_sym_DOT,
  [72084] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1899), 1,
      sym_Block,
  [72094] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2423), 1,
      anon_sym_SEMI,
    ACTIONS(2890), 1,
      anon_sym_EQ,
  [72104] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    STATE(1032), 1,
      sym_STRINGLITERALSINGLE,
  [72114] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_Block,
  [72124] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(394), 1,
      sym_ParamDeclList,
  [72134] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3461), 1,
      anon_sym_DQUOTE,
    STATE(52), 1,
      sym_STRINGLITERALSINGLE,
  [72144] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_ParamDeclList,
  [72154] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1204), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_FnCallArguments,
  [72164] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2317), 1,
      anon_sym_SEMI,
    ACTIONS(2810), 1,
      anon_sym_EQ,
  [72174] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(371), 1,
      sym_ParamDeclList,
  [72184] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3463), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3465), 1,
      sym_EscapeSequence,
  [72194] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACK,
    STATE(2099), 1,
      sym_AsmInputItem,
  [72204] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1907), 1,
      sym_Block,
  [72214] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOT,
  [72224] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72232] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(390), 1,
      sym_ParamDeclList,
  [72242] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3077), 1,
      anon_sym_SEMI,
    ACTIONS(3079), 1,
      anon_sym_EQ,
  [72252] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2910), 1,
      anon_sym_LPAREN,
    STATE(383), 1,
      sym_ParamDeclList,
  [72262] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3473), 1,
      aux_sym_CHAR_LITERAL_token1,
    ACTIONS(3475), 1,
      sym_EscapeSequence,
  [72272] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3153), 1,
      anon_sym_LBRACE,
    ACTIONS(3477), 1,
      anon_sym_LPAREN,
  [72282] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3153), 1,
      anon_sym_LBRACE,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
  [72292] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2586), 1,
      anon_sym_DQUOTE,
    STATE(1873), 1,
      sym_STRINGLITERALSINGLE,
  [72302] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    STATE(1366), 1,
      sym_FnCallArguments,
  [72312] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3481), 1,
      anon_sym_LBRACE,
    ACTIONS(3483), 1,
      anon_sym_DOT,
  [72322] = 3,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3485), 1,
      anon_sym_LPAREN,
    ACTIONS(3487), 1,
      anon_sym_volatile,
  [72332] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72340] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3491), 1,
      anon_sym_RPAREN,
  [72347] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3493), 1,
      aux_sym_LINESTRING_token1,
  [72354] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3495), 1,
      anon_sym_LPAREN,
  [72361] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3497), 1,
      anon_sym_LPAREN,
  [72368] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2205), 1,
      anon_sym_RPAREN,
  [72375] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
  [72382] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2215), 1,
      anon_sym_RPAREN,
  [72389] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3501), 1,
      anon_sym_LPAREN,
  [72396] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3503), 1,
      anon_sym_LBRACE,
  [72403] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2938), 1,
      anon_sym_RPAREN,
  [72410] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3505), 1,
      aux_sym_LINESTRING_token1,
  [72417] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
  [72424] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(1293), 1,
      anon_sym_DASH_GT,
  [72431] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3509), 1,
      anon_sym_RPAREN,
  [72438] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3511), 1,
      anon_sym_RPAREN,
  [72445] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3513), 1,
      anon_sym_SQUOTE,
  [72452] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3515), 1,
      aux_sym_LINESTRING_token1,
  [72459] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
  [72466] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3519), 1,
      aux_sym_LINESTRING_token1,
  [72473] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3521), 1,
      anon_sym_LBRACE,
  [72480] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3523), 1,
      anon_sym_PIPE,
  [72487] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3525), 1,
      anon_sym_RPAREN,
  [72494] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3177), 1,
      anon_sym_EQ_GT,
  [72501] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3527), 1,
      anon_sym_PIPE,
  [72508] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2998), 1,
      anon_sym_RPAREN,
  [72515] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3529), 1,
      anon_sym_PIPE,
  [72522] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
  [72529] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
  [72536] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3533), 1,
      anon_sym_RPAREN,
  [72543] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3535), 1,
      anon_sym_SEMI,
  [72550] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
  [72557] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3539), 1,
      anon_sym_RBRACK,
  [72564] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3541), 1,
      anon_sym_EQ,
  [72571] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
  [72578] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3020), 1,
      anon_sym_RPAREN,
  [72585] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
  [72592] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3545), 1,
      anon_sym_LBRACE,
  [72599] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3547), 1,
      anon_sym_SQUOTE,
  [72606] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3549), 1,
      anon_sym_PIPE,
  [72613] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3551), 1,
      anon_sym_PIPE,
  [72620] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3553), 1,
      aux_sym_LINESTRING_token1,
  [72627] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3555), 1,
      anon_sym_SQUOTE,
  [72634] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
  [72641] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
  [72648] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
  [72655] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3563), 1,
      anon_sym_PIPE,
  [72662] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3565), 1,
      anon_sym_LPAREN,
  [72669] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3567), 1,
      anon_sym_EQ_GT,
  [72676] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3153), 1,
      anon_sym_LBRACE,
  [72683] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
  [72690] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3571), 1,
      anon_sym_SEMI,
  [72697] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3573), 1,
      anon_sym_LBRACE,
  [72704] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3575), 1,
      anon_sym_SQUOTE,
  [72711] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
  [72718] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3579), 1,
      anon_sym_PIPE,
  [72725] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
  [72732] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3583), 1,
      ts_builtin_sym_end,
  [72739] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
  [72746] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2253), 1,
      anon_sym_RPAREN,
  [72753] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
  [72760] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3589), 1,
      anon_sym_LPAREN,
  [72767] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3591), 1,
      anon_sym_LBRACE,
  [72774] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
  [72781] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
  [72788] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3597), 1,
      anon_sym_LBRACE,
  [72795] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
  [72802] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3601), 1,
      anon_sym_COLON,
  [72809] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
  [72816] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3605), 1,
      anon_sym_PIPE,
  [72823] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3607), 1,
      anon_sym_LPAREN,
  [72830] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3609), 1,
      anon_sym_LPAREN,
  [72837] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3611), 1,
      anon_sym_LPAREN,
  [72844] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3613), 1,
      anon_sym_SQUOTE,
  [72851] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3615), 1,
      anon_sym_LPAREN,
  [72858] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3617), 1,
      anon_sym_RPAREN,
  [72865] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3619), 1,
      anon_sym_LPAREN,
  [72872] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3405), 1,
      anon_sym_LBRACE,
  [72879] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
  [72886] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
  [72893] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
  [72900] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3625), 1,
      anon_sym_LPAREN,
  [72907] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3627), 1,
      anon_sym_LPAREN,
  [72914] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3629), 1,
      anon_sym_SQUOTE,
  [72921] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3631), 1,
      anon_sym_RPAREN,
  [72928] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3633), 1,
      anon_sym_LPAREN,
  [72935] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
  [72942] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3637), 1,
      anon_sym_LPAREN,
  [72949] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3639), 1,
      aux_sym_LINESTRING_token1,
  [72956] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3641), 1,
      anon_sym_LPAREN,
  [72963] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3643), 1,
      anon_sym_LPAREN,
  [72970] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(2251), 1,
      anon_sym_RPAREN,
  [72977] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3645), 1,
      anon_sym_LPAREN,
  [72984] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
  [72991] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3649), 1,
      anon_sym_LPAREN,
  [72998] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
  [73005] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3653), 1,
      anon_sym_LPAREN,
  [73012] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3655), 1,
      anon_sym_LPAREN,
  [73019] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3657), 1,
      anon_sym_LPAREN,
  [73026] = 2,
    ACTIONS(95), 1,
      sym_line_comment,
    ACTIONS(3659), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(841)] = 0,
  [SMALL_STATE(842)] = 75,
  [SMALL_STATE(843)] = 150,
  [SMALL_STATE(844)] = 225,
  [SMALL_STATE(845)] = 361,
  [SMALL_STATE(846)] = 497,
  [SMALL_STATE(847)] = 605,
  [SMALL_STATE(848)] = 713,
  [SMALL_STATE(849)] = 849,
  [SMALL_STATE(850)] = 985,
  [SMALL_STATE(851)] = 1121,
  [SMALL_STATE(852)] = 1257,
  [SMALL_STATE(853)] = 1363,
  [SMALL_STATE(854)] = 1469,
  [SMALL_STATE(855)] = 1605,
  [SMALL_STATE(856)] = 1711,
  [SMALL_STATE(857)] = 1847,
  [SMALL_STATE(858)] = 1955,
  [SMALL_STATE(859)] = 2091,
  [SMALL_STATE(860)] = 2227,
  [SMALL_STATE(861)] = 2363,
  [SMALL_STATE(862)] = 2499,
  [SMALL_STATE(863)] = 2635,
  [SMALL_STATE(864)] = 2771,
  [SMALL_STATE(865)] = 2907,
  [SMALL_STATE(866)] = 3043,
  [SMALL_STATE(867)] = 3179,
  [SMALL_STATE(868)] = 3315,
  [SMALL_STATE(869)] = 3451,
  [SMALL_STATE(870)] = 3536,
  [SMALL_STATE(871)] = 3605,
  [SMALL_STATE(872)] = 3674,
  [SMALL_STATE(873)] = 3743,
  [SMALL_STATE(874)] = 3812,
  [SMALL_STATE(875)] = 3881,
  [SMALL_STATE(876)] = 3950,
  [SMALL_STATE(877)] = 4051,
  [SMALL_STATE(878)] = 4120,
  [SMALL_STATE(879)] = 4189,
  [SMALL_STATE(880)] = 4258,
  [SMALL_STATE(881)] = 4361,
  [SMALL_STATE(882)] = 4430,
  [SMALL_STATE(883)] = 4533,
  [SMALL_STATE(884)] = 4602,
  [SMALL_STATE(885)] = 4671,
  [SMALL_STATE(886)] = 4756,
  [SMALL_STATE(887)] = 4859,
  [SMALL_STATE(888)] = 4938,
  [SMALL_STATE(889)] = 5007,
  [SMALL_STATE(890)] = 5106,
  [SMALL_STATE(891)] = 5175,
  [SMALL_STATE(892)] = 5244,
  [SMALL_STATE(893)] = 5313,
  [SMALL_STATE(894)] = 5382,
  [SMALL_STATE(895)] = 5451,
  [SMALL_STATE(896)] = 5536,
  [SMALL_STATE(897)] = 5605,
  [SMALL_STATE(898)] = 5674,
  [SMALL_STATE(899)] = 5769,
  [SMALL_STATE(900)] = 5838,
  [SMALL_STATE(901)] = 5917,
  [SMALL_STATE(902)] = 6020,
  [SMALL_STATE(903)] = 6105,
  [SMALL_STATE(904)] = 6188,
  [SMALL_STATE(905)] = 6275,
  [SMALL_STATE(906)] = 6364,
  [SMALL_STATE(907)] = 6466,
  [SMALL_STATE(908)] = 6568,
  [SMALL_STATE(909)] = 6670,
  [SMALL_STATE(910)] = 6772,
  [SMALL_STATE(911)] = 6840,
  [SMALL_STATE(912)] = 6918,
  [SMALL_STATE(913)] = 7002,
  [SMALL_STATE(914)] = 7084,
  [SMALL_STATE(915)] = 7170,
  [SMALL_STATE(916)] = 7252,
  [SMALL_STATE(917)] = 7340,
  [SMALL_STATE(918)] = 7434,
  [SMALL_STATE(919)] = 7532,
  [SMALL_STATE(920)] = 7614,
  [SMALL_STATE(921)] = 7714,
  [SMALL_STATE(922)] = 7796,
  [SMALL_STATE(923)] = 7878,
  [SMALL_STATE(924)] = 7956,
  [SMALL_STATE(925)] = 8040,
  [SMALL_STATE(926)] = 8124,
  [SMALL_STATE(927)] = 8208,
  [SMALL_STATE(928)] = 8285,
  [SMALL_STATE(929)] = 8362,
  [SMALL_STATE(930)] = 8443,
  [SMALL_STATE(931)] = 8518,
  [SMALL_STATE(932)] = 8595,
  [SMALL_STATE(933)] = 8672,
  [SMALL_STATE(934)] = 8749,
  [SMALL_STATE(935)] = 8826,
  [SMALL_STATE(936)] = 8903,
  [SMALL_STATE(937)] = 8984,
  [SMALL_STATE(938)] = 9061,
  [SMALL_STATE(939)] = 9138,
  [SMALL_STATE(940)] = 9219,
  [SMALL_STATE(941)] = 9290,
  [SMALL_STATE(942)] = 9371,
  [SMALL_STATE(943)] = 9440,
  [SMALL_STATE(944)] = 9511,
  [SMALL_STATE(945)] = 9588,
  [SMALL_STATE(946)] = 9665,
  [SMALL_STATE(947)] = 9736,
  [SMALL_STATE(948)] = 9813,
  [SMALL_STATE(949)] = 9890,
  [SMALL_STATE(950)] = 9966,
  [SMALL_STATE(951)] = 10042,
  [SMALL_STATE(952)] = 10110,
  [SMALL_STATE(953)] = 10180,
  [SMALL_STATE(954)] = 10250,
  [SMALL_STATE(955)] = 10326,
  [SMALL_STATE(956)] = 10402,
  [SMALL_STATE(957)] = 10478,
  [SMALL_STATE(958)] = 10554,
  [SMALL_STATE(959)] = 10630,
  [SMALL_STATE(960)] = 10706,
  [SMALL_STATE(961)] = 10782,
  [SMALL_STATE(962)] = 10858,
  [SMALL_STATE(963)] = 10934,
  [SMALL_STATE(964)] = 11010,
  [SMALL_STATE(965)] = 11086,
  [SMALL_STATE(966)] = 11162,
  [SMALL_STATE(967)] = 11238,
  [SMALL_STATE(968)] = 11314,
  [SMALL_STATE(969)] = 11390,
  [SMALL_STATE(970)] = 11494,
  [SMALL_STATE(971)] = 11570,
  [SMALL_STATE(972)] = 11646,
  [SMALL_STATE(973)] = 11722,
  [SMALL_STATE(974)] = 11798,
  [SMALL_STATE(975)] = 11874,
  [SMALL_STATE(976)] = 11950,
  [SMALL_STATE(977)] = 12026,
  [SMALL_STATE(978)] = 12096,
  [SMALL_STATE(979)] = 12172,
  [SMALL_STATE(980)] = 12248,
  [SMALL_STATE(981)] = 12324,
  [SMALL_STATE(982)] = 12400,
  [SMALL_STATE(983)] = 12476,
  [SMALL_STATE(984)] = 12552,
  [SMALL_STATE(985)] = 12628,
  [SMALL_STATE(986)] = 12704,
  [SMALL_STATE(987)] = 12779,
  [SMALL_STATE(988)] = 12854,
  [SMALL_STATE(989)] = 12919,
  [SMALL_STATE(990)] = 12984,
  [SMALL_STATE(991)] = 13053,
  [SMALL_STATE(992)] = 13128,
  [SMALL_STATE(993)] = 13193,
  [SMALL_STATE(994)] = 13262,
  [SMALL_STATE(995)] = 13331,
  [SMALL_STATE(996)] = 13400,
  [SMALL_STATE(997)] = 13475,
  [SMALL_STATE(998)] = 13544,
  [SMALL_STATE(999)] = 13609,
  [SMALL_STATE(1000)] = 13684,
  [SMALL_STATE(1001)] = 13749,
  [SMALL_STATE(1002)] = 13814,
  [SMALL_STATE(1003)] = 13889,
  [SMALL_STATE(1004)] = 13964,
  [SMALL_STATE(1005)] = 14039,
  [SMALL_STATE(1006)] = 14114,
  [SMALL_STATE(1007)] = 14189,
  [SMALL_STATE(1008)] = 14254,
  [SMALL_STATE(1009)] = 14319,
  [SMALL_STATE(1010)] = 14386,
  [SMALL_STATE(1011)] = 14451,
  [SMALL_STATE(1012)] = 14516,
  [SMALL_STATE(1013)] = 14591,
  [SMALL_STATE(1014)] = 14658,
  [SMALL_STATE(1015)] = 14725,
  [SMALL_STATE(1016)] = 14790,
  [SMALL_STATE(1017)] = 14857,
  [SMALL_STATE(1018)] = 14930,
  [SMALL_STATE(1019)] = 14995,
  [SMALL_STATE(1020)] = 15060,
  [SMALL_STATE(1021)] = 15165,
  [SMALL_STATE(1022)] = 15270,
  [SMALL_STATE(1023)] = 15375,
  [SMALL_STATE(1024)] = 15444,
  [SMALL_STATE(1025)] = 15509,
  [SMALL_STATE(1026)] = 15584,
  [SMALL_STATE(1027)] = 15649,
  [SMALL_STATE(1028)] = 15718,
  [SMALL_STATE(1029)] = 15793,
  [SMALL_STATE(1030)] = 15858,
  [SMALL_STATE(1031)] = 15927,
  [SMALL_STATE(1032)] = 15996,
  [SMALL_STATE(1033)] = 16060,
  [SMALL_STATE(1034)] = 16124,
  [SMALL_STATE(1035)] = 16188,
  [SMALL_STATE(1036)] = 16252,
  [SMALL_STATE(1037)] = 16316,
  [SMALL_STATE(1038)] = 16380,
  [SMALL_STATE(1039)] = 16448,
  [SMALL_STATE(1040)] = 16512,
  [SMALL_STATE(1041)] = 16576,
  [SMALL_STATE(1042)] = 16640,
  [SMALL_STATE(1043)] = 16704,
  [SMALL_STATE(1044)] = 16768,
  [SMALL_STATE(1045)] = 16832,
  [SMALL_STATE(1046)] = 16904,
  [SMALL_STATE(1047)] = 16968,
  [SMALL_STATE(1048)] = 17032,
  [SMALL_STATE(1049)] = 17096,
  [SMALL_STATE(1050)] = 17160,
  [SMALL_STATE(1051)] = 17224,
  [SMALL_STATE(1052)] = 17288,
  [SMALL_STATE(1053)] = 17352,
  [SMALL_STATE(1054)] = 17416,
  [SMALL_STATE(1055)] = 17480,
  [SMALL_STATE(1056)] = 17544,
  [SMALL_STATE(1057)] = 17610,
  [SMALL_STATE(1058)] = 17674,
  [SMALL_STATE(1059)] = 17738,
  [SMALL_STATE(1060)] = 17802,
  [SMALL_STATE(1061)] = 17866,
  [SMALL_STATE(1062)] = 17930,
  [SMALL_STATE(1063)] = 17994,
  [SMALL_STATE(1064)] = 18058,
  [SMALL_STATE(1065)] = 18122,
  [SMALL_STATE(1066)] = 18190,
  [SMALL_STATE(1067)] = 18254,
  [SMALL_STATE(1068)] = 18318,
  [SMALL_STATE(1069)] = 18382,
  [SMALL_STATE(1070)] = 18446,
  [SMALL_STATE(1071)] = 18510,
  [SMALL_STATE(1072)] = 18574,
  [SMALL_STATE(1073)] = 18638,
  [SMALL_STATE(1074)] = 18702,
  [SMALL_STATE(1075)] = 18766,
  [SMALL_STATE(1076)] = 18830,
  [SMALL_STATE(1077)] = 18894,
  [SMALL_STATE(1078)] = 18958,
  [SMALL_STATE(1079)] = 19022,
  [SMALL_STATE(1080)] = 19086,
  [SMALL_STATE(1081)] = 19150,
  [SMALL_STATE(1082)] = 19214,
  [SMALL_STATE(1083)] = 19278,
  [SMALL_STATE(1084)] = 19342,
  [SMALL_STATE(1085)] = 19406,
  [SMALL_STATE(1086)] = 19470,
  [SMALL_STATE(1087)] = 19534,
  [SMALL_STATE(1088)] = 19598,
  [SMALL_STATE(1089)] = 19662,
  [SMALL_STATE(1090)] = 19726,
  [SMALL_STATE(1091)] = 19790,
  [SMALL_STATE(1092)] = 19854,
  [SMALL_STATE(1093)] = 19918,
  [SMALL_STATE(1094)] = 19982,
  [SMALL_STATE(1095)] = 20046,
  [SMALL_STATE(1096)] = 20110,
  [SMALL_STATE(1097)] = 20174,
  [SMALL_STATE(1098)] = 20238,
  [SMALL_STATE(1099)] = 20302,
  [SMALL_STATE(1100)] = 20366,
  [SMALL_STATE(1101)] = 20430,
  [SMALL_STATE(1102)] = 20494,
  [SMALL_STATE(1103)] = 20562,
  [SMALL_STATE(1104)] = 20626,
  [SMALL_STATE(1105)] = 20690,
  [SMALL_STATE(1106)] = 20754,
  [SMALL_STATE(1107)] = 20818,
  [SMALL_STATE(1108)] = 20882,
  [SMALL_STATE(1109)] = 20946,
  [SMALL_STATE(1110)] = 21010,
  [SMALL_STATE(1111)] = 21074,
  [SMALL_STATE(1112)] = 21138,
  [SMALL_STATE(1113)] = 21202,
  [SMALL_STATE(1114)] = 21266,
  [SMALL_STATE(1115)] = 21330,
  [SMALL_STATE(1116)] = 21393,
  [SMALL_STATE(1117)] = 21456,
  [SMALL_STATE(1118)] = 21519,
  [SMALL_STATE(1119)] = 21622,
  [SMALL_STATE(1120)] = 21725,
  [SMALL_STATE(1121)] = 21828,
  [SMALL_STATE(1122)] = 21891,
  [SMALL_STATE(1123)] = 21954,
  [SMALL_STATE(1124)] = 22017,
  [SMALL_STATE(1125)] = 22080,
  [SMALL_STATE(1126)] = 22143,
  [SMALL_STATE(1127)] = 22206,
  [SMALL_STATE(1128)] = 22269,
  [SMALL_STATE(1129)] = 22332,
  [SMALL_STATE(1130)] = 22395,
  [SMALL_STATE(1131)] = 22458,
  [SMALL_STATE(1132)] = 22521,
  [SMALL_STATE(1133)] = 22584,
  [SMALL_STATE(1134)] = 22647,
  [SMALL_STATE(1135)] = 22710,
  [SMALL_STATE(1136)] = 22773,
  [SMALL_STATE(1137)] = 22836,
  [SMALL_STATE(1138)] = 22899,
  [SMALL_STATE(1139)] = 22962,
  [SMALL_STATE(1140)] = 23025,
  [SMALL_STATE(1141)] = 23088,
  [SMALL_STATE(1142)] = 23187,
  [SMALL_STATE(1143)] = 23250,
  [SMALL_STATE(1144)] = 23313,
  [SMALL_STATE(1145)] = 23376,
  [SMALL_STATE(1146)] = 23439,
  [SMALL_STATE(1147)] = 23502,
  [SMALL_STATE(1148)] = 23565,
  [SMALL_STATE(1149)] = 23628,
  [SMALL_STATE(1150)] = 23691,
  [SMALL_STATE(1151)] = 23792,
  [SMALL_STATE(1152)] = 23893,
  [SMALL_STATE(1153)] = 23956,
  [SMALL_STATE(1154)] = 24019,
  [SMALL_STATE(1155)] = 24082,
  [SMALL_STATE(1156)] = 24183,
  [SMALL_STATE(1157)] = 24246,
  [SMALL_STATE(1158)] = 24309,
  [SMALL_STATE(1159)] = 24372,
  [SMALL_STATE(1160)] = 24435,
  [SMALL_STATE(1161)] = 24498,
  [SMALL_STATE(1162)] = 24561,
  [SMALL_STATE(1163)] = 24624,
  [SMALL_STATE(1164)] = 24687,
  [SMALL_STATE(1165)] = 24750,
  [SMALL_STATE(1166)] = 24813,
  [SMALL_STATE(1167)] = 24876,
  [SMALL_STATE(1168)] = 24939,
  [SMALL_STATE(1169)] = 25002,
  [SMALL_STATE(1170)] = 25065,
  [SMALL_STATE(1171)] = 25128,
  [SMALL_STATE(1172)] = 25191,
  [SMALL_STATE(1173)] = 25254,
  [SMALL_STATE(1174)] = 25317,
  [SMALL_STATE(1175)] = 25380,
  [SMALL_STATE(1176)] = 25443,
  [SMALL_STATE(1177)] = 25506,
  [SMALL_STATE(1178)] = 25569,
  [SMALL_STATE(1179)] = 25632,
  [SMALL_STATE(1180)] = 25695,
  [SMALL_STATE(1181)] = 25758,
  [SMALL_STATE(1182)] = 25821,
  [SMALL_STATE(1183)] = 25884,
  [SMALL_STATE(1184)] = 25947,
  [SMALL_STATE(1185)] = 26010,
  [SMALL_STATE(1186)] = 26073,
  [SMALL_STATE(1187)] = 26136,
  [SMALL_STATE(1188)] = 26199,
  [SMALL_STATE(1189)] = 26262,
  [SMALL_STATE(1190)] = 26325,
  [SMALL_STATE(1191)] = 26388,
  [SMALL_STATE(1192)] = 26451,
  [SMALL_STATE(1193)] = 26514,
  [SMALL_STATE(1194)] = 26577,
  [SMALL_STATE(1195)] = 26640,
  [SMALL_STATE(1196)] = 26703,
  [SMALL_STATE(1197)] = 26766,
  [SMALL_STATE(1198)] = 26829,
  [SMALL_STATE(1199)] = 26892,
  [SMALL_STATE(1200)] = 26955,
  [SMALL_STATE(1201)] = 27018,
  [SMALL_STATE(1202)] = 27081,
  [SMALL_STATE(1203)] = 27144,
  [SMALL_STATE(1204)] = 27207,
  [SMALL_STATE(1205)] = 27270,
  [SMALL_STATE(1206)] = 27333,
  [SMALL_STATE(1207)] = 27396,
  [SMALL_STATE(1208)] = 27459,
  [SMALL_STATE(1209)] = 27522,
  [SMALL_STATE(1210)] = 27585,
  [SMALL_STATE(1211)] = 27648,
  [SMALL_STATE(1212)] = 27738,
  [SMALL_STATE(1213)] = 27832,
  [SMALL_STATE(1214)] = 27916,
  [SMALL_STATE(1215)] = 28014,
  [SMALL_STATE(1216)] = 28094,
  [SMALL_STATE(1217)] = 28166,
  [SMALL_STATE(1218)] = 28242,
  [SMALL_STATE(1219)] = 28340,
  [SMALL_STATE(1220)] = 28412,
  [SMALL_STATE(1221)] = 28508,
  [SMALL_STATE(1222)] = 28606,
  [SMALL_STATE(1223)] = 28704,
  [SMALL_STATE(1224)] = 28801,
  [SMALL_STATE(1225)] = 28894,
  [SMALL_STATE(1226)] = 28965,
  [SMALL_STATE(1227)] = 29062,
  [SMALL_STATE(1228)] = 29133,
  [SMALL_STATE(1229)] = 29230,
  [SMALL_STATE(1230)] = 29327,
  [SMALL_STATE(1231)] = 29422,
  [SMALL_STATE(1232)] = 29519,
  [SMALL_STATE(1233)] = 29616,
  [SMALL_STATE(1234)] = 29713,
  [SMALL_STATE(1235)] = 29810,
  [SMALL_STATE(1236)] = 29907,
  [SMALL_STATE(1237)] = 29982,
  [SMALL_STATE(1238)] = 30079,
  [SMALL_STATE(1239)] = 30176,
  [SMALL_STATE(1240)] = 30255,
  [SMALL_STATE(1241)] = 30344,
  [SMALL_STATE(1242)] = 30427,
  [SMALL_STATE(1243)] = 30524,
  [SMALL_STATE(1244)] = 30621,
  [SMALL_STATE(1245)] = 30684,
  [SMALL_STATE(1246)] = 30745,
  [SMALL_STATE(1247)] = 30808,
  [SMALL_STATE(1248)] = 30870,
  [SMALL_STATE(1249)] = 30932,
  [SMALL_STATE(1250)] = 30992,
  [SMALL_STATE(1251)] = 31049,
  [SMALL_STATE(1252)] = 31106,
  [SMALL_STATE(1253)] = 31163,
  [SMALL_STATE(1254)] = 31220,
  [SMALL_STATE(1255)] = 31277,
  [SMALL_STATE(1256)] = 31334,
  [SMALL_STATE(1257)] = 31391,
  [SMALL_STATE(1258)] = 31448,
  [SMALL_STATE(1259)] = 31505,
  [SMALL_STATE(1260)] = 31562,
  [SMALL_STATE(1261)] = 31619,
  [SMALL_STATE(1262)] = 31675,
  [SMALL_STATE(1263)] = 31731,
  [SMALL_STATE(1264)] = 31787,
  [SMALL_STATE(1265)] = 31843,
  [SMALL_STATE(1266)] = 31899,
  [SMALL_STATE(1267)] = 31961,
  [SMALL_STATE(1268)] = 32017,
  [SMALL_STATE(1269)] = 32073,
  [SMALL_STATE(1270)] = 32129,
  [SMALL_STATE(1271)] = 32185,
  [SMALL_STATE(1272)] = 32241,
  [SMALL_STATE(1273)] = 32297,
  [SMALL_STATE(1274)] = 32358,
  [SMALL_STATE(1275)] = 32419,
  [SMALL_STATE(1276)] = 32480,
  [SMALL_STATE(1277)] = 32534,
  [SMALL_STATE(1278)] = 32604,
  [SMALL_STATE(1279)] = 32664,
  [SMALL_STATE(1280)] = 32724,
  [SMALL_STATE(1281)] = 32794,
  [SMALL_STATE(1282)] = 32854,
  [SMALL_STATE(1283)] = 32924,
  [SMALL_STATE(1284)] = 32994,
  [SMALL_STATE(1285)] = 33066,
  [SMALL_STATE(1286)] = 33119,
  [SMALL_STATE(1287)] = 33172,
  [SMALL_STATE(1288)] = 33225,
  [SMALL_STATE(1289)] = 33292,
  [SMALL_STATE(1290)] = 33345,
  [SMALL_STATE(1291)] = 33398,
  [SMALL_STATE(1292)] = 33459,
  [SMALL_STATE(1293)] = 33526,
  [SMALL_STATE(1294)] = 33593,
  [SMALL_STATE(1295)] = 33646,
  [SMALL_STATE(1296)] = 33699,
  [SMALL_STATE(1297)] = 33766,
  [SMALL_STATE(1298)] = 33833,
  [SMALL_STATE(1299)] = 33886,
  [SMALL_STATE(1300)] = 33939,
  [SMALL_STATE(1301)] = 33992,
  [SMALL_STATE(1302)] = 34045,
  [SMALL_STATE(1303)] = 34112,
  [SMALL_STATE(1304)] = 34165,
  [SMALL_STATE(1305)] = 34232,
  [SMALL_STATE(1306)] = 34285,
  [SMALL_STATE(1307)] = 34352,
  [SMALL_STATE(1308)] = 34405,
  [SMALL_STATE(1309)] = 34461,
  [SMALL_STATE(1310)] = 34523,
  [SMALL_STATE(1311)] = 34585,
  [SMALL_STATE(1312)] = 34647,
  [SMALL_STATE(1313)] = 34709,
  [SMALL_STATE(1314)] = 34765,
  [SMALL_STATE(1315)] = 34827,
  [SMALL_STATE(1316)] = 34889,
  [SMALL_STATE(1317)] = 34951,
  [SMALL_STATE(1318)] = 35013,
  [SMALL_STATE(1319)] = 35075,
  [SMALL_STATE(1320)] = 35137,
  [SMALL_STATE(1321)] = 35199,
  [SMALL_STATE(1322)] = 35261,
  [SMALL_STATE(1323)] = 35323,
  [SMALL_STATE(1324)] = 35384,
  [SMALL_STATE(1325)] = 35439,
  [SMALL_STATE(1326)] = 35500,
  [SMALL_STATE(1327)] = 35561,
  [SMALL_STATE(1328)] = 35622,
  [SMALL_STATE(1329)] = 35683,
  [SMALL_STATE(1330)] = 35744,
  [SMALL_STATE(1331)] = 35805,
  [SMALL_STATE(1332)] = 35866,
  [SMALL_STATE(1333)] = 35927,
  [SMALL_STATE(1334)] = 35988,
  [SMALL_STATE(1335)] = 36049,
  [SMALL_STATE(1336)] = 36110,
  [SMALL_STATE(1337)] = 36171,
  [SMALL_STATE(1338)] = 36226,
  [SMALL_STATE(1339)] = 36287,
  [SMALL_STATE(1340)] = 36348,
  [SMALL_STATE(1341)] = 36409,
  [SMALL_STATE(1342)] = 36459,
  [SMALL_STATE(1343)] = 36513,
  [SMALL_STATE(1344)] = 36565,
  [SMALL_STATE(1345)] = 36617,
  [SMALL_STATE(1346)] = 36671,
  [SMALL_STATE(1347)] = 36725,
  [SMALL_STATE(1348)] = 36775,
  [SMALL_STATE(1349)] = 36829,
  [SMALL_STATE(1350)] = 36887,
  [SMALL_STATE(1351)] = 36941,
  [SMALL_STATE(1352)] = 36993,
  [SMALL_STATE(1353)] = 37045,
  [SMALL_STATE(1354)] = 37095,
  [SMALL_STATE(1355)] = 37145,
  [SMALL_STATE(1356)] = 37199,
  [SMALL_STATE(1357)] = 37249,
  [SMALL_STATE(1358)] = 37299,
  [SMALL_STATE(1359)] = 37349,
  [SMALL_STATE(1360)] = 37403,
  [SMALL_STATE(1361)] = 37457,
  [SMALL_STATE(1362)] = 37507,
  [SMALL_STATE(1363)] = 37561,
  [SMALL_STATE(1364)] = 37610,
  [SMALL_STATE(1365)] = 37659,
  [SMALL_STATE(1366)] = 37708,
  [SMALL_STATE(1367)] = 37757,
  [SMALL_STATE(1368)] = 37806,
  [SMALL_STATE(1369)] = 37855,
  [SMALL_STATE(1370)] = 37904,
  [SMALL_STATE(1371)] = 37953,
  [SMALL_STATE(1372)] = 38002,
  [SMALL_STATE(1373)] = 38051,
  [SMALL_STATE(1374)] = 38100,
  [SMALL_STATE(1375)] = 38149,
  [SMALL_STATE(1376)] = 38198,
  [SMALL_STATE(1377)] = 38247,
  [SMALL_STATE(1378)] = 38296,
  [SMALL_STATE(1379)] = 38345,
  [SMALL_STATE(1380)] = 38394,
  [SMALL_STATE(1381)] = 38443,
  [SMALL_STATE(1382)] = 38492,
  [SMALL_STATE(1383)] = 38541,
  [SMALL_STATE(1384)] = 38590,
  [SMALL_STATE(1385)] = 38639,
  [SMALL_STATE(1386)] = 38688,
  [SMALL_STATE(1387)] = 38737,
  [SMALL_STATE(1388)] = 38786,
  [SMALL_STATE(1389)] = 38835,
  [SMALL_STATE(1390)] = 38884,
  [SMALL_STATE(1391)] = 38933,
  [SMALL_STATE(1392)] = 38982,
  [SMALL_STATE(1393)] = 39031,
  [SMALL_STATE(1394)] = 39080,
  [SMALL_STATE(1395)] = 39129,
  [SMALL_STATE(1396)] = 39178,
  [SMALL_STATE(1397)] = 39227,
  [SMALL_STATE(1398)] = 39276,
  [SMALL_STATE(1399)] = 39325,
  [SMALL_STATE(1400)] = 39374,
  [SMALL_STATE(1401)] = 39423,
  [SMALL_STATE(1402)] = 39472,
  [SMALL_STATE(1403)] = 39521,
  [SMALL_STATE(1404)] = 39570,
  [SMALL_STATE(1405)] = 39619,
  [SMALL_STATE(1406)] = 39668,
  [SMALL_STATE(1407)] = 39717,
  [SMALL_STATE(1408)] = 39766,
  [SMALL_STATE(1409)] = 39815,
  [SMALL_STATE(1410)] = 39864,
  [SMALL_STATE(1411)] = 39913,
  [SMALL_STATE(1412)] = 39962,
  [SMALL_STATE(1413)] = 40011,
  [SMALL_STATE(1414)] = 40060,
  [SMALL_STATE(1415)] = 40109,
  [SMALL_STATE(1416)] = 40158,
  [SMALL_STATE(1417)] = 40207,
  [SMALL_STATE(1418)] = 40256,
  [SMALL_STATE(1419)] = 40305,
  [SMALL_STATE(1420)] = 40354,
  [SMALL_STATE(1421)] = 40403,
  [SMALL_STATE(1422)] = 40452,
  [SMALL_STATE(1423)] = 40501,
  [SMALL_STATE(1424)] = 40550,
  [SMALL_STATE(1425)] = 40599,
  [SMALL_STATE(1426)] = 40648,
  [SMALL_STATE(1427)] = 40697,
  [SMALL_STATE(1428)] = 40746,
  [SMALL_STATE(1429)] = 40795,
  [SMALL_STATE(1430)] = 40844,
  [SMALL_STATE(1431)] = 40893,
  [SMALL_STATE(1432)] = 40942,
  [SMALL_STATE(1433)] = 40991,
  [SMALL_STATE(1434)] = 41040,
  [SMALL_STATE(1435)] = 41089,
  [SMALL_STATE(1436)] = 41138,
  [SMALL_STATE(1437)] = 41187,
  [SMALL_STATE(1438)] = 41236,
  [SMALL_STATE(1439)] = 41285,
  [SMALL_STATE(1440)] = 41334,
  [SMALL_STATE(1441)] = 41383,
  [SMALL_STATE(1442)] = 41432,
  [SMALL_STATE(1443)] = 41481,
  [SMALL_STATE(1444)] = 41530,
  [SMALL_STATE(1445)] = 41579,
  [SMALL_STATE(1446)] = 41628,
  [SMALL_STATE(1447)] = 41677,
  [SMALL_STATE(1448)] = 41726,
  [SMALL_STATE(1449)] = 41776,
  [SMALL_STATE(1450)] = 41862,
  [SMALL_STATE(1451)] = 41946,
  [SMALL_STATE(1452)] = 42032,
  [SMALL_STATE(1453)] = 42116,
  [SMALL_STATE(1454)] = 42200,
  [SMALL_STATE(1455)] = 42284,
  [SMALL_STATE(1456)] = 42370,
  [SMALL_STATE(1457)] = 42456,
  [SMALL_STATE(1458)] = 42542,
  [SMALL_STATE(1459)] = 42628,
  [SMALL_STATE(1460)] = 42712,
  [SMALL_STATE(1461)] = 42796,
  [SMALL_STATE(1462)] = 42877,
  [SMALL_STATE(1463)] = 42958,
  [SMALL_STATE(1464)] = 43039,
  [SMALL_STATE(1465)] = 43120,
  [SMALL_STATE(1466)] = 43201,
  [SMALL_STATE(1467)] = 43266,
  [SMALL_STATE(1468)] = 43347,
  [SMALL_STATE(1469)] = 43426,
  [SMALL_STATE(1470)] = 43507,
  [SMALL_STATE(1471)] = 43582,
  [SMALL_STATE(1472)] = 43643,
  [SMALL_STATE(1473)] = 43724,
  [SMALL_STATE(1474)] = 43799,
  [SMALL_STATE(1475)] = 43856,
  [SMALL_STATE(1476)] = 43937,
  [SMALL_STATE(1477)] = 44006,
  [SMALL_STATE(1478)] = 44063,
  [SMALL_STATE(1479)] = 44144,
  [SMALL_STATE(1480)] = 44201,
  [SMALL_STATE(1481)] = 44270,
  [SMALL_STATE(1482)] = 44335,
  [SMALL_STATE(1483)] = 44396,
  [SMALL_STATE(1484)] = 44477,
  [SMALL_STATE(1485)] = 44556,
  [SMALL_STATE(1486)] = 44613,
  [SMALL_STATE(1487)] = 44697,
  [SMALL_STATE(1488)] = 44781,
  [SMALL_STATE(1489)] = 44865,
  [SMALL_STATE(1490)] = 44921,
  [SMALL_STATE(1491)] = 44977,
  [SMALL_STATE(1492)] = 45045,
  [SMALL_STATE(1493)] = 45105,
  [SMALL_STATE(1494)] = 45169,
  [SMALL_STATE(1495)] = 45237,
  [SMALL_STATE(1496)] = 45311,
  [SMALL_STATE(1497)] = 45389,
  [SMALL_STATE(1498)] = 45473,
  [SMALL_STATE(1499)] = 45547,
  [SMALL_STATE(1500)] = 45631,
  [SMALL_STATE(1501)] = 45715,
  [SMALL_STATE(1502)] = 45775,
  [SMALL_STATE(1503)] = 45859,
  [SMALL_STATE(1504)] = 45943,
  [SMALL_STATE(1505)] = 46023,
  [SMALL_STATE(1506)] = 46107,
  [SMALL_STATE(1507)] = 46185,
  [SMALL_STATE(1508)] = 46269,
  [SMALL_STATE(1509)] = 46349,
  [SMALL_STATE(1510)] = 46433,
  [SMALL_STATE(1511)] = 46513,
  [SMALL_STATE(1512)] = 46569,
  [SMALL_STATE(1513)] = 46649,
  [SMALL_STATE(1514)] = 46729,
  [SMALL_STATE(1515)] = 46793,
  [SMALL_STATE(1516)] = 46873,
  [SMALL_STATE(1517)] = 46953,
  [SMALL_STATE(1518)] = 47037,
  [SMALL_STATE(1519)] = 47119,
  [SMALL_STATE(1520)] = 47203,
  [SMALL_STATE(1521)] = 47259,
  [SMALL_STATE(1522)] = 47343,
  [SMALL_STATE(1523)] = 47427,
  [SMALL_STATE(1524)] = 47507,
  [SMALL_STATE(1525)] = 47587,
  [SMALL_STATE(1526)] = 47671,
  [SMALL_STATE(1527)] = 47755,
  [SMALL_STATE(1528)] = 47839,
  [SMALL_STATE(1529)] = 47919,
  [SMALL_STATE(1530)] = 48003,
  [SMALL_STATE(1531)] = 48087,
  [SMALL_STATE(1532)] = 48167,
  [SMALL_STATE(1533)] = 48248,
  [SMALL_STATE(1534)] = 48329,
  [SMALL_STATE(1535)] = 48410,
  [SMALL_STATE(1536)] = 48489,
  [SMALL_STATE(1537)] = 48570,
  [SMALL_STATE(1538)] = 48651,
  [SMALL_STATE(1539)] = 48732,
  [SMALL_STATE(1540)] = 48813,
  [SMALL_STATE(1541)] = 48894,
  [SMALL_STATE(1542)] = 48975,
  [SMALL_STATE(1543)] = 49056,
  [SMALL_STATE(1544)] = 49135,
  [SMALL_STATE(1545)] = 49216,
  [SMALL_STATE(1546)] = 49297,
  [SMALL_STATE(1547)] = 49378,
  [SMALL_STATE(1548)] = 49459,
  [SMALL_STATE(1549)] = 49538,
  [SMALL_STATE(1550)] = 49616,
  [SMALL_STATE(1551)] = 49694,
  [SMALL_STATE(1552)] = 49772,
  [SMALL_STATE(1553)] = 49850,
  [SMALL_STATE(1554)] = 49928,
  [SMALL_STATE(1555)] = 50006,
  [SMALL_STATE(1556)] = 50084,
  [SMALL_STATE(1557)] = 50162,
  [SMALL_STATE(1558)] = 50240,
  [SMALL_STATE(1559)] = 50286,
  [SMALL_STATE(1560)] = 50364,
  [SMALL_STATE(1561)] = 50442,
  [SMALL_STATE(1562)] = 50488,
  [SMALL_STATE(1563)] = 50566,
  [SMALL_STATE(1564)] = 50644,
  [SMALL_STATE(1565)] = 50722,
  [SMALL_STATE(1566)] = 50800,
  [SMALL_STATE(1567)] = 50878,
  [SMALL_STATE(1568)] = 50956,
  [SMALL_STATE(1569)] = 51034,
  [SMALL_STATE(1570)] = 51082,
  [SMALL_STATE(1571)] = 51160,
  [SMALL_STATE(1572)] = 51238,
  [SMALL_STATE(1573)] = 51316,
  [SMALL_STATE(1574)] = 51394,
  [SMALL_STATE(1575)] = 51472,
  [SMALL_STATE(1576)] = 51550,
  [SMALL_STATE(1577)] = 51628,
  [SMALL_STATE(1578)] = 51706,
  [SMALL_STATE(1579)] = 51784,
  [SMALL_STATE(1580)] = 51862,
  [SMALL_STATE(1581)] = 51940,
  [SMALL_STATE(1582)] = 52018,
  [SMALL_STATE(1583)] = 52096,
  [SMALL_STATE(1584)] = 52174,
  [SMALL_STATE(1585)] = 52252,
  [SMALL_STATE(1586)] = 52330,
  [SMALL_STATE(1587)] = 52408,
  [SMALL_STATE(1588)] = 52486,
  [SMALL_STATE(1589)] = 52564,
  [SMALL_STATE(1590)] = 52642,
  [SMALL_STATE(1591)] = 52720,
  [SMALL_STATE(1592)] = 52798,
  [SMALL_STATE(1593)] = 52876,
  [SMALL_STATE(1594)] = 52954,
  [SMALL_STATE(1595)] = 53032,
  [SMALL_STATE(1596)] = 53110,
  [SMALL_STATE(1597)] = 53188,
  [SMALL_STATE(1598)] = 53266,
  [SMALL_STATE(1599)] = 53314,
  [SMALL_STATE(1600)] = 53392,
  [SMALL_STATE(1601)] = 53470,
  [SMALL_STATE(1602)] = 53548,
  [SMALL_STATE(1603)] = 53626,
  [SMALL_STATE(1604)] = 53704,
  [SMALL_STATE(1605)] = 53782,
  [SMALL_STATE(1606)] = 53860,
  [SMALL_STATE(1607)] = 53905,
  [SMALL_STATE(1608)] = 53950,
  [SMALL_STATE(1609)] = 53992,
  [SMALL_STATE(1610)] = 54034,
  [SMALL_STATE(1611)] = 54076,
  [SMALL_STATE(1612)] = 54118,
  [SMALL_STATE(1613)] = 54160,
  [SMALL_STATE(1614)] = 54202,
  [SMALL_STATE(1615)] = 54244,
  [SMALL_STATE(1616)] = 54286,
  [SMALL_STATE(1617)] = 54328,
  [SMALL_STATE(1618)] = 54370,
  [SMALL_STATE(1619)] = 54412,
  [SMALL_STATE(1620)] = 54468,
  [SMALL_STATE(1621)] = 54524,
  [SMALL_STATE(1622)] = 54579,
  [SMALL_STATE(1623)] = 54632,
  [SMALL_STATE(1624)] = 54687,
  [SMALL_STATE(1625)] = 54742,
  [SMALL_STATE(1626)] = 54797,
  [SMALL_STATE(1627)] = 54850,
  [SMALL_STATE(1628)] = 54902,
  [SMALL_STATE(1629)] = 54954,
  [SMALL_STATE(1630)] = 55002,
  [SMALL_STATE(1631)] = 55050,
  [SMALL_STATE(1632)] = 55098,
  [SMALL_STATE(1633)] = 55146,
  [SMALL_STATE(1634)] = 55194,
  [SMALL_STATE(1635)] = 55246,
  [SMALL_STATE(1636)] = 55288,
  [SMALL_STATE(1637)] = 55336,
  [SMALL_STATE(1638)] = 55384,
  [SMALL_STATE(1639)] = 55432,
  [SMALL_STATE(1640)] = 55484,
  [SMALL_STATE(1641)] = 55526,
  [SMALL_STATE(1642)] = 55574,
  [SMALL_STATE(1643)] = 55622,
  [SMALL_STATE(1644)] = 55670,
  [SMALL_STATE(1645)] = 55718,
  [SMALL_STATE(1646)] = 55766,
  [SMALL_STATE(1647)] = 55807,
  [SMALL_STATE(1648)] = 55854,
  [SMALL_STATE(1649)] = 55895,
  [SMALL_STATE(1650)] = 55942,
  [SMALL_STATE(1651)] = 55989,
  [SMALL_STATE(1652)] = 56036,
  [SMALL_STATE(1653)] = 56083,
  [SMALL_STATE(1654)] = 56130,
  [SMALL_STATE(1655)] = 56177,
  [SMALL_STATE(1656)] = 56224,
  [SMALL_STATE(1657)] = 56271,
  [SMALL_STATE(1658)] = 56318,
  [SMALL_STATE(1659)] = 56365,
  [SMALL_STATE(1660)] = 56412,
  [SMALL_STATE(1661)] = 56459,
  [SMALL_STATE(1662)] = 56505,
  [SMALL_STATE(1663)] = 56545,
  [SMALL_STATE(1664)] = 56581,
  [SMALL_STATE(1665)] = 56627,
  [SMALL_STATE(1666)] = 56673,
  [SMALL_STATE(1667)] = 56709,
  [SMALL_STATE(1668)] = 56749,
  [SMALL_STATE(1669)] = 56795,
  [SMALL_STATE(1670)] = 56841,
  [SMALL_STATE(1671)] = 56881,
  [SMALL_STATE(1672)] = 56921,
  [SMALL_STATE(1673)] = 56961,
  [SMALL_STATE(1674)] = 57007,
  [SMALL_STATE(1675)] = 57053,
  [SMALL_STATE(1676)] = 57099,
  [SMALL_STATE(1677)] = 57145,
  [SMALL_STATE(1678)] = 57181,
  [SMALL_STATE(1679)] = 57227,
  [SMALL_STATE(1680)] = 57273,
  [SMALL_STATE(1681)] = 57311,
  [SMALL_STATE(1682)] = 57347,
  [SMALL_STATE(1683)] = 57383,
  [SMALL_STATE(1684)] = 57421,
  [SMALL_STATE(1685)] = 57467,
  [SMALL_STATE(1686)] = 57513,
  [SMALL_STATE(1687)] = 57551,
  [SMALL_STATE(1688)] = 57589,
  [SMALL_STATE(1689)] = 57624,
  [SMALL_STATE(1690)] = 57663,
  [SMALL_STATE(1691)] = 57698,
  [SMALL_STATE(1692)] = 57733,
  [SMALL_STATE(1693)] = 57768,
  [SMALL_STATE(1694)] = 57803,
  [SMALL_STATE(1695)] = 57838,
  [SMALL_STATE(1696)] = 57873,
  [SMALL_STATE(1697)] = 57908,
  [SMALL_STATE(1698)] = 57943,
  [SMALL_STATE(1699)] = 57978,
  [SMALL_STATE(1700)] = 58013,
  [SMALL_STATE(1701)] = 58048,
  [SMALL_STATE(1702)] = 58083,
  [SMALL_STATE(1703)] = 58118,
  [SMALL_STATE(1704)] = 58153,
  [SMALL_STATE(1705)] = 58188,
  [SMALL_STATE(1706)] = 58223,
  [SMALL_STATE(1707)] = 58258,
  [SMALL_STATE(1708)] = 58293,
  [SMALL_STATE(1709)] = 58328,
  [SMALL_STATE(1710)] = 58363,
  [SMALL_STATE(1711)] = 58398,
  [SMALL_STATE(1712)] = 58433,
  [SMALL_STATE(1713)] = 58468,
  [SMALL_STATE(1714)] = 58503,
  [SMALL_STATE(1715)] = 58538,
  [SMALL_STATE(1716)] = 58573,
  [SMALL_STATE(1717)] = 58608,
  [SMALL_STATE(1718)] = 58643,
  [SMALL_STATE(1719)] = 58678,
  [SMALL_STATE(1720)] = 58713,
  [SMALL_STATE(1721)] = 58748,
  [SMALL_STATE(1722)] = 58783,
  [SMALL_STATE(1723)] = 58818,
  [SMALL_STATE(1724)] = 58853,
  [SMALL_STATE(1725)] = 58888,
  [SMALL_STATE(1726)] = 58923,
  [SMALL_STATE(1727)] = 58958,
  [SMALL_STATE(1728)] = 58993,
  [SMALL_STATE(1729)] = 59028,
  [SMALL_STATE(1730)] = 59063,
  [SMALL_STATE(1731)] = 59098,
  [SMALL_STATE(1732)] = 59133,
  [SMALL_STATE(1733)] = 59168,
  [SMALL_STATE(1734)] = 59203,
  [SMALL_STATE(1735)] = 59238,
  [SMALL_STATE(1736)] = 59273,
  [SMALL_STATE(1737)] = 59308,
  [SMALL_STATE(1738)] = 59343,
  [SMALL_STATE(1739)] = 59380,
  [SMALL_STATE(1740)] = 59415,
  [SMALL_STATE(1741)] = 59450,
  [SMALL_STATE(1742)] = 59485,
  [SMALL_STATE(1743)] = 59520,
  [SMALL_STATE(1744)] = 59555,
  [SMALL_STATE(1745)] = 59590,
  [SMALL_STATE(1746)] = 59625,
  [SMALL_STATE(1747)] = 59660,
  [SMALL_STATE(1748)] = 59695,
  [SMALL_STATE(1749)] = 59730,
  [SMALL_STATE(1750)] = 59765,
  [SMALL_STATE(1751)] = 59800,
  [SMALL_STATE(1752)] = 59835,
  [SMALL_STATE(1753)] = 59870,
  [SMALL_STATE(1754)] = 59905,
  [SMALL_STATE(1755)] = 59940,
  [SMALL_STATE(1756)] = 59975,
  [SMALL_STATE(1757)] = 60010,
  [SMALL_STATE(1758)] = 60045,
  [SMALL_STATE(1759)] = 60080,
  [SMALL_STATE(1760)] = 60115,
  [SMALL_STATE(1761)] = 60154,
  [SMALL_STATE(1762)] = 60189,
  [SMALL_STATE(1763)] = 60224,
  [SMALL_STATE(1764)] = 60259,
  [SMALL_STATE(1765)] = 60294,
  [SMALL_STATE(1766)] = 60329,
  [SMALL_STATE(1767)] = 60368,
  [SMALL_STATE(1768)] = 60403,
  [SMALL_STATE(1769)] = 60437,
  [SMALL_STATE(1770)] = 60471,
  [SMALL_STATE(1771)] = 60505,
  [SMALL_STATE(1772)] = 60575,
  [SMALL_STATE(1773)] = 60609,
  [SMALL_STATE(1774)] = 60643,
  [SMALL_STATE(1775)] = 60677,
  [SMALL_STATE(1776)] = 60711,
  [SMALL_STATE(1777)] = 60745,
  [SMALL_STATE(1778)] = 60779,
  [SMALL_STATE(1779)] = 60813,
  [SMALL_STATE(1780)] = 60847,
  [SMALL_STATE(1781)] = 60881,
  [SMALL_STATE(1782)] = 60915,
  [SMALL_STATE(1783)] = 60949,
  [SMALL_STATE(1784)] = 61019,
  [SMALL_STATE(1785)] = 61053,
  [SMALL_STATE(1786)] = 61087,
  [SMALL_STATE(1787)] = 61121,
  [SMALL_STATE(1788)] = 61155,
  [SMALL_STATE(1789)] = 61189,
  [SMALL_STATE(1790)] = 61223,
  [SMALL_STATE(1791)] = 61257,
  [SMALL_STATE(1792)] = 61291,
  [SMALL_STATE(1793)] = 61325,
  [SMALL_STATE(1794)] = 61359,
  [SMALL_STATE(1795)] = 61429,
  [SMALL_STATE(1796)] = 61463,
  [SMALL_STATE(1797)] = 61497,
  [SMALL_STATE(1798)] = 61531,
  [SMALL_STATE(1799)] = 61565,
  [SMALL_STATE(1800)] = 61599,
  [SMALL_STATE(1801)] = 61633,
  [SMALL_STATE(1802)] = 61667,
  [SMALL_STATE(1803)] = 61701,
  [SMALL_STATE(1804)] = 61735,
  [SMALL_STATE(1805)] = 61769,
  [SMALL_STATE(1806)] = 61839,
  [SMALL_STATE(1807)] = 61873,
  [SMALL_STATE(1808)] = 61907,
  [SMALL_STATE(1809)] = 61941,
  [SMALL_STATE(1810)] = 61975,
  [SMALL_STATE(1811)] = 62009,
  [SMALL_STATE(1812)] = 62043,
  [SMALL_STATE(1813)] = 62077,
  [SMALL_STATE(1814)] = 62111,
  [SMALL_STATE(1815)] = 62145,
  [SMALL_STATE(1816)] = 62179,
  [SMALL_STATE(1817)] = 62213,
  [SMALL_STATE(1818)] = 62247,
  [SMALL_STATE(1819)] = 62281,
  [SMALL_STATE(1820)] = 62315,
  [SMALL_STATE(1821)] = 62349,
  [SMALL_STATE(1822)] = 62383,
  [SMALL_STATE(1823)] = 62417,
  [SMALL_STATE(1824)] = 62451,
  [SMALL_STATE(1825)] = 62485,
  [SMALL_STATE(1826)] = 62519,
  [SMALL_STATE(1827)] = 62553,
  [SMALL_STATE(1828)] = 62587,
  [SMALL_STATE(1829)] = 62621,
  [SMALL_STATE(1830)] = 62655,
  [SMALL_STATE(1831)] = 62723,
  [SMALL_STATE(1832)] = 62757,
  [SMALL_STATE(1833)] = 62791,
  [SMALL_STATE(1834)] = 62825,
  [SMALL_STATE(1835)] = 62859,
  [SMALL_STATE(1836)] = 62893,
  [SMALL_STATE(1837)] = 62927,
  [SMALL_STATE(1838)] = 62961,
  [SMALL_STATE(1839)] = 62995,
  [SMALL_STATE(1840)] = 63029,
  [SMALL_STATE(1841)] = 63099,
  [SMALL_STATE(1842)] = 63133,
  [SMALL_STATE(1843)] = 63167,
  [SMALL_STATE(1844)] = 63201,
  [SMALL_STATE(1845)] = 63271,
  [SMALL_STATE(1846)] = 63305,
  [SMALL_STATE(1847)] = 63372,
  [SMALL_STATE(1848)] = 63439,
  [SMALL_STATE(1849)] = 63506,
  [SMALL_STATE(1850)] = 63573,
  [SMALL_STATE(1851)] = 63640,
  [SMALL_STATE(1852)] = 63707,
  [SMALL_STATE(1853)] = 63774,
  [SMALL_STATE(1854)] = 63841,
  [SMALL_STATE(1855)] = 63908,
  [SMALL_STATE(1856)] = 63975,
  [SMALL_STATE(1857)] = 64042,
  [SMALL_STATE(1858)] = 64109,
  [SMALL_STATE(1859)] = 64176,
  [SMALL_STATE(1860)] = 64243,
  [SMALL_STATE(1861)] = 64310,
  [SMALL_STATE(1862)] = 64377,
  [SMALL_STATE(1863)] = 64444,
  [SMALL_STATE(1864)] = 64511,
  [SMALL_STATE(1865)] = 64578,
  [SMALL_STATE(1866)] = 64645,
  [SMALL_STATE(1867)] = 64712,
  [SMALL_STATE(1868)] = 64743,
  [SMALL_STATE(1869)] = 64778,
  [SMALL_STATE(1870)] = 64813,
  [SMALL_STATE(1871)] = 64848,
  [SMALL_STATE(1872)] = 64882,
  [SMALL_STATE(1873)] = 64910,
  [SMALL_STATE(1874)] = 64938,
  [SMALL_STATE(1875)] = 64970,
  [SMALL_STATE(1876)] = 65002,
  [SMALL_STATE(1877)] = 65030,
  [SMALL_STATE(1878)] = 65062,
  [SMALL_STATE(1879)] = 65090,
  [SMALL_STATE(1880)] = 65122,
  [SMALL_STATE(1881)] = 65151,
  [SMALL_STATE(1882)] = 65180,
  [SMALL_STATE(1883)] = 65207,
  [SMALL_STATE(1884)] = 65236,
  [SMALL_STATE(1885)] = 65264,
  [SMALL_STATE(1886)] = 65318,
  [SMALL_STATE(1887)] = 65346,
  [SMALL_STATE(1888)] = 65374,
  [SMALL_STATE(1889)] = 65399,
  [SMALL_STATE(1890)] = 65424,
  [SMALL_STATE(1891)] = 65449,
  [SMALL_STATE(1892)] = 65474,
  [SMALL_STATE(1893)] = 65499,
  [SMALL_STATE(1894)] = 65524,
  [SMALL_STATE(1895)] = 65549,
  [SMALL_STATE(1896)] = 65574,
  [SMALL_STATE(1897)] = 65599,
  [SMALL_STATE(1898)] = 65624,
  [SMALL_STATE(1899)] = 65649,
  [SMALL_STATE(1900)] = 65674,
  [SMALL_STATE(1901)] = 65699,
  [SMALL_STATE(1902)] = 65724,
  [SMALL_STATE(1903)] = 65749,
  [SMALL_STATE(1904)] = 65774,
  [SMALL_STATE(1905)] = 65799,
  [SMALL_STATE(1906)] = 65824,
  [SMALL_STATE(1907)] = 65849,
  [SMALL_STATE(1908)] = 65874,
  [SMALL_STATE(1909)] = 65899,
  [SMALL_STATE(1910)] = 65924,
  [SMALL_STATE(1911)] = 65949,
  [SMALL_STATE(1912)] = 65995,
  [SMALL_STATE(1913)] = 66034,
  [SMALL_STATE(1914)] = 66071,
  [SMALL_STATE(1915)] = 66106,
  [SMALL_STATE(1916)] = 66143,
  [SMALL_STATE(1917)] = 66180,
  [SMALL_STATE(1918)] = 66219,
  [SMALL_STATE(1919)] = 66256,
  [SMALL_STATE(1920)] = 66293,
  [SMALL_STATE(1921)] = 66330,
  [SMALL_STATE(1922)] = 66365,
  [SMALL_STATE(1923)] = 66400,
  [SMALL_STATE(1924)] = 66437,
  [SMALL_STATE(1925)] = 66472,
  [SMALL_STATE(1926)] = 66509,
  [SMALL_STATE(1927)] = 66544,
  [SMALL_STATE(1928)] = 66580,
  [SMALL_STATE(1929)] = 66616,
  [SMALL_STATE(1930)] = 66646,
  [SMALL_STATE(1931)] = 66676,
  [SMALL_STATE(1932)] = 66706,
  [SMALL_STATE(1933)] = 66736,
  [SMALL_STATE(1934)] = 66766,
  [SMALL_STATE(1935)] = 66794,
  [SMALL_STATE(1936)] = 66824,
  [SMALL_STATE(1937)] = 66854,
  [SMALL_STATE(1938)] = 66884,
  [SMALL_STATE(1939)] = 66914,
  [SMALL_STATE(1940)] = 66944,
  [SMALL_STATE(1941)] = 66968,
  [SMALL_STATE(1942)] = 66992,
  [SMALL_STATE(1943)] = 67016,
  [SMALL_STATE(1944)] = 67034,
  [SMALL_STATE(1945)] = 67058,
  [SMALL_STATE(1946)] = 67082,
  [SMALL_STATE(1947)] = 67106,
  [SMALL_STATE(1948)] = 67130,
  [SMALL_STATE(1949)] = 67154,
  [SMALL_STATE(1950)] = 67179,
  [SMALL_STATE(1951)] = 67204,
  [SMALL_STATE(1952)] = 67225,
  [SMALL_STATE(1953)] = 67250,
  [SMALL_STATE(1954)] = 67271,
  [SMALL_STATE(1955)] = 67296,
  [SMALL_STATE(1956)] = 67317,
  [SMALL_STATE(1957)] = 67335,
  [SMALL_STATE(1958)] = 67353,
  [SMALL_STATE(1959)] = 67373,
  [SMALL_STATE(1960)] = 67391,
  [SMALL_STATE(1961)] = 67409,
  [SMALL_STATE(1962)] = 67429,
  [SMALL_STATE(1963)] = 67447,
  [SMALL_STATE(1964)] = 67469,
  [SMALL_STATE(1965)] = 67489,
  [SMALL_STATE(1966)] = 67509,
  [SMALL_STATE(1967)] = 67527,
  [SMALL_STATE(1968)] = 67545,
  [SMALL_STATE(1969)] = 67563,
  [SMALL_STATE(1970)] = 67581,
  [SMALL_STATE(1971)] = 67601,
  [SMALL_STATE(1972)] = 67621,
  [SMALL_STATE(1973)] = 67641,
  [SMALL_STATE(1974)] = 67659,
  [SMALL_STATE(1975)] = 67677,
  [SMALL_STATE(1976)] = 67695,
  [SMALL_STATE(1977)] = 67715,
  [SMALL_STATE(1978)] = 67733,
  [SMALL_STATE(1979)] = 67751,
  [SMALL_STATE(1980)] = 67769,
  [SMALL_STATE(1981)] = 67789,
  [SMALL_STATE(1982)] = 67809,
  [SMALL_STATE(1983)] = 67827,
  [SMALL_STATE(1984)] = 67847,
  [SMALL_STATE(1985)] = 67867,
  [SMALL_STATE(1986)] = 67885,
  [SMALL_STATE(1987)] = 67903,
  [SMALL_STATE(1988)] = 67921,
  [SMALL_STATE(1989)] = 67939,
  [SMALL_STATE(1990)] = 67957,
  [SMALL_STATE(1991)] = 67975,
  [SMALL_STATE(1992)] = 67995,
  [SMALL_STATE(1993)] = 68013,
  [SMALL_STATE(1994)] = 68033,
  [SMALL_STATE(1995)] = 68051,
  [SMALL_STATE(1996)] = 68069,
  [SMALL_STATE(1997)] = 68089,
  [SMALL_STATE(1998)] = 68111,
  [SMALL_STATE(1999)] = 68129,
  [SMALL_STATE(2000)] = 68147,
  [SMALL_STATE(2001)] = 68167,
  [SMALL_STATE(2002)] = 68185,
  [SMALL_STATE(2003)] = 68203,
  [SMALL_STATE(2004)] = 68221,
  [SMALL_STATE(2005)] = 68240,
  [SMALL_STATE(2006)] = 68259,
  [SMALL_STATE(2007)] = 68278,
  [SMALL_STATE(2008)] = 68297,
  [SMALL_STATE(2009)] = 68316,
  [SMALL_STATE(2010)] = 68335,
  [SMALL_STATE(2011)] = 68354,
  [SMALL_STATE(2012)] = 68373,
  [SMALL_STATE(2013)] = 68392,
  [SMALL_STATE(2014)] = 68411,
  [SMALL_STATE(2015)] = 68430,
  [SMALL_STATE(2016)] = 68445,
  [SMALL_STATE(2017)] = 68464,
  [SMALL_STATE(2018)] = 68483,
  [SMALL_STATE(2019)] = 68502,
  [SMALL_STATE(2020)] = 68521,
  [SMALL_STATE(2021)] = 68540,
  [SMALL_STATE(2022)] = 68559,
  [SMALL_STATE(2023)] = 68578,
  [SMALL_STATE(2024)] = 68597,
  [SMALL_STATE(2025)] = 68616,
  [SMALL_STATE(2026)] = 68635,
  [SMALL_STATE(2027)] = 68654,
  [SMALL_STATE(2028)] = 68673,
  [SMALL_STATE(2029)] = 68692,
  [SMALL_STATE(2030)] = 68711,
  [SMALL_STATE(2031)] = 68730,
  [SMALL_STATE(2032)] = 68749,
  [SMALL_STATE(2033)] = 68764,
  [SMALL_STATE(2034)] = 68783,
  [SMALL_STATE(2035)] = 68802,
  [SMALL_STATE(2036)] = 68821,
  [SMALL_STATE(2037)] = 68840,
  [SMALL_STATE(2038)] = 68859,
  [SMALL_STATE(2039)] = 68878,
  [SMALL_STATE(2040)] = 68897,
  [SMALL_STATE(2041)] = 68916,
  [SMALL_STATE(2042)] = 68935,
  [SMALL_STATE(2043)] = 68954,
  [SMALL_STATE(2044)] = 68973,
  [SMALL_STATE(2045)] = 68992,
  [SMALL_STATE(2046)] = 69011,
  [SMALL_STATE(2047)] = 69030,
  [SMALL_STATE(2048)] = 69049,
  [SMALL_STATE(2049)] = 69068,
  [SMALL_STATE(2050)] = 69087,
  [SMALL_STATE(2051)] = 69106,
  [SMALL_STATE(2052)] = 69125,
  [SMALL_STATE(2053)] = 69144,
  [SMALL_STATE(2054)] = 69163,
  [SMALL_STATE(2055)] = 69182,
  [SMALL_STATE(2056)] = 69201,
  [SMALL_STATE(2057)] = 69220,
  [SMALL_STATE(2058)] = 69239,
  [SMALL_STATE(2059)] = 69258,
  [SMALL_STATE(2060)] = 69277,
  [SMALL_STATE(2061)] = 69296,
  [SMALL_STATE(2062)] = 69315,
  [SMALL_STATE(2063)] = 69334,
  [SMALL_STATE(2064)] = 69353,
  [SMALL_STATE(2065)] = 69369,
  [SMALL_STATE(2066)] = 69385,
  [SMALL_STATE(2067)] = 69401,
  [SMALL_STATE(2068)] = 69417,
  [SMALL_STATE(2069)] = 69431,
  [SMALL_STATE(2070)] = 69447,
  [SMALL_STATE(2071)] = 69463,
  [SMALL_STATE(2072)] = 69479,
  [SMALL_STATE(2073)] = 69495,
  [SMALL_STATE(2074)] = 69511,
  [SMALL_STATE(2075)] = 69525,
  [SMALL_STATE(2076)] = 69539,
  [SMALL_STATE(2077)] = 69555,
  [SMALL_STATE(2078)] = 69565,
  [SMALL_STATE(2079)] = 69581,
  [SMALL_STATE(2080)] = 69597,
  [SMALL_STATE(2081)] = 69610,
  [SMALL_STATE(2082)] = 69623,
  [SMALL_STATE(2083)] = 69636,
  [SMALL_STATE(2084)] = 69649,
  [SMALL_STATE(2085)] = 69662,
  [SMALL_STATE(2086)] = 69675,
  [SMALL_STATE(2087)] = 69688,
  [SMALL_STATE(2088)] = 69701,
  [SMALL_STATE(2089)] = 69714,
  [SMALL_STATE(2090)] = 69727,
  [SMALL_STATE(2091)] = 69740,
  [SMALL_STATE(2092)] = 69753,
  [SMALL_STATE(2093)] = 69766,
  [SMALL_STATE(2094)] = 69779,
  [SMALL_STATE(2095)] = 69792,
  [SMALL_STATE(2096)] = 69805,
  [SMALL_STATE(2097)] = 69818,
  [SMALL_STATE(2098)] = 69829,
  [SMALL_STATE(2099)] = 69842,
  [SMALL_STATE(2100)] = 69851,
  [SMALL_STATE(2101)] = 69864,
  [SMALL_STATE(2102)] = 69877,
  [SMALL_STATE(2103)] = 69890,
  [SMALL_STATE(2104)] = 69903,
  [SMALL_STATE(2105)] = 69916,
  [SMALL_STATE(2106)] = 69929,
  [SMALL_STATE(2107)] = 69942,
  [SMALL_STATE(2108)] = 69955,
  [SMALL_STATE(2109)] = 69968,
  [SMALL_STATE(2110)] = 69981,
  [SMALL_STATE(2111)] = 69994,
  [SMALL_STATE(2112)] = 70007,
  [SMALL_STATE(2113)] = 70020,
  [SMALL_STATE(2114)] = 70033,
  [SMALL_STATE(2115)] = 70046,
  [SMALL_STATE(2116)] = 70059,
  [SMALL_STATE(2117)] = 70072,
  [SMALL_STATE(2118)] = 70085,
  [SMALL_STATE(2119)] = 70098,
  [SMALL_STATE(2120)] = 70111,
  [SMALL_STATE(2121)] = 70124,
  [SMALL_STATE(2122)] = 70137,
  [SMALL_STATE(2123)] = 70150,
  [SMALL_STATE(2124)] = 70163,
  [SMALL_STATE(2125)] = 70176,
  [SMALL_STATE(2126)] = 70189,
  [SMALL_STATE(2127)] = 70202,
  [SMALL_STATE(2128)] = 70211,
  [SMALL_STATE(2129)] = 70224,
  [SMALL_STATE(2130)] = 70237,
  [SMALL_STATE(2131)] = 70250,
  [SMALL_STATE(2132)] = 70263,
  [SMALL_STATE(2133)] = 70276,
  [SMALL_STATE(2134)] = 70289,
  [SMALL_STATE(2135)] = 70302,
  [SMALL_STATE(2136)] = 70315,
  [SMALL_STATE(2137)] = 70328,
  [SMALL_STATE(2138)] = 70341,
  [SMALL_STATE(2139)] = 70354,
  [SMALL_STATE(2140)] = 70367,
  [SMALL_STATE(2141)] = 70376,
  [SMALL_STATE(2142)] = 70385,
  [SMALL_STATE(2143)] = 70398,
  [SMALL_STATE(2144)] = 70411,
  [SMALL_STATE(2145)] = 70424,
  [SMALL_STATE(2146)] = 70437,
  [SMALL_STATE(2147)] = 70450,
  [SMALL_STATE(2148)] = 70463,
  [SMALL_STATE(2149)] = 70476,
  [SMALL_STATE(2150)] = 70485,
  [SMALL_STATE(2151)] = 70498,
  [SMALL_STATE(2152)] = 70511,
  [SMALL_STATE(2153)] = 70524,
  [SMALL_STATE(2154)] = 70537,
  [SMALL_STATE(2155)] = 70550,
  [SMALL_STATE(2156)] = 70563,
  [SMALL_STATE(2157)] = 70576,
  [SMALL_STATE(2158)] = 70589,
  [SMALL_STATE(2159)] = 70602,
  [SMALL_STATE(2160)] = 70615,
  [SMALL_STATE(2161)] = 70628,
  [SMALL_STATE(2162)] = 70641,
  [SMALL_STATE(2163)] = 70654,
  [SMALL_STATE(2164)] = 70667,
  [SMALL_STATE(2165)] = 70680,
  [SMALL_STATE(2166)] = 70693,
  [SMALL_STATE(2167)] = 70706,
  [SMALL_STATE(2168)] = 70719,
  [SMALL_STATE(2169)] = 70732,
  [SMALL_STATE(2170)] = 70745,
  [SMALL_STATE(2171)] = 70758,
  [SMALL_STATE(2172)] = 70771,
  [SMALL_STATE(2173)] = 70784,
  [SMALL_STATE(2174)] = 70797,
  [SMALL_STATE(2175)] = 70810,
  [SMALL_STATE(2176)] = 70823,
  [SMALL_STATE(2177)] = 70836,
  [SMALL_STATE(2178)] = 70849,
  [SMALL_STATE(2179)] = 70862,
  [SMALL_STATE(2180)] = 70875,
  [SMALL_STATE(2181)] = 70888,
  [SMALL_STATE(2182)] = 70901,
  [SMALL_STATE(2183)] = 70914,
  [SMALL_STATE(2184)] = 70927,
  [SMALL_STATE(2185)] = 70940,
  [SMALL_STATE(2186)] = 70953,
  [SMALL_STATE(2187)] = 70966,
  [SMALL_STATE(2188)] = 70979,
  [SMALL_STATE(2189)] = 70992,
  [SMALL_STATE(2190)] = 71005,
  [SMALL_STATE(2191)] = 71018,
  [SMALL_STATE(2192)] = 71031,
  [SMALL_STATE(2193)] = 71044,
  [SMALL_STATE(2194)] = 71057,
  [SMALL_STATE(2195)] = 71070,
  [SMALL_STATE(2196)] = 71083,
  [SMALL_STATE(2197)] = 71096,
  [SMALL_STATE(2198)] = 71109,
  [SMALL_STATE(2199)] = 71122,
  [SMALL_STATE(2200)] = 71135,
  [SMALL_STATE(2201)] = 71148,
  [SMALL_STATE(2202)] = 71161,
  [SMALL_STATE(2203)] = 71174,
  [SMALL_STATE(2204)] = 71187,
  [SMALL_STATE(2205)] = 71200,
  [SMALL_STATE(2206)] = 71213,
  [SMALL_STATE(2207)] = 71226,
  [SMALL_STATE(2208)] = 71239,
  [SMALL_STATE(2209)] = 71252,
  [SMALL_STATE(2210)] = 71265,
  [SMALL_STATE(2211)] = 71278,
  [SMALL_STATE(2212)] = 71291,
  [SMALL_STATE(2213)] = 71304,
  [SMALL_STATE(2214)] = 71317,
  [SMALL_STATE(2215)] = 71330,
  [SMALL_STATE(2216)] = 71343,
  [SMALL_STATE(2217)] = 71356,
  [SMALL_STATE(2218)] = 71369,
  [SMALL_STATE(2219)] = 71382,
  [SMALL_STATE(2220)] = 71395,
  [SMALL_STATE(2221)] = 71408,
  [SMALL_STATE(2222)] = 71421,
  [SMALL_STATE(2223)] = 71434,
  [SMALL_STATE(2224)] = 71447,
  [SMALL_STATE(2225)] = 71460,
  [SMALL_STATE(2226)] = 71473,
  [SMALL_STATE(2227)] = 71486,
  [SMALL_STATE(2228)] = 71499,
  [SMALL_STATE(2229)] = 71512,
  [SMALL_STATE(2230)] = 71522,
  [SMALL_STATE(2231)] = 71532,
  [SMALL_STATE(2232)] = 71542,
  [SMALL_STATE(2233)] = 71550,
  [SMALL_STATE(2234)] = 71558,
  [SMALL_STATE(2235)] = 71568,
  [SMALL_STATE(2236)] = 71576,
  [SMALL_STATE(2237)] = 71586,
  [SMALL_STATE(2238)] = 71594,
  [SMALL_STATE(2239)] = 71604,
  [SMALL_STATE(2240)] = 71614,
  [SMALL_STATE(2241)] = 71624,
  [SMALL_STATE(2242)] = 71634,
  [SMALL_STATE(2243)] = 71644,
  [SMALL_STATE(2244)] = 71652,
  [SMALL_STATE(2245)] = 71662,
  [SMALL_STATE(2246)] = 71672,
  [SMALL_STATE(2247)] = 71682,
  [SMALL_STATE(2248)] = 71692,
  [SMALL_STATE(2249)] = 71702,
  [SMALL_STATE(2250)] = 71712,
  [SMALL_STATE(2251)] = 71722,
  [SMALL_STATE(2252)] = 71730,
  [SMALL_STATE(2253)] = 71740,
  [SMALL_STATE(2254)] = 71750,
  [SMALL_STATE(2255)] = 71760,
  [SMALL_STATE(2256)] = 71770,
  [SMALL_STATE(2257)] = 71780,
  [SMALL_STATE(2258)] = 71790,
  [SMALL_STATE(2259)] = 71798,
  [SMALL_STATE(2260)] = 71808,
  [SMALL_STATE(2261)] = 71818,
  [SMALL_STATE(2262)] = 71826,
  [SMALL_STATE(2263)] = 71836,
  [SMALL_STATE(2264)] = 71846,
  [SMALL_STATE(2265)] = 71854,
  [SMALL_STATE(2266)] = 71864,
  [SMALL_STATE(2267)] = 71874,
  [SMALL_STATE(2268)] = 71884,
  [SMALL_STATE(2269)] = 71894,
  [SMALL_STATE(2270)] = 71904,
  [SMALL_STATE(2271)] = 71914,
  [SMALL_STATE(2272)] = 71924,
  [SMALL_STATE(2273)] = 71934,
  [SMALL_STATE(2274)] = 71944,
  [SMALL_STATE(2275)] = 71952,
  [SMALL_STATE(2276)] = 71962,
  [SMALL_STATE(2277)] = 71972,
  [SMALL_STATE(2278)] = 71982,
  [SMALL_STATE(2279)] = 71990,
  [SMALL_STATE(2280)] = 71998,
  [SMALL_STATE(2281)] = 72008,
  [SMALL_STATE(2282)] = 72018,
  [SMALL_STATE(2283)] = 72026,
  [SMALL_STATE(2284)] = 72036,
  [SMALL_STATE(2285)] = 72044,
  [SMALL_STATE(2286)] = 72054,
  [SMALL_STATE(2287)] = 72064,
  [SMALL_STATE(2288)] = 72074,
  [SMALL_STATE(2289)] = 72084,
  [SMALL_STATE(2290)] = 72094,
  [SMALL_STATE(2291)] = 72104,
  [SMALL_STATE(2292)] = 72114,
  [SMALL_STATE(2293)] = 72124,
  [SMALL_STATE(2294)] = 72134,
  [SMALL_STATE(2295)] = 72144,
  [SMALL_STATE(2296)] = 72154,
  [SMALL_STATE(2297)] = 72164,
  [SMALL_STATE(2298)] = 72174,
  [SMALL_STATE(2299)] = 72184,
  [SMALL_STATE(2300)] = 72194,
  [SMALL_STATE(2301)] = 72204,
  [SMALL_STATE(2302)] = 72214,
  [SMALL_STATE(2303)] = 72224,
  [SMALL_STATE(2304)] = 72232,
  [SMALL_STATE(2305)] = 72242,
  [SMALL_STATE(2306)] = 72252,
  [SMALL_STATE(2307)] = 72262,
  [SMALL_STATE(2308)] = 72272,
  [SMALL_STATE(2309)] = 72282,
  [SMALL_STATE(2310)] = 72292,
  [SMALL_STATE(2311)] = 72302,
  [SMALL_STATE(2312)] = 72312,
  [SMALL_STATE(2313)] = 72322,
  [SMALL_STATE(2314)] = 72332,
  [SMALL_STATE(2315)] = 72340,
  [SMALL_STATE(2316)] = 72347,
  [SMALL_STATE(2317)] = 72354,
  [SMALL_STATE(2318)] = 72361,
  [SMALL_STATE(2319)] = 72368,
  [SMALL_STATE(2320)] = 72375,
  [SMALL_STATE(2321)] = 72382,
  [SMALL_STATE(2322)] = 72389,
  [SMALL_STATE(2323)] = 72396,
  [SMALL_STATE(2324)] = 72403,
  [SMALL_STATE(2325)] = 72410,
  [SMALL_STATE(2326)] = 72417,
  [SMALL_STATE(2327)] = 72424,
  [SMALL_STATE(2328)] = 72431,
  [SMALL_STATE(2329)] = 72438,
  [SMALL_STATE(2330)] = 72445,
  [SMALL_STATE(2331)] = 72452,
  [SMALL_STATE(2332)] = 72459,
  [SMALL_STATE(2333)] = 72466,
  [SMALL_STATE(2334)] = 72473,
  [SMALL_STATE(2335)] = 72480,
  [SMALL_STATE(2336)] = 72487,
  [SMALL_STATE(2337)] = 72494,
  [SMALL_STATE(2338)] = 72501,
  [SMALL_STATE(2339)] = 72508,
  [SMALL_STATE(2340)] = 72515,
  [SMALL_STATE(2341)] = 72522,
  [SMALL_STATE(2342)] = 72529,
  [SMALL_STATE(2343)] = 72536,
  [SMALL_STATE(2344)] = 72543,
  [SMALL_STATE(2345)] = 72550,
  [SMALL_STATE(2346)] = 72557,
  [SMALL_STATE(2347)] = 72564,
  [SMALL_STATE(2348)] = 72571,
  [SMALL_STATE(2349)] = 72578,
  [SMALL_STATE(2350)] = 72585,
  [SMALL_STATE(2351)] = 72592,
  [SMALL_STATE(2352)] = 72599,
  [SMALL_STATE(2353)] = 72606,
  [SMALL_STATE(2354)] = 72613,
  [SMALL_STATE(2355)] = 72620,
  [SMALL_STATE(2356)] = 72627,
  [SMALL_STATE(2357)] = 72634,
  [SMALL_STATE(2358)] = 72641,
  [SMALL_STATE(2359)] = 72648,
  [SMALL_STATE(2360)] = 72655,
  [SMALL_STATE(2361)] = 72662,
  [SMALL_STATE(2362)] = 72669,
  [SMALL_STATE(2363)] = 72676,
  [SMALL_STATE(2364)] = 72683,
  [SMALL_STATE(2365)] = 72690,
  [SMALL_STATE(2366)] = 72697,
  [SMALL_STATE(2367)] = 72704,
  [SMALL_STATE(2368)] = 72711,
  [SMALL_STATE(2369)] = 72718,
  [SMALL_STATE(2370)] = 72725,
  [SMALL_STATE(2371)] = 72732,
  [SMALL_STATE(2372)] = 72739,
  [SMALL_STATE(2373)] = 72746,
  [SMALL_STATE(2374)] = 72753,
  [SMALL_STATE(2375)] = 72760,
  [SMALL_STATE(2376)] = 72767,
  [SMALL_STATE(2377)] = 72774,
  [SMALL_STATE(2378)] = 72781,
  [SMALL_STATE(2379)] = 72788,
  [SMALL_STATE(2380)] = 72795,
  [SMALL_STATE(2381)] = 72802,
  [SMALL_STATE(2382)] = 72809,
  [SMALL_STATE(2383)] = 72816,
  [SMALL_STATE(2384)] = 72823,
  [SMALL_STATE(2385)] = 72830,
  [SMALL_STATE(2386)] = 72837,
  [SMALL_STATE(2387)] = 72844,
  [SMALL_STATE(2388)] = 72851,
  [SMALL_STATE(2389)] = 72858,
  [SMALL_STATE(2390)] = 72865,
  [SMALL_STATE(2391)] = 72872,
  [SMALL_STATE(2392)] = 72879,
  [SMALL_STATE(2393)] = 72886,
  [SMALL_STATE(2394)] = 72893,
  [SMALL_STATE(2395)] = 72900,
  [SMALL_STATE(2396)] = 72907,
  [SMALL_STATE(2397)] = 72914,
  [SMALL_STATE(2398)] = 72921,
  [SMALL_STATE(2399)] = 72928,
  [SMALL_STATE(2400)] = 72935,
  [SMALL_STATE(2401)] = 72942,
  [SMALL_STATE(2402)] = 72949,
  [SMALL_STATE(2403)] = 72956,
  [SMALL_STATE(2404)] = 72963,
  [SMALL_STATE(2405)] = 72970,
  [SMALL_STATE(2406)] = 72977,
  [SMALL_STATE(2407)] = 72984,
  [SMALL_STATE(2408)] = 72991,
  [SMALL_STATE(2409)] = 72998,
  [SMALL_STATE(2410)] = 73005,
  [SMALL_STATE(2411)] = 73012,
  [SMALL_STATE(2412)] = 73019,
  [SMALL_STATE(2413)] = 73026,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [35] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryExpr, 1),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [49] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryExpr, 1),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryExpr, 2),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryExpr, 2),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(56),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1961),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1934),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2013),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1198),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2213),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(99),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(97),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(88),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(3),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(953),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(237),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(7),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(30),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(860),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2026),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2312),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(716),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(752),
  [404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(220),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2408),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2313),
  [413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(102),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2322),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2364),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2317),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1285),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1198),
  [431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1285),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1370),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2363),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2309),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2308),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2307),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(818),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(816),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(816),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(1979),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2325),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(828),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Block_repeat1, 2), SHIFT_REPEAT(2142),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Block, 2),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Block, 2),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Block, 3),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Block, 3),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BlockExpr, 2),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LabeledTypeExpr, 2),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LabeledTypeExpr, 2),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BlockExpr, 2),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STRINGLITERALSINGLE, 2),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STRINGLITERALSINGLE, 2),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IDENTIFIER, 2),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IDENTIFIER, 2),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BreakLabel, 2),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BreakLabel, 2),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SwitchExpr, 9),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchExpr, 9),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SwitchExpr, 8),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchExpr, 8),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SwitchExpr, 7),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchExpr, 7),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SwitchExpr, 6),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchExpr, 6),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LabeledStatement, 2),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LabeledStatement, 2),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IDENTIFIER, 1),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IDENTIFIER, 1),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STRINGLITERALSINGLE, 3),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STRINGLITERALSINGLE, 3),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Statement, 1),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryTypeExpr, 1),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryTypeExpr, 1),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Statement, 1),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BlockExpr, 1),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BlockExpr, 1),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LabeledStatement, 1),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LabeledStatement, 1),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchCase, 3),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchCase, 2),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BlockLabel, 2),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 2, .production_id = 6),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 2, .production_id = 6),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 1, .production_id = 3),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 1, .production_id = 3),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 2, .production_id = 5),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 2, .production_id = 5),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 1, .production_id = 4),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 1, .production_id = 4),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2325),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 2, .production_id = 3),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 2, .production_id = 3),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 2, .production_id = 9),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 2, .production_id = 9),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 4, .production_id = 11),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 4, .production_id = 11),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 2, .production_id = 4),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 2, .production_id = 4),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__STRINGLITERAL, 1),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__STRINGLITERAL, 1),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 3, .production_id = 5),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 3, .production_id = 5),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 3, .production_id = 11),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 3, .production_id = 11),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 3, .production_id = 6),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 3, .production_id = 6),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 4, .production_id = 5),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 4, .production_id = 5),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 3, .production_id = 3),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 3, .production_id = 3),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2198),
  [1276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(187),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(760),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixExpr, 3, .production_id = 9),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixExpr, 3, .production_id = 9),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1),
  [1290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(153),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FieldOrFnCall, 2, .production_id = 15),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FieldOrFnCall, 2, .production_id = 15),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LINESTRING, 2),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LINESTRING, 2),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForTypeExpr, 2),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForTypeExpr, 2),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileTypeExpr, 2),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileTypeExpr, 2),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfTypeExpr, 2),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfTypeExpr, 2),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 6),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 6),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 1),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 1),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 23),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 23),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 4, .production_id = 16),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 4, .production_id = 16),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnCallArguments, 5),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnCallArguments, 5),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 5),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 5),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnCallArguments, 4),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnCallArguments, 4),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 7, .production_id = 30),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 7, .production_id = 30),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 4),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 4),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 12),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 12),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ContainerDeclAuto, 3),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ContainerDeclAuto, 3),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseTypeExprTail, 3),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseTypeExprTail, 3),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 7, .production_id = 31),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 7, .production_id = 31),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 22),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 5, .production_id = 22),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForTypeExpr, 3),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForTypeExpr, 3),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileTypeExpr, 3),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileTypeExpr, 3),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ContainerDeclAuto, 5),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ContainerDeclAuto, 5),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerDecl, 2),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerDecl, 2),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 7, .production_id = 17),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 7, .production_id = 17),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopTypeExpr, 2),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopTypeExpr, 2),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerDecl, 1),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerDecl, 1),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 7, .production_id = 28),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 7, .production_id = 28),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 4),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 4),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CHAR_LITERAL, 3),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CHAR_LITERAL, 3),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 6, .production_id = 26),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 6, .production_id = 26),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_InitList, 4),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_InitList, 4),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 4, .production_id = 17),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 4, .production_id = 17),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GroupedExpr, 3),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_GroupedExpr, 3),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryTypeExpr, 3, .production_id = 12),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryTypeExpr, 3, .production_id = 12),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 3),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 3),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 6),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 6),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 5, .production_id = 17),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 5, .production_id = 17),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 6, .production_id = 27),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 6, .production_id = 27),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 5, .production_id = 20),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 5, .production_id = 20),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 5),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 5),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 6, .production_id = 17),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 6, .production_id = 17),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 5, .production_id = 19),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 5, .production_id = 19),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryTypeExpr, 2),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryTypeExpr, 2),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryTypeExpr, 2, .production_id = 7),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryTypeExpr, 2, .production_id = 7),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopTypeExpr, 1),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopTypeExpr, 1),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LabeledTypeExpr, 1),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LabeledTypeExpr, 1),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 8, .production_id = 32),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 8, .production_id = 32),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfTypeExpr, 3),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfTypeExpr, 3),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorUnionExpr, 3, .production_id = 14),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorUnionExpr, 3, .production_id = 14),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_InitList, 2),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_InitList, 2),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_InitList, 3),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_InitList, 3),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_InitList, 5),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_InitList, 5),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ContainerDeclAuto, 4),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ContainerDeclAuto, 4),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 22),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 22),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseTypeExprTail, 2),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseTypeExprTail, 2),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_INTEGER, 1),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_INTEGER, 1),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 28),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 28),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FLOAT, 1),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FLOAT, 1),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorUnionExpr, 1),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorUnionExpr, 1),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnCallArguments, 2),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnCallArguments, 2),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 3),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 3),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__CurlySuffixExpr, 1),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__CurlySuffixExpr, 1),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnCallArguments, 3),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnCallArguments, 3),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FieldOrFnCall, 3, .production_id = 11),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FieldOrFnCall, 3, .production_id = 11),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__TypeExpr, 2),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__TypeExpr, 2),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 23),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 6, .production_id = 23),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FnProto, 3),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FnProto, 3),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SuffixOp, 7),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SuffixOp, 7),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ErrorSetDecl, 4, .production_id = 12),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ErrorSetDecl, 4, .production_id = 12),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfStatement, 2),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfStatement, 2),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileStatement, 2),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileStatement, 2),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForStatement, 2),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForStatement, 2),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileExpr, 2),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileExpr, 2),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfExpr, 2),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfExpr, 2),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForExpr, 2),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForExpr, 2),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopStatement, 2),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopStatement, 2),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BlockExprStatement, 1),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BlockExprStatement, 1),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 9, .production_id = 6),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 9, .production_id = 6),
  [1669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Statement, 2),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Statement, 2),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 6, .production_id = 6),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 6, .production_id = 6),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BinaryExpr, 3, .production_id = 13),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BinaryExpr, 3, .production_id = 13),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 8, .production_id = 6),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 8, .production_id = 6),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 4, .production_id = 6),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 4, .production_id = 6),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseExprTail, 2),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseExprTail, 2),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseStatementTail, 3),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseStatementTail, 3),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PrimaryExpr, 3),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PrimaryExpr, 3),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 7, .production_id = 6),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 7, .production_id = 6),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_UnaryExpr, 2, .production_id = 8),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_UnaryExpr, 2, .production_id = 8),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BlockExprStatement, 2),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BlockExprStatement, 2),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Statement, 3),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Statement, 3),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfStatement, 3),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfStatement, 3),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileStatement, 3),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileStatement, 3),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForStatement, 3),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForStatement, 3),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 5, .production_id = 6),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 5, .production_id = 6),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_VarDecl, 3, .production_id = 6),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_VarDecl, 3, .production_id = 6),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopStatement, 1),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopStatement, 1),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseStatementTail, 2),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseStatementTail, 2),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ElseExprTail, 3),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ElseExprTail, 3),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Payload, 3, .production_id = 21),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Payload, 3, .production_id = 21),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhilePrefix, 4),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhilePrefix, 4),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2098),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(309),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(1106),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2333),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [1791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2201),
  [1794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(254),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(1117),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AssignExpr, 1),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2355),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopExpr, 1),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopExpr, 1),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmExpr, 5),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_AsmExpr, 5),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhilePrefix, 5),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhilePrefix, 5),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfPrefix, 4),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfPrefix, 4),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileExpr, 3),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileExpr, 3),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmExpr, 4),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_AsmExpr, 4),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForExpr, 3),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForExpr, 3),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfExpr, 3),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfExpr, 3),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LoopExpr, 2),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LoopExpr, 2),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BitwiseOp, 1),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BitwiseOp, 1),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__CurlySuffixExpr, 2),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__CurlySuffixExpr, 2),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmExpr, 6),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_AsmExpr, 6),
  [1859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(135),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrPayload, 4, .production_id = 33),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrPayload, 4, .production_id = 33),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrPayload, 3, .production_id = 21),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrPayload, 3, .production_id = 21),
  [1870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(136),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ForPrefix, 5),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ForPrefix, 5),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_IfPrefix, 5),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_IfPrefix, 5),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CompareOp, 1),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CompareOp, 1),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhileContinueExpr, 4),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhileContinueExpr, 4),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BitShiftOp, 1),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BitShiftOp, 1),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrIndexPayload, 4, .production_id = 33),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrIndexPayload, 4, .production_id = 33),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_AssignOp, 1),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AssignOp, 1),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_AdditionOp, 1),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AdditionOp, 1),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrIndexPayload, 3, .production_id = 21),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrIndexPayload, 3, .production_id = 21),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_BitwiseOp, 2),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BitwiseOp, 2),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PrefixOp, 1),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PrefixOp, 1),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrIndexPayload, 5, .production_id = 34),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrIndexPayload, 5, .production_id = 34),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrIndexPayload, 6, .production_id = 35),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrIndexPayload, 6, .production_id = 35),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_WhilePrefix, 6),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_WhilePrefix, 6),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_MultiplyOp, 1),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_MultiplyOp, 1),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 6, .production_id = 2),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 6, .production_id = 2),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 5, .production_id = 10),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 5, .production_id = 10),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 5, .production_id = 1),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 5, .production_id = 1),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 4, .production_id = 2),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 4, .production_id = 2),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 6, .production_id = 1),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 6, .production_id = 1),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 8, .production_id = 10),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 8, .production_id = 10),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 3, .production_id = 1),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 3, .production_id = 1),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 7, .production_id = 10),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 7, .production_id = 10),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 7, .production_id = 2),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 7, .production_id = 2),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrTypeStart, 1),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrTypeStart, 1),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat1, 2),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat1, 2), SHIFT_REPEAT(1273),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PrefixTypeOp_repeat1, 2),
  [2010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat1, 2), SHIFT_REPEAT(2361),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PrefixTypeOp, 2),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PrefixTypeOp, 2),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PrefixTypeOp, 1),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PrefixTypeOp, 1),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ByteAlign, 4),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ByteAlign, 4),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 2),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 2), SHIFT_REPEAT(1281),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 2),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 2), SHIFT_REPEAT(2375),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__TypeExpr_repeat1, 2),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__TypeExpr_repeat1, 2),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__TypeExpr_repeat1, 2), SHIFT_REPEAT(2327),
  [2062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__TypeExpr_repeat1, 2), SHIFT_REPEAT(102),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__TypeExpr_repeat1, 2), SHIFT_REPEAT(1285),
  [2068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__TypeExpr_repeat1, 2), SHIFT_REPEAT(1285),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__TypeExpr_repeat1, 2), SHIFT_REPEAT(1370),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrTypeStart, 5),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrTypeStart, 5),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 8),
  [2080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 8),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ParamDeclList, 3),
  [2084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDeclList, 3),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ParamDeclList, 2),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDeclList, 2),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_LinkSection, 4),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_LinkSection, 4),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ParamDeclList, 5),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDeclList, 5),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 4),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PrefixTypeOp_repeat2, 4),
  [2106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SliceTypeStart, 4),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SliceTypeStart, 4),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrTypeStart, 4),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrTypeStart, 4),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PtrTypeStart, 3),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PtrTypeStart, 3),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ParamDeclList, 4),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDeclList, 4),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SliceTypeStart, 2),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SliceTypeStart, 2),
  [2126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2331),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2154),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(327),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(1372),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CallConv, 4),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CallConv, 4),
  [2148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(127),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ArrayTypeStart, 5),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ArrayTypeStart, 5),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ArrayTypeStart, 3),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ArrayTypeStart, 3),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AssignExpr, 3),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchItem, 1),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_InitList_repeat2, 2),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchItem, 3),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FieldInit, 4, .production_id = 2),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2174),
  [2450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(285),
  [2453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(1693),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2316),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__STRINGLITERAL_repeat1, 2), SHIFT_REPEAT(2402),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(2186),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(336),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 2), SHIFT_REPEAT(1781),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [2473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(149),
  [2476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SuffixExpr_repeat1, 1), SHIFT_REPEAT(133),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__ContainerMembers, 2),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1927),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2072),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1949),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1886),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1871),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2244),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2097),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(340),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2004),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2102),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1885),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(1878),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__ContainerMembers, 2), SHIFT_REPEAT(2310),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelDecl, 1),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelDecl, 1),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 2, .production_id = 2),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 2, .production_id = 2),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 1, .production_id = 1),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 1, .production_id = 1),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 3, .production_id = 10),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 3, .production_id = 10),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 6, .production_id = 10),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 6, .production_id = 10),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 4, .production_id = 1),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 4, .production_id = 1),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerField, 5, .production_id = 2),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ContainerField, 5, .production_id = 2),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelDecl, 2),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelDecl, 2),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__ContainerMembers, 1),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 1),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ContainerDeclarations, 3),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ContainerDeclarations, 3),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__ContainerMembers, 2),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelDecl, 3),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelDecl, 3),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TestDecl, 2),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TestDecl, 2),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TestDecl, 3),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TestDecl, 3),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelComptime, 3),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelComptime, 3),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelComptime, 2),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelComptime, 2),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ContainerDeclarations, 2),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ContainerDeclarations, 2),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TopLevelDecl, 4),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TopLevelDecl, 4),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TestDecl, 4),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TestDecl, 4),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamType, 1),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmClobbers, 3),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmClobbers, 4),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmClobbers, 1),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_STRINGLITERALSINGLE_repeat1, 2), SHIFT_REPEAT(1960),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_STRINGLITERALSINGLE_repeat1, 2),
  [2795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_STRINGLITERALSINGLE_repeat1, 2), SHIFT_REPEAT(1960),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInput, 3),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInput, 2),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutput, 3),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInput, 4),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutput, 4),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutput, 1),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInput, 1),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutput, 2),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AsmOutput_repeat1, 2), SHIFT_REPEAT(2275),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AsmOutput_repeat1, 2),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_InitList_repeat2, 2), SHIFT_REPEAT(302),
  [3068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AsmInput_repeat1, 2), SHIFT_REPEAT(2300),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AsmInput_repeat1, 2),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerDeclType, 1),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchCase, 1),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutputItem, 8, .production_id = 21),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInputItem, 7, .production_id = 21),
  [3187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SwitchCase_repeat1, 2), SHIFT_REPEAT(145),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_SwitchCase_repeat1, 2),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutputItem, 7, .production_id = 36),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmClobbers, 2),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ErrorSetDecl_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2071),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ErrorSetDecl_repeat1, 2, .production_id = 24),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_InitList_repeat1, 2), SHIFT_REPEAT(2231),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_InitList_repeat1, 2),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AsmClobbers_repeat1, 2), SHIFT_REPEAT(1959),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AsmClobbers_repeat1, 2),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_SwitchExpr_repeat1, 2), SHIFT_REPEAT(95),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_SwitchExpr_repeat1, 2),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ParamDeclList_repeat1, 2), SHIFT_REPEAT(396),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ParamDeclList_repeat1, 2),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 3),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 3, .production_id = 18),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchProng, 3),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerDeclType, 4),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 5, .production_id = 29),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ErrorSetDecl_repeat1, 2, .production_id = 7),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SwitchProng, 4),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 4, .production_id = 25),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 1),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ParamDecl, 2),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ErrorSetDecl_repeat1, 3, .production_id = 12),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ContainerDeclType, 7),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3583] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_BUILTINIDENTIFIER, 2),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmOutput, 5),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AsmInput, 5),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_zig(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
